<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["aufgabenliste"];
$anzahl_gesamt = get_table_count ( $query );

// Mitarbeiterfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblaufgaben.fiAufgabeMitarbeiter" );

// Kundefilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblaufgaben.fiAufgabeKunde" );

// Projektfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblaufgaben.fiAufgabeProjekt" );

// Belegfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["beleg"], "$tblaufgaben.fiAufgabeBeleg" );

// Statusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["aufgabenstatus"], "$tblaufgaben.fiAufgabeStatus" );

// Typfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["aufgabentyp"], "$tblaufgaben.fiAufgabeTyp" );

// Priofilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["aufgabenprio"], "$tblaufgaben.fiAufgabePrioritaet" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and dtEndDatum <> '2030-01-01' and to_days(dtEndDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and dtEndDatum <> '2030-01-01' and to_days(dtEndDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblaufgaben,
		$tblkontakte,
		$tblprojekte 
), $filter [$listenname] ["textfilter"] );
// $filter[$listenname]["textfilter"] = chop($filter[$listenname]["textfilter"]);
// $query .= " AND (tblAufgaben.dtAufgabeName LIKE '%".$filter[$listenname]["textfilter"]."%' OR tblAufgaben.dtAufgabeBeschreibung LIKE '%".$filter[$listenname]["textfilter"]."%'";

// $aFieldName[0][$tblkontakte] = "dtFirmenname";
// $aFieldName[1][$tblkontakte] = "dtNamenszusatz";
// $aFieldName[2][$tblkontakte] = "dtNachname";
// $aFieldName[3][$tblkontakte] = "dtVorname";
// $aFieldName[4][$tblkontakte] = "dtStrasse";
// $aFieldName[5][$tblkontakte] = "dtPLZ";
// $aFieldName[6][$tblkontakte] = "dtFax";
// $aFieldName[7][$tblkontakte] = "dtURL";
// $aFieldName[8][$tblkontakte] = "dtBemerkung";
// $aFieldName[9][$tblkontakte] = "dtPostfachPLZ";
// $aFieldName[10][$tblkontakte] = "dtNummernSuche";
// $aFieldName[11][$tblkontakte] = "dtKontaktNr";
// $aFieldName[12][$tblkontakte] = "dtKontaktTags";
// $aFieldName[13][$tblprojekte] = "dtProjektname";
// $aFieldName[14][$tblprojekte] = "dtBestellnummer";
// $aFieldName[15][$tblprojekte] = "dtProjektBeschreibung";
// $aFieldName[16][$tblprojekte] = "dtProjektKommentar";
// $aFieldName[17][$tblprojekte] = "dtProjektNr";

// $iCounter = 0;
// foreach($aFieldName as $cpFieldName)
// {
// foreach($cpFieldName as $ccpFieldName => $ccpFieldValue)
// {
// $query .= " OR $ccpFieldName.$ccpFieldValue LIKE '%".$filter[$listenname]["textfilter"]."%'";
// $iCounter++;
// }

// }
// $query .= ")";

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $liste [$listenzeile_id] ["Aufgaben_id"], $tblaufgaben, $listenzeile );
		
		if ($cache !== false) {
			$liste_output [$listenzeile_id] = $cache;
			
			// +++++++++++ Arbeitstage berechnen
			
			if ($liste [$listenzeile_id] ["dtEndDatum"] != "2030-01-01") {
				$arbeitstage = get_arbeitstage ( $aktdatum, $liste [$listenzeile_id] ["dtEndDatum"] );
			}
			
			// +++++++++++ Enddatum farblich markieren
			if ($arbeitstage <= 1)
				$bgcolor_datum = "#ffbbbb";
			elseif ($arbeitstage <= 3)
				$bgcolor_datum = "#ffffbb";
			else
				$bgcolor_datum = "#ddffdd";
			
			$liste_output [$listenzeile_id] ["dtEndDatum_Anzeige"] = "<span style=\"background-color: " . $bgcolor_datum . ";\">&nbsp;" . date_from_sql ( $liste_output [$listenzeile_id] ["dtEndDatum"] ) . "&nbsp;</span>";
			$liste_output [$listenzeile_id] ["dtVerbleibendeTage"] = $arbeitstage;
			
			continue;
		}
		
		// +++++++++++ Mitarbeiter-infos holen
		$query = $sql_query ["kontaktliste"] . "and $tblkontakte.id = '" . $liste [$listenzeile_id] ["fiAufgabeMitarbeiter"] . "'";
		$aMArow = get_table_row ( $query );
		
		// +++++++++++ Beleg-infos holen
		unset ( $rBelegResult );
		if ($liste [$listenzeile_id] ["fiAufgabeBeleg"] != 0) {
			$sQuerySQL = $sql_query ["belegliste"] . " AND $tblbelege.id = " . $liste [$listenzeile_id] ["fiAufgabeBeleg"];
			$rBelegResult = get_table_row ( $sQuerySQL );
		}
		
		// +++++++++++ Projekt-infos holen
		unset ( $rProjektResult );
		if ($liste [$listenzeile_id] ["fiAufgabeProjekt"] != 0) {
			$sQuerySQL = $sql_query ["projektliste"] . " AND $tblprojekte.id = " . $liste [$listenzeile_id] ["fiAufgabeProjekt"];
			$rProjektResult = get_table_row ( $sQuerySQL );
		}
		
		if ($liste [$listenzeile_id] ["dtEndDatum"] != "2030-01-01") {
			// +++++++++++ Arbeitstage berechnen
			$arbeitstage = get_arbeitstage ( $aktdatum, $liste [$listenzeile_id] ["dtEndDatum"] );
		}
		
		// +++++++++++ Enddatum farblich markieren
		if ($arbeitstage <= 1)
			$bgcolor_datum = "#ffbbbb";
		elseif ($arbeitstage <= 3)
			$bgcolor_datum = "#ffffbb";
		else
			$bgcolor_datum = "#ddffdd";
			
			// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtMitarbeiter_Anzeige"] = shortcutlink ( format_name_html ( $aMArow ["dtName_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiAufgabeMitarbeiter"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtProjekt_Anzeige"] = shortcutlink ( format_name_html ( $rProjektResult ["dtProjektDDText"] ), "projekte", "show", $liste [$listenzeile_id] ["fiAufgabeProjekt"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtKunde_Anzeige"] ), "kontakte", "show", $liste [$listenzeile_id] ["fiAufgabeKunde"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtBeleg_Anzeige"] = shortcutlink ( format_name_html ( $rBelegResult ["dtBelegDDText"] ), "belege", "show", $liste [$listenzeile_id] ["fiAufgabeBeleg"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtEndDatum_Anzeige"] = "<span style=\"background-color: " . $bgcolor_datum . ";\">&nbsp;" . date_from_sql ( $liste_output [$listenzeile_id] ["dtEndDatum"] ) . "&nbsp;</span>";
		$liste_output [$listenzeile_id] ["dtVerbleibendeTage"] = $arbeitstage;
		$liste_output [$listenzeile_id] ["dtStatus"] = $aAufgabenStatus [$liste [$listenzeile_id] ["fiAufgabeStatus"]];
		$liste_output [$listenzeile_id] ["dtTyp"] = $aAufgabenTypen [$liste [$listenzeile_id] ["fiAufgabeTyp"]];
		$liste_output [$listenzeile_id] ["dtPrioritaet"] = $aAufgabenPrioritaeten [$liste [$listenzeile_id] ["fiAufgabePrioritaet"]];
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Aufgaben_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Aufgaben_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Aufgaben_id"], $target, $benutzerrechte );
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $liste [$listenzeile_id] ["Aufgaben_id"], $tblaufgaben, $listenzeile, $liste_output [$listenzeile_id] );
	}
}
// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>