<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage

/*
 * Optimierte Query fr Durchsuchung von Artikel und Varianten in Belegen, war vorher nie mglich
 */
$queryOptimized = $sql_query ["bestellunglisteoptimized"];
unset ( $query );

$anzahl_gesamt = listeanzahl_ermitteln ( $tblbestellungen );

if ($benutzerrechte [$target] ["zugriffsart"] == 1) {
	$query .= " and " . $sql_rechte_referer [$target] [$benutzerrechte [$target] ["zugriffsart"]] . " = " . $_SESSION ["benutzerkontaktid"] . " ";
}
// Belegstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["bestellungstatus"], "$tblbestellungen.fiStatus" );

// Lieferantfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblbestellungen.fiLieferant" );

// Kundefilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbestellungen.fiKunde" );

// Projektfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblbestellungen.fiProjekt" );

// Bestellerfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["besteller"], "$tblbestellungen.fiBesteller" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and ((dtBestellungDatum <> '2030-01-01' and to_days(dtBestellungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
		$query .= " or (dtLieferungDatum <> '2030-01-01' and to_days(dtLieferungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and ((dtBestellungDatum <> '2030-01-01' and to_days(dtBestellungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
		$query .= " or (dtLieferungDatum <> '2030-01-01' and to_days(dtLieferungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblbestellungen,
		$tblkontakte,
		$tblartikel,
		$tblbestellungmaterialposten,
		$tblbestellungposten 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

/*
 * Obere Ausgabe : Sobald gesucht wird ber die Textbox, passt die Anzahl
 * Untere Ausgabe : Dadurch, das Group By und Count = 1 ergibt, muss die alte Abfrage hervorgeholt werden
 *
 */
if ($filter [$listenname] ["textfilter"] != "") {
	$query = $queryOptimized . $query;
	$anzahl_ausgabe = get_table_count ( $query );
} else {
	$anzahl_ausgabe = get_table_count ( $sql_query ["bestellungliste"] . $query );
	$query = $queryOptimized . $query;
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= " GROUP BY $tblbestellungen.id ";
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

$sIsPdf = $liste_output;
// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiLieferant"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtBestellungDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtBestellungDatum"] );
		$liste_output [$listenzeile_id] ["dtLieferungDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtLieferungDatum"] );
		
		$liste_output [$listenzeile_id] ["dtBestellungSummeNetto"] = preis_from_sql ( bestellungendbetrag_netto ( $liste [$listenzeile_id] ["Bestellung_id"] ) );
		$liste_output [$listenzeile_id] ["dtBestellungSummeBrutto"] = preis_from_sql ( bestellungendbetrag_brutto ( $liste [$listenzeile_id] ["Bestellung_id"] ) );
		
		$summe_bestellung_netto += bestellungendbetrag_netto ( $liste [$listenzeile_id] ["Bestellung_id"] );
		$summe_bestellung_brutto += bestellungendbetrag_brutto ( $liste [$listenzeile_id] ["Bestellung_id"] );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Bestellung_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Bestellung_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Bestellung_id"], $target, $benutzerrechte );
	}
}

if ($sIsPdf == "pdf") {
	
	$listenzeile_id ++;
	$liste_output [$listenzeile_id] ["dtBestellungStatus"] = "";
	$listenzeile_id ++;
	
	$liste_summe [0] ["dtBestellungStatus"] = "Summe:";
	$liste_summe [0] ["dtBestellungSummeNetto"] = preis_from_sql ( $summe_bestellung_netto, "PDF" );
	$liste_summe [0] ["dtBestellungSummeBrutto"] = preis_from_sql ( $summe_bestellung_brutto, "PDF" );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Summenausgabe
	if (is_array ( $liste_summe )) {
		foreach ( $liste_summe as $zeile => $listenzeile ) {
			
			$liste_output [$listenzeile_id] ["dtBestellungStatus"] = $listenzeile ["dtBestellungStatus"];
			$liste_output [$listenzeile_id] ["dtBestellungSummeNetto"] = $listenzeile ["dtBestellungSummeNetto"];
			$liste_output [$listenzeile_id] ["dtBestellungSummeBrutto"] = $listenzeile ["dtBestellungSummeBrutto"];
			$listenzeile_id ++;
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>