<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektliste"];
$anzahl_gesamt = get_table_count ( $query );

// Projektstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektstatus"], "$tblprojekte.fiStatus" );

// Projekttypfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekttyp"], "$tblprojekte.fiProjektTyp" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblprojekte.fiKunde", false, false, "$tblprojekte.fiEndkunde" );

// KundenASPfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kontaktasp"], "$tblprojekte.fiKundeAnsprechpartner", false, false, "$tblprojekte.fiEndkundeAnsprechpartner" );

// Projektverantwortlicherfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektverantwortlicher"], "$tblprojekte.fiProjektVerantwortlicher" );

// Datumsbereich (oberer Filter)
if ($filter ["bilanz"] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter ["bilanz"] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtEingangsdatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtEingangsdatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblprojekte,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
// if (!(array_key_exists("anzahl", (array)$sortierung[$listenname]))) { $sortierung[$listenname]["anzahl"] = 50; $sortierung[$listenname]["position"] = 1; };
// if ($sortierung[$listenname]["anzahl"] != "") {
// // $limit_sql = " limit ".($sortierung[$listenname]["position"] - 1).",".$sortierung[$listenname]["anzahl"];
// } else {
$limit_sql = "";
$sortierung [$listenname] ["anzahl"] = "";
// }

$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

$query = $sql_query ["taetigkeitenliste"] . " and $tbltaetigkeiten.dtProjektkalkulationRelevant = 1";
$query .= " order by $tbltaetigkeiten.dtTaetigkeitCode";
$taetigkeiten_liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren

if (is_array ( $taetigkeiten_liste )) {
	foreach ( $taetigkeiten_liste as $taetigkeiten_id => $taetigkeiten_field ) {
		
		$bisherige_kosten = 0;
		$bisherige_stunden = 0;
		$kalkulation_wert = 0;
		$kalkulation_stunden_wert = 0;
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field ) {
				
				$id = $field ["Projekt_id"];
				$kalkulationsdaten_array = explode ( "%%%", $field ["dtKalkulation"] );
				$kalkulation_array = unserialize ( $kalkulationsdaten_array [0] );
				$kalkulation_bemerkungen_array = unserialize ( $kalkulationsdaten_array [1] );
				$kalkulation_stunden_array = unserialize ( $kalkulationsdaten_array [2] );
				
				// Wenn es ein Mat-Code ist, dann summiere alle Artikel zu diesem Projekt und Mat-Code
				if ($taetigkeiten_field ["dtIstMaterial"] != 0) {
					
					$query = $sql_query ["artikelstueckliste"];
					$query .= " and $tblartikelstueck.fiProjekt =  " . $id . " order by $tblartikelstueck.fiArtikel";
					$projektartikel_liste = get_table_array ( $query );
					
					$iCounter = 0;
					if (is_array ( $projektartikel_liste )) {
						foreach ( $projektartikel_liste as $key => $projektartikel_field ) {
							
							$aArtikel ["fiArtikel"] = $projektartikel_field ["fiArtikel"];
							$aArtikel ["dtVariante"] = $projektartikel_field ["dtVariante"];
							$aArtikel ["dtMwstSatz"] = $projektartikel_field ["dtMwstSatzVK"];
							
							$aBerechnungEK = getBerechnungFuerEK ( $aArtikel );
							
							$iEkPreis = $aBerechnungEK ["dtPreisNettoEK"];
							
							$bisherige_kosten = $bisherige_kosten + $iEkPreis;
							$iCounter ++;
						}
					}
				}
				
				// Wenn es ein Ttigkeiten-Code ist, dann summiere alle Arbeitszeiten zu diesem Projekt und Code
				if ($taetigkeiten_field ["dtIstMaterial"] == 0) {
					
					$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.fiProjekt = " . $id . " and $tblprojektzeiten.fiTaetigkeit = " . $taetigkeiten_field ["Taetigkeiten_id"];
					
					// Datumsbereich (fr Projektzeiten und Artikelkalkulation) (unterer Filter)
					if ($filter [$listenname] ["datumsbereich"] != "") {
						
						$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
						$datum_tag_von = $datum_explode [0];
						$datum_monat_von = $datum_explode [1];
						$datum_jahr_von = $datum_explode [2];
						$datum_tag_bis = $datum_explode [3];
						$datum_monat_bis = $datum_explode [4];
						$datum_jahr_bis = $datum_explode [5];
						
						if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
							$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
						}
						
						if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
							$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
						}
					}
					
					$projektzeit_liste = get_table_array ( $query );
					
					if (is_array ( $projektzeit_liste )) {
						foreach ( $projektzeit_liste as $key => $projektzeit_field ) {
							$bisherige_kosten = $bisherige_kosten + ($projektzeit_field ["dtProjektzeitDezimal"] * $projektzeit_field ["dtStdSatz"]);
							$bisherige_stunden = $bisherige_stunden + $projektzeit_field ["dtProjektzeitDezimal"];
							
							$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $projektzeit_field ["fiMitarbeiter"] . "' ";
							$mitarbeiter_field = get_table_row ( $query );
							
							$personalstunden_array [$projektzeit_field ["fiMitarbeiter"]] ["name"] = $mitarbeiter_field ["dtKontaktDDText2"];
							$personalstunden_array [$projektzeit_field ["fiMitarbeiter"]] ["dauer"] = $personalstunden_array [$projektzeit_field ["fiMitarbeiter"]] ["dauer"] + $projektzeit_field ["dtProjektzeitDezimal"];
							$personalstunden_array [$projektzeit_field ["fiMitarbeiter"]] ["kosten"] = $personalstunden_array [$projektzeit_field ["fiMitarbeiter"]] ["kosten"] + ($projektzeit_field ["dtProjektzeitDezimal"] * $projektzeit_field ["dtStdSatz"]);
						}
					}
				}
				
				// berechne kalkulierten Wert und addiere Summen
				if (! is_array ( $kalkulation_array )) {
					$kalkulation_array = ( array ) $kalkulation_array;
				}
				if (! is_array ( $kalkulation_stunden_array )) {
					$kalkulation_stunden_array = ( array ) $kalkulation_stunden_array;
				}
				
				$kalkulation_wert = $kalkulation_wert + $kalkulation_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				$gesamtkalkulation = $gesamtkalkulation + $kalkulation_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				if ($taetigkeiten_field ["dtIstMaterial"] == 0) {
					$gesamtkalkulation_personal = $gesamtkalkulation_personal + $kalkulation_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				} else {
					$gesamtkalkulation_material = $gesamtkalkulation_material + $kalkulation_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				}
				
				$kalkulation_stunden = $kalkulation_stunden + $kalkulation_stunden_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				$kalkulation_stunden_wert = $kalkulation_stunden_wert + $kalkulation_stunden_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				$gesamtkalkulation_stunden = $gesamtkalkulation_stunden + $kalkulation_stunden_array [$taetigkeiten_field ["dtTaetigkeitCode"]];
				;
			}
		}
		
		$gesamtbisherige_kosten = $gesamtbisherige_kosten + $bisherige_kosten;
		if ($taetigkeiten_field ["dtIstMaterial"] == 0) {
			$gesamtbisherige_kosten_personal = $gesamtbisherige_kosten_personal + $bisherige_kosten;
		} else {
			$gesamtbisherige_kosten_material = $gesamtbisherige_kosten_material + $bisherige_kosten;
		}
		$gesamtbisherige_stunden = $gesamtbisherige_stunden + $bisherige_stunden;
		
		$kalkulation_wert_array [$taetigkeiten_id] = $kalkulation_wert;
		$bisherige_kosten_array [$taetigkeiten_id] = $bisherige_kosten;
		$kalkulation_stunden_wert_array [$taetigkeiten_id] = $kalkulation_stunden_wert;
		$bisherige_stunden_array [$taetigkeiten_id] = $bisherige_stunden;
	}
}

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
echo "<form name=\"projektkalkulationformular\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
echo "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formularkopf
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td valign=\"top\">";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
echo "<tr>";

echo "<td valign=\"top\" width=60><b>Code</b></td>";
echo "<td valign=\"top\" width=60><b>Krzel</b></td>";
echo "<td valign=\"top\" width=180><b>Bezeichnung</b></td>";
echo "<td valign=\"top\" width=110><b>Kalkulation<br>Kosten</b></td>";
echo "<td valign=\"top\" width=110><b>bisherige<br>Kosten</b></td>";
echo "<td valign=\"top\" width=130><b>offen</b></td>";
echo "<td valign=\"top\" width=60><b>Kalk.<br>Stunden</b></td>";
echo "<td valign=\"top\" width=60><b>bish.<br>Stunden</b></td>";
echo "<td valign=\"top\" width=80><b>offen</b></td>";
echo "</tr>";

if (is_array ( $taetigkeiten_liste )) {
	foreach ( $taetigkeiten_liste as $taetigkeiten_id => $taetigkeiten_field ) {
		
		// farbliche Markierung des "offen" Feldes
		$bgcolor_kosten = "";
		if ($kalkulation_wert_array [$taetigkeiten_id] - $bisherige_kosten_array [$taetigkeiten_id] < 0) {
			$bgcolor_kosten = "background-color: " . $bgcolor_formular_rot . ";";
		}
		;
		if ($kalkulation_wert_array [$taetigkeiten_id] - $bisherige_kosten_array [$taetigkeiten_id] > 0) {
			$bgcolor_kosten = "background-color: " . $bgcolor_formular_gruen . ";";
		}
		;
		if ($bisherige_kosten_array [$taetigkeiten_id] >= ($kalkulation_wert_array [$taetigkeiten_id] * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $bisherige_kosten_array [$taetigkeiten_id] <= $kalkulation_wert_array [$taetigkeiten_id]) {
			$bgcolor_kosten = "background-color: " . $bgcolor_formular_gelb . ";";
		}
		;
		
		$bgcolor_stunden = "";
		if ($kalkulation_stunden_wert_array [$taetigkeiten_id] - $bisherige_stunden_array [$taetigkeiten_id] < 0) {
			$bgcolor_stunden = "background-color: " . $bgcolor_formular_rot . ";";
		}
		;
		if ($kalkulation_stunden_wert_array [$taetigkeiten_id] - $bisherige_stunden_array [$taetigkeiten_id] > 0) {
			$bgcolor_stunden = "background-color: " . $bgcolor_formular_gruen . ";";
		}
		;
		if ($bisherige_stunden_array [$taetigkeiten_id] >= ($kalkulation_stunden_wert_array [$taetigkeiten_id] * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $bisherige_stunden_array [$taetigkeiten_id] <= $kalkulation_stunden_wert_array [$taetigkeiten_id]) {
			$bgcolor_stunden = "background-color: " . $bgcolor_formular_gelb . ";";
		}
		;
		
		echo "<tr><td valign=\"top\">";
		
		echo input_text ( $taetigkeiten_field ["dtTaetigkeitCode"], "taetigkeit", $taetigkeiten_field ["dtTaetigkeitCode"], "input_text_50", "readonly", "text-align: right;" );
		echo "</td><td valign=\"top\">";
		echo input_text ( $taetigkeiten_field ["dtTaetigkeit"], "taetigkeit", $taetigkeiten_field ["dtTaetigkeit"], "input_text_50", "readonly" );
		echo "</td><td valign=\"top\">";
		echo input_text ( $taetigkeiten_field ["dtTaetigkeitBeschreibung"], "taetigkeit", $taetigkeiten_field ["dtTaetigkeitBeschreibung"], "input_text_150", "readonly" );
		echo "</td><td valign=\"top\">";
		
		echo input_text ( "Kalkulation Kosten", "dtKalkulation[$taetigkeiten_field[dtTaetigkeitCode]]", preis_from_sql ( $kalkulation_wert_array [$taetigkeiten_id] ), "input_text_100", "readonly", "text-align: right;" );
		echo "</td><td valign=\"top\">";
		echo input_text ( "bisherige Kosten", "taetigkeit", preis_from_sql ( $bisherige_kosten_array [$taetigkeiten_id] ), "input_text_100", "readonly", "text-align: right;" );
		echo "</td><td valign=\"top\">";
		echo input_text ( "noch offen", "taetigkeit", preis_from_sql ( $kalkulation_wert_array [$taetigkeiten_id] - $bisherige_kosten_array [$taetigkeiten_id] ), "input_text_100", "readonly", "text-align: right; $bgcolor_kosten" );
		echo "</td><td valign=\"top\">";
		
		if ($taetigkeiten_field ["dtIstMaterial"] == 0) {
			echo input_text ( "Kalkulation Stunden", "dtKalkulationStunden[$taetigkeiten_field[dtTaetigkeitCode]]", double_from_sql ( $kalkulation_stunden_wert_array [$taetigkeiten_id], 2 ), "input_text_50", "", "text-align: right;" );
			echo "</td><td valign=\"top\">";
			echo input_text ( "bisherige Stunden", "taetigkeit", double_from_sql ( $bisherige_stunden_array [$taetigkeiten_id], 2 ), "input_text_50", "readonly", "text-align: right;" );
			echo "</td><td valign=\"top\">";
			echo input_text ( "noch offen", "taetigkeit", double_from_sql ( $kalkulation_stunden_wert_array [$taetigkeiten_id] - $bisherige_stunden_array [$taetigkeiten_id], 2 ), "input_text_50", "readonly", "text-align: right; $bgcolor_stunden" );
			echo "</td><td valign=\"top\">";
		} else {
			echo "</td><td></td><td></td><td>";
		}
		
		echo "</td><td valign=\"top\"></td>";
		
		echo "</tr>";
	}
}

$bgcolor_personal = "";
if ($gesamtkalkulation_personal - $gesamtbisherige_kosten_personal < 0) {
	$bgcolor_personal = "background-color: " . $bgcolor_formular_rot . ";";
}
;
if ($gesamtkalkulation_personal - $gesamtbisherige_kosten_personal > 0) {
	$bgcolor_personal = "background-color: " . $bgcolor_formular_gruen . ";";
}
;
if ($gesamtbisherige_kosten_personal >= ($gesamtkalkulation_personal * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $gesamtbisherige_kosten_personal <= $gesamtkalkulation_personal) {
	$bgcolor_personal = "background-color: " . $bgcolor_formular_gelb . ";";
}
;
$bgcolor_material = "";
if ($gesamtkalkulation_material - $gesamtbisherige_kosten_material < 0) {
	$bgcolor_material = "background-color: " . $bgcolor_formular_rot . ";";
}
;
if ($gesamtkalkulation_material - $gesamtbisherige_kosten_material > 0) {
	$bgcolor_material = "background-color: " . $bgcolor_formular_gruen . ";";
}
;
if ($gesamtbisherige_kosten_material >= ($gesamtkalkulation_material * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $gesamtbisherige_kosten_material <= $gesamtkalkulation_material) {
	$bgcolor_material = "background-color: " . $bgcolor_formular_gelb . ";";
}
;
$bgcolor_gesamt = "";
if ($gesamtkalkulation - $gesamtbisherige_kosten < 0) {
	$bgcolor_gesamt = "background-color: " . $bgcolor_formular_rot . ";";
}
;
if ($gesamtkalkulation - $gesamtbisherige_kosten > 0) {
	$bgcolor_gesamt = "background-color: " . $bgcolor_formular_gruen . ";";
}
;
if ($gesamtbisherige_kosten >= ($gesamtkalkulation * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $gesamtbisherige_kosten <= $gesamtkalkulation) {
	$bgcolor_gesamt = "background-color: " . $bgcolor_formular_gelb . ";";
}
;
$bgcolor_gesamt_stunden = "";
if ($gesamtkalkulation_stunden - $gesamtbisherige_stunden < 0) {
	$bgcolor_gesamt_stunden = "background-color: " . $bgcolor_formular_rot . ";";
}
;
if ($gesamtkalkulation_stunden - $gesamtbisherige_stunden > 0) {
	$bgcolor_gesamt_stunden = "background-color: " . $bgcolor_formular_gruen . ";";
}
;
if ($gesamtbisherige_stunden >= ($gesamtkalkulation_stunden * ($projektkalkulation_anzeigeschwelle_gelb / 100)) and $gesamtbisherige_stunden <= $gesamtkalkulation_stunden) {
	$bgcolor_gesamt_stunden = "background-color: " . $bgcolor_formular_gelb . ";";
}
;

echo "<tr><td colspan=10><br></td></tr>";
echo "<tr><td valign=\"top\" colspan=3 align=\"right\">";
echo "Gesamt Personal:";
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Personalkosten Kalkulation", "taetigkeit", preis_from_sql ( $gesamtkalkulation_personal ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt bisherige Personalkosten", "taetigkeit", preis_from_sql ( $gesamtbisherige_kosten_personal ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Personalkosten noch offen", "taetigkeit", preis_from_sql ( $gesamtkalkulation_personal - $gesamtbisherige_kosten_personal ), "input_text_100", "readonly", "text-align: right; $bgcolor_personal" );
echo "</td><td valign=\"top\"></td>";
echo "</tr>";

echo "<tr><td valign=\"top\" colspan=3 align=\"right\">";
echo "Gesamt Material:";
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Materialkosten Kalkulation", "taetigkeit", preis_from_sql ( $gesamtkalkulation_material ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt bisherige Materialkosten", "taetigkeit", preis_from_sql ( $gesamtbisherige_kosten_material ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Materialkosten noch offen", "taetigkeit", preis_from_sql ( $gesamtkalkulation_material - $gesamtbisherige_kosten_material ), "input_text_100", "readonly", "text-align: right; $bgcolor_material" );
echo "</td><td valign=\"top\"></td>";
echo "</tr>";

echo "<tr><td colspan=10><br></td></tr>";
echo "<tr><td valign=\"top\" colspan=3 align=\"right\">";
echo "Gesamt:";
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Kalkulation", "taetigkeit", preis_from_sql ( $gesamtkalkulation ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt bisherige Kosten", "taetigkeit", preis_from_sql ( $gesamtbisherige_kosten ), "input_text_100", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt noch offen", "taetigkeit", preis_from_sql ( $gesamtkalkulation - $gesamtbisherige_kosten ), "input_text_100", "readonly", "text-align: right; $bgcolor_gesamt" );
echo "</td><td valign=\"top\">";

echo input_text ( "Gesamt Kalkulation Stunden", "taetigkeit", double_from_sql ( $gesamtkalkulation_stunden, 2 ), "input_text_50", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt bisherige Stunden", "taetigkeit", double_from_sql ( $gesamtbisherige_stunden, 2 ), "input_text_50", "readonly", "text-align: right;" );
echo "</td><td valign=\"top\">";
echo input_text ( "Gesamt Stunden noch offen", "taetigkeit", double_from_sql ( $gesamtkalkulation_stunden - $gesamtbisherige_stunden, 2 ), "input_text_50", "readonly", "text-align: right; $bgcolor_gesamt_stunden" );
echo "</td><td valign=\"top\"></td>";
echo "</tr>";

echo "</form>";

echo "</table>";

echo "<tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

?>