<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["contentliste"];
$query .= " and $tblcontent.fiContentTyp < 900 ";

$anzahl_gesamt = get_table_count_complete ( $tblcontent );

// Berechtigungen
if ($_SESSION ['benutzername'] != "admin" && $bContentBerechtigungenAktiv) {
	$query .= " and ($tblcontent.fiAutor = " . $_SESSION ['benutzerkontaktid'] . " ";
	$query .= " or $tblcontent.dtBerechtigung like '%;" . $_SESSION ['benutzergruppe'] . ";%' ) ";
}

// Contenttypfilter
if ($filter [$listenname] ["contenttyp"] != "") {
	$query .= " and $tblcontent.fiContentTyp = " . $filter [$listenname] ["contenttyp"] . " ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Projektfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblcontent.fiProjekt", "%;", ";%" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kontakt"], "$tblcontent.fiKontakt", "%;", ";%" );

// Autorfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["autor"], "$tblcontent.fiAutor" );

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblcontent 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile fr den Textfilter vorbereiten
		$projektmaxcounter = 0;
		foreach ( explode ( ";", $liste [$listenzeile_id] ["fiProjekt"] ) as $key => $projektid ) {
			if ($projektid != "") {
				$projektmaxcounter ++;
				if ($projektmaxcounter < 4) {
					$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $projektid;
					$projekt_row = get_table_row ( $projekt_query );
					
					$listenzeile ["dtProjekt_Anzeige"] .= shortcutlink ( format_name_html ( $projekt_row ["dtProjektDDText"] ), "projekte", "show", $projektid, $benutzerrechte ) . "<br>";
				} elseif ($projektmaxcounter == 4) {
					$listenzeile ["dtProjekt_Anzeige"] .= "[...]";
				}
			}
		}
		
		$kontaktmaxcounter = 0;
		foreach ( explode ( ";", $liste [$listenzeile_id] ["fiKontakt"] ) as $key => $kontaktid ) {
			if ($kontaktid != "") {
				$kontaktmaxcounter ++;
				if ($kontaktmaxcounter < 4) {
					
					$kontakt_query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $kontaktid;
					$kontakt_row = get_table_row ( $kontakt_query );
					
					$listenzeile ["dtKontakt_Anzeige"] .= shortcutlink ( format_name_html ( $kontakt_row ["dtKontaktDDText"] ), "kontakte", "show", $kontaktid, $benutzerrechte ) . "<br>";
				} elseif ($kontaktmaxcounter == 4) {
					$listenzeile ["dtKontakt_Anzeige"] .= "[...]";
				}
			}
		}
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtDatum"] );
		
		if ($liste_output [$listenzeile_id] ["dtZeit"] != "") {
			$uhrzeit = split_time ( $liste_output [$listenzeile_id] ["dtZeit"] );
			$liste_output [$listenzeile_id] ["dtZeit"] = $uhrzeit ["stunde"] . ":" . $uhrzeit ["minute"];
		} else {
			$liste_output [$listenzeile_id] ["dtZeit"] = "";
		}
		
		// +++++++++++ hole Namen des Autors
		if ($liste_output [$listenzeile_id] ["fiAutor"] > 0) {
			$autor_query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste_output [$listenzeile_id] ["fiAutor"];
			$autor_field = get_table_row ( $autor_query );
			
			$liste_output [$listenzeile_id] ["fiAutor"] = $autor_field ["dtKontaktDDText"];
		} else {
			$liste_output [$listenzeile_id] ["fiAutor"] = "";
		}
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Content_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Content_id"], $target, $benutzerrechte );
		
		if ($_SESSION ['benutzername'] == "admin" || $liste_output [$listenzeile_id] ["fiAutor"] == $_SESSION ['benutzerkontaktid'] || $liste_output [$listenzeile_id] ["dtSchreibschutz"] == 0) {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Content_id"], $target, $benutzerrechte );
		}
		
		$liste_output [$listenzeile_id] ["ButtonDCA"] = contentopenbutton ( $target, "show", $liste [$listenzeile_id] ["Content_id"], $benutzerrechte );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>