<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenkopfzeile
listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ, $id, $subtarget, $subtyp );

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektliste"] . " ";
$anzahl_gesamt = get_table_count ( $query );

// nur die Projekte dieses Contents anzeigen
if ($field ["fiProjekt"] != ";") {
	$contentprojekte_array = explode ( ";", $field ["fiProjekt"] );
	$query .= " and ( 0=1 ";
	foreach ( ( array ) $contentprojekte_array as $key => $projektid ) {
		if ($projektid != "") {
			$query .= " or $tblprojekte.id = " . $projektid . " ";
		}
	}
	$query .= " ) ";
} else {
	$query .= " and 2=4 ";
}

// Kundenfilter
if ($filter [$listenname] ["kunde"] != "") {
	$query .= " and ($tblprojekte.fiKunde = " . $filter [$listenname] ["kunde"] . " ";
	$query .= " or $tblprojekte.fiEndkunde = " . $filter [$listenname] ["kunde"] . ") ";
}

// Projektstatusfilter
if ($filter [$listenname] ["projektstatus"] != "") {
	$query .= " and $tblprojekte.fiStatus = " . $filter [$listenname] ["projektstatus"] . " ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtEingangsdatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtEingangsdatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblprojekte,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtKunde_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiKunde"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtEingangsdatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtEingangsdatum"] );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Projekt_id"], "projekte", $benutzerrechte );
		if ($readonly == "") {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["Projekt_id"], $benutzerrechte, "", "lschen", "Diese Zuordnung entfernen" );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste ausgeben
$anzahl = liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenfusszeile
listenfuss ( $listenname, $field_width, $sortierung [$listenname], $anzahl, $anzahl_ausgabe, $anzahl_gesamt, $target, $typ, $id, $subtarget, $subtyp );

?>