<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["rechnungliste"];

// nur die Projekte dieses Contents anzeigen
if ($field ["fiRechnung"] != ";") {
	$contentprojekte_array = explode ( ";", $field ["fiRechnung"] );
	$query .= " and ( 0=1 ";
	foreach ( ( array ) $contentprojekte_array as $key => $projektid ) {
		if ($projektid != "") {
			$query .= " or $tblrechnungen.id = " . $projektid . " ";
		}
	}
	$query .= " ) ";
} else {
	$query .= " and 2=4 ";
}
$anzahl_gesamt = get_table_count ( $query );

// Rechnungstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["rechnungstatus"], "$tblrechnungen.fiStatus" );

// Lieferantenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblrechnungen.fiLieferant" );

// Faelligkeitfilter
if ($filter [$listenname] ["faelligkeitfilter"] == 1) {
	$query .= " and to_days($tblrechnungen.dtDatumFaelligkeit)-7 <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "')";
}
if ($filter [$listenname] ["faelligkeitfilter"] == 2) {
	$query .= " and to_days($tblrechnungen.dtDatumFaelligkeit) <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "')";
}

// Zahlartfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["zahlart"], "$tblrechnungen.fiZahlart" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblrechnungen,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ hole Bilanzdaten
		$bilanz_query = "select * from tblBilanzRechnungen where fiRechnung = " . $listenzeile ["Rechnung_id"];
		$bilanz_row = get_table_row ( $bilanz_query );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiLieferant"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtRechnungDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtRechnungDatum"] );
		
		$datum_faelligkeit = split_date ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] );
		$datum_faelligkeit_warnung = mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"] - 7, $datum_faelligkeit ["jahr"] );
		
		if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"], $datum_faelligkeit ["jahr"] )) {
			$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = "<span style=\"background-color: " . $bgcolor_formular_rot . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
		} else if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= $datum_faelligkeit_warnung) {
			$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = "<span style=\"background-color: " . $bgcolor_formular_gelb . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
		} else {
			$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] );
		}
		
		$summenetto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nSumme Netto: " . preis_from_sql ( $bilanz_row ["dtSummeNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= " \" >";
		$summenetto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeNetto"], null, 2 );
		$summenetto_span_anzeige .= "</span>";
		
		$summebrutto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nSumme Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeBrutto"], null, 2 ) . "\n \n";
		$summebrutto_span_anzeige .= "bezahlt: " . preis_from_sql ( $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= "offen: " . preis_from_sql ( $bilanz_row ["dtSummeBrutto"] - $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= " \" >";
		$summebrutto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeBrutto"], null, 2 );
		$summebrutto_span_anzeige .= "</span>";
		
		if ($bilanz_row ["dtAktuell"] == 1) {
			
			$liste_output [$listenzeile_id] ["dtRechnungSummeNetto"] = $summenetto_span_anzeige;
			$liste_output [$listenzeile_id] ["dtRechnungSummeBrutto"] = $summebrutto_span_anzeige;
			
			$summe_netto = $summe_netto + $bilanz_row ["dtSummeNetto"];
			$summe_brutto = $summe_brutto + $bilanz_row ["dtSummeBrutto"];
			$summe_bezahlt_brutto = $summe_bezahlt_brutto + $bilanz_row ["dtSummeBezahltBrutto"];
		} else {
			$bilanz_nicht_aktuell = 1;
		}
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Rechnung_id"], "rechnungen", $benutzerrechte );
		if ($readonly == "") {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["Rechnung_id"], $benutzerrechte, "", "lschen", "Diese Zuordnung entfernen" );
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>