<?php
// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage

// Alles wie immer, alle Artikel ohne Varianten anzeigen
$query = $sql_query ["artikellisteexport"];

$anzahl_gesamt = listeanzahl_ermitteln ( $tblartikel );

// Warengruppenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["warengruppe"], "$tblartikel.fiWarengruppe" );

// Lieferantenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblartikellieferanten.fiLieferant" );

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblartikel,
		$tblwarengruppen 
), $filter [$listenname] ["textfilter"] );

// Virtuelle Artikel NICHT anzeigen
$query .= " AND $tblartikeleinheiten.dtArtikelEinheitenArt != 2 ";

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );

if ($filter [$listenname] ["variante"] == 1)
	$query .= " AND $tblartikel.id = $tblartikelvarianten.fiArtikel GROUP BY $tblartikel.id" . $sortierung_sql . $limit_sql;
else
	$query .= "GROUP BY $tblartikel.id " . $sortierung_sql . $limit_sql;

$liste = get_table_array ( $query );

$iCounter = 0;
// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Cache
		// $cache = CacheListe_getFromCache($target, $typ, $liste[$listenzeile_id]["Artikel_id"], $tblartikel, $liste[$listenzeile_id]);
		// if($cache !== false) {
		// $liste_output[$listenzeile_id] = $cache;
		// continue;
		// }
		
		$iArtikelTyp = getArtikelTyp ( $liste [$listenzeile_id] ["Artikel_id"] );
		$sVariante = "stammdaten";
		
		// hole Artikelvariantendaten
		$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.dtArtikelVarianteAktiv = 1";
		$artikelvarianten_liste = get_table_array ( $query );
		
		// baue Variantenarray auf
		foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
			$artikelvarianten_array [$value ["fiArtikelVariantenGruppe"]] [$value ["Variante_id"]] = $value;
		}
		
		$sVariante = getArtikelVariantenKombinationenListe ( $liste [$listenzeile_id] ["Artikel_id"] );
		
		$iAnzahl = getArtikelAnzahlVerfuegbar ( $liste [$listenzeile_id] ["Artikel_id"], 0, $sVariante );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$target] ["textfilter"] );
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Artikel_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Artikel_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Artikel_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "varianteaktiv", $filter [$listenname] ["variante"] );
		
		if ($iArtikelTyp == 1) {
			$liste_output [$listenzeile_id] ["dtAnzahl"] = double_from_sql ( $iAnzahl, 2 );
			$liste_output [$listenzeile_id] ["dtAnzahlNeu"] = input_text ( "Menge", "dtMengeNeu", "", "input_text_100 dtMengeNeu" );
		} else if ($iArtikelTyp == 2) {
			$liste_output [$listenzeile_id] ["dtAnzahl"] = "(virtuell)";
			$liste_output [$listenzeile_id] ["dtAnzahlNeu"] = "";
		} else {
			$liste_output [$listenzeile_id] ["dtAnzahl"] = $iAnzahl;
			$liste_output [$listenzeile_id] ["dtAnzahlNeu"] = input_text ( "Menge", "dtMengeNeu", "", "input_text_100 dtMengeNeu" );
		}
		
		$liste_output [$listenzeile_id] ["dtEKNeu"] = input_text ( "EK", "dtEKNeu", preis_from_sql ( getArtikelEK ( $liste [$listenzeile_id] ["Artikel_id"] ) ), "input_text_100" );
		$liste_output [$listenzeile_id] ["dtArtikel"] = shortcutlink ( $liste_output [$listenzeile_id] ["dtArtikel"], "lagerartikel", "show", $liste_output [$listenzeile_id] ["Artikel_id"], $benutzerrechte );
		
		if ($liste_output [$listenzeile_id] ["dtArtikelMeldebestand"] >= $liste_output [$listenzeile_id] ["dtAnzahl"]) {
			
			$sMeldebestandUeberschritten = "<span title=\"Meldebestand\" style=\"background-color: #FFFF3A\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMeldebestand"], 2 ) . "</span>";
			$sMindestbestandUeberschritten = "<span title=\"Mindestbestand\" style=\"background-color: #FFFF3A\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMindestbestand"], 2 ) . "</span>";
			$sMeldebestandUeberschrittenAnzahl = "<span title=\"Anzahl\" style=\"background-color: #FFFF3A\">" . $liste_output [$listenzeile_id] ["dtAnzahl"] . "</span>";
			$sMeldebestandUeberschrittenArtikel = "<span title=\"Artikel\" style=\"background-color: #FFFF3A\">" . $liste_output [$listenzeile_id] ["dtArtikel"] . "</span>";
			$sMeldebestandUeberschrittenArtikelNr = "<span title=\"ArtikelNr\" style=\"background-color: #FFFF3A\">" . $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] . "</span>";
		} else {
			$sMeldebestandUeberschritten = "<span title=\"Meldebestand\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMeldebestand"], 2 ) . "</span>";
			$sMeldebestandUeberschrittenAnzahl = "<span title=\"Anzahl\">" . $liste_output [$listenzeile_id] ["dtAnzahl"] . "</span>";
			$sMeldebestandUeberschrittenArtikel = "<span title=\"Artikel\">" . $liste_output [$listenzeile_id] ["dtArtikel"] . "</span>";
			$sMeldebestandUeberschrittenArtikelNr = "<span title=\"ArtikelNr\">" . $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] . "</span>";
		}
		
		if ($liste_output [$listenzeile_id] ["dtArtikelMindestbestand"] >= $liste_output [$listenzeile_id] ["dtAnzahl"]) {
			$sMeldebestandUeberschritten = "<span title=\"Meldebestand\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMeldebestand"], 2 ) . "</span>";
			$sMindestbestandUeberschritten = "<span title=\"Mindestbestand\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMindestbestand"], 2 ) . "</span>";
			$sMindestbestandUeberschrittenAnzahl = "<span title=\"Anzahl\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . $liste_output [$listenzeile_id] ["dtAnzahl"] . "</span>";
			$sMindestbestandUeberschrittenArtikel = "<span title=\"Artikel\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . $liste_output [$listenzeile_id] ["dtArtikel"] . "</span>";
			$sMindestbestandUeberschrittenArtikelNr = "<span title=\"ArtikelNr\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] . "</span>";
		} else {
			$sMindestbestandUeberschritten = "<span title=\"Mindestbestand\">" . round ( $liste_output [$listenzeile_id] ["dtArtikelMindestbestand"], 2 ) . "</span>";
			$sMindestbestandUeberschrittenAnzahl = "<span title=\"Anzahl\">" . $liste_output [$listenzeile_id] ["dtAnzahl"] . "</span>";
			$sMindestbestandUeberschrittenArtikel = "<span title=\"Artikel\">" . $liste_output [$listenzeile_id] ["dtArtikel"] . "</span>";
			$sMindestbestandUeberschrittenArtikelNr = "<span title=\"ArtikelNr\">" . $liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] . "</span>";
		}
		
		if ($liste_output [$listenzeile_id] ["dtArtikelMeldebestand"] >= $liste_output [$listenzeile_id] ["dtAnzahl"] && $liste_output [$listenzeile_id] ["dtArtikelMindestbestand"] >= $liste_output [$listenzeile_id] ["dtAnzahl"]) {
			$liste_output [$listenzeile_id] ["dtArtikelMindestbestand"] = $sMindestbestandUeberschritten;
			$liste_output [$listenzeile_id] ["dtArtikelMeldebestand"] = $sMeldebestandUeberschritten;
			$liste_output [$listenzeile_id] ["dtArtikel"] = $sMindestbestandUeberschrittenArtikel;
			$liste_output [$listenzeile_id] ["dtAnzahl"] = $sMindestbestandUeberschrittenAnzahl;
			$liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] = $sMindestbestandUeberschrittenArtikelNr;
		} else {
			$liste_output [$listenzeile_id] ["dtArtikelMeldebestand"] = $sMeldebestandUeberschritten;
			$liste_output [$listenzeile_id] ["dtArtikelMindestbestand"] = $sMindestbestandUeberschritten;
			$liste_output [$listenzeile_id] ["dtArtikel"] = $sMeldebestandUeberschrittenArtikel;
			$liste_output [$listenzeile_id] ["dtAnzahl"] = $sMeldebestandUeberschrittenAnzahl;
			$liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] = $sMeldebestandUeberschrittenArtikelNr;
		}
		
		if (count ( $sVariante ) > 0) {
			/*
			 * Info Box VK Preise Anfang
			 */
			
			$liste_output [$listenzeile_id] ["dtVarianteNr"] = "</div><div style='text-align: center;'>&nbsp;";
			
			$liste_output [$listenzeile_id] ["dtAnzahlNeu"] = "";
			$liste_output [$listenzeile_id] ["dtEKNeu"] = "";
			
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= aufzuklappbutton ( $liste [$listenzeile_id] ["Artikel_id"], "" );
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "<div style=\"position: absolute;\">";
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "<div style=\"position: relative; left: -000px; display:none; z-index:350;\" id='" . $liste [$listenzeile_id] ["Artikel_id"] . "' class=\"" . $historyboxclass . "\" >";
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
			
			$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "varianteaktiv", "aktiv" );
			
			for($i = 0; $i < count ( $sVariante ); $i ++) {
				$sVariantenNr = "";
				
				$sVarianteEigenschaften = "";
				foreach ( $sVariante [$i] as $sVarianteGruppe => $iVariante ) {
					$aVarianteInfoRow = get_table_row ( $sql_query ["artikelvariantenliste"] . " AND $tblartikelvarianten.id = " . $iVariante );
					$sVariantenNr .= $aVarianteInfoRow ["dtGruppenArtikelNrPrefix"] . "" . $aVarianteInfoRow ["dtArtikelVariantenNr"];
					$sVarianteEigenschaften .= $aVarianteInfoRow ["dtArtikelVariantenName"] . "\n";
				}
				
				// +++++++++++ Eingabefelder erzeugen
				$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "variantenr" . $i, htmlentities ( serialize ( $sVariante [$i] ) ) );
				$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "variantebez" . $i, htmlentities ( $sVariantenNr ) );
				$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "zeilenstelle" . $i, $listenzeile_id );
				
				$iAnzahl = str_replace ( ".", ",", getArtikelAnzahlVerfuegbar ( $liste [$listenzeile_id] ["Artikel_id"], 0, $sVariante [$i] ) );
				
				$liste_output [$listenzeile_id] ["dtVarianteNr"] .= formular_text ( $sVariantenNr, "dtMengeNeu" . $i, $iAnzahl, "input_text_100", "", "text-align: right;", "", $sVarianteEigenschaften );
				
				$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "</tr><tr>";
			}
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "</tr>";
			$liste_output [$listenzeile_id] ["dtVarianteNr"] .= "</table></div></div></div>";
			/*
			 * Info Box VK Preise Ende
			 */
		}
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Artikel_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick=\"inventur_selectNextAnzahlField(this.form); formular_senden(this.form); return false;\"" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		// +++++++++++ Cache
		// CacheListe_writeIntoCache($target, $typ, $liste[$listenzeile_id]["Artikel_id"], $tblartikel, $listenzeile, $liste_output[$listenzeile_id]);
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>