<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektliste"];
$anzahl_gesamt = get_table_count_complete ( $tblprojekte );

$iQueryLaenge = strlen ( $query );

// Projektstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektstatus"], "$tblprojekte.fiStatus" );

// Projekttypfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekttyp"], "$tblprojekte.fiProjektTyp" );

// Projektverantwortlicherfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektverantwortlicher"], "$tblprojekte.fiProjektVerantwortlicher" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblprojekte.fiKunde", false, false, "$tblprojekte.fiEndkunde" );

// KundenASPfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kontaktasp"], "$tblprojekte.fiKundeAnsprechpartner", false, false, "$tblprojekte.fiEndkundeAnsprechpartner" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtEingangsdatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtEingangsdatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblprojekte,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

/*
 * // wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu if (!(array_key_exists("anzahl", (array)$sortierung[$listenname]))) { $sortierung[$listenname]["anzahl"] = 50; $sortierung[$listenname]["position"] = 1; }; //if ($sortierung[$listenname]["anzahl"] != "" and $filter[$listenname]["textfilter"] == "") { $limit_sql = " limit ".($sortierung[$listenname]["position"] - 1).",".$sortierung[$listenname]["anzahl"]; //} else { // $limit_sql = ""; // $sortierung[$listenname]["anzahl"] = ""; //}
 */

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// $shortcut_link = shortcutbutton ( "kontakte", "show", $field ["fiKunde"], $benutzerrechte, "ansprechpartner", "show" );
// echo formular_dropdownbox_ajax_empty ( "Ansprechpartner", $query, "KontaktASP_id", "fiKundeAnsprechpartner", $field ["fiKundeAnsprechpartner"], "dtKontaktASPDDText", "input_select_250", "", "", $shortcut_link );
// echo "</tr><tr><td>&nbsp;</td></tr><tr>";

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtKunde_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiKunde"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtEingangsdatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtEingangsdatum"] );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Projekt_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Projekt_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Projekt_id"], $target, $benutzerrechte );
		
		$sQuerySQL = $sql_query ["projektteilprojekteliste"] . " AND fiProjekt = " . $listenzeile ["Projekt_id"];
		$aTeilprojekteResult = get_table_array ( $sQuerySQL );
		
		/* Gibt es berhaupt zu dem Projekt Teilprojekte?? Wenn ja, sollen diese ausgegeben werden */
		if (count ( $aTeilprojekteResult ) > 0) {
			/* Buttongenerierung fr Teilprojekte */
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] = aufzuklappbutton ( $listenzeile ["Projekt_id"] . "_Teilprojekte", "" );
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "<div style=\"position: absolute;\">";
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "<div style=\"position: relative; left: 20px; bottom: 15px; display:none; z-index:350;\" id='" . $listenzeile ["Projekt_id"] . "_Teilprojekte' class=\"" . $historyboxclass . "\" onClick=\"this.style.display = 'none';\" >";
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "<table border=0 cellspacing=5 cellpadding=0 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";
			
			/* Befllung von Teilprojekten in DIV Box */
			foreach ( ( array ) $aTeilprojekteResult as $cpTeilprojekteResult ) {
				$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "<td>" . $cpTeilprojekteResult ["dtTeilprojektName"] . " | </td><td>" . detailbutton ( $listenzeile ["Projekt_id"], $target, $benutzerrechte, "&subtarget=projektteilprojekte&teilprojekt=teilprojekt_" . $cpTeilprojekteResult ["Teilprojekte_id"] ) . "</td>";
				$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "</tr><tr>";
			}
			
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] .= "</table></div></div>";
		} else {
			$liste_output [$listenzeile_id] ["dtTeilprojekt"] = "";
		}
		
		/*
		 * Ansprechpartner ausgeben fr das Projekt
		 */
		$sQueryASP = $sql_query ["kontaktaspliste"] . " AND $tblkontaktasp.id = " . $listenzeile ["fiKundeAnsprechpartner"];
		$rASP = get_table_row ( $sQueryASP );
		
		$liste_output [$listenzeile_id] ["dtKontaktASPDDText"] = $rASP ["dtKontaktASPDDText"];
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>