<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektliste"];
$anzahl_gesamt = get_table_count ( $query );

// Projektstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektstatus"], "$tblprojekte.fiStatus" );

// Projekttypfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekttyp"], "$tblprojekte.fiProjektTyp" );

// Projektstandfilter
// if ($filter[$listenname]["projektstand"] == 1) {
$query .= " and $tblprojekte.fiProjektUebersicht != 0 ";
// }

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblprojekte.fiKunde", false, false, "$tblprojekte.fiEndkunde" );

// KundenASPfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kontaktasp"], "$tblprojekte.fiKundeAnsprechpartner", false, false, "$tblprojekte.fiEndkundeAnsprechpartner" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtEingangsdatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtEingangsdatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblprojekte,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

$query .= $sortierung_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$liste_output [$listenzeile_id] = $listenzeile;
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtEingangsdatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtEingangsdatum"] );
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Layout Infos
$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.dtDokumentName = '" . $listenlayout . "'";
$field = get_table_row ( $query );

$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Definiere Seitenrnder
$typ = "seitenraender";
include ("$functionsordner/function_pdf.php");

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neues PDF Dokument (nur fr Berechnung von Feldbreiten, je nach Schriftart)
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

if (count ( $liste_output ) != 0) {
	foreach ( $liste_output as $listenzeile_id => $listenzeile ) {
		if ($listenzeile ["Textfilter"] != "nomatch") {
			
			// hole alle relevanten Informationen
			
			$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $listenzeile ["fiKunde"];
			$kunde_row = get_table_row ( $query );
			
			if ($listenzeile ["fiKundeAnsprechpartner"] != 0) {
				$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $listenzeile ["fiKundeAnsprechpartner"];
				$kundeasp_row = get_table_row ( $query );
			}
			
			if ($listenzeile ["fiEndkunde"] != 0) {
				$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $listenzeile ["fiEndkunde"];
				$endkunde_row = get_table_row ( $query );
			}
			
			if ($listenzeile ["fiEndkundeAnsprechpartner"] != 0) {
				$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $listenzeile ["fiEndkundeAnsprechpartner"];
				$endkundeasp_row = get_table_row ( $query );
			}
			
			$projektkalkulation = projektkalkulation ( $listenzeile ["Projekt_id"] );
			
			$datum = split_date ( $listenzeile ["dtDatum"] );
			$kw = week_from_date ( $listenzeile ["dtDatum"] ) . "." . substr ( $datum ["jahr"], 2 );
			
			if ($printzeile >= 3) {
				
				// ++++ Seitenumbruch
				$printzeile = 0;
				$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );
				$pdf = new PDF ();
				$pdf->new_document ( $dokumentname, $ausrichtung );
			}
			
			$printzeile ++;
			$zeilenhoehe = 80;
			
			// $pdf->SetLineWidth(0.5);
			$pdf->SetDrawColor ( 0 );
			$pdf->Line ( 20, ($printzeile * $zeilenhoehe) - 40, 190, ($printzeile * $zeilenhoehe) - 40 );
			$pdf->Line ( 20, ($printzeile * $zeilenhoehe) - 39.5, 190, ($printzeile * $zeilenhoehe) - 39.5 );
			
			$grauwert = 200;
			$pdf->SetDrawColor ( $grauwert );
			
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) - 38, 30, 5, "Kunde:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 50, ($printzeile * $zeilenhoehe) - 38, 75, 5, $kunde_row ["dtKontaktDDText"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "L" );
			
			if ($listenzeile ["fiKundeAnsprechpartner"] != 0) {
				$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) - 33, 30, 5, "Ansprechpartner:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 50, ($printzeile * $zeilenhoehe) - 33, 65, 5, $kundeasp_row ["dtKontaktASPDDText"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			}
			
			if ($listenzeile ["fiEndkunde"] != 0) {
				$pdf->tabellenfeld ( 115, ($printzeile * $zeilenhoehe) - 38, 30, 5, "Endkunde:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 145, ($printzeile * $zeilenhoehe) - 38, 65, 5, $endkunde_row ["dtKontaktDDText"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			}
			
			if ($listenzeile ["fiEndkundeAnsprechpartner"] != 0) {
				$pdf->tabellenfeld ( 115, ($printzeile * $zeilenhoehe) - 33, 30, 5, "Ansprechpartner:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 145, ($printzeile * $zeilenhoehe) - 33, 65, 5, $endkundeasp_row ["dtKontaktASPDDText"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			}
			
			$projektbezeichnung = "Projektname:  " . $listenzeile ["dtProjektname"];
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) - 26, 170, 5, $projektbezeichnung, $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 1, 255, "", 0, "L" );
			
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) - 20, 85, 30, "", $field ["dtStandardSchriftArt"], 8, 1, 255, "", 0, "C" );
			
			$pdf->tabellenfeld ( 23, ($printzeile * $zeilenhoehe) - 18, 30, 5, "Eingangsdatum:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 53, ($printzeile * $zeilenhoehe) - 18, 50, 5, $listenzeile ["dtEingangsdatum"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			
			$pdf->tabellenfeld ( 23, ($printzeile * $zeilenhoehe) - 13, 30, 5, "Bestell-Nr.:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 53, ($printzeile * $zeilenhoehe) - 13, 50, 5, $listenzeile ["dtBestellnummer"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			
			$pdf->tabellenfeld ( 23, ($printzeile * $zeilenhoehe) - 8, 30, 5, "Projekt-Nr.:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 53, ($printzeile * $zeilenhoehe) - 8, 50, 5, $listenzeile ["dtProjektNr"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			
			$pdf->tabellenfeld ( 23, ($printzeile * $zeilenhoehe) + 2, 30, 5, "Status:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 53, ($printzeile * $zeilenhoehe) + 2, 50, 5, $listenzeile ["dtProjektStatus"], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			
			$pdf->tabellenfeld ( 105.5, ($printzeile * $zeilenhoehe) - 20, 85, 30, "", $field ["dtStandardSchriftArt"], 8, 1, 255, "", 0, "C" );
			
			$pdf->tabellenfeld ( 109, ($printzeile * $zeilenhoehe) - 18, 30, 5, "Gesamtvolumen:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 139, ($printzeile * $zeilenhoehe) - 18, 48, 5, preis_from_sql ( $projektkalkulation ["GesamtKalkulation"], PDF ), $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "R" );
			$pdf->SetDrawColor ( 0 );
			$pdf->Line ( 109, ($printzeile * $zeilenhoehe) - 13.5, 187, ($printzeile * $zeilenhoehe) - 13.5 );
			
			if ($listenzeile ["fiProjektUebersicht"] == 2) {
				
				$pdf->tabellenfeld ( 109, ($printzeile * $zeilenhoehe) - 12, 40, 5, "Bisherige Personalkosten:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 149, ($printzeile * $zeilenhoehe) - 12, 38, 5, preis_from_sql ( $projektkalkulation ["GesamtBisherigeKostenPersonal"], PDF ), $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "R" );
				
				$pdf->tabellenfeld ( 109, ($printzeile * $zeilenhoehe) - 8, 40, 5, "Bisherige Materialkosten:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 149, ($printzeile * $zeilenhoehe) - 8, 38, 5, preis_from_sql ( $projektkalkulation ["GesamtBisherigeKostenMaterialVK"], PDF ), $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "R" );
				
				$pdf->tabellenfeld ( 109, ($printzeile * $zeilenhoehe) - 3, 30, 5, "Bisherige Kosten:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 139, ($printzeile * $zeilenhoehe) - 3, 48, 5, preis_from_sql ( $projektkalkulation ["GesamtBisherigeKostenPersonal"] + $projektkalkulation ["GesamtBisherigeKostenMaterialVK"], PDF ), $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "R" );
				
				$pdf->tabellenfeld ( 109, ($printzeile * $zeilenhoehe) + 3, 30, 5, "Restbudget:", $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "L" );
				$pdf->tabellenfeld ( 139, ($printzeile * $zeilenhoehe) + 3, 48, 5, preis_from_sql ( $projektkalkulation ["GesamtKalkulation"] - $projektkalkulation ["GesamtBisherigeKostenPersonal"] - $projektkalkulation ["GesamtBisherigeKostenMaterialVK"], PDF ), $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"] + 1, 0, 255, "", 0, "R" );
				$pdf->SetDrawColor ( 0 );
				$pdf->Line ( 109, ($printzeile * $zeilenhoehe) + 3, 187, ($printzeile * $zeilenhoehe) + 3 );
			}
			
			$kommentartext = $pdf->format_tabellenfeld ( "Kommentar:\n" . $listenzeile ["dtProjektKommentar"], 180 );
			
			$kommentartext_zeilen = explode ( "\n", $kommentartext );
			// $kommentartext = $kommentartext_zeilen[0] ."\n". $kommentartext_zeilen[1] . $kommentartext_zeilen[2] . $kommentartext_zeilen[4];
			
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 12, 170, 5, $kommentartext_zeilen [0], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 16, 170, 5, $kommentartext_zeilen [1], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 20, 170, 5, $kommentartext_zeilen [2], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 24, 170, 5, $kommentartext_zeilen [3], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 28, 170, 5, $kommentartext_zeilen [4], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			$pdf->tabellenfeld ( 20, ($printzeile * $zeilenhoehe) + 32, 170, 5, $kommentartext_zeilen [4], $field ["dtStandardSchriftArt"], $field ["dtStandardSchriftGroesse"], 0, 255, "", 0, "L" );
			
			if ($printzeile >= 3) {
				
				// ++++ Linie am Seitenende
				$pdf->SetDrawColor ( 0 );
				$pdf->Line ( 20, (($printzeile + 1) * $zeilenhoehe) - 40, 190, (($printzeile + 1) * $zeilenhoehe) - 40 );
				$pdf->Line ( 20, (($printzeile + 1) * $zeilenhoehe) - 39.5, 190, (($printzeile + 1) * $zeilenhoehe) - 39.5 );
			}
		}
	}
}

// echo '<pre>'.str_replace(array("\n" , " "), array('<br>', '&nbsp;'), print_r($projektkalkulation, true)).'</pre><br><br>';
// exit;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schliesse temporres PDF Dokument
$pdf->Output ( $dateiname . ($seite ++) . ".pdf" );

/*
 * // +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ // ++++ fge Seitenumbrche ein $liste_print = $pdf->tabellenseitenumbrueche ($liste_print, round($field["dtStandardSchriftGroesse"]/1.9, 0), $druckhoehe_p1, $druckhoehe); // +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ // ++++ drucke alle Seiten $pdf->tabelle_output ($liste_print, $rand_links_p1, $rand_oben_p1, $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field["dtDokumentName"], $ausrichtung); // +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ // ++++ erzeuge ggf. Seite mit Infofeld auf erster Seite if ($field["dtInfofeldVorhanden"] == 1) { $infofeld_array = create_infofeld_liste_array ("Projektliste", $field["dtInfofeldSchriftArt"], $field["dtInfofeldSchriftGroesse"], $filter[$listenname], $sortierung[$listenname], $field_headlines, $show_fields); create_infofeldseite ($infofeld_array, $ausrichtung, $field["dtInfofeldLinks"], $field["dtInfofeldOben"], $seitenbreite - $field["dtInfofeldLinks"] - $field["dtInfofeldRechts"], $seitenhoehe - $field["dtInfofeldOben"] - $field["dtInfofeldUnten"]); }
 */

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seite mit Datumsfeld auf erster Seite
if ($field ["dtDatumsfeldVorhanden"] == 1) {
	create_datumsfeldseite ( $field ["dtDatumsfeldText"], $ausrichtung, $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld fr alle Seiten
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hinzufgen des Layouts und zusammenfhren aller Seiten
$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF im Browser durch Reload der Seite
output_reload ( $output_filename );

?>