<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$queryOptimized = $sql_query ["rechnunglisteoptimized"];
$anzahl_gesamt = listeanzahl_ermitteln ( $tblrechnungen );
unset ( $query );

$iQueryLaenge = strlen ( $query );
// Rechnungstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["rechnungstatus"], "$tblrechnungen.fiStatus" );

// Lieferantenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblrechnungen.fiLieferant" );

// Faelligkeitfilter
if ($filter [$listenname] ["faelligkeitfilter"] == 1) {
	$query .= " and (to_days($tblrechnungen.dtSkontoFaelligkeit)-7 <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "') OR to_days($tblrechnungen.dtDatumFaelligkeit)-7 <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "'))";
}
if ($filter [$listenname] ["faelligkeitfilter"] == 2) {
	$query .= " and to_days($tblrechnungen.dtDatumFaelligkeit) <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "')";
}

// Zahlartfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["zahlart"], "$tblrechnungen.fiZahlart" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblrechnungen,
		$tblkontakte,
		$tblrechnungposten 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}
/*
 * Obere Ausgabe : Sobald gesucht wird ber die Textbox, passt die Anzahl
 * Untere Ausgabe : Dadurch, das Group By und Count = 1 ergibt, muss die alte Abfrage hervorgeholt werden
 *
 */
if ($filter [$listenname] ["textfilter"] != "") {
	$query = $queryOptimized . $query;
	$anzahl_ausgabe = get_table_count ( $query );
} else {
	$anzahl_ausgabe = get_table_count ( $sql_query ["rechnungliste"] . $query );
	$query = $queryOptimized . $query;
}

// Wird bentigt, da die Query normal mehrfache Zeilen einer ID ausgibt, je nachdem wie viele Objekte zugewiesen sind
$query .= " GROUP BY $tblrechnungen.id ";
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );
$sIsPdf = $liste_output;

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ hole Bilanzdaten
		$bilanz_query = "select * from tblBilanzRechnungen where fiRechnung = " . $listenzeile ["Rechnung_id"];
		$bilanz_row = get_table_row ( $bilanz_query );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] = shortcutlink ( format_name_html ( $liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiLieferant"], $benutzerrechte );
		$liste_output [$listenzeile_id] ["dtRechnungDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtRechnungDatum"] );
		
		if (! empty ( $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"] ) && $liste_output [$listenzeile_id] ["dtSkonto"] > 0) {
			$datum_skonto_faelligkeit = split_date ( $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"] );
			$datum_skonto_faelligkeit_warnung = mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"] - 7, $datum_faelligkeit ["jahr"] );
			
			if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= mktime ( 0, 0, 0, $datum_skonto_faelligkeit ["monat"], $datum_skonto_faelligkeit ["tag"], $datum_skonto_faelligkeit ["jahr"] )) {
				$sSkontoFaelligkeitAusgabe = "<span title=\"Skonto\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"] ) . "</span>";
			} else if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= $datum_skonto_faelligkeit_warnung) {
				$sSkontoFaelligkeitAusgabe = "<span title=\"Skonto\" style=\"background-color: " . $bgcolor_formular_gelb . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"] ) . "</span>";
			} else {
				$sSkontoFaelligkeitAusgabe = "<span title=\"Skonto\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"] ) . "</span>";
			}
			$sSkontoFaelligkeitAusgabe .= " (" . round ( $liste_output [$listenzeile_id] ["dtSkonto"], 2 ) . "%)<br>";
		} else {
			$sSkontoFaelligkeitAusgabe = "";
		}
		
		if (! empty ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] )) {
			$datum_faelligkeit = split_date ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] );
			$datum_faelligkeit_warnung = mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"] - 7, $datum_faelligkeit ["jahr"] );
			
			if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"], $datum_faelligkeit ["jahr"] )) {
				$sFaelligkeitAusgabe = "<span title=\"Netto\" style=\"background-color: " . $bgcolor_formular_rot . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
			} else if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= $datum_faelligkeit_warnung) {
				$sFaelligkeitAusgabe = "<span title=\"Netto\" style=\"background-color: " . $bgcolor_formular_gelb . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
			} else {
				$sFaelligkeitAusgabe = "<span title=\"Netto\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
			}
		}
		
		$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = $sSkontoFaelligkeitAusgabe . $sFaelligkeitAusgabe;
		
		// +++++ Gilt der Skontozeitrahmen noch, wird dieser von der Endsumme abgezogen +++++ //
		if ($aktdatum <= $liste_output [$listenzeile_id] ["dtSkontoFaelligkeit"]) {
			$fSummeBrutto = round ( $bilanz_row ["dtSummeBrutto"], 2 ) - (($bilanz_row ["dtSummeBrutto"] / 100) * $liste_output [$listenzeile_id] ["dtSkonto"]);
		} else {
			$fSummeBrutto = round ( $bilanz_row ["dtSummeBrutto"], 2 );
		}
		
		$summenetto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nSumme Netto: " . preis_from_sql ( $bilanz_row ["dtSummeNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= " \" >";
		$summenetto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeNetto"], null, 2 );
		$summenetto_span_anzeige .= "</span>";
		
		$summebrutto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nSumme Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeBrutto"], null, 2 ) . "\n \n";
		$summebrutto_span_anzeige .= "bezahlt: " . preis_from_sql ( $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= "offen: " . preis_from_sql ( $fSummeBrutto - $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= " \" >";
		$summebrutto_span_anzeige .= preis_from_sql ( $fSummeBrutto, null, 2 );
		$summebrutto_span_anzeige .= "</span>";
		
		if ($bilanz_row ["dtAktuell"] == 1) {
			
			$liste_output [$listenzeile_id] ["dtRechnungSummeOffen"] = preis_from_sql ( ($fSummeBrutto + $bilanz_row ["dtSummeBezahltBrutto"]), null, 2 );
			$liste_output [$listenzeile_id] ["dtRechnungSummeNetto"] = $summenetto_span_anzeige;
			$liste_output [$listenzeile_id] ["dtRechnungSummeBrutto"] = $summebrutto_span_anzeige;
			
			$summe_netto = $summe_netto + $bilanz_row ["dtSummeNetto"];
			$summe_brutto = $summe_brutto + $fSummeBrutto;
			$summe_bezahlt_brutto = $summe_bezahlt_brutto + $bilanz_row ["dtSummeBezahltBrutto"];
		} else {
			$bilanz_nicht_aktuell = 1;
		}
		
		($liste_output [$listenzeile_id] ["dtGebucht"] == 0) ? $liste_output [$listenzeile_id] ["dtGebucht"] = "" : $liste_output [$listenzeile_id] ["dtGebucht"] = "X";
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Rechnung_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Rechnung_id"], $target, $benutzerrechte );
		if ($liste_output [$listenzeile_id] ["dtGebucht"] == 0) {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Rechnung_id"], $target, $benutzerrechte );
		}
	}
}

if ($sIsPdf == "pdf") {
	
	$listenzeile_id ++;
	$liste_output [$listenzeile_id] ["dtBelegStatus"] = "";
	$listenzeile_id ++;
	
	$dOffen = ($summe_brutto - ($summe_bezahlt_brutto * - 1));
	
	$liste_summe [0] ["dtRechnungStatus"] = "Summe:";
	$liste_summe [0] ["dtRechnungSummeNetto"] = preis_from_sql ( $summe_netto, "PDF" );
	$liste_summe [0] ["dtRechnungSummeBrutto"] = preis_from_sql ( $summe_brutto, "PDF" );
	$liste_summe [1] ["dtRechnungStatus"] = "Bezahlt:";
	$liste_summe [1] ["dtRechnungSummeBrutto"] = preis_from_sql ( $summe_bezahlt_brutto * - 1, "PDF" );
	$liste_summe [2] ["dtRechnungStatus"] = "Offen:";
	$liste_summe [2] ["dtRechnungSummeOffen"] = preis_from_sql ( $dOffen, "PDF" );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Summenausgabe
	if (is_array ( $liste_summe )) {
		foreach ( $liste_summe as $zeile => $listenzeile ) {
			
			$liste_output [$listenzeile_id] ["dtRechnungStatus"] = $listenzeile ["dtRechnungStatus"];
			$liste_output [$listenzeile_id] ["dtRechnungSummeNetto"] = $listenzeile ["dtRechnungSummeNetto"];
			$liste_output [$listenzeile_id] ["dtRechnungSummeBrutto"] = $listenzeile ["dtRechnungSummeBrutto"];
			$liste_output [$listenzeile_id] ["dtRechnungSummeOffen"] = $listenzeile ["dtRechnungSummeOffen"];
			
			$listenzeile_id ++;
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>