<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektzeitenliste"];
// $anzahl_gesamt = get_table_count_complete($tblprojektzeiten);

// Mitarbeiterfilter
if ($filter [$listenname] ["mitarbeiter"] != "") {
	$query .= " and $tblprojektzeiten.fiMitarbeiter = '" . $filter [$listenname] ["mitarbeiter"] . "' ";
} else {
	fehlerausgabe ( 39, "", "meldungbox" );
}

$anzahl_gesamt = get_table_count ( $query );

// Projektfilter
if ($filter [$listenname] ["projekt"] != "") {
	if (in_array ( "-1", ( array ) $filter [$listenname] ["projekt"] )) {
		$query .= " and $tblprojektzeiten.fiProjekt = 0 ";
	}
	if (in_array ( "-2", ( array ) $filter [$listenname] ["projekt"] )) {
		$query .= " and $tblprojektzeiten.fiProjekt != 0 ";
	}
	
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblprojektzeiten.fiProjekt", false, false, false, array (
			"-1",
			"-2" 
	) );
}

// Ttigkeitenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["taetigkeit"], "$tblprojektzeiten.fiTaetigkeit" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblprojektzeiten.fiProjektzeitenKunde" );

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblprojektzeiten 
), $filter [$listenname] ["textfilter"] );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Uhrzeitbereich
if ($filter [$listenname] ["uhrzeitbereich"] != "") {
	
	$uhrzeit_explode = explode ( "-", $filter [$listenname] ["uhrzeitbereich"] );
	$uhrzeit_stunde_von = $uhrzeit_explode [0];
	$uhrzeit_minute_von = $uhrzeit_explode [1];
	$uhrzeit_stunde_bis = $uhrzeit_explode [2];
	$uhrzeit_minute_bis = $uhrzeit_explode [3];
	
	if (! ($uhrzeit_stunde_von == 24 and $uhrzeit_minute_von == 60) and ! ($uhrzeit_stunde_von == "" and $uhrzeit_minute_von == "")) {
		$query .= " and (time_to_sec(dtBeginnZeit) >= time_to_sec('" . concat_time ( $uhrzeit_stunde_von, $uhrzeit_minute_von, 0 ) . "')";
		$query .= " or time_to_sec(dtEndeZeit) >= time_to_sec('" . concat_time ( $uhrzeit_stunde_von, $uhrzeit_minute_von, 0 ) . "'))";
	}
	
	if (! ($uhrzeit_stunde_bis == 24 and $uhrzeit_minute_bis == 60) and ! ($uhrzeit_stunde_bis == "" and $uhrzeit_minute_bis == "")) {
		$query .= " and time_to_sec(dtBeginnZeit) <= time_to_sec('" . concat_time ( $uhrzeit_stunde_bis, $uhrzeit_minute_bis, 0 ) . "')";
	}
}

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "ORDER BY dtDatum DESC, dtBeginnZeit DESC";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {

		// +++++++++++ Summenfelder berechnen
		$projektzeiten_summe = $projektzeiten_summe + $liste [$listenzeile_id] ["dtProjektzeitDezimal"];
		$stdsatz_summe = $stdsatz_summe + ($liste [$listenzeile_id] ["dtStdSatz"] * $liste [$listenzeile_id] ["dtProjektzeitDezimal"]);
		
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $liste [$listenzeile_id] ["Projektzeiten_id"], $tblprojektzeiten, $listenzeile );
		if ($cache !== false) {
			$liste_output [$listenzeile_id] = $cache;
			continue;
		}
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Projektzeiten_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiProjekt", $liste [$listenzeile_id] ["fiProjekt"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiTaetigkeit", $liste [$listenzeile_id] ["fiTaetigkeit"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiMitarbeiter", $liste [$listenzeile_id] ["fiMitarbeiter"] );
		
		// +++++++++++ Felder formatieren
		
		if ($liste_output [$listenzeile_id] ["dtDatum"] != "2030-01-01") {
			$datum = split_date ( $liste [$listenzeile_id] ["dtDatum"] );
		}
		
		if ($liste [$listenzeile_id] ["dtBeginnZeit"] == "00:00:00" and $liste [$listenzeile_id] ["dtEndeZeit"] == "00:00:00") {
			$bgcolor_beginnzeit = "#cccccc";
			$bgcolor_endezeit = "#cccccc";
			$bgcolor_anwzeit = "#cccccc";
			$bgcolor_pause = "#cccccc";
			$bgcolor_arbeitszeit = "#cccccc";
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#cccccc";
		} else {
			// $bgcolor_beginnzeit = "#ffffcc";
			$bgcolor_beginnzeit = "#ccffcc";
			$bgcolor_endezeit = "#ccffcc";
			$bgcolor_anwzeit = "#ffffff";
			
			if ($liste [$listenzeile_id] ["dtPauseZeit"] == "00:00:00") {
				$bgcolor_pause = "#8888ff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == $fruehstueck_standard) {
				$bgcolor_pause = "#aaaaff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == $mittagspause_standard) {
				$bgcolor_pause = "#ccccff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == ($fruehstueck_standard + $mittagspause_standard)) {
				$bgcolor_pause = "#eeeeff";
			} else {
				$bgcolor_pause = "#ccffff";
			}
			;
			
			if ($liste [$listenzeile_id] ["dtArbeitsZeit"] == "00:00:00") {
				$bgcolor_arbeitszeit = "#ffaaaa";
			} else {
				$bgcolor_arbeitszeit = "#ffffff";
			}
			;
			
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#ffffff";
		}
		
		$liste_output [$listenzeile_id] ["dtDatum"] = input_text ( "Tag", "datum_tagname", weekday_from_date ( $liste [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Tag", "datum_tag", $datum ["tag"], "input_date_small", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Monat", "datum_monat", $datum ["monat"], "input_date_small", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Jahr", "datum_jahr", $datum ["jahr"], "input_date", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "KW", "datum_kw", week_from_date ( $liste [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		
		$liste_output [$listenzeile_id] ["dtBeginnZeit"] = input_text ( "Beginn", "dtBeginnZeit", time_from_sql ( $liste [$listenzeile_id] ["dtBeginnZeit"] ), "input_text_50", "onChange='this.form.dtBeginnZeit.value=check_zeit(this.form.dtBeginnZeit.value)'", "text-align: right; background-color: $bgcolor_beginnzeit;" );
		$liste_output [$listenzeile_id] ["dtEndeZeit"] = input_text ( "Ende", "dtEndeZeit", time_from_sql ( $liste [$listenzeile_id] ["dtEndeZeit"] ), "input_text_50", "onChange='this.form.dtEndeZeit.value=check_zeit(this.form.dtEndeZeit.value)'", "text-align: right; background-color: $bgcolor_endezeit;" );
		
		/*
		 * Projekt
		 */
		if ($listenzeile ["fiTeilprojekt"] != "0" && $listenzeile ["fiProjekt"] != "0") {
			$projekt_anzeige = $listenzeile ["fiProjekt"] . "//" . $listenzeile ["fiTeilprojekt"];
		} elseif ($listenzeile ["fiProjekt"] > 0) {
			$projekt_anzeige = $listenzeile ["fiProjekt"];
		} else {
			$projekt_anzeige = "";
		}
		
		unset ( $projektrow );
		if ($liste [$listenzeile_id] ["fiProjekt"] != 0) {
			$query = $sql_query ["projektliste"] . " and $tblprojekte.id=" . $liste [$listenzeile_id] ["fiProjekt"];
			$projektrow = get_table_row ( $query );
		}
		
		if ($projektrow ["fiStatus"] < 3 or $projektrow ["fiStatus"] == "") {
			$liste_output [$listenzeile_id] ["dtProjektDDText"] = input_dropdownbox_ajax_array_empty ( "Projekt", "%%%projektliste_mit_teilprojekten%%%", "projektauswahl__" . $listenzeile ["Projektzeiten_id"] . "__", $projekt_anzeige, "input_select_250" );
		} else { // Wenn Projekt nicht mehr in Arbeit
			$liste_output [$listenzeile_id] ["dtProjektDDText"] = input_text ( "Projekt", "dtProjektReadonly", $projektrow ["dtProjektDDText"], "input_text_250", "readonly" );
		}
		/*
		 * Projekt Ende
		 */
		
		if ($liste [$listenzeile_id] ["fiProjekt"] != "") {
			$liste_output [$listenzeile_id] ["dtProjektDDText"] .= shortcutbutton ( "projekte", "show", $liste [$listenzeile_id] ["fiProjekt"], $benutzerrechte );
		}
		
		// Kunde
		$liste_output [$listenzeile_id] ["dtProjektDDText"] .= "<br>";
		$query = "%%%kontaktliste%%% and dtIstKunde = 1";
		$liste_output [$listenzeile_id] ["dtProjektDDText"] .= input_dropdownbox_ajax_empty ( "Kunde", $query, "Kontakte_id", "fiProjektzeitenKunde__" . $listenzeile ["Projektzeiten_id"] . "__", $liste [$listenzeile_id] ["fiProjektzeitenKunde"], "dtKontaktDDText", "input_select_250", "", "" );
		
		if ($liste [$listenzeile_id] ["fiProjektzeitenKunde"] != "") {
			$liste_output [$listenzeile_id] ["dtProjektDDText"] .= shortcutbutton ( "kunden", "show", $liste [$listenzeile_id] ["fiProjektzeitenKunde"], $benutzerrechte );
		}
		
		// Taetigkeit
		$liste_output [$listenzeile_id] ["dtProjektDDText"] .= "<br>";
		$query = $sql_query ["taetigkeitenliste"] . "order by dtTaetigkeitCode";
		$liste_output [$listenzeile_id] ["dtProjektDDText"] .= input_dropdownbox_ajax_empty ( "Ttigkeit", $query, "Taetigkeiten_id", "fiTaetigkeit__" . $listenzeile ["Projektzeiten_id"] . "__", $liste [$listenzeile_id] ["fiTaetigkeit"], "dtTaetigkeitDDText", "input_select_250" );
		
		// Erlaeuterung
		$liste_output [$listenzeile_id] ["dtErlaeuterungStundennachweis"] = input_textarea ( "Erluterung der Arbeiten", "dtErlaeuterungStundennachweis", $liste [$listenzeile_id] ["dtErlaeuterungStundennachweis"], "input_textarea_250x50" );

		if($bFahrtenbuchAktiveren){
			//Ist die Taetigkeit eine Fahrt, wird die Erweiterung eingeblendet fr die Eingabe der km
			if($listenzeile["fiTaetigkeit"] == $standard_taetigkeit_fahrt)
				$liste_output [$listenzeile_id] ["dtKilometer"] = input_text ( "Kilometerangabe fr Fahrtenbuch", "dtKilometer", $liste [$listenzeile_id] ["dtKilometer"], "input_text_50" );
		}
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Projektzeiten_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["Projektzeiten_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = klickbutton ( "loeschen_kurz", "onClick='formular_loeschen(this.form)'", "width: 15px;", "Diesen Eintrag lschen" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		
		$liste_output [$listenzeile_id] ["Buttons"] = $liste_output [$listenzeile_id] ["ButtonAendern"] . " " . $liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] . " " . $liste_output [$listenzeile_id] ["ButtonLoeschen"] . " " . $liste_output [$listenzeile_id] ["Aenderungsanzeiger"];
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $liste [$listenzeile_id] ["Projektzeiten_id"], $tblprojektzeiten, $listenzeile, $liste_output [$listenzeile_id] );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>