<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["wiedervorlagenliste"];

$anzahl_gesamt = get_table_count_complete ( $tblwiedervorlagen );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Targetfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["filterModul"], "$tblwiedervorlagen.dtTarget", false, false, "$tblwiedervorlagen.dtSubtarget" );

/*
 * ODER-Verknpfung des Mitarbeiter- / Gruppenfilters wenn beide gesetzt sind
 */
if ($filter [$listenname] ["mitarbeiter"] == "" || $filter [$listenname] ["benutzergruppen"] == "") {
	// Mitarbeiter
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblwiedervorlagen.fiBenutzer" );
	
	// Gruppe
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["benutzergruppen"], "$tblwiedervorlagen.fiGruppe" );
} else {
	// Mitarbeiter
	$filter_mitarbeiter .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblwiedervorlagen.fiBenutzer" );
	// Gruppe
	$filter_gruppe .= filter_multiselect_return_query ( $filter [$listenname] ["benutzergruppen"], "$tblwiedervorlagen.fiGruppe" );
	
	$query .= " and ( ";
	$query .= substr ( $filter_mitarbeiter, strlen ( "and " ) );
	$query .= " or ";
	$query .= substr ( $filter_gruppe, strlen ( "and " ) );
	$query .= ") ";
}

// Statusfilter
if ($filter [$listenname] ["erledigtfilter"] == 1) {
	$query .= " and dtWiedervorlageErledigt = 0";
} elseif ($filter [$listenname] ["erledigtfilter"] == 2) {
	$query .= " and dtWiedervorlageErledigt = 1";
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblwiedervorlagen 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$zeile_target = $listenzeile ["dtTarget"];
		$zeile_typ = $listenzeile ["dtTyp"];
		$zeile_id = $listenzeile ["dtId"];
		$zeile_subtarget = $listenzeile ["dtSubtarget"];
		$zeile_subtyp = $listenzeile ["dtSubtyp"];
		$zeile_subid = $listenzeile ["dtSubid"];
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtDatum"] );
		$liste_output [$listenzeile_id] ["dtTitel"] = shortcutlink ( $liste_output [$listenzeile_id] ["dtTitel"], $zeile_target, $zeile_typ, $zeile_id, $benutzerrechte, $zeile_subtarget, $zeile_subtyp, $zeile_subid );
		
		/*
		 * Modul
		 */
		if ($zeile_subtarget != "") {
			$liste_output [$listenzeile_id] ["Modul"] = $zeile_subtarget;
		} else {
			$liste_output [$listenzeile_id] ["Modul"] = $zeile_target;
		}
		
		/*
		 * Beschreibung
		 */
		if (strlen ( $liste_output [$listenzeile_id] ["dtWiedervorlageBeschreibung"] ) > 35) {
			$anzeigeSpalteBeschreibung = substr ( $liste_output [$listenzeile_id] ["dtWiedervorlageBeschreibung"], 0, 35 ) . "...";
		} else {
			$anzeigeSpalteBeschreibung = $liste_output [$listenzeile_id] ["dtWiedervorlageBeschreibung"];
		}
		
		$liste_output [$listenzeile_id] ["dtWiedervorlageBeschreibung"] = "<span title=\"" . $liste_output [$listenzeile_id] ["dtWiedervorlageBeschreibung"] . "\">" . $anzeigeSpalteBeschreibung . "</span>";
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Wiedervorlagen_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Wiedervorlagen_id"], $target, $benutzerrechte );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>