<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++ check_fehlermeldung_output +++++++++++++++++++++++++++++++++++++++++++++++++++++
// gebe Fehlermeldung aus wenn ein Check fehlschlgt
if (! function_exists ( "check_fehlermeldung_output" )) {
	function check_fehlermeldung_output($status, $fehlernummer, $fehlertext, $zieltarget, $zieltyp, $zielid = "", $zielsubtarget = "", $zielsubtyp = "", $zielsubid = "") {
		if (! $status) {
			
			$fehler = new Fehler ();
			$fehler->setPredefined ( $fehlernummer, $fehlertext );
			$fehler->setNext ( $zieltarget, $zieltyp, $zielid, $zielsubtarget, $zielsubtyp, $zielsubid );
			throw $fehler;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++ check_int +++++++++++++++++++++++++++++++++++++++++++++++++++++
// testet, ob $variable ein gltiger INT ist, sonst Fehlermeldung
if (! function_exists ( "check_int" )) {
	function check_int($variable) {
		
		// ++++ Wandle Komma in Punkt und entferne Leerzeichen
		$variable = str_replace ( ".", "", $variable );
		$variable = trim ( str_replace ( ",", ".", $variable ) );
		
		if (( int ) $variable != $variable or (( int ) $variable == 0 and $variable != "0"))
			return false;
		if ($variable <= 0)
			return false;
		
		return true;
	}
}

// ++++++++++++++++++++++++++ check_double +++++++++++++++++++++++++++
// testet, ob $variable ein gltiger DOUBLE ist, sonst Fehlermeldung
if (! function_exists ( "check_double" )) {
	function check_double($variable) {
		
		// ++++ schneide Euro-Zeichen ab, wenn eines dran hngt
		if (ord ( substr ( $variable, - 1 ) ) == 128) {
			$variable = substr ( $variable, 0, - 1 );
		}
		
		// ++++ Wandle Komma in Punkt und entferne Leerzeichen
		$variable = trim ( str_replace ( ",", ".", $variable ) );
		
		// if ((double)$variable == 0 and $variable != "0") return false;
		
		return true;
	}
}

// ++++++++++++++++++++++++++ check_nozero ++++++++++++++++++++++++++
// testet, ob $variable nicht leer ist, sonst Fehlermeldung
if (! function_exists ( "check_nozero" )) {
	function check_nozero($variable) {
		if ($variable == "")
			return false;
		return true;
	}
}

// ++++++++++++++++++++++++++ check_date ++++++++++++++++++++++++++
// testet, ob ein Datum ein gltiges Datum ist
if (! function_exists ( "check_date" )) {
	function check_date($tag, $monat, $jahr) {
		if (! checkdate ( $monat, $tag, $jahr ) or $jahr < 1900 or $jahr > 3000)
			return false;
		return true;
	}
}

// ++++++++++++++++++++++++++ check_kw ++++++++++++++++++++++++++
// testet, ob eine Eingabe eine gltige Kalenderwoche ist (Format KW.JJ oder KW.JJJJ)
if (! function_exists ( "check_kw" )) {
	function check_kw($kw) {
		$kw_array = explode ( ".", $kw );
		
		if ($kw_array [0] < 1 or $kw_array [0] > 53 or ! checkdate ( 1, 1, $kw_array [1] ))
			return false;
		return true;
	}
}

// ++++++++++++++++++++++++++ check_time ++++++++++++++++++++++++++
// testet, ob eine Zeit eine gltige Zeit ist
if (! function_exists ( "check_time" )) {
	function check_time($stunde, $minute, $sekunde) {
		if ($stunde < 0 or $stunde > 24 or $minute < 0 or $minute > 60 or $sekunde < 0 or $sekunde > 60)
			return false;
		return true;
	}
}

// ++++++++++++++++++++++++++ check_time_string +++++++++++++++++++
// testet, ob eine Zeit eine gltige Zeit ist
if (! function_exists ( "check_time_string" )) {
	function check_time_string($timestring) {
		$time = split_time ( $timestring );
		if (! check_time ( $time [0], $time [1], $time [2] ))
			return false;
		return true;
	}
}

// ***************************************************************************************************
// ************************************* check_input_string *******************************************
//
// berprft einen String, der vom Benutzer eingegeben wurde und lscht ggf. HTML Tags
if (! function_exists ( "check_input_string" )) {
	function check_input_string($origin) {
		$origin = str_replace ( "<?", "", $origin );
		$origin = str_replace ( "?>", "", $origin );
		
		$untagged = "";
		$skippingtag = false;
		for($i = 0; $i < strlen ( $origin ); $i ++) {
			if (! $skippingtag) {
				if ($origin [$i] == "<") {
					$skippingtag = true;
				} else
					$untagged .= $origin [$i];
			} else {
				if ($origin [$i] == ">") {
					$untagged .= " ";
					$skippingtag = false;
				}
			}
		}
		return ($untagged);
	}
}

// ***************************************************************************************************
// ************************************* check_input_string_2 *******************************************
//
// berprft einen String, der vom Benutzer eingegeben wurde und ndert ggf. Anfhrungszeichen
if (! function_exists ( "check_input_string_2" )) {
	function check_input_string_2($origin) {
		return (str_replace ( array (
				"\"",
				"'",
				"\x{00B4}",
				"`" 
		), "`", stripslashes ( $origin ) ));
	}
}

// ***************************************************************************************************
// ************************************* check_unique **************************************************
//
// berprft, ob ein Feld in einem SQL-Query vorkommt
if (! function_exists ( "check_unique" )) {
	function check_unique($query) {
		$anzahl = mysql_num_rows ( mysql_query ( $query ) );
		if ($anzahl != 0)
			return false;
		return true;
	}
}

// ***************************************************************************************************
// ************************************* check_delete_allow **************************************************
//
// berprft, ob ein Feld in einem SQL-Query vorkommt, was das lschen verhindert
if (! function_exists ( "check_delete_allow" )) {
	function check_delete_allow($query) {
		$anzahl = mysql_num_rows ( mysql_query ( $query ) );
		if ($anzahl != 0)
			return false;
		return true;
	}
}

// ***************************************************************************************************
// ************************************* check_intranet *************************************************
//
// berprft, ob der aktuelle Benutzer im Intranet oder ber das Internet arbeitet
if (! function_exists ( "check_intranet" )) {
	function check_intranet() {
		$serverip = explode ( ".", $_SERVER ["SERVER_ADDR"] );
		$remoteip = explode ( ".", $_SERVER ["REMOTE_ADDR"] );
		
		if ($serverip [0] == $remoteip [0] and $serverip [1] == $remoteip [1]) {
			return (true);
		} else {
			return (false);
		}
		;
	}
}

// ++++++++++++++++++++++++++ check_feiertag +++++++++++++++++++
// berprft, ob ein Datum an einem Feiertag liegt
if (! function_exists ( "check_feiertag" )) {
	function check_feiertag($tag, $monat, $jahr) {
		global $tblfeiertage;
		
		/*
		 * $query = "select * from $tblfeiertage order by dtDatum"; $liste = get_table_array($query); if (is_array($liste)) { foreach ($liste as $key => $value) { $feiertag = split_date ($value["dtDatum"]); // vergleiche Datumse if ($tag == $feiertag["tag"] and $monat == $feiertag["monat"] and ($jahr == $feiertag["jahr"] or $value["dtJaehrlich"] == 1)) { return $value["dtBezeichnung"]; } } }
		 */
		
		$dDatumAktJahr = concat_date ( $tag, $monat, $jahr );
		$dDatumJedesJahr = concat_date ( $tag, $monat, "1902" );
		
		$query = "select * from $tblfeiertage ";
		$query .= "where (dtDatum = '" . $dDatumJedesJahr . "' and dtJaehrlich = 1) ";
		$query .= "or (dtDatum = '" . $dDatumAktJahr . "' and dtJaehrlich = 0)";
		
		$row = get_table_row ( $query );
		
		return $row ["dtBezeichnung"];
	}
}

// ***************************************************************************************************
// ************************************* check_ean ***************************************************
// Prft eine EAN auf Richtigkeit.
if (! function_exists ( "check_ean13" )) {
	function check_ean13($iEAN) {
		if (strlen ( $iEAN ) != 13) {
			return false;
		}
		
		$digits = ( string ) substr ( $iEAN, 0, 12 );
		// 1. Add the values of the digits in the even-numbered positions: 2, 4, 6, etc.
		$even_sum = $digits {1} + $digits {3} + $digits {5} + $digits {7} + $digits {9} + $digits {11};
		// 2. Multiply this result by 3.
		$even_sum_three = $even_sum * 3;
		// 3. Add the values of the digits in the odd-numbered positions: 1, 3, 5, etc.
		$odd_sum = $digits {0} + $digits {2} + $digits {4} + $digits {6} + $digits {8} + $digits {10};
		// 4. Sum the results of steps 2 and 3.
		$total_sum = $even_sum_three + $odd_sum;
		// 5. The check character is the smallest number which, when added to the result in step 4, produces a multiple of 10.
		$next_ten = (ceil ( $total_sum / 10 )) * 10;
		$check_digit = $next_ten - $total_sum;
		
		if ($digits . $check_digit != $iEAN) {
			return false;
		}
		
		return true;
	}
}

// ***************************************************************************************************
// ************************************* check_leapyear **********************************************
if (! function_exists ( "check_leapyear" )) {
	function check_leapyear($year = 2000) {
		return date ( 'L', strtotime ( "$year-1-1" ) );
	}
}

// ***************************************************************************************************
// ************************************* check_varianten_array **********************************************
if (! function_exists ( "check_varianten_array" )) {
	function check_varianten_array($variante) {
		// $variante kann Array oder serialisiertes Array sein
		$serialize = false;
		if (! is_array ( $variante )) {
			$varianten_array = unserialize ( $variante );
			$serialize = true;
		}
		
		foreach ( ( array ) $varianten_array as $sVariantenName => $iVarianteKey ) {
			// TODO: Bei Fehler wieder einsetzen
			if (! function_exists ( skontierbetrag_berechnen )) {
				if ($iVarianteKey == - 1) {
					unset ( $varianten_array [$sVariantenName] );
				}
			}
		}
		
		if ($serialize)
			$variante = serialize ( $varianten_array );
		
		return $variante;
	}
}

// ***************************************************************************************************
// ************************************* check_schaltjahr **********************************************
if (! function_exists ( "check_schaltjahr" )) {
	function check_schaltjahr() {
		$timestamp = time ();
		$jahr = date ( "Y", $timestamp );
		
		if (($jahr % 400) == 0 || (($jahr % 4) == 0 && ($jahr % 100) != 0))
			return 366;
		else
			return 365;
	}
}

// ***************************************************************************************************
// ************************************* check_schaltjahr **********************************************
if (! function_exists ( "check_schaltjahr" )) {
	function check_schaltjahr() {
		$timestamp = time ();
		$jahr = date ( "Y", $timestamp );

		if (($jahr % 400) == 0 || (($jahr % 4) == 0 && ($jahr % 100) != 0))
			return 366;
			else
				return 365;
	}
}

// ***************************************************************************************************
// ************************************* encrypt_value **********************************************
if (! function_exists ( "encrypt_value" )) {
	function encrypt_value($sString, $sKey, $aValue) {
		$sResult = '';
			for($i=0; $i<strlen ($sString); $i++) {
				$char = substr($sString, $i, 1);

				$sKeychar = substr($sKey, ($i % strlen($sKey))-1, 1);
				$char = chr(ord($char)+ord($sKeychar));

				$sResult.=$char;
			}
	
		
		return base64_encode($sResult);
	}
}

// ***************************************************************************************************
// ************************************* decrypt_value **********************************************
if (! function_exists ( "decrypt_value" )) {
	function decrypt_value($sString, $sKey, $aValue) {
		$sResult = '';
		$sString = base64_decode($sString);
		
		for($i=0; $i<strlen($sString); $i++) {
			$char = substr($sString, $i, 1);
			$keychar = substr($sKey, ($i % strlen($sKey))-1, 1);
			$char = chr(ord($char)-ord($keychar));
			$sResult.=$char;
			
		}
		return $sResult;
	}
}

?>