<?php

// Typen
define ( "CONFIG_TYP_INT", 0 );
define ( "CONFIG_TYP_ARRAY", 1 );
define ( "CONFIG_TYP_TEXT", 2 );
define ( "CONFIG_TYP_BOOL", 3 );
define ( "CONFIG_TYP_SINGLE_SELECT", 4 );
define ( "CONFIG_TYP_ZEIT", 5 );
define ( "CONFIG_TYP_ARRAY_NOINDEX", 6 );
define ( "CONFIG_TYP_SINGLE_SELECT_ARRAY", 7 );
define ( "CONFIG_TYP_DOUBLE", 8 );
define ( "CONFIG_TYP_LICENSE", 9 );
define ( "CONFIG_TYP_TEXTLONG", 10 );
define ( "CONFIG_TYP_TEXTHTML", 11 );
define ( "CONFIG_TYP_ARRAY_CHECKBOX", 12 );
define ( "CONFIG_TYP_PASSWORD", 13);

// Konfiguration
define ( "CONFIG_LICENSE_PARTS", 3 ); // Stuecke der Lizenznummer

if (! function_exists ( "schreibeInKonfiguration" )) {
	function schreibeInKonfiguration($name, $wert, $zusatzinfo = "") {
		$get_id_query = "SELECT id FROM tblKonfiguration WHERE dtVarname = '" . $name . "'";
		$row_id = get_table_row ( $get_id_query );
		$id = $row_id ["id"];
		
		if (get_table_count ( $get_id_query ) != 1) {
			return false;
		}
		
		if (is_array ( $wert )) {
			$wert = serialize ( $wert );
		}
		
		if ($zusatzinfo != "") {
			$field ["dtZusatzinfo"] = $zusatzinfo;
		}
		
		$field ["dtValue"] = $wert;
		
		update_into_table ( "tblKonfiguration", $id, $field );
		return true;
	}
}

if (! function_exists ( "exportiereKonfiguration" )) {
	function exportiereKonfiguration() {
		$output = array ();
		$liste = get_table_array ( "SELECT dtVarname, dtTyp, dtValue FROM tblKonfiguration" );
		
		foreach ( $liste as $listenzeile ) {
			$name = $listenzeile ["dtVarname"];
			$wert_orig = $listenzeile ["dtValue"];
			$typ = $listenzeile ["dtTyp"];
			
			switch ($typ) {
				case CONFIG_TYP_ARRAY :
					$output [$name] = unserialize ( $wert_orig );
					break;
				
				case CONFIG_TYP_ARRAY_NOINDEX :
					$output [$name] = unserialize ( $wert_orig );
					break;
				
				case CONFIG_TYP_ARRAY_CHECKBOX :
					$output [$name] = unserialize ( $wert_orig );
					break;
				
				default :
					$output [$name] = $wert_orig;
					break;
			}
		}
		
		return $output;
	}
}

if (! function_exists ( "neuesKonfigurationsfeld" )) {
	function neuesKonfigurationsfeld($name, $description, $typ, $value, $gruppe = "Allgemein", $zusatzinfo = "") {
		$result = mysql_query ( "SELECT dtVarname FROM tblKonfiguration WHERE dtVarname = '" . $name . "'" );
		
		if (mysql_num_rows ( $result ) > 0) {
			return false;
		}
		
		$aSqlNeu = array ();
		$aSqlNeu ["dtVarname"] = $name;
		$aSqlNeu ["dtBeschreibung"] = $description;
		$aSqlNeu ["dtTyp"] = $typ;
		$aSqlNeu ["dtZusatzinfo"] = $zusatzinfo;
		$aSqlNeu ["dtGruppe"] = $gruppe;
		$iNewId = insert_into_table ( "tblKonfiguration", $aSqlNeu );
		
		schreibeInKonfiguration ( $name, $value );
		
		return true;
	}
}

if (! function_exists ( "loescheKonfigurationsfeld" )) {
	function loescheKonfigurationsfeld($name) {
		mysql_query ( "DELETE FROM tblKonfiguration WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

if (! function_exists ( "replaceKonfigurationsfeld" )) {
	function replaceKonfigurationsfeld($name, $description, $typ, $value, $gruppe = "Allgemein", $zusatzinfo = "") {
		if (! neuesKonfigurationsfeld ( $name, $description, $typ, $value, $gruppe, $zusatzinfo )) {
			loescheKonfigurationsfeld ( $name );
		}
		
		neuesKonfigurationsfeld ( $name, $description, $typ, $value, $gruppe, $zusatzinfo );
		return true;
	}
}

if (! function_exists ( "setKonfigurationReadOnly" )) {
	function setKonfigurationReadOnly($name, $value = 1) {
		if ($value < 0 || $value > 1)
			return false;
		
		mysql_query ( "UPDATE tblKonfiguration SET dtReadOnly = " . $value . " WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

if (! function_exists ( "setKonfigurationTyp" )) {
	function setKonfigurationTyp($name, $value = 1) {
		mysql_query ( "UPDATE tblKonfiguration SET dtTyp = " . $value . " WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

if (! function_exists ( "setKonfigurationZusatzinfo" )) {
	function setKonfigurationZusatzinfo($name, $value) {
		mysql_query ( "UPDATE tblKonfiguration SET dtZusatzinfo = '" . mysql_real_escape_string ( $value ) . "' WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

if (! function_exists ( "setKonfigurationBeschreibung" )) {
	function setKonfigurationBeschreibung($name, $value) {
		mysql_query ( "UPDATE tblKonfiguration SET dtBeschreibung = '" . mysql_real_escape_string ( $value ) . "' WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

if (! function_exists ( "setKonfigurationGruppe" )) {
	function setKonfigurationGruppe($name, $value) {
		mysql_query ( "UPDATE tblKonfiguration SET dtGruppe = '" . mysql_real_escape_string ( $value ) . "' WHERE dtVarname = '" . $name . "'" );
		return true;
	}
}

?>