<?php
if (! class_exists ( "Fehler" )) {
	class Fehler extends Exception {
		/*
		 * Fehlermeldung
		 */
		public $Ueberschrift = "Unbekannter Fehler";
		public $Fehlertext = "Ein unbekannter Fehler ist aufgetreten!";
		
		/*
		 * Nchstes Ziel
		 */
		public $target;
		public $typ;
		public $id;
		public $subtarget;
		public $subtyp;
		public $subid;
		
		/*
		 * Eigene Fehlermeldung festlegen
		 */
		public function setCustom($ueberschrift, $fehlertext) {
			$this->Ueberschrift = $ueberschrift;
			$this->Fehlertext = $fehlertext;
		}
		
		/*
		 * Vordefinierte Fehlermeldung auswhlen
		 */
		public function setPredefined($nr, $feldname = "") {
			$meldungArr = getFehlerMeldung ( $nr, $feldname );
			$this->Ueberschrift = $meldungArr [0];
			$this->Fehlertext = $meldungArr [1];
		}
		
		/*
		 * Nchstes Target bestimmen
		 */
		public function setNext($target, $typ, $id = "", $subtarget = "", $subtyp = "", $subid = "") {
			$this->target = $target;
			$this->typ = $typ;
			$this->id = $id;
			
			$this->subtarget = $subtarget;
			$this->subtyp = $subtyp;
			$this->subid = $subid;
			
			if ($this->typ == "loeschen" || $this->typ == "send") {
				$this->typ = "show";
			}
		}
		
		/*
		 * Fehlermeldung ausgeben
		 */
		public function getErrorBox() {
			$out = "<div id='fehlerbox' class='fehlerbox' onClick=\"document.getElementById('fehlerbox').style.display = 'none';\"><br>";
			$out .= "<div style='text-align:center; font-size:13px;'>" . $this->Ueberschrift . "</div>";
			$out .= "<div style='text-align:center;'>" . $this->Fehlertext . "</div>";
			$out .= "<br></div>";
			return $out;
		}
		public function getErrorBoxAjax() {
			$out .= "<!--meldungid" . $GLOBALS ['ajaxid'] . "-->";
			$out .= "<table border=1 cellpadding=15 class=\"fehlerbox\"><tr><td>";
			$out .= "<br><center><b>" . $this->Ueberschrift . "</b><br><br>";
			$out .= "" . $this->Fehlertext . "<br><br></center>";
			$out .= "<br><br><center>" . erzeuge_button ( "schliessen", "javascript:ajax_meldungsbox_close()", "onClick=''", "" ) . "</center>";
			$out .= "</td></tr></table>";
			return $out;
		}
	}
	class Meldung extends Fehler {
		
		/*
		 * Meldung ausgeben
		 */
		public function getErrorBox() {
			global $bgcolor_formular_gruen;
			$out = "<div id='fehlerbox' class='meldungbox' style='background-color: " . $bgcolor_formular_gruen . ";' onClick=\"document.getElementById('fehlerbox').style.display = 'none';\"><br>";
			$out .= "<div style='text-align:center; font-size:13px;'>" . $this->Ueberschrift . "</div>";
			$out .= "<div style='text-align:center;'>" . $this->Fehlertext . "</div>";
			$out .= "<br></div>";
			return $out;
		}
	}
}

/*
 * Vordefinierte Fehlermeldungen
 */
if (! function_exists ( "getFehlerMeldung" )) {
	function getFehlerMeldung($fehlernr, $feldname) {
		switch ($fehlernr) {
			case 1 :
				$fehlerueberschrift = "Eingabefeld muss eine ganze Zahl enthalten!";
				$fehlertext = "In Feld '$feldname' wurden Zeichen eingegeben, die keine Ziffern sind,<br>oder es wurde keine ganze Zahl eingegeben.";
				break;
			
			case 2 :
				$fehlerueberschrift = "Eingabefeld muss eine Zahl enthalten!";
				$fehlertext = "In Feld '$feldname' wurden Zeichen eingegeben, die keine Ziffern sind.";
				break;
			
			case 3 :
				$fehlerueberschrift = "Eingabefeld darf nicht leer sein!";
				$fehlertext = "In Feld '$feldname' muss eine Eingabe erfolgen.";
				break;
			
			case 4 :
				$fehlerueberschrift = "Eingabefeld konnte nicht verarbeitet werden!";
				$fehlertext = "In Feld '$feldname' wurde eine unpassende Eingabe gemacht.";
				break;
			
			case 5 :
				$fehlerueberschrift = "Eingabefeld muss eine positive Zahl enthalten!";
				$fehlertext = "In Feld '$feldname' wurde eine Zahl kleiner als 1 eingegeben.<br>Dies ist nicht zulssig!";
				break;
			
			case 6 :
				$fehlerueberschrift = "Passwrter sind nicht identisch!";
				$fehlertext = "Das eingegebene Passwort und die Besttigung sind nicht identisch.";
				break;
			
			case 7 :
				$fehlerueberschrift = "Wert bereits vergeben!";
				$fehlertext = "Der eingegebene Wert im Feld $feldname ist bereits vergeben.";
				break;
			
			case 12 :
				$fehlerueberschrift = "Ungltiges Datum-Zeit-Feld!";
				$fehlertext = "Ein Datum-Zeit-Feld ist ungltig.<br>Bitte geben Sie ein reales Datum bzw. eine reale Zeit ein.";
				break;
			
			case 13 :
				$fehlerueberschrift = "Ungltige Datumsangabe!";
				$fehlertext = "Ein eingegebenes Datum ist ungltig.<br>Bitte geben Sie ein reales Datum ein.";
				break;
			
			case 14 :
				$fehlerueberschrift = "Ungltige Zeitangabe!";
				$fehlertext = "Eine eingegebene Zeit ist ungltig.<br>Bitte geben Sie eine reale Zeit ein.";
				break;
			
			case 15 :
				$fehlerueberschrift = "Artikelkette nicht plausibel!";
				$fehlertext = "Der Artikel kann nicht zur Stckliste hinzugefgt werden, da er in dieser Artikelkette bereits vorkommt.";
				break;
			
			case 16 :
				$fehlerueberschrift = "Lieferant darf nicht gendert werden!";
				$fehlertext = "Sobald es Artikelposten zu einer Rechnung gibt, darf der Lieferant nicht mehr gendert werden.";
				break;
			
			case 17 :
				$fehlerueberschrift = "Buchungskonto kann nicht gendert werden!";
				$fehlertext = "Sie haben ein Buchungskonto ausgewhlt, das Einfluss auf den Lagerbestand hat. Artikel <br>dieses Postens sind aber bereits zu Projekten oder Belegen zugeordnet. Eine nderung <br>des Lagerbestandes ist daher nicht mehr mglich.";
				break;
			
			case 18 :
				$fehlerueberschrift = "Kein Name angegeben oder Name schon vorhanden!";
				$fehlertext = "Bitte geben Sie einen eindeutigen und beschreibenden Namen ein.";
				break;
			
			case 19 :
				$fehlerueberschrift = "Mengennderung nicht mglich!";
				$fehlertext = "Die Mengennderung kann nicht durchgefhrt werden, da mehr Artikel als die neue Menge <br>bereits zu Projekten oder Belegen zugeordnet sind";
				break;
			
			case 20 :
				$fehlerueberschrift = "Posten darf nicht gelscht werden";
				$fehlertext = "Artikel dieses Postens sind bereits zu Projekten oder Belegen zugeordnet. Der Posten<br>darf daher nicht mehr gelscht werden.";
				break;
			
			case 21 :
				$fehlerueberschrift = "Umsatz darf nicht gelscht werden";
				$fehlertext = "Dieser Umsatz darf nicht mehr gelscht werden, weil er bereits gebucht ist";
				break;
			
			case 22 :
				$fehlerueberschrift = "Posten darf nicht hinzugefgt / gendert oder gelscht werden";
				$fehlertext = "Dieser Posten darf nicht mehr hinzugefgt / gendert oder gelscht werden, <br>da der Beleg bereits gebucht ist";
				break;
			
			case 23 :
				$fehlerueberschrift = "Datei/Ordner schon vorhanden!";
				$fehlertext = "Es existiert bereits eine Datei / ein Ordner diesen Names an dieser Stelle";
				break;
			
			case 24 :
				$fehlerueberschrift = "Artikelstckzahl nicht ausreichend";
				$fehlertext = "Der Artikel ist nicht in der gewnschten Stckzahl auf Lager. Es sind maximal $feldname Stck verfgbar";
				break;
			
			case 25 :
				$fehlerueberschrift = "kein Beleg ausgewhlt";
				$fehlertext = "Bitte whlen Sie min. einen Beleg aus, dem Sie diese Buchung zuordnen wollen.";
				break;
			
			case 26 :
				$fehlerueberschrift = "Gruppe darf nicht gelscht werden!";
				$fehlertext = "Es sind Benutzer zu dieser Gruppe zugeordnet. Diese Gruppe darf daher nicht gelscht werden!";
				break;
			
			case 27 :
				$fehlerueberschrift = "Lschen nicht mglich!";
				$fehlertext = $feldname;
				break;
			
			case 28 :
				$fehlerueberschrift = "keine Rechnung ausgewhlt";
				$fehlertext = "Bitte whlen Sie min. eine Rechnung aus, der Sie diese Buchung zuordnen wollen.";
				break;
			
			case 29 :
				$fehlerueberschrift = "Falscher Dateityp";
				$fehlertext = "Die Datei muss vom Typ $feldname sein!";
				break;
			
			case 30 :
				$fehlerueberschrift = "Vorlage darf nicht gelscht werden!";
				$fehlertext = "Die Vorlage wird von Layouts verwendet. Sie darf daher nicht gelscht werden.";
				break;
			
			case 31 :
				$fehlerueberschrift = "Doppelte Zuordnung nicht mglich!";
				$fehlertext = "Die gleichzeitige Zuordnung als Belegposten und Beleg-Materialverbrauch<br>ist nicht mglich.";
				break;
			
			case 32 :
				$fehlerueberschrift = "Datum fehlt!";
				$fehlertext = "Bitte geben Sie mindestens ein Angebotsdatum, Auftragsdatum oder Rechnungsdatum ein.";
				break;
			
			case 33 :
				$fehlerueberschrift = "Lager-Artikel darf nicht entfernt werden!";
				$fehlertext = "Der Lager-Artikel ist bereits einem Projekt oder einem Beleg zugeordnet. Er darf daher nicht entfernt werden.";
				break;
			
			case 34 :
				$fehlerueberschrift = "Materialcode fehlt!";
				$fehlertext = "Soll der Artikel einem Projekt zugeordnet werden, so muss ein Material-Code ausgewhlt werden.";
				break;
			
			case 35 :
				$fehlerueberschrift = "Content-Eintrag darf nicht gelscht werden!";
				$fehlertext = "Der Content-Eintrag darf nicht gelscht werden, weil Dateien oder Ordner zu ihm existieren";
				break;
			
			case 36 :
				$fehlerueberschrift = "Datei kann nicht heraufgeladen werden!";
				$fehlertext = "Die Datei kann nicht heraufgeladen werden, weil der Zielordner nicht existiert";
				break;
			
			case 37 :
				$fehlerueberschrift = "Fahrstrecken-Eintrag kann nicht erzeugt werden!";
				$fehlertext = "Von-Kontakt und Nach-Kontakt drfen nicht identisch sein!";
				break;
			
			case 38 :
				$fehlerueberschrift = "Fahrstrecken-Eintrag kann nicht erzeugt werden!";
				$fehlertext = "Es existiert bereits ein Eintrag mit diesen beiden Kontakten";
				break;
			
			case 39 :
				$fehlerueberschrift = "Bitte whlen Sie einen Mitarbeiter aus!";
				$fehlertext = "";
				break;
			
			case 40 :
				$fehlerueberschrift = "Bitte whlen Sie einen Datumsbereich aus!";
				$fehlertext = "";
				break;
			
			case 41 :
				$fehlerueberschrift = "Eintrge dieser Ttigkeit knnen nicht verndert, nur gelscht werden.";
				$fehlertext = "";
				break;
			
			case 42 :
				$fehlerueberschrift = "Bitte setzen Sie zunchst alle Filter und whlen dann 'berechnen'.<br><br>Bitte bedenken Sie dass die Berechnung der Projektbilanz abhngig<br>von der Anzahl der Projekte eine gewisse Zeit dauern kann.";
				$fehlertext = "";
				break;
			
			case 43 :
				$fehlerueberschrift = "Die eingegebene Menge ist niedriger als die bereits gebuchte Menge!";
				$fehlertext = "";
				break;
			
			case 44 :
				$fehlerueberschrift = "Das alte Passwort ist nicht korrekt!";
				$fehlertext = "";
				break;
			
			case 45 :
				$fehlerueberschrift = "Das gew&auml;hlte Passwort ist zu kurz!";
				$fehlertext = "";
				break;
			
			case 46 :
				$fehlerueberschrift = "Dieses Layout kann nicht gel&ouml;scht werden, es wird als Standard verwendet!";
				$fehlertext = "";
				break;
			
			case 47 :
				$fehlerueberschrift = "Diese Zugangsdaten sind nicht korrekt!";
				$fehlertext = "";
				break;
			
			case 48 :
				$fehlerueberschrift = "Der gew&auml;hlte Ordner existiert nicht!";
				$fehlertext = "";
				break;
			
			case 49 :
				$fehlerueberschrift = "Die Materialposten mssen mindestens ein mal vorhanden sein!";
				$fehlertext = "";
				break;
			
			case 50 :
				$fehlerueberschrift = "Schnittstellenfehler!";
				$fehlertext = $feldname;
				break;
			
			case 51 :
				$fehlerueberschrift = "Artikel mit der gleichen Artikelnummer ist schon vorhanden!";
				$fehlertext = $feldname;
				break;
			
			case 52 :
				$fehlerueberschrift = "Datum fehlt!";
				$fehlertext = "Bitte geben Sie ein korrektes Datum mit Tag, Monat und Jahr an ";
				break;
			
			case 53 :
				$fehlerueberschrift = "Bitte setzen Sie zunchst alle Filter und whlen dann 'berechnen'.<br><br>Bitte bedenken Sie dass die Berechnung der Umsatzbilanz abhngig<br>von der Anzahl der Artikel ist und eine gewisse Zeit dauern kann.";
				$fehlertext = " ";
				
				break;
			
			case 54 :
				$fehlerueberschrift = "Freie Kapazitten in Kartons vorhanden!";
				$fehlertext = "Einige Kartons sind noch nicht bis zum Maximum befllt. Fr weitere Informationen rufen Sie bitte<br> das Untermodul 'Packmengen' auf.";
				
				break;
			
			case 55 :
				$fehlerueberschrift = "Storno enthlt kein Flligkeitsdatum";
				$fehlertext = "Bitte tragen Sie ein Flligkeitsdatum fr den eingegebenen Skonto ein";
				
				break;
			
			case 56 :
				$fehlerueberschrift = "IBAN fehlerhaft";
				$fehlertext = "Die IBAN besitzt kein gltiges Format";
				
				break;
			case 57 :
				$fehlerueberschrift = "Nicht gengend Artikel im Projekt vorhanden";
				$fehlertext = "Bitte fgen Sie die fehlenden Artikel unter Projekt-Planung / Projekt-Verbrauch im ausgewhlten Projekt hinzu.";
				
				break;
			
			case 58 :
				$fehlerueberschrift = "Prozentwert insgesamt ber 100 % oder unter 0 %";
				$fehlertext = "Die Summe aller Prozentwerte muss zwischen 0 und 100 % liegen. Bitte bedenken Sie dies.";
				
				break;
			
			case 59 :
				$fehlerueberschrift = "Projektzuordnungssumme ist fehlerhaft";
				$fehlertext = "Die von Ihnen eingegebene Summe bersteigt entweder die maximal verfgbare Projhektsumme <br> oder die eingegebene Summe entspricht dem Gegenteil der verfgbaren Summe (Bsp. Anstatt + , - Summe). ";
				
				break;
			
			case 60 :
				$fehlerueberschrift = "Projekt fehlt";
				$fehlertext = "Bitte weisen Sie der Projektzuordnung ein Projekt zu.";
				
				break;
			
			case 61 :
				$fehlerueberschrift = "Ansprechpartner nicht komplett";
				$fehlertext = "Bitte geben Sie Vornamen und Nachnamen fr den Ansprechpartner ein.";
				
				break;
		}
		
		return array (
				$fehlerueberschrift,
				$fehlertext 
		);
	}
}

if (! function_exists ( "fehlerausgabe" )) {
	function fehlerausgabe($fehlernr, $feldname = "", $boxclass = "fehlerbox", $boxbutton = "1", $executeexit = 1) {
		$arrFehler = getFehlerMeldung ( $fehlernr, $feldname );
		$fehlerueberschrift = $arrFehler [0];
		$fehlertext = $arrFehler [1];
		
		// **************** Fehler Box *********************************
		if (! isset ( $GLOBALS ['ajaxtarget'] )) {
			echo "<br><br><br><br><center><table border=1 cellpadding=15 class=\"$boxclass\"><tr><td>";
			echo "<br><center><b>$fehlerueberschrift</b><br><br>";
			echo "$fehlertext<br><br></center>";
			echo "</td></tr></table></center>";
		} else {
			echo "<!--meldungid" . $GLOBALS ['ajaxid'] . "-->";
			echo "<table border=1 cellpadding=15 class=\"$boxclass\"><tr><td>";
			echo "<br><center><b>$fehlerueberschrift</b><br><br>";
			echo "$fehlertext<br><br></center>";
			echo "<br><br><center>" . erzeuge_button ( "schliessen", "javascript:ajax_meldungsbox_close()", "", "" ) . "</center>";
			echo "</td></tr></table>";
		}
		
		// **************** Zurck Button ******************************
		if ($boxbutton == 1 and ! isset ( $GLOBALS ['ajaxtarget'] ) and $boxclass != "meldungbox") {
			$link = "main.php?" . $_SESSION ["linkhistory"] [0];
			echo "<br><br><center>" . erzeuge_button ( "zurck", $link, "", "" ) . "</center>";
		}
		
		if ($executeexit == 1)
			exit ();
	}
}
if (! function_exists ( "errorCustomOutput" )) {
	function errorCustomOutput($sHeader, $sErrorText, $aSetNext) {
		$fehler = new Fehler ();
		$fehler->setCustom ( $sHeader, $sErrorText );
		$fehler->setNext ( $aSetNext ["target"], $aSetNext ["typ"], $aSetNext ["id"], $aSetNext ["subtarget"], $aSetNext ["subtyp"], $aSetNext ["subid"] );
		throw $fehler;
	}
}

?>