<?php

/*
 * Klasse fr Kontaktinformationen
 */
class Ansprechpartner {
	public $Id;
	public $Anrede;
	public $Name;
	public $Vorname;
	public $EMail;
	public $Position;
	public $TelNr;
	public $MobilNr;
	public $FaxNr;
	public $Unknown = false;
	
	/*
	 * Setzt eine Adresse aus einem Adressfeld
	 *
	 * Bsp.:
	 * Musterstrasse 15
	 * 12345 Musterstadt
	 * Deutschland (optional)
	 */
	public function setAdresse($adressfeld) {
		$lines = explode ( "\n", $adressfeld );
		
		if (count ( $lines ) == 3 || count ( $lines ) == 2) {
			$this->Strasse = $lines [0];
			
			$plzort = explode ( " ", $lines [1], 2 );
			
			$this->PLZ = $plzort [0];
			$this->Ort = $plzort [1];
			
			if (count ( $lines ) == 3)
				$this->Land = $lines [3];
			
			return true;
		}
		
		return false;
	}
	
	/*
	 * Fllt das Objekt mit Daten aus der Datenbank
	 */
	public function get($id) {
		global $sql_query, $tblkontaktasp;
		
		$field = get_table_row ( $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.id = " . $id );
		$this->fieldToProps ( $id, $field );
	}
	
	/*
	 * Speichert Ansprechpartner
	 */
	public function save($id) {
		global $tblkontaktasp;
		
		$field = array ();
		$field ["dtAnrede"] = $this->Anrede;
		$field ["dtNachname"] = $this->Name;
		$field ["dtVorname"] = $this->Vorname;
		$field ["dtTelefon"] = $this->TelNr;
		$field ["dtMobil"] = $this->MobilNr;
		$field ["dtFax"] = $this->FaxNr;
		$field ["dtEmail"] = $this->EMail;
		$field ["dtASPLetzteAenderung"] = date ( "Y-m-d H:i:s" );
		
		update_into_table ( $tblkontaktasp, $id, $field );
	}
	
	/*
	 * Mappe Felder aus einem SQL Ergebnis auf die passenden Eigenschaften
	 */
	protected function fieldToProps($id, $field) {
		$this->Id = "Kontakt-" . $id;
		$this->Anrede = $field ["dtAnrede"];
		$this->Name = $field ["dtNachname"];
		$this->Vorname = $field ["dtVorname"];
		$this->Position = $field ["dtPosition"];
		$this->TelNr = $field ["dtTelefon"];
		$this->MobilNr = $field ["dtMobil"];
		$this->FaxNr = $field ["dtFax"];
		$this->EMail = $field ["dtEmail"];
		$this->Aenderungszeit = strtotime ( $field ["dtASPLetzteAenderung"] );
	}
}
class Kontakt extends Ansprechpartner {
	public $Firma;
	public $Namenszusatz;
	public $Strasse;
	public $PLZ;
	public $Ort;
	public $Land;
	public $Aenderungszeit;
	
	/*
	 * Speichert Kontakt
	 */
	public function save($id) {
		global $tblkontakte;
		
		$field = array ();
		$field ["dtFirmenname"] = $this->Firma;
		$field ["dtAnrede"] = $this->Anrede;
		$field ["dtNachname"] = $this->Name;
		$field ["dtVorname"] = $this->Vorname;
		$field ["dtNamenszusatz"] = $this->Namenszusatz;
		$field ["dtStrasse"] = $this->Strasse;
		$field ["dtPLZ"] = $this->PLZ;
		$field ["dtOrt"] = $this->Ort;
		$field ["dtLandesname"] = $this->Land;
		$field ["dtTelefon"] = $this->TelNr;
		$field ["dtMobil"] = $this->MobilNr;
		$field ["dtFax"] = $this->FaxNr;
		$field ["dtEmail"] = $this->EMail;
		$field ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
		
		update_into_table ( $tblkontakte, $id, $field );
	}
	
	/*
	 * Fllt das Objekt mit Daten aus der Datenbank
	 */
	public function get($id) {
		global $sql_query, $tblkontakte;
		
		$field = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $id );
		$this->fieldToProps ( $id, $field );
	}
	
	/*
	 * Mappe Felder aus einem SQL Ergebnis auf die passenden Eigenschaften
	 */
	protected function fieldToProps($id, $field) {
		$this->Id = "Kontakt-" . $id;
		$this->Firma = $field ["dtFirmenname"];
		$this->Anrede = $field ["dtAnrede"];
		$this->Name = $field ["dtNachname"];
		$this->Vorname = $field ["dtVorname"];
		$this->Namenszusatz = $field ["dtNamenszusatz"];
		$this->Strasse = $field ["dtStrasse"];
		$this->PLZ = $field ["dtPLZ"];
		$this->Ort = $field ["dtOrt"];
		$this->Land = $field ["dtLandesname"];
		$this->TelNr = $field ["dtTelefon"];
		$this->MobilNr = $field ["dtMobil"];
		$this->FaxNr = $field ["dtFax"];
		$this->EMail = $field ["dtEmail"];
		$this->Aenderungszeit = strtotime ( $field ["dtLetzteAenderung"] );
	}
}

/*
 * -----------------------------------
 */

/*
 * Speichert angegebene Kontakte aus Kontaktdatenbank in Zielsystem
 */
if (! function_exists ( "synchronisiereKontakt" )) {
	function synchronisiereKontakt($ids, $benutzerid = null) {
		global $sql_query, $zarafa_kontakt_sync_aktiv, $tblkontakte, $tblkontaktasp, $zarafa_sync_server, $tblpersonaldaten, $bUseThunderbirdSync, $bOXKontaktsyncAktiv, $sOXServerUrl;
		
		$mitarbeiter_query = $sql_query ["mitarbeiterliste"];
		
		if (! $bUseThunderbirdSync) {
			$mitarbeiter_query .= " and $tblpersonaldaten.dtKontaktsyncSyncModus > 0 ";
		}
		
		if ($benutzerid != null) {
			$mitarbeiter_query .= "and $tblkontakte.id = '" . $benutzerid . "'";
		}

		$mitarbeiter_liste = get_table_array ( $mitarbeiter_query );

		if (count ( $mitarbeiter_liste ) > 0) {
			foreach ( $mitarbeiter_liste as $mitarbeiter ) {
				$kontakte_sync = array ();
				
				foreach ( ( array ) $ids as $kontaktid ) {
					$kontaktrow = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $kontaktid . " AND $tblkontakte.dtSyncInfo LIKE '%;" . $mitarbeiter ["fiBenutzergruppe"] . ";%'" );
					if (count ( $kontaktrow ) > 0) {
						/*
						 * Prfe, in welche Gruppen dieser Kontakt synchronisiert werden soll
						 * Synchronisiere den Kontakt bei jedem Benutzer dieser Gruppen
						 */
						$syncgruppen = explode ( ";", $kontaktrow ["dtSyncInfo"] );
						if (! in_array ( $mitarbeiter ["fiBenutzergruppe"], $syncgruppen )) {
							continue;
						}
						
						$kontakt = new Kontakt ();
						$kontakt->get ( $kontaktid );
						$kontakte_sync [] = $kontakt;
						
						if ($kontaktrow ["dtSyncASP"] == 1) {
							$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.fiKontaktID = '" . $kontaktrow ['Kontakte_id'] . "'";
							$liste = get_table_array ( $query );
							
							if (count ( $liste ) > 0) {
								foreach ( $liste as $asp ) {
									$kontakt = new Kontakt ();
									
									$kontakt->Id = "ASP-" . $asp ["KontaktASP_id"];
									
									$kontakt->Firma = $kontaktrow ["dtFirmenname"];
									$kontakt->Anrede = $asp ["dtAnrede"];
									$kontakt->Name = $asp ["dtNachname"];
									$kontakt->Vorname = $asp ["dtVorname"];
									$kontakt->Position = $asp ["dtPosition"];
									
									$kontakt->TelNr = $asp ["dtTelefon"];
									$kontakt->MobilNr = $asp ["dtMobil"];
									$kontakt->FaxNr = $asp ["dtFax"];
									$kontakt->EMail = $asp ["dtEmail"];
									
									$kontakte_sync [] = $kontakt;
								}
							}
						}
					}
				}
				
				/*
				 * Hier knnen spter verschiedene Sync-Methoden untergebracht werden
				 */
				
				/*
				 * Thunderbird Kontaktsync
				 */
				if ($bUseThunderbirdSync) {
					return $kontakte_sync;
				}
				
				/*
				 * Zarafa Kontaktsync
				 */
				if ($zarafa_kontakt_sync_aktiv) {
					$z = new KontaktZarafa ();
					$z->Benutzername = $mitarbeiter ["dtKontaktsyncBenutzername"];
					$z->Passwort = $mitarbeiter ["dtKontaktsyncPasswort"];
					$z->Server = $zarafa_sync_server;
					$z->Ordner = $mitarbeiter ["dtKontaktsyncOrdner"];
					
					try {
						$z->login ();
						$z->addArray ( $kontakte_sync );
					} 

					catch ( ZarafaLogonFailedException $e ) {
						echo "Login fehlgeschlagen fuer Zarafa-Benutzer " . $mitarbeiter ["dtKontaktsyncBenutzername"];
						continue;
					} 

					catch ( ZarafaStoreOrFolderNotExists $e ) {
						echo "Fehlerhafte Ordnerangabe bei Zarafa-Benutzer " . $mitarbeiter ["dtKontaktsyncBenutzername"];
						continue;
					}
				}
				
				if ($bOXKontaktsyncAktiv) {
					try {
						$ox = new KontaktOX6 ( $mitarbeiter ["dtKontaktsyncBenutzername"], $mitarbeiter ["dtKontaktsyncPasswort"], $sOXServerUrl );
						$ox->setKontaktordner ( $mitarbeiter ["dtKontaktsyncOrdner"] );
						$ox->addArray ( $kontakte_sync );
					} 

					catch ( Exception $e ) {
					}
				}
			}
		}
	}
}

/*
 * Lscht angegebene Kontakte im Zielsystem
 */

if (! function_exists ( "synchronisiereLoescheKontakt" )) {
	function synchronisiereLoescheKontakt($ids) {
		global $sql_query, $zarafa_kontakt_sync_aktiv, $tblkontakte, $tblkontaktasp, $zarafa_sync_server;
		global $bOXKontaktsyncAktiv, $sOXServerUrl;
		$kontakte_sync [] = array (); // Diese Kontakte werden synchronisiert
		
		foreach ( ( array ) $ids as $id ) {
			$field = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $id );
			$kontakte_del [] = "Kontakt-" . $id;
			
			/*
			 * Fge die Ansprechpartner zum Sync-Array hinzu
			 * (falls aktiviert)
			 */
			if ($field ["dtSyncASP"] == 1) {
				$query = $sql_query ["kontaktaspliste"] . " and $tblkontaktasp.fiKontaktID = '" . $id . "'";
				$liste = get_table_array ( $query );
				
				if (count ( $liste ) > 0) {
					foreach ( $liste as $asp ) {
						$kontakte_del [] = "ASP-" . $asp ["KontaktASP_id"];
					}
				}
			}
			
			/*
			 * Prfe, in welche Gruppen dieser Kontakt synchronisiert werden soll
			 * Synchronisiere den Kontakt bei jedem Benutzer dieser Gruppen
			 */
			$syncgruppen = explode ( ";", $field ["dtSyncInfo"] );
			foreach ( $syncgruppen as $gruppenid ) {
				if (! is_numeric ( $gruppenid ))
					continue;
				
				$query = $sql_query ["mitarbeiterliste"] . " and $tblkontakte.fiBenutzergruppe = '" . $gruppenid . "'";
				$liste = get_table_array ( $query );
				
				if (count ( $liste ) > 0 && count ( $kontakte_del ) > 0) {
					foreach ( $liste as $mitarbeiter ) {
						if ($mitarbeiter ["dtKontaktsyncSyncModus"] > 0) {
							/*
							 * Hier knnen spter verschiedene Sync-Methoden untergebracht werden
							 */
							
							/*
							 * Zarafa Kontaktsync
							 */
							if ($zarafa_kontakt_sync_aktiv) {
								$z = new KontaktZarafa ();
								$z->Benutzername = $mitarbeiter ["dtKontaktsyncBenutzername"];
								$z->Passwort = $mitarbeiter ["dtKontaktsyncPasswort"];
								$z->Server = $zarafa_sync_server;
								$z->Ordner = $mitarbeiter ["dtKontaktsyncOrdner"];
								
								try {
									$z->login ();
									$z->loeschenArray ( $kontakte_del );
								} 

								catch ( ZarafaLogonFailedException $e ) {
									echo "Login fehlgeschlagen fuer Zarafa-Benutzer " . $mitarbeiter ["dtKontaktsyncBenutzername"];
									continue;
								}
							}
							
							/*
							 * Open-Xchange Kontaktsync
							 */
							if ($bOXKontaktsyncAktiv) {
								try {
									$ox = new KontaktOX6 ( $mitarbeiter ["dtKontaktsyncBenutzername"], $mitarbeiter ["dtKontaktsyncPasswort"], $sOXServerUrl );
									$ox->setKontaktordner ( $mitarbeiter ["dtKontaktsyncOrdner"] );
									$ox->loeschenArray ( $kontakte_del );
								} 

								catch ( Exception $e ) {
								}
							}
							
							/*
							 * ---------------------------------------------------------------------
							 */
						}
					}
				}
			}
		}
	}
}

?>