<?php
define ( "UTF8_DECODE_MAX_RUNS", 1000 );

if (! function_exists ( extract_mail_array )) {
	function extract_mail_array($mailarray, &$newmailarray) {
		foreach ( ( array ) $mailarray as $stuecknr => $stueck ) {
			
			if (is_array ( $stueck )) {
				if (isset ( $stueck ["Body"] )) {
					if (isset ( $stueck ["FileName"] )) {
						$newmailarray ["dateien"] [$stueck ["FileName"]] = $stueck ["Body"];
					} else {
						$newmailarray ["body"] [$stueck ["Headers"] ["content-type:"]] .= $stueck ["Body"];
					}
				} else {
					extract_mail_array ( $stueck, $newmailarray );
				}
			}
		}
	}
}

if (! function_exists ( projekt_zu_content_suchen )) {
	function projekt_zu_content_suchen($contentid, $betreff, $plaintext) {
		global $sql_query, $tblprojekte, $tblcontent;
		
		$zuweisbare_projekte = array ();
		
		$query = $sql_query ["contentliste"];
		$query .= " and $tblcontent.id = '" . $contentid . "'";
		$contentrow = get_table_row ( $query );
		unset ( $query );
		
		$kontakte = explode ( ";", $contentrow ['fiKontakt'] );
		
		$query = "select id, dtProjektNr, dtProjektname, dtBestellnummer from $tblprojekte where 1=2 ";
		
		foreach ( $kontakte as $kontaktid ) {
			if (empty ( $kontaktid ))
				continue;
			
			$query .= "or ($tblprojekte.fiKunde = $kontaktid or $tblprojekte.fiEndkunde = $kontaktid or $tblprojekte.fiProjektVerantwortlicher = $kontaktid) ";
		}
		
		$liste = get_table_array ( $query );
		if (get_table_count ( $query ) > 0) {
			foreach ( $liste as $zeile ) {
				$id = $zeile ['id'];
				
				if (stripos ( $betreff, $zeile ['dtProjektNr'] ) !== false or stripos ( $betreff, $zeile ['dtBestellnummer'] ) !== false) { // Projektnr oder Bestellnummer in Betreff
					$zuweisbare_projekte [] = $id;
				}
				
				if (stripos ( $betreff, $zeile ['dtProjektname'] ) !== false or stripos ( $plaintext, $zeile ['dtProjektname'] )) { // Projektname in Betreff oder Email
					$zuweisbare_projekte [] = $id;
				}
			}
		}
		
		if (count ( $zuweisbare_projekte ) > 0) {
			return $zuweisbare_projekte;
		} else {
			return false;
		}
	}
}

if (! function_exists ( beleg_zu_content_suchen )) {
	function beleg_zu_content_suchen($contentid, $betreff, $plaintext) {
		global $sql_query, $tblbelege, $tblcontent;
		
		$zuweisbare_belege = array ();
		
		$query = $sql_query ["contentliste"];
		$query .= " and $tblcontent.id = '" . $contentid . "'";
		$contentrow = get_table_row ( $query );
		unset ( $query );
		
		$kontakte = explode ( ";", $contentrow ['fiKontakt'] );
		
		$query = "select id, dtBelegNr, dtAngebotNr, dtBestellungNr from $tblbelege where 1=2 ";
		
		foreach ( $kontakte as $kontaktid ) {
			if (empty ( $kontaktid ))
				continue;
			
			$query .= "or ($tblbelege.fiKunde = $kontaktid or $tblbelege.fiEndkunde = $kontaktid) ";
		}
		
		$liste = get_table_array ( $query );
		if (get_table_count ( $query ) > 0) {
			foreach ( $liste as $zeile ) {
				$id = $zeile ['id'];
				
				if (stripos ( ( string ) $betreff, $zeile ['dtBelegNr'] ) !== false or stripos ( $betreff, $zeile ['dtAngebotNr'] ) !== false or stripos ( $betreff, $zeile ['dtBestellungNr'] ) !== false) { // Belegnr oder Bestellnummer in Betreff
					$zuweisbare_belege [] = $id;
				}
				
				if (stripos ( ( string ) $plaintext, $zeile ['dtBelegNr'] ) !== false or stripos ( $plaintext, $zeile ['dtAngebotNr'] ) !== false or stripos ( $plaintext, $zeile ['dtBestellungNr'] ) !== false) { // Belegnr oder Bestellnummer in Content
					$zuweisbare_belege [] = $id;
				}
			}
		}
		
		if (count ( $zuweisbare_belege ) > 0) {
			return $zuweisbare_belege;
		} else {
			return false;
		}
	}
}

if (! function_exists ( kontakte_zu_content_suchen )) {
	function kontakte_zu_content_suchen($contentid, $adressarray) {
		global $sql_query, $tblkontakte, $tblcontent, $tblkontaktasp;
		
		$zuweisbare_kontakte = array ();
		
		foreach ( $adressarray as $kontaktname ) {
			if (! empty ( $kontaktname )) {
				$query = $sql_query ["kontaktliste"];
				$query .= " AND $tblkontakte.dtEmail LIKE '%" . $kontaktname . "%'";
				$result = get_table_array ( $query );
				
				foreach ( ( array ) $result as $row ) {
					$zuweisbare_kontakte [] = $row ['Kontakte_id'];
				}
				
				unset ( $result );
				
				// Ansprechpartner
				$query = $sql_query ["kontaktaspliste"];
				$query .= " AND $tblkontaktasp.dtEmail LIKE '%" . $kontaktname . "%'";
				
				$result = get_table_array ( $query );
				
				foreach ( ( array ) $result as $row ) {
					$zuweisbare_kontakte [] = $row ['fiKontaktID'];
				}
			}
		}
		return $zuweisbare_kontakte;
	}
}

if (! function_exists ( sucheDoppelteEmail )) {
	function sucheDoppelteEmail($field_array) {
		global $sql_query, $tblcontent;
		
		$query = $sql_query ["contentliste"];
		$query .= " and $tblcontent.dtEmailBetreff = '" . $field_array ["dtEmailBetreff"] . "'";
		$query .= " and $tblcontent.dtEmailAbsender = '" . $field_array ["dtEmailAbsender"] . "'";
		$query .= " and $tblcontent.dtEmail_Plain = '" . $field_array ["dtEmail_Plain"] . "'";
		
		$anzahl = get_table_count ( $query );
		if ($anzahl > 0) {
			return true;
		} else {
			return false;
		}
	}
}

if (! function_exists ( anhaenge_zuweisen )) {
	function anhaenge_zuweisen($dateien, $contentid) {
		global $targetsordner;
		unset ( $_FILES );
		foreach ( $dateien as $dateiname => $datei ) {
			if (! is_dir ( returnContentOrdner ( $contentid ) )) {
				@mkdir ( returnContentOrdner ( $contentid ) );
			}
			
			$ziel = returnContentOrdner ( $contentid ) . "/" . str_replace ( " ", "_", $dateiname );
			file_put_contents ( $ziel, $datei );
			
			if (returnDateiendung ( $dateiname ) == "zip") {
				extrahiereZip ( $ziel, returnContentOrdner ( $contentid ) );
			}
		}
	}
}

if (! function_exists ( _utf8_decode )) {
	function _utf8_decode($string) {
		$tmp = $string;
		$count = 0;
		while ( mb_detect_encoding ( $tmp ) == "UTF-8" ) {
			$tmp = utf8_decode ( $tmp );
			$count ++;
			
			if ($count >= UTF8_DECODE_MAX_RUNS)
				break;
		}
		
		for($i = 0; $i < $count - 1; $i ++) {
			$string = utf8_decode ( $string );
		}
		return $string;
	}
}

if (! function_exists ( "utf8_array_decode" )) {
	function utf8_array_decode($input) {
		if (! is_array ( $input ))
			$input = ( array ) $input;
		
		$return = array ();
		
		foreach ( $input as $key => $val ) {
			if (is_array ( $val )) {
				$return [$key] = utf8_array_decode ( $val );
			} else {
				$return [$key] = _utf8_decode ( $val );
			}
		}
		return $return;
	}
}

/* ********************** */

/*
 * Class mime_mail
 * Original implementation by Sascha Schumann <sascha@schumann.cx>
 * Modified by Tobias Ratschiller <tobias@dnet.it>:
 * - General code clean-up
 * - separate body- and from-property
 * - killed some mostly un-necessary stuff
 */

if (! class_exists ( "mime_mail" )) {
	class mime_mail {
		var $parts;
		var $to;
		var $from;
		var $headers;
		var $subject;
		var $body;
		
		/*
		 * void mime_mail() class constructor
		 */
		function mime_mail() {
			$this->parts = array ();
			$this->to = "";
			$this->from = "";
			$this->subject = "";
			$this->body = "";
			$this->headers = "";
		}
		
		/*
		 * void add_attachment(string message, [string name], [string ctype]) Add an attachment to the mail object
		 */
		function add_attachment($message, $name = "", $ctype = "application/octet-stream", $charset = "") {
			$this->parts [] = array (
					"ctype" => $ctype,
					"message" => $message,
					"encode" => $encode,
					"name" => $name,
					"charset" => $charset
			);
		}
		
		/*
		 * void build_message(array part= Build message parts of an multipart mail
		 */
		function build_message($part) {
			$message = $part ["message"];
			$message = chunk_split ( base64_encode ( $message ) );
			$encoding = "base64";
			$charset = $part["charset"];
			return "Content-Type: " . $part ["ctype"] . ($part ["name"] ? "; name = \"" . $part ["name"] . "\"" : "") . ";charset=".$part["charset"]."\nContent-Transfer-Encoding: $encoding\n\n$message\n";
		}
		
		/*
		 * void build_multipart() Build a multipart mail
		 */
		function build_multipart() {
			$boundary = "b" . md5 ( uniqid ( time () ) );
			$multipart = "Content-Type: multipart/mixed; boundary = $boundary\n\nThis is a MIME encoded message.\n\n--$boundary";
			
			for($i = sizeof ( $this->parts ) - 1; $i >= 0; $i --) {
				$multipart .= "\n" . $this->build_message ( $this->parts [$i] ) . "--$boundary";
			}

			return $multipart .= "--\n";
		}
		
		/*
		 * void send() Send the mail (last class-function to be called)
		 */
		function send() {
			$mime = "";
			if (! empty ( $this->from ))
				$mime .= "From: " . $this->from . "\n";
			if (! empty ( $this->headers ))
				$mime .= $this->headers . "\n";

			if (! empty ( $this->body ))
				$this->add_attachment ( utf8_encode($this->body), "", "text/plain", "UTF-8" );
			

			$mime .= "MIME-Version: 1.0\n" . $this->build_multipart ();

			mail ( utf8_encode($this->to), utf8_encode($this->subject), "", utf8_encode($mime), "-f".$this->fFrom."" );
			//mail ( $this->to, $this->subject, "", $mime );
		}
	}
}

/*
 * Example usage $attachment = fread(fopen("test.jpg", "r"), filesize("test.jpg")); $mail = new mime_mail(); $mail->from = "foo@bar.com"; $mail->headers = "Errors-To: foo@bar.com"; $mail->to = "bar@foo.com"; $mail->subject = "Testing..."; $mail->body = "This is just a test."; $mail->add_attachment("$attachment", "test.jpg", "image/jpeg"); $mail->send();
 */

if (! function_exists ( subject_decode )) {
	function subject_decode($mailadresse) {
		$coding_start_array = array (
				0 => "=?iso-8859-1?",
				1 => "=?iso-8859-15?",
				2 => "=?windows-1252?",
				3 => "=?us-ascii?",
				4 => "=?windows-1251?",
				5 => "=?utf-8?b?" 
		);
		$coding_ende_array = array (
				0 => "?=",
				1 => "?=",
				2 => "?=",
				3 => "?=",
				4 => "?=",
				5 => "?=" 
		);
		
		$sonderzeichen_hex = array (
				"=28",
				"=29",
				"=C4",
				"=D6",
				"=DC",
				"=E4",
				"=F6",
				"=FC",
				"=DF",
				"=40",
				"=5B",
				"=5D",
				"=22",
				"=21",
				"=20",
				"_" 
		);
		$sonderzeichen = array (
				"<",
				">",
				"Ä",
				"Ö",
				"Ü",
				"ä",
				"ö",
				"ü",
				"ß",
				"@",
				"[",
				"]",
				"\"",
				"!",
				" ",
				" " 
		);
		
		if ($mailadresse != "") {
			foreach ( $coding_start_array as $key => $coding ) {
				
				$recode = false;
				$mailadresse_neu = "";
				
				while ( strpos ( strtolower ( $mailadresse ), $coding ) !== false ) {
					// echo "<br>TEST " . $mailadresse . " ||| " . $coding;
					
					$recode = true;
					
					// ++++ Bestimme Positionen
					$startpos = strpos ( strtolower ( $mailadresse ), $coding );
					$endpos = strpos ( substr ( strtolower ( $mailadresse ), $startpos + strlen ( $coding ) + 2 ), $coding_ende_array [$key] );
					
					if ($endpos == "") {
						$endpos = strlen ( $mailadresse );
					}
					// echo " ||| " . $startpos . " ||| " . $endpos;
					
					// ++++ schneide Link-Variablen aus
					$teil1 = substr ( $mailadresse, 0, $startpos );
					$coding_part = substr ( $mailadresse, $startpos + strlen ( $coding ) + 2, $endpos );
					$teil2 = substr ( $mailadresse, $startpos + strlen ( $coding ) + 2 + strlen ( $coding_ende_array [$key] ) + $endpos );
					
					// ++++ Recode den encodierten Teil
					if ($key == 5) {
						$coding_part = charset_decode_utf_8 ( $coding_part );
					} else {
						$coding_part = str_replace ( $sonderzeichen_hex, $sonderzeichen, $coding_part );
					}
					
					// echo " ||| " . $teil1 . " ||| " . $coding_part . " ||| " . $teil2;
					
					$mailadresse = $teil2;
					$mailadresse_neu .= $teil1 . $coding_part;
				}
				
				if ($recode == true) {
					$mailadresse = $mailadresse_neu . $teil2;
				}
				;
			}
		}
		
		return ($mailadresse);
	}
}

if (! function_exists ( "decodeEmailAddress" )) {
	function decodeEmailAddress($input) {
		$out = array ();
		$adresse = array ();
		$address_parser = new rfc822_addresses_class ();
		$address_parser->ParseAddressList ( $input, $out );
		
		foreach ( $out as $adr ) {
			if (! empty ( $adr ["name"] )) {
				$adresse [] = $adr ["name"] . " &lt;" . $adr ["address"] . "&gt;";
			} else {
				$adresse [] = "&lt;" . $adr ["address"] . "&gt;";
			}
		}
		
		return implode ( ", ", $adresse );
	}
}

?>
