<?php

/*
 * Sucht nach neuen Tasks fr den Taskplaner
 */
if (! function_exists ( "scanTaskplanerTasks" )) {
	function scanTaskplanerTasks() {
		global $tbltaskplaner, $sql_query;
		
		$aTasksSaved = get_table_array ( $sql_query ["taskplanerliste"] );
		$aTasksInstalled = str_replace ( "taskplaner/", "", glob ( "taskplaner/*" ) );
		
		/*
		 * Nicht mehr vorhandene Tasks deinstallieren
		 */
		if (count ( $aTasksSaved ) > 0) {
			foreach ( $aTasksSaved as $aRow ) {
				$sTaskName = $aRow ["dtTaskName"];
				$iTaskId = $aRow ["id"];
				
				if (! in_array ( $sTaskName, $aTasksInstalled )) {
					delete_from_table ( $tbltaskplaner, $iTaskId );
				}
			}
		}
		
		/*
		 * Neue Tasks installieren
		 */
		foreach ( $aTasksInstalled as $sTaskName ) {
			$iAnzahl = get_table_count ( $sql_query ["taskplanerliste"] . " and dtTaskName LIKE '" . $sTaskName . "'" );
			
			if ($iAnzahl < 1) {
				/*
				 * modul.info lesen
				 */
				$aModulInfo = parseModulInfo ( "taskplaner/" . $sTaskName . "/modul.info" );
				
				$aNewTask = array ();
				$aNewTask ["dtTaskName"] = $sTaskName;
				$aNewTask ["dtAnzeigeName"] = $aModulInfo ["name"];
				$aNewTask ["dtBeschreibung"] = $aModulInfo ["description"];
				
				if ($aModulInfo ["export"] == "1") {
					$aNewTask ["dtIstExportTask"] = 1;
				}
				
				/*
				 * Zeitpunkt
				 */
				$aZeit = explode ( ",", $aModulInfo ["zeitpunkt"], 3 );
				
				// Zeitstring bauen
				if ($aZeit [0] == "") {
					$aZeit [0] = "0";
				}
				
				if ($aZeit [2] == "-1" || $aZeit [2] == "-2") {
					$aZeit [0] = "";
				}
				
				if ($aZeit [2] == "-2") {
					$aZeit [1] = "";
				}
				
				$aZeitpunkt = array (
						"stunde" => $aZeit [0],
						"minute" => $aZeit [1],
						"wiederholung" => $aZeit [2] 
				);
				
				$aNewTask ["dtZeitpunkt"] = serialize ( $aZeitpunkt );
				
				insert_into_table ( $tbltaskplaner, $aNewTask );
			}
		}
	}
}

/*
 * Fllige Tasks auflisten
 */
if (! function_exists ( "getTaskplanerTasks" )) {
	function getTaskplanerTasks($single_id = "") {
		global $sql_query, $tbltaskplaner;
		
		$aAktZeit [0] = date ( "G:i" );
		$aAktZeit [1] = date ( "G:i", mktime ( date ( "G" ), date ( "i" ) - 1 ) );
		$aAktZeit [2] = date ( "G:i", mktime ( date ( "G" ), date ( "i" ) - 2 ) );
		$aAktZeit [3] = date ( "G:i", mktime ( date ( "G" ), date ( "i" ) - 3 ) );
		$aAktZeit [4] = date ( "G:i", mktime ( date ( "G" ), date ( "i" ) - 4 ) );
		
		$query = $sql_query ["taskplanerliste"] . " and $tbltaskplaner.dtAktiv = 1";
		if ($single_id != "")
			$query .= " and $tbltaskplaner.id = " . $single_id;
		
		$aTasks = get_table_array ( $query );
		$aAuszufuehrendeTasks = array ();
		
		if (count ( $aTasks ) > 0) {
			foreach ( $aTasks as $aTask ) {
				$aZeitpunkt = unserialize ( $aTask ["dtZeitpunkt"] );
				
				if ($aZeitpunkt ["stunde"] == "") {
					$aZeitpunkt ["stunde"] = "0";
				}
				
				if ($aZeitpunkt ["minute"] == "") {
					$aZeitpunkt ["minute"] = "0";
				}
				
				if ($aZeitpunkt ["wiederholung"] == "-4") // Jedes Jahr
{
					if (date ( "j" ) != 1 || date ( "n" ) != 1) {
						continue;
					}
				}
				
				if ($aZeitpunkt ["wiederholung"] == "-3") // Jeden Monat
{
					if (date ( "j" ) != 1) {
						continue;
					}
				}
				
				if ($aZeitpunkt ["wiederholung"] == "-1") // Jede Stunde
{
					$aZeitpunkt ["stunde"] = date ( "G" );
					$aZeitpunkt ["wiederholung"] = "*";
				}
				
				if ($aZeitpunkt ["wiederholung"] == "-2") // Alle 5 Minuten
{
					$aZeitpunkt ["stunde"] = date ( "G" );
					$aZeitpunkt ["minute"] = date ( "i" );
					$aZeitpunkt ["wiederholung"] = "*";
				}
				
				$sCron = $aZeitpunkt ["stunde"] . ":" . $aZeitpunkt ["minute"] . " " . $aZeitpunkt ["wiederholung"];
				
				$zeit1 = $aZeitpunkt ["stunde"] . ":" . $aZeitpunkt ["minute"];
				$zeit2 = date ( "G:i", mktime ( $aZeitpunkt ["stunde"], $aZeitpunkt ["minute"] ) );
				
				if (in_array ( $zeit1, ( array ) $aAktZeit ) || ($aZeitpunkt ["minute"] < 5 && in_array ( $zeit2, ( array ) $aAktZeit ))) {
					$aAuszufuehrendeTasks [] = $aTask ["dtTaskName"];
				}
			}
		}
		
		return $aAuszufuehrendeTasks;
	}
}

if (! function_exists ( "storeTaskplanerTaskinformation" )) {
	function storeTaskplanerTaskinformation($sTaskName, $sAusgabe, $iReturncode) {
		global $sql_query, $tbltaskplaner;
		
		$aTask = get_table_row ( $sql_query ["taskplanerliste"] . " and $tbltaskplaner.dtTaskName = '" . $sTaskName . "'" );
		
		if (empty ( $aTask )) {
			return false;
		}
		
		$aTask ["dtReturncode"] = $iReturncode;
		$aTask ["dtRueckgabe"] = $sAusgabe;
		$aTask ["dtLetzteAusfuehrung"] = date ( "Y-m-d H:i:s" );
		
		update_into_table ( $tbltaskplaner, $aTask ["Taskplaner_id"], $aTask );
	}
}

/*
 * Macht den Taskplaner Returncode lesbar
 */
if (! function_exists ( "taskplanerReturncodeReadable" )) {
	function taskplanerReturncodeReadable($iReturncode) {
		switch ($iReturncode) {
			case 0 :
				return "OK";
			
			case 1 :
				return "Hinweis";
			
			case 2 :
				return "Warnung";
			
			default :
				return "Fehler";
		}
	}
}

?>