/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ XMLHTTPRequest ContentLoader */



var net=new Object();
net.READY_STATE_UNINITIALIZED=0;
net.READY_STATE_LOADING=1;
net.READY_STATE_LOADED=2;
net.READY_STATE_INTERACTIVE=3;
net.READY_STATE_COMPLETE=4;

net.ContentLoader=function (url,params,onload,onerror,method,contentType) {

	this.onload=onload;
	this.onerror=(onerror) ? onerror : this.defaultError;
	this.loadXMLDoc(url,params,method,contentType);

}


net.ContentLoader.prototype.loadXMLDoc=function(url,params,method,contentType) {

	if (!method){
		method="GET";
	}
	if (!contentType && method=="POST"){
		contentType='application/x-www-form-urlencoded';
	}
	if (window.XMLHttpRequest){
		this.req=new XMLHttpRequest();
	} else if (window.ActiveXObject){
		this.req=new ActiveXObject("Microsoft.XMLHTTP");
	}
	if (this.req){
		try{
			var loader=this;
			this.req.onreadystatechange=function(){
				net.ContentLoader.onReadyState.call(loader);
			}
			this.req.open(method,url,true);
			if (contentType){
				this.req.setRequestHeader('Content-Type', contentType);
			}
			this.req.send(params);
		}catch (err){
			this.onerror.call(this);
		}
	}

}


net.ContentLoader.onReadyState=function(){
	var req=this.req;
	var ready=req.readyState;
	if (ready==net.READY_STATE_COMPLETE){
		var httpStatus=req.status;
		if (httpStatus==200 || httpStatus==0){
			this.onload.call(this);
		}else{
			this.onerror.call(this);
		}
	}
}

net.ContentLoader.prototype.defaultError=function(){
	alert("Fehler in der Daten�bertragung zum Server!"
			+"\n\nReady-State: "+this.req.readyState
			+"\nStatus: "+this.req.status
			+"\nHeaders: "+this.req.getAllResponseHeaders());
}





/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Formulare */

function createFormURL(x) {

	elementID=0;
	securitycounter=0;

	url = '';
	while (x.elements[elementID] && securitycounter<1000) {
		if (x.elements[elementID].type == "text" 
			|| x.elements[elementID].type == "file" 
				|| x.elements[elementID].type == "hidden" 
					|| x.elements[elementID].type == "password") {

			url=url+"&"+x.elements[elementID].name;
			url=url+"="+replaceSpecialChars(x.elements[elementID].value);

		} else if (x.elements[elementID].type == "textarea") {

			textarea=x.elements[elementID].value.replace(/\$/g,"");
			url=url+"&"+x.elements[elementID].name;
			url=url+"="+replaceSpecialChars(textarea);

		} else if (x.elements[elementID].type == "select-one") {

			url=url+"&"+x.elements[elementID].name;
			url=url+"="+replaceSpecialChars(x.elements[elementID].value);

		} else if (x.elements[elementID].type == "select-multiple") {

			selectedValues = "";
			for(i=0;i<x.elements[elementID].options.length;i++) {
				if (x.elements[elementID].options[i].selected) {
					selectvalue = x.elements[elementID].options[i].value.replace(/\$/g,"")+"$";
					selectedValues=selectedValues+replaceSpecialChars(selectvalue);
				}
			}
			url=url+"&"+x.elements[elementID].name;
			url=url+"="+selectedValues;


		} else if (x.elements[elementID].type == "checkbox") {

			if (x.elements[elementID].checked) {
				url=url+"&"+x.elements[elementID].name;
				url=url+"="+x.elements[elementID].value;
			} else {
				url=url+"&"+x.elements[elementID].name;
				url=url+"=";
			}

		} else if (x.elements[elementID].type == "radio") {

			if (x.elements[elementID].checked) {
				url=url+"&"+x.elements[elementID].name;
				url=url+"="+x.elements[elementID].value;
			} 

		}

		elementID=elementID+1; 
		securitycounter=securitycounter+1;
	}

	return url;
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Sonderzeichen f�r den Transport verwandeln */

function replaceSpecialChars(text) {
	text = encodeURI(text);
	text = text.replace(/&/g,"�%und%�").replace(/=/g,"�%gleich%�");
	text = text.replace(/\n/g,"�%cr%�").replace(/\t/g,"�%tab%�");
	text = text.replace(/#/g,"�%dk%�");
	return text;

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ HTML einf�gen */

function insertHTML(ElementID, html, append) {
	log.info("Versuche insertHTML in "+ElementID);

	if (!append) {
		document.getElementById(ElementID).innerHTML = html;
	} else {
		document.getElementById(ElementID).innerHTML += html;
	}

}

