<?php
$listenname = "bilanz";

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Verkauf
// $query = "select * from $tblbilanzbelege where 1=1 ";
$query = "select * from $tblbilanzbelege, $tblkontakte where $tblbilanzbelege.fiKunde = $tblkontakte.id ";

// Kundefilter
if ($filter [$listenname] ["kunde"] != "") {
	$query .= " and $tblbilanzbelege.fiKunde = " . $filter [$listenname] ["kunde"] . " ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$query .= create_fulltext_index_search ( array (
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

$liste = get_table_array ( $query );
$iAnzahlBelege = count ( $liste );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$verkauf_netto [$listenzeile ["fiStatus"]] = $verkauf_netto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeVerkaufNetto"];
		$verkauf_brutto [$listenzeile ["fiStatus"]] = $verkauf_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeVerkaufBrutto"];
		
		$einkauf_netto [$listenzeile ["fiStatus"]] = $einkauf_netto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeEinkaufNetto"];
		$einkauf_brutto [$listenzeile ["fiStatus"]] = $einkauf_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeEinkaufBrutto"];
		
		$ueberschuss_netto [$listenzeile ["fiStatus"]] = $ueberschuss_netto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeUeberschussNetto"];
		$ueberschuss_brutto [$listenzeile ["fiStatus"]] = $ueberschuss_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeUeberschussBrutto"];
		
		$umsaetze_brutto [$listenzeile ["fiStatus"]] = $umsaetze_brutto [$listenzeile ["fiStatus"]] + $listenzeile ["dtSummeBezahltBrutto"];
		
		if ($filter [$listenname] ["buchungskonto"] != "") {
			foreach ( ( array ) unserialize ( $listenzeile ["dtBuchungskontoSummenVerkaufNetto"] ) as $key => $value ) {
				$verkauf_buchungskonten_netto [$listenzeile ["fiStatus"]] [$key] = $verkauf_buchungskonten_netto [$listenzeile ["fiStatus"]] [$key] + $value;
			}
			foreach ( ( array ) unserialize ( $listenzeile ["dtBuchungskontoSummenVerkaufBrutto"] ) as $key => $value ) {
				$verkauf_buchungskonten_brutto [$listenzeile ["fiStatus"]] [$key] = $verkauf_buchungskonten_brutto [$listenzeile ["fiStatus"]] [$key] + $value;
			}
		}
	}
}

$verkauf_berechnet_netto = $verkauf_netto [3] + $verkauf_netto [4];
$verkauf_berechnet_brutto = $verkauf_brutto [3] + $verkauf_brutto [4];
$umsaetze = $umsaetze_brutto [3] + $umsaetze_brutto [4];

$balkenfaktor_verkauf = 400 / max ( array_merge ( ( array ) $verkauf_netto, array (
		0.0001 
) ) );
$balkenfaktor_einkauf = 400 / max ( array_merge ( ( array ) $einkauf_netto, array (
		0.0001 
) ) );
$balkenfaktor_ueberschuss = 400 / max ( array_merge ( ( array ) $ueberschuss_netto, array (
		0.0001 
) ) );
$balkenfaktor_umsaetze = 400 / max ( $verkauf_berechnet_brutto, $umsaetze, 0.0001 );

$status_query = $sql_query ["belegstatusliste"] . " order by dtSortierung";
$status_liste = get_table_array ( $status_query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
include ("$elementsordner/$subtarget/bilanzverkauffilter.php");
include ("$elementsordner/$subtarget/bilanzverkaufformular.php");

?>
