<?php
function check_artikelkette_plausibel_rekursiv($artikel, $stuecklistenartikel, $ausgangsartikel) {
	include ("config/config.php");
	
	include ("$functionsordner/function_sql.php");
	include ("$functionsordner/function_sql_query.php");
	
	$plausibel = true;
	$check_liste = get_table_array ( $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikelStueckliste = " . $artikel );
	
	for($zeile = 0; $zeile < count ( $check_liste ); $zeile ++) {
		$plausibel = check_artikelkette_plausibel_rekursiv ( $check_liste [$zeile] ["fiArtikel"], $check_liste [$zeile] ["fiArtikelStueckliste"], $ausgangsartikel );
	}
	
	return ($plausibel and $artikel != $ausgangsartikel);
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );
unset ( $field_new ["referer"] );

if (! empty ( $field_new ["fiArtikel"] )) {
	$field_new ["fiArtikelStueckliste"] = $field_new ["fiArtikel"];
}
$field_new ["fiArtikel"] = $id;

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["xxx"] = (int)$field_new["xxx"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
unset ( $field_new ["dtWarengruppe"] );

if (getArtikelTyp ( $field_new ["fiArtikelStueckliste"] ) == 1) {
	$field_new ["dtAnzahlStueckliste"] = double_to_sql ( $field_new ["dtAnzahlStueckliste"] );
} else {
	$field_new ["dtAnzahlStueckliste"] = ( int ) double_to_sql ( $field_new ["dtAnzahlStueckliste"] );
}

/*
 * Varianten prfen
 */
$aFehlendeVariantenGruppen = array ();

if (empty ( $subid ) && empty ( $field_new ["dtVariante"] )) {
	// Zwangsvarianten?
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $field_new ["fiArtikelStueckliste"] . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
} elseif (empty ( $subid ) && ! empty ( $field_new ["dtVariante"] )) {
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
		}
	}
	
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $varianten_array ) );
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "list" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if (empty ( $subid ) && $field_new ["fiArtikelStueckliste"] > 0) {
	
	// ++++ Plausibilittsprfung - damit man nur einen Baum, aber keine Schleife bauen kann
	if (! (check_artikelkette_plausibel_rekursiv ( $field_new ["fiArtikel"], $field_new ["fiArtikelStueckliste"], $field_new ["fiArtikelStueckliste"] ))) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 15 );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "list", $subid );
		throw $fehler;
	}
	
	$field_new ["dtArtikelStuecklisteVariante"] = $field_new ["dtVariante"];
	
	if (! empty ( $_SESSION [$subtarget] [$id] ["variante"] )) {
		$field_new ["dtArtikelVariante"] = serialize ( cleanVariantenArray ( $_SESSION [$subtarget] [$id] ["variante"] ) );
		$varianten_array = unserialize ( $field_new ["dtArtikelVariante"] );
		
		foreach ( $varianten_array as $sVariantenName => $iVarianteKey ) {
			if ($iVarianteKey == - 1) {
				unset ( $varianten_array [$sVariantenName] );
			}
		}
		$field_new ["dtArtikelVariante"] = serialize ( $varianten_array );
	}
	
	// Wenn der Artikel neu gesendet wird, aber schon in der Liste ist, dann addiere die Anzahl
	$query = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $id . " and $tblartikelstuecklisten.fiArtikelStueckliste = " . $field_new ["fiArtikelStueckliste"];
	
	if (! empty ( $field_new ["dtArtikelVariante"] )) {
		$query .= " AND $tblartikelstuecklisten.dtArtikelVariante = '" . $field_new ["dtArtikelVariante"] . "'";
	}
	
	if (! empty ( $field_new ["dtArtikelStuecklisteVariante"] )) {
		$query .= " AND $tblartikelstuecklisten.dtArtikelStuecklisteVariante = '" . $field_new ["dtArtikelStuecklisteVariante"] . "'";
	}
	
	if (get_table_count ( $query ) > 0) {
		$stueckliste_row = get_table_row ( $query );
		mysql_query ( "UPDATE $tblartikelstuecklisten SET dtAnzahlStueckliste = dtAnzahlStueckliste + '" . $field_new ["dtAnzahlStueckliste"] . "' WHERE id = '" . $stueckliste_row ["ArtikelStueckliste_id"] . "'" );
	} else {
		insert_into_table ( $tblartikelstuecklisten, $field_new );
	}
} 

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ sonst ndere bestehenden Datensatz
else {
	$sQueryArtikelStuecklisteVariante = mysql_query ( "SELECT * FROM $tblartikelstuecklisten WHERE $tblartikelstuecklisten.id = '" . $field_new ["ArtikelStueckliste_id"] . "'" );
	$aResultArtikelStuecklisteVariante = mysql_fetch_array ( $sQueryArtikelStuecklisteVariante );
	
	$field_new ["dtArtikelStuecklisteVariante"] = $aResultArtikelStuecklisteVariante ["dtArtikelStuecklisteVariante"];
	
	update_into_table ( $tblartikelstuecklisten, $subid, $field_new );
}

$aArtikelNeu = array ();
$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
update_into_table ( $tblartikel, $id, $aArtikelNeu );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die vorige Ansicht
$subtyp = "list";
include ($targetsordner . "/" . $subtarget . "/" . $subtyp . ".php");

?>