<?php

// ***************************************************************************************************
// ************************************* neue_zeile_vorbesetzen **************************************
//
// erzeugt alle Felder einer neuen Zeile der tblprojektzeiten und setzt sie mit den Standardwerten vor
if (! function_exists ( neue_zeile_vorbesetzen )) {
	function neue_zeile_vorbesetzen($mitarbeiternr, $datum) {
		global $standard_taetigkeit_feiertag;
		
		// +++++++++++ Ermittle Sollzeit fr diesen Tag
		$sollzeit = get_sollzeit ( $mitarbeiternr, "0", $datum );
		
		// +++++++++++ Ermittle Stundensatz fr diesen Mitarbeiter
		$stundensatz = stundensatz_zu_projektzeit ( $mitarbeiternr );
		
		// +++++++++++ Zuordnung der Felder zur Tabelle
		unset ( $field_pz );
		$field_pz ["fiMitarbeiter"] = $mitarbeiternr;
		$field_pz ["dtDatum"] = $datum;
		
		$field_pz ["dtBeginnZeit"] = "00:00:00";
		$field_pz ["dtEndeZeit"] = "00:00:00";
		$field_pz ["dtAnwesendZeit"] = "00:00:00";
		$field_pz ["dtPauseZeit"] = "00:00:00";
		$field_pz ["dtArbeitsZeit"] = "00:00:00";
		$field_pz ["dtZusatzZeit"] = "00:00:00";
		$field_pz ["dtVergueteZeit"] = "00:00:00";
		$field_pz ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );
		$field_pz ["dtProjektzeitAutoManuell"] = 1;
		$field_pz ["fiStempelungBeginn"] = 0;
		$field_pz ["fiStempelungEnde"] = 0;
		$field_pz ["fiProjekt"] = 0;
		$field_pz ["fiTaetigkeit"] = 0;
		$field_pz ["dtProjektzeitDezimal"] = 0;
		$field_pz ["dtBemerkungProjektzeit"] = "";
		$field_pz ["dtBemerkungArbeitszeit"] = "";
		$field_pz ["dtErlaeuterungStundennachweis"] = "";
		$field_pz ["dtBemerkungKontrolle"] = "";
		$field_pz ["dtStundennachweisGeprueft"] = 0;
		$field_pz ["dtAbgerechnet"] = 0;
		$field_pz ["dtAutoEintragProjektzeit"] = 1;
		$field_pz ["dtOrt"] = "";
		$field_pz ["dtEinsatzort"] = "";
		$field_pz ["dtKommentarUebernehmen"] = 0;
		$field_pz ["dtFahrzeit"] = 0;
		$field_pz ["dtArtDerFahrt"] = "";
		$field_pz ["dtEntfernungKilometer"] = 0;
		$field_pz ["dtStdSatz"] = $stundensatz;
		$field_pz ["dtStdSatzAutoManuell"] = 1;
		$field_pz ["dtProjektzeitDezimalBericht"] = 0;
		$field_pz ["dtDatensatzDrucken"] = 1;
		$field_pz ["dtVonZeitBerichtManuell"] = "";
		$field_pz ["dtBisZeitBerichtManuell"] = "";
		$field_pz ["dtUeberstundenAutoManuell"] = 1;
		
		// +++++++++++ prfe, ob Datum ein Feiertag ist und setze ggf Bemerkung und MatCode
		$aDatumSplit = split_date ( $datum );
		$feiertag = check_feiertag ( $aDatumSplit ["tag"], $aDatumSplit ["monat"], $aDatumSplit ["jahr"] );
		if ($feiertag != "") {
			$field_pz ["dtBemerkungProjektzeit"] = "Feiertag! " . $feiertag;
			$field_pz ["dtBemerkungArbeitszeit"] = "Feiertag! " . $feiertag;
			$field_pz ["fiTaetigkeit"] = $standard_taetigkeit_feiertag;
		}
		
		return ($field_pz);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// ++++ suche Stempelzeiten, die noch nicht erfasst wurden
$query = $sql_query ["stempelzeitenliste"] . " and $tblstempelzeiten.fiStatus = 0 order by dtDatum, dtUhrzeit";
$liste = get_table_array ( $query );

unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// echo "<br>erfasse Stempelzeit ID " . $listenzeile["StempelZeiten_id"];
		
		unset ( $array );
		unset ( $sub_row );
		
		$pause = 0;
		$zusatz = 0;
		$erfasst = 2;
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Stempelzeit ist Kartenlesereintrag
		if ($listenzeile ["dtGeraet"] != "Anruferfassung") :
			
			$query = $sql_query ["projektzeitenliste"] . " and fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " and dtDatum = '" . $listenzeile ["dtDatum"] . "' order by dtBeginnZeit desc";
			
			if (get_table_count ( $query ) != 0) :
				
				$sub_row = get_table_row ( $query );
				
				// ++++ letzer Eintrag war auch Kartenleser
				if ($sub_row ["fiStempelungBeginn"] == "1") :
					
					// ++++ Startzeit vorhanden...
					$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
					$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
					$ende = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
					$pause = stdmin_to_min ( $sub_row ["dtPauseZeit"] );
					$zusatz = stdmin_to_min ( $sub_row ["dtZusatzZeit"] );
					
					if ($ende == "0") :
						// ++++ Stempelzeit ist Endezeit
						$ende = $stempelzeit;
						$pause = pausenberechnung ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"], $beginn, $ende );
						
						$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
						$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
						$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
						$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
						$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
						$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
						$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
						$array ["fiStempelungEnde"] = "1";
						
						if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
							$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
							$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
						
						
		endif;
						
						update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
						$erfasst = 1;
										// echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Arbeitsende RFID-Leser_1";
					
					elseif ($stempelzeit >= $ende) :
						// ++++ Stempelzeit ist Pausenende
						$pause = pausenberechnung ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"], $beginn, $ende );
						$ende = 0;
						
						$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
						$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
						$array ["dtAnwesendZeit"] = min_to_stdmin ( 0 );
						$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
						$array ["dtArbeitsZeit"] = min_to_stdmin ( 0 );
						$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
						$array ["dtVergueteZeit"] = min_to_stdmin ( $zusatz );
						$array ["fiStempelungEnde"] = "1";
						
						if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
							$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
							$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
						
						
		endif;
						
						update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
						$erfasst = 1;
										// echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Pausenende RFID-Leser_1";
					
					endif;
				 				

				// ++++ letzter Eintrag war Fahrt oder Arbeit beim Kunden
				else :
					
					// ++++ wenn letzter Eintrag Fahrtbeginn war, und die Fahrt noch offen ist, dann endet nun die Fahrt
					if ($sub_row ["fiStempelungBeginn"] == "2" and $sub_row ["dtEndeZeit"] == "00:00:00") :
						
						$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
						$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
						$ende = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
						$pause = stdmin_to_min ( $sub_row ["dtPauseZeit"] );
						$zusatz = stdmin_to_min ( $sub_row ["dtZusatzZeit"] );
						
						$ende = $stempelzeit;
						
						if ($ende > $beginn) :
							
							$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
							$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
							$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
							$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
							$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
							$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
							$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
							$array ["fiStempelungEnde"] = "3";
							
							if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
								$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
								$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
							
							
			endif;
							
							update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
						
						      
			//            echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Fahrtende RFID-Leser_1 ";
			
			endif;
					
					
			
			endif;
					
					// ++++ neue Zeile anlegen
					$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
					$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
					$array ["dtDatum"] = $listenzeile ["dtDatum"];
					$array ["dtBeginnZeit"] = $listenzeile ["dtUhrzeit"];
					$array ["fiStempelungBeginn"] = "1";
					$array ["fiStempelungEnde"] = "0";
					
					$id = insert_into_table ( $tblprojektzeiten, $array );
					$erfasst = 1;
								// echo " - erzeuge Projektzeit ID ".$id.": Arbeitsbeginn RFID-Leser_1";
				
				endif;
			 

			else :
				
				// ++++ neue Zeile anlegen
				$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
				$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
				$array ["dtDatum"] = $listenzeile ["dtDatum"];
				$array ["dtBeginnZeit"] = $listenzeile ["dtUhrzeit"];
				$array ["fiStempelungBeginn"] = "1";
				$array ["fiStempelungEnde"] = "0";
				
				$id = insert_into_table ( $tblprojektzeiten, $array );
				$erfasst = 1;
						// echo " - erzeuge Projektzeit ID ".$id.": Arbeitsbeginn RFID-Leser_1";
			
			endif;
				

		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Stempelzeit ist Anruferfassung Fahrtbeginn
		elseif ($listenzeile ["dtGeraet"] == "Anruferfassung" and $listenzeile ["dtStempelCode"] == "Fahrtbeginn") :
			
			$query = $sql_query ["projektzeitenliste"] . " and fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " and dtDatum = '" . $listenzeile ["dtDatum"] . "' ";
			$query .= "and fiStempelungBeginn = 3 and dtEndeZeit = '00:00:00' ";
			$query .= "order by dtBeginnZeit desc";
			
			if (get_table_count ( $query ) != 0) :
				
				// ++++ es wurde vorher gearbeitet, also Abfahrt vom Kunden
				
				$sub_row = get_table_row ( $query );
				
				$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
				$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
				$ende = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
				$pause = stdmin_to_min ( $sub_row ["dtPauseZeit"] );
				$zusatz = stdmin_to_min ( $sub_row ["dtZusatzZeit"] );
				
				$ende = $stempelzeit;
				
				if ($ende > $beginn) :
					
					$pause = standardpause ( $listenzeile ["fiMitarbeiter"], $beginn, $ende ) + $pause;
					
					$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
					$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
					$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
					$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
					$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
					$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
					$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
					$array ["fiStempelungEnde"] = "3";
					
					if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
						$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
						$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
					
					
			endif;
					
					update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
				
				      
			//        echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Arbeitsende Anruferfassung ";
			
			endif;
			
			
			
			endif;
			
			// ++++ bei Fahrtbeginn muss grundstzlich auch eine neue Zeile angelegt werden
			
			$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
			$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
			$array ["dtDatum"] = $listenzeile ["dtDatum"];
			$array ["dtBeginnZeit"] = $listenzeile ["dtUhrzeit"];
			$array ["fiStempelungBeginn"] = "2";
			$array ["fiStempelungEnde"] = "0";
			$array ["fiTaetigkeit"] = $standard_taetigkeit_fahrt;
			
			$id = insert_into_table ( $tblprojektzeiten, $array );
			$erfasst = 1;
				// echo " - erzeuge Projektzeit ID ".$id.": Fahrtbeginn Anruferfassung";
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Stempelzeit ist Anruferfassung Arbeitsbeginn
		elseif ($listenzeile ["dtGeraet"] == "Anruferfassung" and $listenzeile ["dtStempelCode"] == "Arbeitsbeginn") :
			
			$query = $sql_query ["projektzeitenliste"] . " and fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " and dtDatum = '" . $listenzeile ["dtDatum"] . "' ";
			$query .= "and fiStempelungBeginn = 2 and dtEndeZeit = '00:00:00' ";
			$query .= "order by dtBeginnZeit desc";
			
			if (get_table_count ( $query ) != 0) :
				
				// ++++ es wurde vorher gefahren, also Ankunft beim Kunden
				
				$sub_row = get_table_row ( $query );
				
				$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
				$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
				$ende = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
				$pause = stdmin_to_min ( $sub_row ["dtPauseZeit"] );
				$zusatz = stdmin_to_min ( $sub_row ["dtZusatzZeit"] );
				
				$ende = $stempelzeit;
				
				if ($ende > $beginn) :
					
					$pause = standardpause ( $listenzeile ["fiMitarbeiter"], $beginn, $ende ) + $pause;
					
					$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
					$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
					$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
					$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
					$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
					$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
					$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
					$array ["fiStempelungEnde"] = "3";
					
					if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
						$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
						$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
					
					
			endif;
					
					update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
				
				      
			//        echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Fahrtende Anruferfassung ";
			
			endif;
			 

			else :
				
				$query = $sql_query ["projektzeitenliste"] . " and fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " and dtDatum = '" . $listenzeile ["dtDatum"] . "' ";
				$query .= "and fiStempelungEnde = 1 and dtEndeZeit != '00:00:00' ";
				$query .= "order by dtBeginnZeit desc";
				
				if (get_table_count ( $query ) != 0) :
					
					// ++++ oder es wurde vorher in der Firma ausgestempelt, dann einen Eintrag "Fahrt" erzeugen
					
					$sub_row = get_table_row ( $query );
					
					$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
					$beginn = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
					
					$ende = $stempelzeit;
					
					if ($ende > $beginn) :
						
						$pause = standardpause ( $listenzeile ["fiMitarbeiter"], $beginn, $ende ) + $pause;
						
						$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
						$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
						$array ["dtDatum"] = $listenzeile ["dtDatum"];
						
						$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
						$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
						$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
						$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
						$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
						$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
						$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
						$array ["fiStempelungBeginn"] = "1";
						$array ["fiStempelungEnde"] = "3";
						$array ["fiTaetigkeit"] = $standard_taetigkeit_fahrt;
						
						$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
						$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
						
						$id = insert_into_table ( $tblprojektzeiten, $array );
					
					      
			//          echo " - erzeuge Projektzeit ID ".$id.": Fahrtbeginn Anruferfassung ";
			
			endif;
				
				
			
			endif;
			

			endif;
			
			// ++++ bei Arbeitsbeginn muss grundstzlich auch eine neue Zeile angelegt werden
			
			$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
			$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
			$array ["dtDatum"] = $listenzeile ["dtDatum"];
			$array ["dtBeginnZeit"] = $listenzeile ["dtUhrzeit"];
			$array ["fiStempelungBeginn"] = "3";
			$array ["fiStempelungEnde"] = "0";
			
			$id = insert_into_table ( $tblprojektzeiten, $array );
			$erfasst = 1;
				// echo " - erzeuge Projektzeit ID ".$id.": Arbeitsbeginn Anruferfassung ";
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Stempelzeit ist Anruferfassung Arbeitsende
		elseif ($listenzeile ["dtGeraet"] == "Anruferfassung" and $listenzeile ["dtStempelCode"] == "Ende") :
			
			$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " ";
			$query .= "and $tblprojektzeiten.dtDatum = '" . $listenzeile ["dtDatum"] . "' ";
			$query .= "and ($tblprojektzeiten.fiStempelungBeginn = 2 or $tblprojektzeiten.fiStempelungBeginn = 3) and $tblprojektzeiten.dtEndeZeit = '00:00:00' ";
			$query .= "order by $tblprojektzeiten.dtBeginnZeit desc";
			
			if (get_table_count ( $query ) != 0) :
				// ++++ es gibt eine Stempelung Arbeitsbeginn oder Fahrtbeginn, ohne Endezeit
				
				$sub_row = get_table_row ( $query );
				
				$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
				$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
				$ende = stdmin_to_min ( $sub_row ["dtEndeZeit"] );
				$pause = stdmin_to_min ( $sub_row ["dtPauseZeit"] );
				$zusatz = stdmin_to_min ( $sub_row ["dtZusatzZeit"] );
				
				$ende = $stempelzeit;
				
				if ($ende > $beginn) :
					
					$pause = standardpause ( $listenzeile ["fiMitarbeiter"], $beginn, $ende ) + $pause;
					
					$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
					$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
					$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
					$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
					$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
					$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
					$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
					$array ["fiStempelungEnde"] = "4";
					
					if ($sub_row ["dtProjektzeitAutoManuell"] != 0) :
						$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
						$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
					
					
			endif;
					
					update_into_table ( $tblprojektzeiten, $sub_row ["Projektzeiten_id"], $array );
					$erfasst = 1;
				
				
			//        echo " - aktualisiere Projektzeit ID ".$sub_row["Projektzeiten_id"].": Arbeitsende/Fahrtende Anruferfassung ";
			
			endif;
			 

			else :
				
				// wenn es vorher 2x,4x,6x... Kartenleser gibt, dann ist es eine Fahrt von der Firma zum Kunden, wo dann am nchsten Morgen angefangen wird
				
				$query = $sql_query ["projektzeitenliste"] . " and fiMitarbeiter = " . $listenzeile ["fiMitarbeiter"] . " and dtDatum = '" . $listenzeile ["dtDatum"] . "' ";
				$query .= "and fiStempelungBeginn = 1 and fiStempelungEnde = 1 ";
				$query .= "order by dtBeginnZeit desc";
				
				if (get_table_count ( $query ) != 0) :
					
					$sub_row = get_table_row ( $query );
					
					$stempelzeit = stdmin_to_min ( $listenzeile ["dtUhrzeit"] );
					$beginn = stdmin_to_min ( $sub_row ["dtBeginnZeit"] );
					
					$ende = $stempelzeit;
					
					if ($ende > $beginn) :
						
						$pause = standardpause ( $listenzeile ["fiMitarbeiter"], $beginn, $ende ) + $pause;
						
						$array = neue_zeile_vorbesetzen ( $listenzeile ["fiMitarbeiter"], $listenzeile ["dtDatum"] );
						$array ["fiMitarbeiter"] = $listenzeile ["fiMitarbeiter"];
						$array ["dtDatum"] = $listenzeile ["dtDatum"];
						
						$array ["dtBeginnZeit"] = min_to_stdmin ( $beginn );
						$array ["dtEndeZeit"] = min_to_stdmin ( $ende );
						$array ["dtAnwesendZeit"] = min_to_stdmin ( $ende - $beginn );
						$array ["dtPauseZeit"] = min_to_stdmin ( $pause );
						$array ["dtArbeitsZeit"] = min_to_stdmin ( $ende - $beginn - $pause );
						$array ["dtZusatzZeit"] = min_to_stdmin ( $zusatz );
						$array ["dtVergueteZeit"] = min_to_stdmin ( $ende - $beginn - $pause + $zusatz );
						$array ["fiStempelungBeginn"] = "1";
						$array ["fiStempelungEnde"] = "4";
						$array ["fiTaetigkeit"] = $standard_taetigkeit_fahrt;
						
						$array ["dtProjektzeitDezimal"] = deztime_from_time ( $array ["dtArbeitsZeit"] );
						$array ["dtProjektzeitDezimalBericht"] = $array ["dtProjektzeitDezimal"];
						
						$id = insert_into_table ( $tblprojektzeiten, $array );
						$erfasst = 1;
					
					
			//          echo " - erzeuge Projektzeit ID ".$sub_row["Projektzeiten_id"].": Fahrt vollstndig";
			
			endif;
				
				      
			endif;
			

			endif;
		

		endif;
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// +++++ Eintrag wurde nun erfasst (oder auch nicht). Status in tblStempelzeiten eintragen
		$stempelzeit_array ["fiStatus"] = $erfasst;
		
		update_into_table ( $tblstempelzeiten, $listenzeile ["StempelZeiten_id"], $stempelzeit_array );
		// echo " - " . $erfasst;
	}
}
;

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Statusausgabe
echo "<br><br><center>Es wurden alle Eintrge manuell erfasst</center>";

echo "<br><center>";
echo klickbutton ( " schliessen ", "onClick='self.close();'", "width: 85px;", "Dieses Fenster schliessen" );
echo "</center>";

?>
