<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */

/*
 * Einstellungen
 */
neuesKonfigurationsfeld ( $sTask . "_mailbox", "Adresse zum POP3 oder IMAP Konto.\n\nBeispiele:\n{imap.concepterp.de:143}INBOX - Verbindung zu IMAP Server imap.concepterp.de und Postfach INBOX\n{imap.concepterp.de:993/imap/ssl/novalidate-cert}INBOX - Wie oben, sichere Verbindung.\n{pop3.concepterp.de:110/pop3}INBOX - POP3 Verbindung zu pop3.concepterp.de\n\nSiehe auch: http://de2.php.net/manual/de/function.imap-open.php", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_benutzername", "Benutzername zur angegebenen Mailbox.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_passwort", "Passwort zur angegebenen Mailbox.", CONFIG_TYP_TEXT, "", $sTask );

$aConfig = exportiereKonfiguration ();

$sMailbox = $aConfig [$sTask . "_mailbox"];
$sBenutzername = $aConfig [$sTask . "_benutzername"];
$sPasswort = $aConfig [$sTask . "_passwort"];

if (! function_exists ( "imap_open" )) {
	echo "Bitte php-imap installieren.\n";
	$iReturncode = 3;
	return;
}

// Verbindung aufbauen
if (! ($rMbox = imap_open ( $sMailbox, $sBenutzername, $sPasswort ))) {
	echo "Konnte keine Verbindung zur Mailbox aufbauen!\n";
	$iReturncode = 3;
	return;
} else {
	echo "Verbindung zur Mailbox aufgebaut!\n";
}

$iAnzahl = imap_num_msg ( $rMbox );
echo $iAnzahl . " Nachricht(en) gefunden.\n";

$aTags = array (
		"BestellNr",
		"oxid",
		"Titel",
		"Variante",
		"Preis",
		"Menge",
		"MwSt",
		"GesamtArtikel",
		"Nachricht",
		"Versandkosten",
		"Email",
		"Bill_Company",
		"Bill_Anrede",
		"Bill_Vorname",
		"Bill_Nachname",
		"Bill_Strasse",
		"Bill_PLZ",
		"Bill_Ort",
		"Bill_Land",
		"Shipping_Company",
		"Shipping_Anrede",
		"Shipping_Vorname",
		"Shipping_Nachname",
		"Shipping_Strasse",
		"Shipping_PLZ",
		"Shipping_Ort",
		"Shipping_Land",
		"Aufschlag_Zahlungsart",
		"Telefon" 
);

$aBestellungen = array ();

if ($iAnzahl > 0) {
	for($i = 1; $i <= $iAnzahl; $i ++) {
		$sMessage = imap_qprint ( imap_body ( $rMbox, $i ) );
		
		foreach ( $aTags as $sSuchtag ) {
			$sSuchtagOpen = "<" . $sSuchtag . ">";
			$sSuchtagClose = "</" . $sSuchtag . ">";
			$iCountTag = substr_count ( $sMessage, $sSuchtagOpen );
			
			if ($iCountTag < 1) {
				continue;
			} else {
				if (! is_array ( $aBestellungen [$i] )) {
					$aBestellungen [$i] = array ();
				}
				
				if (! is_array ( $aBestellungen [$i] [$sSuchtag] ) && $iCountTag > 1) {
					$aBestellungen [$i] [$sSuchtag] = array ();
				}
			}
			
			$iOffsetEnde = 0; // Speichert Position des letzten Zeichens vom Close-Tag
			
			for($x = 0; $x < $iCountTag; $x ++) {
				$iStart = strpos ( $sMessage, $sSuchtagOpen, $iOffsetEnde ) + strlen ( $sSuchtagOpen );
				$iEnde = strpos ( $sMessage, $sSuchtagClose, $iOffsetEnde );
				
				if ($iCountTag == 1) {
					$aBestellungen [$i] [$sSuchtag] = substr ( $sMessage, $iStart, ($iEnde - $iStart) );
				} else {
					$aBestellungen [$i] [$sSuchtag] [] = substr ( $sMessage, $iStart, ($iEnde - $iStart) );
				}
				
				$iOffsetEnde = $iEnde + strlen ( $sSuchtagClose );
			}
		}
		
		echo "Loesche die verarbeitete E-Mail nun.\n";
		imap_delete ( $rMbox, $i );
	}
}

/*
 * Bestellungen verarbeiten
 */

foreach ( $aBestellungen as $aBestellung ) {
	if (count ( $aBestellung ) < 1) {
		continue;
	}
	
	$aBelegNeu = array ();
	$aBelegNeu ["dtBelegNr"] = belegnummer_neu ();
	$aBelegNeu ["dtAngebotDatum"] = date ( "Y-m-d" );
	$aBelegNeu ["dtAuftragDatum"] = date ( "Y-m-d" );
	$aBelegNeu ["dtLieferungDatum"] = date ( "Y-m-d" );
	$aBelegNeu ["dtRechnungDatum"] = date ( "Y-m-d" );
	$aBelegNeu ["dtMahnungDatum"] = "2030-01-01";
	$aBelegNeu ["dtStornierungDatum"] = "2030-01-01";
	$aBelegNeu ["dtDatumFaelligkeit"] = date ( "Y-m-d" );
	$aBelegNeu ["dtAnzeigeDatum"] = date ( "Y-m-d" );
	$aBelegNeu ["fiKundeAnsprechpartner"] = "0";
	$aBelegNeu ["fiEndkunde"] = "0";
	$aBelegNeu ["fiEndkundeAnsprechpartner"] = "0";
	$aBelegNeu ["fiProjekt"] = "0";
	$aBelegNeu ["dtGebucht"] = "0";
	$aBelegNeu ["dtBezeichnung"] = $sTask . ": automatisch erzeugter Beleg";
	$aBelegNeu ["fiStatus"] = 3;
	$aBelegNeu ["fiZahlart"] = $standard_zahlart_belege;
	$aBelegNeu ["fiLieferart"] = $standardLieferart;
	
	// Kontakt suchen
	$sSqlKontaktQuery = $sql_query ["kontaktliste"] . " AND dtEmail LIKE '" . $aBestellung ["Email"] . "' LIMIT 1";
	
	if ($aKontakt = get_table_row ( $sSqlKontaktQuery )) // Kontakt existiert
{
		$aBelegNeu ["fiKunde"] = $aKontakt ["Kontakte_id"];
		echo "Kontakt gefunden: " . $aBelegNeu ["fiKunde"] . "\n";
	} else // Kontakt anlegen
{
		$aKontaktNeu = array (
				"dtKontaktNr" => kontaktnummer_neu (),
				"fiBenutzergruppe" => 5,
				"dtAktiv" => 1,
				"dtLetzteAenderung" => date ( "Y-m-d H:i:s" ),
				"dtIstKunde" => 1,
				"dtFirmenname" => $aBestellung ["Bill_Company"],
				"dtNachname" => $aBestellung ["Bill_Nachname"],
				"dtVorname" => $aBestellung ["Bill_Vorname"],
				"dtStrasse" => $aBestellung ["Bill_Strasse"],
				"dtPLZ" => $aBestellung ["Bill_PLZ"],
				"dtOrt" => $aBestellung ["Bill_Ort"],
				"dtEmail" => $aBestellung ["Email"],
				"dtTelefon" => $aBestellung ["Telefon"] 
		);
		
		/*
		 * Anrede
		 */
		if (! empty ( $aBestellung ["Bill_Anrede"] )) {
			$aAnrede = get_table_row ( $sql_query ["anredenliste"] . " and $tblanreden.dtAnrede LIKE '" . $aBestellung ["Bill_Anrede"] . "'" );
			
			if ($aAnrede) {
				$aKontaktNeu ["fiAnrede"] = $aAnrede ["Anreden_id"];
			} else {
				$aAnrede = array ();
				$aAnrede ["dtAnrede"] = $aBestellung ["Bill_Anrede"];
				$aAnrede ["dtDruckAnrede"] = $aBestellung ["Bill_Anrede"];
				$aKontaktNeu ["fiAnrede"] = insert_into_table ( $tblanreden, $aAnrede );
			}
		}
		
		/*
		 * Land
		 */
		$aLand = get_table_row ( $sql_query ["landliste"] . " and $tbllaender.dtLandesname LIKE '" . $aBestellung ["Bill_Land"] . "'" );
		
		if ($aLand) {
			$aKontaktNeu ["fiLand"] = $aLand ["Laender_id"];
		} else {
			$aLand = array ();
			$aLand ["dtLandesname"] = $aBestellung ["Bill_Land"];
			$aKontaktNeu ["fiLand"] = insert_into_table ( $tbllaender, $aLand );
		}
		
		$aKontaktNeu ["dtBuchhaltungKontoKunde"] = $standardbuchhaltungskonto_kunden + $aKontaktNeu ["dtKontaktNr"];
		$aKontaktNeu ["dtBuchhaltungKontoLieferant"] = $standardbuchhaltungskonto_lieferanten + $aKontaktNeu ["dtKontaktNr"];
		$aKontaktNeu ["dtBuchhaltungKontoMitarbeiter"] = $standardbuchhaltungskonto_mitarbeiter + $aKontaktNeu ["dtKontaktNr"];
		
		// erzeuge Feld Nummern Suche fr Volltextsuche in Telefonnummern
		$nummer_telefon = normalisiere_telefonnummer ( $aKontakt ["dtTelefon"] );
		
		$aKontaktNeu ["dtNummernSuche"] = str_replace ( " ", "", $nummer_telefon ) . " " . $nummer_telefon;
		$aKontaktNeu ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_mobil ) . " " . $nummer_mobil;
		$aKontaktNeu ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_fax ) . " " . $nummer_fax;
		
		$nummernsuche_array = array_unique ( explode ( " ", $aKontaktNeu ["dtNummernSuche"] ) );
		$aKontaktNeu ["dtNummernSuche"] = "";
		foreach ( $nummernsuche_array as $key => $value ) {
			if ($value != "") {
				$aKontaktNeu ["dtNummernSuche"] .= $value . " ";
			}
		}
		
		$aBelegNeu ["fiKunde"] = insert_into_table ( $tblkontakte, $aKontaktNeu );
		echo "Kontakt erstellt: " . $aBelegNeu ["fiKunde"] . "\n";
	}
	
	$iBelegId = insert_into_table ( $tblbelege, $aBelegNeu );
	erzeugeBelegDruckinfo ( $iBelegId, $aBelegNeu ["fiKunde"] );
	echo "Beleg erstellt: " . $iBelegId . "\n";
	
	// Versandkosten und Aufpreise anlegen
	if (double_to_sql ( $aBestellung ["Versandkosten"] ) > 0) {
		$aBelegpostenNeu = array (
				"fiBeleg" => $iBelegId,
				"dtPosNr" => 50,
				"dtArtikelNr" => "",
				"dtArtikelBezeichnung" => "Versandkosten",
				"dtMenge" => 1,
				"fiEinheit" => 1,
				"dtMwstSatz" => 0,
				"dtPreisNetto" => double_to_sql ( $aBestellung ["Versandkosten"] ),
				"fiBuchungsKonto" => $standardbuchhaltungskonto_belegmaterialposten 
		);
		
		insert_into_table ( $tblbelegposten, $aBelegpostenNeu );
		echo "Versandkosten angelegt...\n";
	}
	
	if (double_to_sql ( $aBestellung ["Aufschlag_Zahlungsart"] ) > 0) {
		$aBelegpostenNeu = array (
				"fiBeleg" => $iBelegId,
				"dtPosNr" => 51,
				"dtArtikelNr" => "",
				"dtArtikelBezeichnung" => "Aufschlag Zahlungsart",
				"dtMenge" => 1,
				"fiEinheit" => 1,
				"dtMwstSatz" => 0,
				"dtPreisNetto" => double_to_sql ( $aBestellung ["Aufschlag_Zahlungsart"] ),
				"fiBuchungsKonto" => $standardbuchhaltungskonto_belegmaterialposten 
		);
		
		insert_into_table ( $tblbelegposten, $aBelegpostenNeu );
		echo "Aufschlag Zahlungsart angelegt...\n";
	}
	
	$bBelegpostenNegativ = false;
	
	if (is_array ( $aBestellung ["oxid"] )) // Mehrere Posten?
{
		foreach ( array_keys ( $aBestellung ["oxid"] ) as $y ) // Falls mehrere Posten existieren, gehe diese einzeln durch
{
			if (substr_count ( $aBestellung ["oxid"] [$y], "-" ) > 0) {
				$aOxid_Split = explode ( "-", $aBestellung ["oxid"] [$y] );
				$iVarianteId = $aOxid_Split [1];
				$iArtikelId = $aOxid_Split [0];
			} else {
				$iArtikelId = $aBestellung ["oxid"] [$y];
			}
			
			$aArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.id = " . $iArtikelId );
			
			$aBelegMaterialpostenNeu = array ();
			$aBelegMaterialpostenNeu ["fiBeleg"] = $iBelegId;
			$aBelegMaterialpostenNeu ["fiArtikel"] = $iArtikelId;
			$aBelegMaterialpostenNeu ["fiEinheit"] = $aArtikel ["fiEinheit"];
			$aBelegMaterialpostenNeu ["dtMenge"] = double_to_sql ( $aBestellung ["Menge"] [$y] );
			$aBelegMaterialpostenNeu ["dtMwstSatz"] = double_to_sql ( $aBestellung ["MwSt"] [$y] );
			$aBelegMaterialpostenNeu ["dtPreisNetto"] = double_to_sql ( $aBestellung ["Preis"] [$y] );
			$aBelegMaterialpostenNeu ["fiPreisgruppe"] = 5;
			
			if ($aArtikel ["fiArtikelBuchungsKonto"] > 0) {
				$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $aArtikel ["fiArtikelBuchungsKonto"];
			} else {
				$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegmaterialposten;
			}
			
			// Variante
			if ($iVarianteId > 0) {
				$sSqlVariante = "SELECT * FROM $tblartikelvarianten WHERE $tblartikelvarianten.id = " . $iVarianteId;
				$aVariante = get_table_row ( $sSqlVariante );
				
				$aBelegMaterialpostenNeu ["dtVariante"] = serialize ( cleanVariantenArray ( array (
						"variante_" . $aVariante ["fiArtikelVariantenGruppe"] => $iVarianteId 
				) ) );
				$aBelegMaterialpostenNeu ["dtVarianteArtNr"] = $aVariante ["dtArtikelVariantenNr"];
				$aBelegMaterialpostenNeu ["dtVarianteArtName"] = $aVariante ["dtArtikelVariantenName"];
			}
			
			$max_pos = get_max_from_table ( $tblbelegmaterialposten, "dtPosNr", "where fiBeleg = " . $iBelegId );
			$aBelegMaterialpostenNeu ["dtPosNr"] = $max_pos + 1;
			
			insert_into_table ( $tblbelegmaterialposten, $aBelegMaterialpostenNeu );
			
			if (! $bBelegpostenNegativ) {
				if (! addArtikelStueckToBeleg ( $iArtikelId, $iBelegId, $aBestellung ["Menge"] [$y] )) {
					echo "Nicht gengend Artikelstueck verfgbar, setze Beleg auf beauftragt...\n";
					
					$aBelegNeu = array ();
					$aBelegNeu ["fiStatus"] = 1;
					update_into_table ( $tblbelege, $iBelegId, $aBelegNeu );
					
					$bBelegpostenNegativ = true;
					ArtikelStueckZuArtikelStueckNegativ ( $iBelegId );
				}
			} else {
				for($z = 0; $z < $aBestellung ["Menge"] [$y]; $z ++) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $iArtikelId;
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $iBelegId;
					$artikelstueckNegativNew ['fiProjekt'] = 0;
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					$artikelstueckNegativNew ["dtVariante"] = $aBelegMaterialpostenNeu ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $aBelegMaterialpostenNeu ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $aBelegMaterialpostenNeu ["dtVarianteArtName"];
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
			}
			
			echo "Belegposten angelegt...\n";
		}
	} else // Ein einziger Posten
{
		if (substr_count ( $aBestellung ["oxid"], "-" ) > 0) {
			$aOxid_Split = explode ( "-", $aBestellung ["oxid"] );
			$iVarianteId = $aOxid_Split [1];
			$iArtikelId = $aOxid_Split [0];
		} else {
			$iArtikelId = $aBestellung ["oxid"];
		}
		
		$aArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.id = " . $iArtikelId );
		
		$aBelegMaterialpostenNeu = array ();
		$aBelegMaterialpostenNeu ["fiBeleg"] = $iBelegId;
		$aBelegMaterialpostenNeu ["fiArtikel"] = $iArtikelId;
		$aBelegMaterialpostenNeu ["fiEinheit"] = $aArtikel ["fiEinheit"];
		$aBelegMaterialpostenNeu ["dtMenge"] = double_to_sql ( $aBestellung ["Menge"] );
		$aBelegMaterialpostenNeu ["dtMwstSatz"] = double_to_sql ( $aBestellung ["MwSt"] );
		$aBelegMaterialpostenNeu ["dtPreisNetto"] = double_to_sql ( $aBestellung ["Preis"] );
		$aBelegMaterialpostenNeu ["fiPreisgruppe"] = 5;
		
		if ($aArtikel ["fiArtikelBuchungsKonto"] > 0) {
			$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $aArtikel ["fiArtikelBuchungsKonto"];
		} else {
			$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegmaterialposten;
		}
		
		// Variante
		if ($iVarianteId > 0) {
			$sSqlVariante = "SELECT * FROM $tblartikelvarianten WHERE $tblartikelvarianten.id = " . $iVarianteId;
			$aVariante = get_table_row ( $sSqlVariante );
			
			$aBelegMaterialpostenNeu ["dtVariante"] = serialize ( cleanVariantenArray ( array (
					"variante_" . $aVariante ["fiArtikelVariantenGruppe"] => $iVarianteId 
			) ) );
			$aBelegMaterialpostenNeu ["dtVarianteArtNr"] = $aVariante ["dtArtikelVariantenNr"];
			$aBelegMaterialpostenNeu ["dtVarianteArtName"] = $aVariante ["dtArtikelVariantenName"];
		}
		
		$max_pos = get_max_from_table ( $tblbelegmaterialposten, "dtPosNr", "where fiBeleg = " . $iBelegId );
		$aBelegMaterialpostenNeu ["dtPosNr"] = $max_pos + 1;
		
		insert_into_table ( $tblbelegmaterialposten, $aBelegMaterialpostenNeu );
		
		if (! $bBelegpostenNegativ) {
			if (! addArtikelStueckToBeleg ( $iArtikelId, $iBelegId, $aBestellung ["Menge"] )) {
				echo "Nicht gengend Artikelstueck verfgbar, setze Beleg auf beauftragt...\n";
				
				$aBelegNeu = array ();
				$aBelegNeu ["fiStatus"] = 1;
				update_into_table ( $tblbelege, $iBelegId, $aBelegNeu );
				
				$bBelegpostenNegativ = true;
				ArtikelStueckZuArtikelStueckNegativ ( $iBelegId );
			}
		} else {
			for($z = 0; $z < $aBestellung ["Menge"]; $z ++) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $iArtikelId;
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = $iBelegId;
				$artikelstueckNegativNew ['fiProjekt'] = 0;
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				$artikelstueckNegativNew ["dtVariante"] = $aBelegMaterialpostenNeu ["dtVariante"];
				$artikelstueckNegativNew ["dtVarianteArtNr"] = $aBelegMaterialpostenNeu ["dtVarianteArtNr"];
				$artikelstueckNegativNew ["dtVarianteArtName"] = $aBelegMaterialpostenNeu ["dtVarianteArtName"];
				
				insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
			}
		}
		
		echo "Belegposten angelegt...\n";
	}
	
	belegPostenDurchnummerieren ( $iBelegId );
	bilanzbeleg_aktualisieren ( $iBelegId, true );
	echo "Beleg fertig: " . $iBelegId . "\n";
}

imap_expunge ( $rMbox );
imap_close ( $rMbox );

echo "Verbindung geschlossen.\n";

?>