<?php
require_once ('functions/init.php');

/*
 * Cookie mit Zugangsdaten auswerten
 */
if (isset ( $_COOKIE ['login'] )) {
	$cookieExplode = explode ( ":::", $_COOKIE ['login'], 2 );
	$benutzername = $cookieExplode [0];
	$passwort = $cookieExplode [1];
}

if (! empty ( $benutzername ) && ! empty ( $passwort )) {
	$result_checklogin = check_login ( $benutzername, $passwort, true );
	if ($result_checklogin == 4) {
		$benutzer_row = holeBenutzer ( $benutzername );
		$benutzerrechte = getGruppenrechte ( $benutzername );
		$mitarbeiterId = $benutzer_row ["fiUserNr"];
	}
}
function getGleitzeitAktuell($mitarbeiterId) {
	$gesterndatum = date ( "Y-m-d", mktime ( 0, 0, 0, date ( "n" ), date ( "j" ) - 1, date ( "Y" ) ) );
	$gleitzeitkontomin = get_gleitzeit ( $mitarbeiterId, "1970-01-01", $gesterndatum, "liste" );
	return min_to_stdmin ( $gleitzeitkontomin );
}
function getGleitzeitHeute($mitarbeiterId) {
	global $aktdatum, $tblprojektzeiten;
	
	$gleitzeitkontoheutemin = get_gleitzeit ( $mitarbeiterId, $aktdatum, $aktdatum, "liste" );
	$gleitzeitkontoheute = min_to_stdmin ( $gleitzeitkontoheutemin );
	
	// wenn es noch keine Eintrge fr diesen Tag gibtr, dann ist die Gleitzzeit des Tages gleich der Sollzeit dieses Tages
	$query = "select * from $tblprojektzeiten ";
	$query = $query . "where fiMitarbeiter = " . $mitarbeiterId . " ";
	$query = $query . "and to_days(dtDatum) >= to_days('$aktdatum') ";
	$query = $query . "and to_days(dtDatum) <= to_days('$aktdatum') ";
	$query = $query . "order by dtDatum, dtBeginnZeit desc";
	
	$anzahl = get_table_count ( $query );
	if ($anzahl == 0) {
		$sollzeit_array = get_sollzeit ( $mitarbeiterId, 1, $aktdatum );
		$gleitzeitkontoheute = deztime_to_stdmin ( double_to_sql ( $sollzeit_array [0] ) );
		$gleitzeitkontoheutemin = stdmin_to_min ( $gleitzeitkontoheute );
	}
	
	return $gleitzeitkontoheute;
}
function getUrlaubsstand($mitarbeiterId) {
	$urlaubsstand = get_urlaubsstand ( $mitarbeiterId, "1970-01-01", mktime ( 0, 0, 0, date ( "n" ), date ( "j" ) - 1, date ( "Y" ) ), "liste" );
	return double_from_sql ( $urlaubsstand, 1 );
}

/*
 * Liste ausgeben
 */
function getListe($mitarbeiterId, $datum) {
	global $sql_query, $tblprojektzeiten, $tblprojekte, $tblkontakte;
	
	?>

<div class="toolbar">
	<h1>
		<img src="config/pics/logo.png" style="height: 30px;">
	</h1>
	<a class="button leftButton flip" href="#einstellungen">Einstellungen</a>
	<a class="button slideup add" href="#formular" id="buttonAdd">+</a>
</div>

<!-- Gleitzeitstand -->
<ul class="rounded">
	<li>
		<table>
			<tr>
				<td></td>
				<td>Gleitzeit</td>
				<td>Urlaub</td>
			</tr>

			<tr>
				<td>aktuell (bis gestern)</td>
				<td><?php echo getGleitzeitAktuell($mitarbeiterId); ?></td>
				<td><?php echo getUrlaubsstand($mitarbeiterId); ?></td>
			</tr>

			<tr>
				<td>heute</td>
				<td><?php echo getGleitzeitHeute($mitarbeiterId); ?></td>
				<td></td>
			</tr>
		</table>
	</li>
</ul>

<!-- Datum -->
<ul class="rounded">
	<li>
		<table>
			<tr>
				<td><a class="flip whiteButton"
					href="zeiterfassung_iphone.php?datum=<?php echo $datum - 86400; ?>">&lt;</a>
				</td>
				<td style="text-align: center;"><?php echo date("d.m.Y", $datum); ?>
				</td>
				<td><a class="flip whiteButton"
					href="zeiterfassung_iphone.php?datum=<?php echo $datum + 86400; ?>">&gt;</a>
				</td>
			</tr>
		</table>
	</li>
</ul>

<!-- Eintrge -->
<ul class="rounded">

<?php
	
	$query = $sql_query ["projektzeitenliste"];
	$query .= " AND $tblprojektzeiten.fiMitarbeiter = '" . $mitarbeiterId . "' AND $tblprojektzeiten.dtDatum = '" . date ( "Y-m-d", $datum ) . "'";
	
	$liste = get_table_array ( $query );
	
	if (count ( $liste ) > 0) {
		foreach ( $liste as $listenzeile ) {
			// Projekt
			if ($listenzeile ["fiProjekt"] > 0) {
				$query = $sql_query ["projektliste"] . " and $tblprojekte.id=" . $listenzeile ["fiProjekt"];
				$projektrow = get_table_row ( $query );
			} else {
				$projektrow ["dtProjektDDText"] = "";
			}
			
			// Kunde
			if ($listenzeile ["fiProjektzeitenKunde"] > 0) {
				$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id=" . $listenzeile ["fiProjektzeitenKunde"];
				$kontaktrow = get_table_row ( $query );
			} else {
				$kontaktrow ["dtProjektDDText"] = "";
			}
			
			$editString = "'" . $projektrow ["dtProjektDDText"] . "' , '" . $kontaktrow ["dtKontaktDDText"] . "', '" . $listenzeile ["dtTaetigkeitDDText"] . "', '" . date ( "d.m.Y", $datum ) . "', '" . time_from_sql ( $listenzeile ["dtBeginnZeit"] ) . "', '" . time_from_sql ( $listenzeile ["dtEndeZeit"] ) . "', '" . $listenzeile ["dtErlaeuterungStundennachweis"] . "', '" . $listenzeile ["fiProjekt"] . "', '" . $listenzeile ["fiProjektzeitenKunde"] . "', '" . $listenzeile ["fiTaetigkeit"] . "', '" . $listenzeile ["Projektzeiten_id"] . "'";
			?>


	<li class="arrow" onclick="editieren(<?php echo $editString; ?>);">
		<table>
			<tr>
				<td style="width: 50px;"><?php echo time_from_sql($listenzeile["dtBeginnZeit"]); ?>
				</td>
				<td><?php echo $projektrow["dtProjektDDText"]; ?></td>
			</tr>

			<tr>
				<td style="width: 50px;"><?php echo time_from_sql($listenzeile["dtEndeZeit"]); ?>
				</td>
				<td><?php echo $kontaktrow["dtKontaktDDText"]; ?></td>
			</tr>

			<tr>
				<td></td>
				<td><?php echo $listenzeile["dtTaetigkeitDDText"]; ?></td>
			</tr>

			<tr>
				<td></td>
				<td><?php echo $listenzeile["dtErlaeuterungStundennachweis"]; ?></td>
			</tr>
		</table>
	</li>

	<?php
		}
	}
	?>

</ul>

<?php
}

/*
 * Ggf. nur Liste-DIV ausgeben wenn danach gefragt wird
 */
if ($_GET ['datum'] != "") {
	echo "<div id=\"home\">";
	
	if ($_GET ['datum'] == 'now') {
		echo getListe ( $mitarbeiterId, time () );
	} else {
		echo getListe ( $mitarbeiterId, $_GET ['datum'] );
	}
	
	echo "</div>";
	exit ();
}

if ($_GET ['delete'] != "") {
	if (check_link_permission ( "stundennachweis", "loeschen", $benutzerrechte )) {
		mysql_query ( "DELETE FROM $tblprojektzeiten WHERE id = '" . $_GET ['delete'] . "' AND dtAbgerechnet = 0" );
	}
	
	echo "<div>";
	echo getListe ( $mitarbeiterId, time () );
	echo "</div>";
}

if ($_POST ['formSent'] == "yes") {
	$nachricht = "";
	$fehler = false;
	
	/*
	 * Formular abgesendet, hier verarbeiten
	 */
	
	// Rechte prfen
	if (! check_link_permission ( "stundennachweis", "send", $benutzerrechte )) {
		$nachricht = "Sie haben keine Berechtigung dies zu tun.";
		$fehler = true;
	} else {
		// Mitarbeiter
		$field_new ["fiMitarbeiter"] = $benutzer_row ['fiUserNr'];
		
		// Datum
		$datumGetrennt = explode ( ".", $_POST ['formDatum'] );
		$field_new ["dtDatum"] = concat_date ( $datumGetrennt [0], $datumGetrennt [1], $datumGetrennt [2] );
		$dateTimestamp = mktime ( 0, 0, 0, $datumGetrennt [1], $datumGetrennt [0], $datumGetrennt [2] );
		
		// Ttigkeit
		$field_new ["fiTaetigkeit"] = $_POST ['formTaetigkeit'];
		
		// Beschreibung
		$field_new ["dtErlaeuterungStundennachweis"] = $_POST ["formBeschreibung"];
		
		// Zeiten
		$field_new ["dtBeginnZeit"] = time_to_sql ( $_POST ["formBeginnzeit"] );
		$field_new ["dtEndeZeit"] = time_to_sql ( $_POST ["formEndezeit"] );
		
		// Verarbeite Projektauswahl
		if ($_POST ["formProjekt"] != "") {
			if (strpos ( $_POST ["formProjekt"], "//" ) !== false) {
				$explode_projekt = explode ( "//", $_POST ["formProjekt"] );
				
				$field_new ["fiProjekt"] = $explode_projekt [0]; // Projekt
				$field_new ["fiTeilprojekt"] = $explode_projekt [1]; // Teilprojekt
			} else {
				$field_new ["fiProjekt"] = $_POST ["formProjekt"];
				$field_new ["fiTeilprojekt"] = 0;
			}
		}
		
		// Setze Kunde nach Projekt
		if ($field_new ["fiProjekt"] != "") {
			$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"];
			$projekt_field = get_table_row ( $projekt_query );
			$field_new ["fiProjektzeitenKunde"] = $projekt_field ["fiKunde"];
		}
		
		// erzeuge neue Projektzeitenzeile mit letzter Ende-Zeit als Startzeit und neuer Ende-Zeit als Startzeit + Dauer
		$field_new ["dtAnwesendZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
		$field_new ["dtPauseZeit"] = time_to_sql ( "00:00" );
		$field_new ["dtArbeitsZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
		$field_new ["dtZusatzZeit"] = time_to_sql ( "00:00" );
		$field_new ["dtVergueteZeit"] = time_to_sql ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
		
		$sollzeit = get_sollzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiTaetigkeit"], $field_new ["dtDatum"] );
		$field_new ["dtSollzeit"] = double_to_sql ( $sollzeit [0] );
		
		$field_new ["fiStempelungBeginn"] = 0;
		$field_new ["fiStempelungEnde"] = 0;
		
		$field_new ["dtProjektzeitAutoManuell"] = 1;
		$field_new ["dtProjektzeitDezimal"] = deztime_from_time ( min_to_stdmin ( stdmin_to_min ( $field_new ["dtEndeZeit"] ) - stdmin_to_min ( $field_new ["dtBeginnZeit"] ) ) );
		
		$field_new ["dtStdSatzAutoManuell"] = 1;
		$field_new ["dtStdSatz"] = stundensatz_zu_projektzeit ( $field_new ["fiMitarbeiter"], $field_new ["fiProjekt"] );
		
		$field_new ["dtUeberstundenAutoManuell"] = 1;
		$field_new ["dtProjektzeitDezimalBericht"] = $field_new ["dtProjektzeitDezimal"];
		$field_new ["dtStundennachweisGeprueft"] = 1;
		$field_new ["dtAbgerechnet"] = 0;
		
		$field_new ["dtBemerkungProjektzeit"] = "";
		$field_new ["dtBemerkungArbeitszeit"] = "";
		if ($field_new ["dtBemerkungKontrolle"] == "") {
			$field_new ["dtBemerkungKontrolle"] = $field_new ["dtErlaeuterungStundennachweis"];
		}
		$field_new ["dtAutoEintragProjektzeit"] = 1;
		$field_new ["dtOrt"] = "";
		$field_new ["dtEinsatzort"] = "";
		$field_new ["dtKommentarUebernehmen"] = 0;
		$field_new ["dtFahrzeit"] = 0;
		$field_new ["dtArtDerFahrt"] = "";
		$field_new ["dtEntfernungKilometer"] = 0;
		$field_new ["dtProjektzeitDezimalBericht"] = 0;
		$field_new ["dtDatensatzDrucken"] = 1;
		$field_new ["dtVonZeitBerichtManuell"] = "";
		$field_new ["dtBisZeitBerichtManuell"] = "";
		$field_new ["dtUeberstundenAutoManuell"] = 1;
		
		if ($_POST ["eintragId"] != "") {
			$id = $_POST ["eintragId"];
			update_into_table ( $tblprojektzeiten, $id, $field_new );
		} else {
			$id = insert_into_table ( $tblprojektzeiten, $field_new );
		}
		
		$fehler = false;
		$nachricht = "Die Zeit wurde eingetragen.";
	}
	
	if ($fehler) {
		
		?>

<div>
	<div class="toolbar">
		<h1>Fehler</h1>
		<a href="#" class="back">Zur&uuml;ck</a>
	</div>

	<div class="info">
	<?php echo $nachricht; ?>

	</div>
</div>

<?php
	} else {
		echo "<div id=\"home\">";
		echo getListe ( $mitarbeiterId, time () );
		echo "</div>";
	}
} else {
	
	?>

<!doctype html>
<html>
<head>
<meta charset="ISO-8859-15" />
<title>conceptERP</title>

<style type="text/css" media="screen">
@import "functions/ext/iphone/jqtouch/jqtouch.min.css";
</style>

<style type="text/css" media="screen">
@import "functions/ext/iphone/themes/apple/theme.min.css";
</style>

<script src="functions/ext/iphone/jqtouch/jquery.1.3.2.min.js"
	type="text/javascript" charset="utf-8"></script>

<script src="functions/ext/iphone/jqtouch/jqtouch.min.js"
	type="application/x-javascript" charset="utf-8"></script>

<script src="functions/js/zeiterfassung_iphone.js"
	type="text/javascript" charset="iso-8859-15"></script>

<style type="text/css" media="screen">
#spalte1 {
	width: 35%;
}

#spalte2 {
	float: right;
}

table {
	width: 100%;
}
</style>

</head>
<body>

	<!-- Einstellungen -->
	<div id="einstellungen">
		<div class="toolbar">
			<h1>Einstellungen</h1>
			<a href="#" class="back">Zur&uuml;ck</a>
		</div>
		<form>
			<ul class="edit rounded">
				<li><input type="text" name="benutzername" autocapitalize="off"
					autocorrect="off" placeholder="Benutzername" id="benutzername" /></li>
				<li><input type="password" name="passwort" placeholder="Passwort"
					id="passwort" /></li>
				<li><input type="submit" class="submit" value="Speichern"></li>
			</ul>
		</form>
	</div>

	<?php
	
	/*
	 * Wenn Zugangsdaten falsch hre nach diesem Div auf
	 */
	if (! is_array ( $benutzer_row ) || ! check_link_permission ( "stundennachweis", "list", $benutzerrechte )) {
		?>
	<div id="home" class="current">
		<div class="toolbar">
			<h1>
				<img src="config/pics/logo.png" style="height: 30px;">
			</h1>
			<a class="button leftButton flip" href="#einstellungen">Einstellungen</a>
		</div>

		<div class="info">Zugangsdaten falsch!</div>

	</div>
</body>
</html>

<?php
		
		exit ();
	}
	
	?>

<!-- Projektliste -->
<div id="projekte">
	<div class="toolbar">
		<h1>Projekte</h1>
		<a href="#" class="back">Zur&uuml;ck</a>
	</div>

	<ul class="edgetoedge">
		<li><input type="text" name="suche" id="suche" placeholder="Suche..."
			onchange="sucheInListe(this.value, document.getElementById('projektliste'));">
		</li>
	</ul>

	<div id="projektliste">
		<ul class="edgetoedge">
		<?php
	$letzterBuchstabe = "";
	$anfangsBuchstabe = "";
	foreach ( returnProjektlisteMitTeilprojekten () as $id => $descr ) {
		
		$anfangsBuchstabe = strtoupper ( substr ( trim ( $descr ), 0, 1 ) );
		if ($anfangsBuchstabe != "-") {
			if ($letzterBuchstabe != $anfangsBuchstabe) {
				$letzterBuchstabe = $anfangsBuchstabe;
				echo "<li class='sep'>" . $anfangsBuchstabe . "</li>";
			}
		}
		
		echo "<li><a class='eintragListeProjekte' eintragId='" . $id . "' href='#'>" . $descr . "</a></li>";
	}
	?>
		</ul>
	</div>
</div>

<!-- Kundenliste -->
<div id="kunden">
	<div class="toolbar">
		<h1>Kunden</h1>
		<a href="#" class="back">Zur&uuml;ck</a>
	</div>

	<ul class="edgetoedge">
		<li><input type="text" name="suche" id="suche" placeholder="Suche..."
			onchange="sucheInListe(this.value, document.getElementById('kundenliste'));">
		</li>
	</ul>

	<div id="kundenliste">
		<ul class="edgetoedge">
		<?php
	$letzterBuchstabe = "";
	$anfangsBuchstabe = "";
	
	$liste = get_table_array ( $sql_query ["kontaktliste"] . " and dtIstKunde = 1 order by dtKontaktDDText" );
	
	foreach ( $liste as $row ) {
		$anfangsBuchstabe = strtoupper ( substr ( trim ( $row ["dtKontaktDDText"] ), 0, 1 ) );
		if ($anfangsBuchstabe != "-") {
			if ($letzterBuchstabe != $anfangsBuchstabe) {
				$letzterBuchstabe = $anfangsBuchstabe;
				echo "<li class='sep'>" . $anfangsBuchstabe . "</li>";
			}
		}
		
		echo "<li><a class='eintragListeKunden' eintragId='" . $row ["Kontakte_id"] . "' href='#'>" . $row ["dtKontaktDDText"] . "</a></li>";
	}
	?>
		</ul>
	</div>
</div>

<!-- Ttigkeiten -->
<div id="taetigkeiten">
	<div class="toolbar">
		<h1>T&auml;tigkeiten</h1>
		<a href="#" class="back">Zur&uuml;ck</a>
	</div>

	<ul class="edgetoedge">
		<li><input type="text" name="suche" id="suche" placeholder="Suche..."
			onchange="sucheInListe(this.value, document.getElementById('taetigkeitenliste'));">
		</li>
	</ul>

	<div id="taetigkeitenliste">
		<ul class="edgetoedge">
		<?php
	$letzterBuchstabe = "";
	$anfangsBuchstabe = "";
	
	$liste = get_table_array ( $sql_query ["taetigkeitenliste"] . "order by dtTaetigkeitCode" );
	
	foreach ( $liste as $row ) {
		$anfangsBuchstabe = strtoupper ( substr ( trim ( $row ["dtTaetigkeitDDText"] ), 0, 1 ) );
		if ($anfangsBuchstabe != "-") {
			if ($letzterBuchstabe != $anfangsBuchstabe) {
				$letzterBuchstabe = $anfangsBuchstabe;
				echo "<li class='sep'>" . $anfangsBuchstabe . "</li>";
			}
		}
		
		echo "<li><a class='eintragListeTaetigkeiten' eintragId='" . $row ["Taetigkeiten_id"] . "' href='#'>" . $row ["dtTaetigkeitDDText"] . "</a></li>";
	}
	?>
		</ul>
	</div>
</div>

<!-- Formular -->
<form id="formular" method="POST" action="zeiterfassung_iphone.php">
	<input type="hidden" name="formSent" value="yes"> <input type="hidden"
		type="hidden" name="formTaetigkeit" id="formTaetigkeit" value=""> <input
		type="hidden" name="formProjekt" id="formProjekt" value=""> <input
		type="hidden" name="formKunde" id="formKunde" value=""> <input
		type="hidden" name="eintragId" id="eintragId" value="">

	<div class="toolbar">
		<h1 id="formularTitel">Neu</h1>
		<a href="#" class="leftButton back">Zur&uuml;ck</a> <a href="#"
			class="button flip" id="formularButtonLoeschen">L&ouml;schen</a>
	</div>

	<ul class="edit rounded">
		<li class="arrow"><a href="#projekte">Projekt</a>
			<div id="anzeigeProjekte"></div></li>
		<li class="arrow"><a href="#kunden">Kunde</a>
			<div id="anzeigeKunden"></div></li>
		<li class="arrow"><a href="#taetigkeiten">T&auml;tigkeit</a>
			<div id="anzeigeTaetigkeiten"></div></li>



		<li>
			<table>
				<tr>
					<td id="spalte1">Datum:</td>
					<td id="spalte2"><select name="formDatum" id="formDatum">
					<?php
	for($x = 7; $x > - 7; $x --) {
		($x == 0) ? $selected = "selected" : $selected = "";
		echo "<option $selected>";
		echo date ( "d.m.Y", mktime ( 0, 0, 0, $aktmonat, ($akttag + $x), $aktjahr ) );
		echo "</option>";
	}
	?>
					</select></td>
				</tr>
			</table>
		</li>

		<li>
			<table>
				<tr>
					<td id="spalte1">Beginn:</td>
					<td id="spalte2"><select name="formBeginnzeit" id="formBeginnzeit">
					<?php
	// Hole letzten Eintrag von heute
	$zeigeKrummenEintrag = false;
	
	$today_query = $sql_query ["projektzeitenliste"];
	$today_query .= " and dtDatum = CURDATE()";
	$today_query .= " and $tblprojektzeiten.fiMitarbeiter = '" . $mitarbeiterid . "' ";
	$today_query .= " order by $tblprojektzeiten.dtEndeZeit DESC LIMIT 1";
	
	$today_row = get_table_row ( $today_query );
	
	if (isset ( $today_row ['dtEndeZeit'] )) {
		$beginnzeit = stdmin_to_min ( substr ( $today_row ['dtEndeZeit'], 0, 5 ) );
	} else {
		$beginnzeit = stdmin_to_min ( date ( "H:i" ) );
	}
	
	for($x = 0; $x < 1440; $x = $x + $projektzeitdezimal_intervall) {
		
		if ($beginnzeit >= ($x - floor ( $projektzeitdezimal_intervall / 2 )) and $beginnzeit < ($x + ceil ( $projektzeitdezimal_intervall / 2 ))) {
			$selected = "selected";
			if ($x != $beginnzeit)
				$zeigeKrummenEintrag = true;
		} else {
			$selected = "";
			$zeigeKrummenEintrag = false;
		}
		
		if ($zeigeKrummenEintrag) {
			if ($x < $beginnzeit) {
				echo "<option>" . min_to_stdmin ( $x ) . "</option>";
				echo "<option $selected>" . min_to_stdmin ( $beginnzeit ) . "</option>";
			} else if ($x > $beginnzeit) {
				echo "<option $selected>" . min_to_stdmin ( $beginnzeit ) . "</option>";
				echo "<option>" . min_to_stdmin ( $x ) . "</option>";
			}
		} else {
			echo "<option $selected>" . min_to_stdmin ( $x ) . "</option>";
		}
	}
	?>
					</select>&nbsp;</td>
				</tr>
			</table>
		</li>

		<li>
			<table>
				<tr>
					<td id="spalte1">Ende:</td>
					<td id="spalte2"><select name="formEndezeit" id="formEndezeit">
					<?php
	for($x = 0; $x < 1440; $x = $x + $projektzeitdezimal_intervall) {
		
		$time_now = stdmin_to_min ( date ( "H:i" ) );
		if ($time_now >= ($x - floor ( $projektzeitdezimal_intervall / 2 )) and $time_now < ($x + ceil ( $projektzeitdezimal_intervall / 2 ))) {
			$selected = "selected";
		} else {
			$selected = "";
		}
		
		echo "<option $selected>";
		echo min_to_stdmin ( $x );
		echo "</option>";
	}
	?>
					</select>&nbsp;</td>
				</tr>
			</table>
		</li>

		<li><textarea name="formBeschreibung" id="formBeschreibung"
				placeholder="Erluterung"></textarea></li>
		<li><input type="submit" class="submit" value="Absenden"></li>
	</ul>
</form>

<!-- Liste -->
<div id="home" class="current">
<?php echo getListe($mitarbeiterId, time()); ?>
</div>

</body>
</html>

<?php
}

?>