<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Lohn eines Mitarbeiters in einem Monat berechnen
if (! function_exists ( "lohnberechnung" )) {
	function lohnberechnung($mitarbeiter_id, $datum, $buchungskonto = "") {
		global $sql_query, $tblkontaktelohn;
		
		$berechnung_datum = split_date ( $datum );
		$berechnung_monatsschluessel = ($berechnung_datum ["jahr"] * 12) + $berechnung_datum ["monat"];
		
		// if ($buchungskonto == "") {
		// $query = $sql_query["lohnliste"] . " and $tblkontaktelohn.fiMitarbeiter = ".$mitarbeiter_id." ORDER BY $tblkontaktelohn.dtStartdatum asc ";
		// } else {
		// $query = $sql_query["lohnliste"] . " and $tblkontaktelohn.fiMitarbeiter = ".$mitarbeiter_id." and $tblkontaktelohn.fiBuchungskonto = ".$buchungskonto." ORDER BY $tblkontaktelohn.dtStartdatum asc ";
		// }
		
		$query = $sql_query ["lohnliste"] . " and $tblkontaktelohn.fiMitarbeiter = " . $mitarbeiter_id;
		$query .= filter_multiselect_return_query ( $buchungskonto, "$tblkontaktelohn.fiBuchungskonto" );
		$query .= " ORDER BY $tblkontaktelohn.dtStartdatum asc ";
		
		$liste = get_table_array ( $query );
		foreach ( ( array ) $liste as $listenzeile_id => $field ) {
			$lohnrow_datum = split_date ( $field ["dtStartdatum"] );
			$lohnrow_datumschluessel = ($lohnrow_datum ["jahr"] * 12) + $lohnrow_datum ["monat"];
			
			// wenn es eine Einmalzahlung ist, addiere sie hinzu wenn sie im aktuellen Monat liegt
			if ($field ["dtEinmalig"] == 1) {
				if ($lohnrow_datum ["monat"] == $berechnung_datum ["monat"] and $lohnrow_datum ["jahr"] == $berechnung_datum ["jahr"]) {
					$einmalzahlung = $einmalzahlung + $field ["dtLohn"];
				}
				
				// addiere aktuelleste Lohnart hinzu, sofern sie lter ist als das verlangte Datum
			} else {
				if ($lohnrow_datumschluessel <= $berechnung_monatsschluessel) {
					$lohn [$field ["fiBuchungskonto"]] = $field ["dtLohn"];
				}
			}
		}
		
		// summiere Lohn auf
		foreach ( ( array ) $lohn as $lohnbk => $lohnwert ) {
			$bruttolohn = $bruttolohn + $lohnwert;
		}
		
		$bruttolohn = $bruttolohn + $einmalzahlung;
		
		return $bruttolohn;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "belegPostenDurchnummerieren" )) {
	function belegPostenDurchnummerieren($iBelegId) {
		global $tblbelegmaterialposten, $tblbelegposten;
		$sql = "(SELECT id, dtPosNr, 'm' AS tbl FROM $tblbelegmaterialposten WHERE fiBeleg = '" . $iBelegId . "') UNION (SELECT id, dtPosNr, 'f' AS tbl FROM $tblbelegposten WHERE fiBeleg = '" . $iBelegId . "') ORDER BY dtPosNr";
		$aListe = get_table_array ( $sql );
		
		if (count ( $aListe ) > 0) {
			foreach ( $aListe as $iCounter => $aZeile ) {
				$field_new = array (
						"dtPosNr" => $iCounter + 1 
				);
				
				if ($aZeile ["tbl"] == "m") {
					update_into_table ( $tblbelegmaterialposten, $aZeile ["id"], $field_new );
				} else {
					update_into_table ( $tblbelegposten, $aZeile ["id"], $field_new );
				}
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "bestellungPostenDurchnummerieren" )) {
	function bestellungPostenDurchnummerieren($iBelegId) {
		global $tblbestellungmaterialposten, $tblbestellungposten;
		
		$sql = "(SELECT id, dtPosNr, 'm' AS tbl FROM $tblbestellungmaterialposten WHERE fiBestellung = '" . $iBelegId . "') UNION (SELECT id, dtPosNr, 'f' AS tbl FROM $tblbestellungposten WHERE fiBestellung = '" . $iBelegId . "') ORDER BY dtPosNr";
		$aListe = get_table_array ( $sql );
		
		if (count ( $aListe ) > 0) {
			foreach ( $aListe as $iCounter => $aZeile ) {
				$field_new = array (
						"dtPosNr" => $iCounter + 1 
				);
				
				if ($aZeile ["tbl"] == "m") {
					update_into_table ( $tblbestellungmaterialposten, $aZeile ["id"], $field_new );
				} else {
					update_into_table ( $tblbestellungposten, $aZeile ["id"], $field_new );
				}
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Belegnummer erzeugen
if (! function_exists ( "belegnummer_neu" )) {
	function belegnummer_neu() {
		global $tblbelege;
		
		$query = "select max(cast(dtBelegNr as unsigned)) as dtBelegNr from $tblbelege";
		$field_belegnr = get_table_row ( $query );
		$belegnr = $field_belegnr ["dtBelegNr"] + 1;
		
		if ($belegnr < 1) {
			$belegnr = 1;
		}
		
		return $belegnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Artikelnummer erzeugen
if (! function_exists ( "artikelnummer_neu" )) {
	function artikelnummer_neu() {
		global $tblartikel;
		
		$query = "select max(cast(dtEigeneArtikelNr as unsigned)) as dtEigeneArtikelNr from $tblartikel";
		$field_artikelnr = get_table_row ( $query );
		$artikelnr = $field_artikelnr ["dtEigeneArtikelNr"] + 1;
		
		if ($artikelnr < 1) {
			$artikelnr = 1;
		}
		
		return $artikelnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Kontaktnummer erzeugen
if (! function_exists ( "kontaktnummer_neu" )) {
	function kontaktnummer_neu() {
		global $tblkontakte;
		
		$query = "select max(cast(dtKontaktNr as unsigned)) as dtKontaktNr from $tblkontakte";
		$field_new = get_table_row ( $query );
		$belegnr = $field_new ["dtKontaktNr"] + 1;
		
		if ($belegnr < 1) {
			$belegnr = 1;
		}
		
		return $belegnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Angebotsnummer erzeugen
if (! function_exists ( "angebotnummer_neu" )) {
	function angebotnummer_neu() {
		global $tblbelege;
		
		$query = "select max(cast(dtAngebotNr as unsigned)) as dtAngebotNr from $tblbelege";
		$field_angebotnr = get_table_row ( $query );
		$belegnr = $field_angebotnr ["dtAngebotNr"] + 1;
		
		if ($belegnr < 1) {
			$belegnr = 1;
		}
		
		return $belegnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Bestellnummer erzeugen
if (! function_exists ( "bestellnummer_neu" )) {
	function bestellnummer_neu() {
		global $tblbestellungen;
		
		// $query = "select max(dtBestellungNr) as dtBestellungNr from $tblbelege";
		// $field_beleg_bestellnr = get_table_row($query);
		
		$query = "select max(cast(dtBestellungNr as unsigned)) as dtBestellungNr from $tblbestellungen";
		$field_bestellnr = get_table_row ( $query );
		
		// $belegnr = max($field_beleg_bestellnr["dtBestellungNr"],$field_bestellnr["dtBestellungNr"])+1;
		$belegnr = $field_bestellnr ["dtBestellungNr"] + 1;
		
		if ($belegnr < 1) {
			$belegnr = 1;
		}
		
		return $belegnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// neue Rechnungsnummer (intern) erzeugen
if (! function_exists ( "rechnungnummerintern_neu" )) {
	function rechnungnummerintern_neu() {
		global $tblrechnungen;
		
		// prfe ob dtRechnungNrIntern INT oder VARCHAR ist
		$query = "describe tblRechnungen dtRechnungNrIntern";
		$check_field = get_table_row ( $query );
		
		if (substr ( $check_field ["Type"], 0, 3 ) == "int") {
			
			$query = "select max(cast(dtRechnungNrIntern as unsigned)) as dtRechnungNrIntern from $tblrechnungen";
			$field = get_table_row ( $query );
			$belegnr = $field ["dtRechnungNrIntern"] + 1;
		} else if (substr ( $check_field ["Type"], 0, 7 ) == "varchar") {
			
			$query = "select dtRechnungNrIntern from $tblrechnungen";
			$liste = get_table_array ( $query );
			
			foreach ( ( array ) $liste as $key => $field ) {
				if (( int ) $field ["dtRechnungNrIntern"] >= $belegnr) {
					$belegnr = ( int ) $field ["dtRechnungNrIntern"] + 1;
				}
			}
		}
		
		if ($belegnr < 1) {
			$belegnr = 1;
		}
		
		return $belegnr;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Kontostand Brutto ($kontoid = "", dann summiere alle Konten auf)
if (! function_exists ( "kontostand" )) {
	function kontostand($kontoid, $enddatum = "", $bEnddatumEinschliessen = true) {
		global $sql_query, $tblbankumsatz;
		
		$query = $sql_query ["umsatzliste"];
		$query .= " and $tblbankumsatz.dtUmsatzDifferenz = 0";
		$query .= filter_multiselect_return_query ( $kontoid, "$tblbankumsatz.fiBankKonto" );
		
		if ($enddatum != "" && $bEnddatumEinschliessen) {
			$query .= " and to_days($tblbankumsatz.dtValutaDatum) <= to_days('" . $enddatum . "') ";
		} elseif (($enddatum != "" && ! $bEnddatumEinschliessen)) {
			$query .= " and to_days($tblbankumsatz.dtValutaDatum) < to_days('" . $enddatum . "') ";
		}
		
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$gesamtbetrag = $gesamtbetrag + $liste [$n] ["dtValutaBetrag"];
		}
		
		return $gesamtbetrag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Rechnungsendbetrag Netto
if (! function_exists ( "rechnungsendbetrag_netto" )) {
	function rechnungsendbetrag_netto($rechnungid) {
		global $sql_query, $tblrechnungposten;
		
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = " . $rechnungid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
		}
		
		return ($gesamtbetrag);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Rechnungsendbetrag Brutto
if (! function_exists ( "rechnungsendbetrag_brutto" )) {
	function rechnungsendbetrag_brutto($rechnungid) {
		global $sql_query, $tblrechnungposten;
		
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = " . $rechnungid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
		}
		
		return ($gesamtbetrag);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// RechnungBuchungen Brutto
if (! function_exists ( "rechnungbuchungen_brutto" )) {
	function rechnungbuchungen_brutto($rechnungid) {
		global $sql_query, $tblbankumsatz;
		
		$query = $sql_query ["umsatzliste"] . " and $tblbankumsatz.fiRechnung = " . $rechnungid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$gesamtbetrag = $gesamtbetrag + $liste [$n] ["dtValutaBetrag"];
		}
		
		return ($gesamtbetrag);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der Rechnungsendbetrag Netto nach Buchungskonten
if (! function_exists ( "rechnungsbuchungskonten_array_netto" )) {
	function rechnungsbuchungskonten_array_netto($rechnungid) {
		global $sql_query, $tblrechnungposten;
		
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = " . $rechnungid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der Rechnungsendbetrag Brutto nach Buchungskonten
if (! function_exists ( "rechnungsbuchungskonten_array_brutto" )) {
	function rechnungsbuchungskonten_array_brutto($rechnungid) {
		global $sql_query, $tblrechnungposten;
		
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = " . $rechnungid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BestellungMaterialPostenbetrag Netto
if (! function_exists ( "bestellungmaterialpostenendbetrag_netto" )) {
	function bestellungmaterialpostenendbetrag_netto($iBestellungId) {
		global $tblbestellungmaterialposten;
		
		$sQuery = "SELECT SUM((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) AS summe FROM $tblbestellungmaterialposten WHERE $tblbestellungmaterialposten.fiBestellung = " . $iBestellungId;
		$aRow = get_table_row ( $sQuery );
		
		return $aRow ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BestellungMaterialPostenbetrag Brutto
if (! function_exists ( "bestellungmaterialpostenendbetrag_brutto" )) {
	function bestellungmaterialpostenendbetrag_brutto($iBestellungId) {
		global $tblbestellungmaterialposten;
		
		$sQuery = "SELECT SUM(((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) + ((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) / 100 * dtMwstSatz) AS summe FROM $tblbestellungmaterialposten WHERE $tblbestellungmaterialposten.fiBestellung = " . $iBestellungId;
		$aRow = get_table_row ( $sQuery );
		
		return $aRow ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Bestellungpostenbetrag Netto
if (! function_exists ( "bestellungpostenendbetrag_netto" )) {
	function bestellungpostenendbetrag_netto($iBestellungId) {
		global $tblbestellungposten;
		
		$sQuery = "SELECT SUM((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) AS summe FROM $tblbestellungposten WHERE $tblbestellungposten.fiBestellung = " . $iBestellungId;
		$aRow = get_table_row ( $sQuery );
		
		return $aRow ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Bestellungpostenbetrag Brutto
if (! function_exists ( "bestellungpostenendbetrag_brutto" )) {
	function bestellungpostenendbetrag_brutto($iBestellungId) {
		global $tblbestellungposten;
		
		$sQuery = "SELECT SUM(((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) + ((dtMenge * dtPreisNetto) - (dtMenge * dtPreisNetto / 100 * dtBestellpostenRabatt)) / 100 * dtMwstSatz) AS summe FROM $tblbestellungposten WHERE $tblbestellungposten.fiBestellung = " . $iBestellungId;
		$aRow = get_table_row ( $sQuery );
		
		return $aRow ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Bestellungendbetrag Netto
if (! function_exists ( "bestellungendbetrag_netto" )) {
	function bestellungendbetrag_netto($bestellungid) {
		return bestellungmaterialpostenendbetrag_netto ( $bestellungid ) + bestellungpostenendbetrag_netto ( $bestellungid );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Bestellungendbetrag Brutto
if (! function_exists ( "bestellungendbetrag_brutto" )) {
	function bestellungendbetrag_brutto($bestellungid) {
		return bestellungpostenendbetrag_brutto ( $bestellungid ) + bestellungmaterialpostenendbetrag_brutto ( $bestellungid );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegZeitPostenbetrag Netto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegzeitpostenendbetrag_netto" )) {
	function belegzeitpostenendbetrag_netto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten, $iLetzerBelegMitAlterBerechnung;
		
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegZeitPosten_Rabattfaehig"] == 1) {
				
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
				} else {
					$gesamtbetrag += berechne_netto ( $liste [$n] ["dtPreisNetto"], $liste [$n] ["dtMenge"] );
				}
				
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$n] ["BelegZeitPosten_id"];
				$subliste = get_table_array ( $query );
				
				for($m = 0; $m < count ( $subliste ); $m ++) {
					if ($subliste [$m] ["dtZusatzzeitTyp"] == 0) {
						$gesamtbetrag = $gesamtbetrag + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"]);
					} else {
						$gesamtbetrag = $gesamtbetrag + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"]);
					}
				}
			}
		}
		
		return $gesamtbetrag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegZeitPostenbetrag Netto
if (! function_exists ( "belegzeitpostenendbetrag_nettobackup" )) {
	function belegzeitpostenendbetrag_nettobackup($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten;
		
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegZeitPosten_Rabattfaehig"] == 1) {
				$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
				
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$n] ["BelegZeitPosten_id"];
				$subliste = get_table_array ( $query );
				
				for($m = 0; $m < count ( $subliste ); $m ++) {
					if ($subliste [$m] ["dtZusatzzeitTyp"] == 0) {
						$gesamtbetrag = $gesamtbetrag + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"]);
					} else {
						$gesamtbetrag = $gesamtbetrag + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"]);
					}
				}
			}
		}
		
		return $gesamtbetrag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegZeitPostenbetrag Brutto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegzeitpostenendbetrag_brutto" )) {
	function belegzeitpostenendbetrag_brutto($belegid, $rabattfaehig = 0, $bMwstRueckgabe = FALSE) {
		global $sql_query, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten, $iLetzerBelegMitAlterBerechnung;
		
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			
			if ($rabattfaehig == 0 or $liste [$n] ["BelegZeitPosten_Rabattfaehig"] == 1) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
				} else {
					
					if (! $bMwstRueckgabe) {
						$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] += berechne_brutto ( berechne_netto ( $liste [$n] ["dtPreisNetto"], $liste [$n] ["dtMenge"] ), $liste [$n] ["dtMwstSatz"] );
					} else {
						$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] = $gesamtbetrag [$liste [$n] ["dtMwstSatz"]] + berechne_netto ( $liste [$n] ["dtPreisNetto"], $liste [$n] ["dtMenge"] );
					}
				}
				
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$n] ["BelegZeitPosten_id"];
				$subliste = get_table_array ( $query );
				
				for($m = 0; $m < count ( $subliste ); $m ++) {
					if ($subliste [$m] ["dtZusatzzeitTyp"] == 0) {
						if (! $bMwstRueckgabe)
							$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] = $gesamtbetrag [$liste [$n] ["dtMwstSatz"]] + (($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"]));
						else
							$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] = $gesamtbetrag [$liste [$n] ["dtMwstSatz"]] + (($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"]));
					} else {
						if (! $bMwstRueckgabe) {
							// + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"])
							$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] = $gesamtbetrag [$liste [$n] ["dtMwstSatz"]] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"]);
						} else {
							$gesamtbetrag [$liste [$n] ["dtMwstSatz"]] = $gesamtbetrag [$liste [$n] ["dtMwstSatz"]] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"]);
						}
					}
				}
			}
		}
		
		if (is_array ( $gesamtbetrag ) && ! $bMwstRueckgabe) {
			$dGesamtbetrag = 0;
			foreach ( $gesamtbetrag as $cpGesamtbetragKey => $cpGesamtbetragValue ) {
				$dGesamtbetrag += $cpGesamtbetragValue;
			}
			
			unset ( $gesamtbetrag );
			$gesamtbetrag = $dGesamtbetrag;
		}
		
		return $gesamtbetrag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPostenbetrag Netto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegmaterialpostenendbetrag_netto" )) {
	function belegmaterialpostenendbetrag_netto($belegid) {
		global $tblbelegmaterialposten, $iLetzerBelegMitAlterBerechnung, $bNachkommastellenMaxZwei;
		
		$sQuery = "SELECT * FROM $tblbelegmaterialposten WHERE fiBeleg = " . $belegid;
		$aResult = get_table_array ( $sQuery );
		
		if ($aResult) {
			foreach ( $aResult as $cpResult2 ) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei != 1)
						$aResult ["summe"] += $cpResult2 ["dtMenge"] * $cpResult2 ["dtPreisNetto"];
					else
						$aResult ["summe"] += round ( ($cpResult2 ["dtMenge"] * round ( $cpResult2 ["dtPreisNetto"], 2 )), 2 );
				} else {
					$aResult ["summe"] += berechne_netto ( $cpResult2 ["dtPreisNetto"], $cpResult2 ["dtMenge"] );
				}
			}
			return $aResult ["summe"];
		}
		return NULL;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPostenbetrag Brutto Berechnet Gesamtpreis aus Nettogesamt * Brutto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegmaterialpostenendbetrag_brutto" )) {
	function belegmaterialpostenendbetrag_brutto($belegid, $bMwstRueckgabe = FALSE, $iGesamtSummeEntfernen = 0, $bRabatEinbeziehen = TRUE) {
		global $tblbelegmaterialposten, $iLetzerBelegMitAlterBerechnung, $bNachkommastellenMaxZwei;
		
		$sQuery = "SELECT * FROM $tblbelegmaterialposten WHERE fiBeleg = " . $belegid . " AND dtGesamtsummeEntfernen = " . $iGesamtSummeEntfernen;
		$aResult = get_table_array ( $sQuery );
		
		if ($aResult) {
			
			foreach ( $aResult as $cpResult2 ) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei != 1)
						$aResult ["summe"] += ($cpResult2 ["dtMenge"] * $cpResult2 ["dtPreisNetto"]) + (($cpResult2 ["dtMenge"] * $cpResult2 ["dtPreisNetto"]) / 100 * $cpResult2 ["dtMwstSatz"]);
					else
						$aResult ["summe"] += round ( ($cpResult2 ["dtMenge"] * round ( $cpResult2 ["dtPreisNetto"], 2 ) + ($cpResult2 ["dtMenge"] * round ( $cpResult2 ["dtPreisNetto"], 2 ) / 100 * $cpResult2 ["dtMwstSatz"])), 2 );
				} else {
					
					if ($bRabatEinbeziehen == true)
						$aResult2 [$cpResult2 ["dtMwstSatz"]] += berechne_netto ( berechne_rabatt ( $cpResult2 ["dtPreisNetto"] * $cpResult2 ["dtMenge"], $cpResult2 ["dtMaterialpostenRabatt"], 1 ), 1 );
					else
						$aResult2 [$cpResult2 ["dtMwstSatz"]] += berechne_netto ( $cpResult2 ["dtPreisNetto"], $cpResult2 ["dtMenge"] );
				}
			}
			
			if ($iLetzerBelegMitAlterBerechnung >= $belegid)
				return $aResult ["summe"];
			
			if (! $bMwstRueckgabe) {
				foreach ( $aResult2 as $cpResult => $cpResultValue ) {
					$aResult ["summe"] += berechne_brutto ( $cpResultValue, $cpResult );
					// $aResult ["summe"] += $cpResultValue + ($cpResultValue * ($cpResult/100));
				}
				return $aResult ["summe"];
			} else {
				return $aResult2;
			}
		}
		return NULL;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegpostenbetrag Netto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegpostenendbetrag_netto" )) {
	function belegpostenendbetrag_netto($belegid) {
		global $tblbelegposten, $iLetzerBelegMitAlterBerechnung;
		
		if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
			$sQuery = "SELECT SUM(dtMenge * dtPreisNetto) AS summe FROM $tblbelegposten WHERE fiBeleg = " . $belegid;
			$aResult = get_table_row ( $sQuery );
			
			return $aResult ["summe"];
		} else {
			$sQuery = "SELECT * FROM $tblbelegposten WHERE fiBeleg = " . $belegid;
			$aResult = get_table_array ( $sQuery );
			
			if ($aResult) {
				foreach ( $aResult as $cpResult2 ) {
					// $aResult ["summe"] += round ( ($cpResult2 ["dtMenge"] * round ( $cpResult2 ["dtPreisNetto"], 2 )), 2 );
					$aResult ["summe"] += berechne_netto ( $cpResult2 ["dtPreisNetto"], $cpResult2 ["dtMenge"] );
				}
				return $aResult ["summe"];
			}
			return NULL;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegpostenbetrag Brutto Neuer Algorithmus ab September 2014
if (! function_exists ( "belegpostenendbetrag_brutto" )) {
	function belegpostenendbetrag_brutto($belegid, $bMwstRueckgabe = FALSE, $iGesamtSummeEntfernen = 0, $bRabatEinbeziehen = TRUE) {
		global $tblbelegposten, $iLetzerBelegMitAlterBerechnung;
		
		if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
			// Alte, fehlerhafte Berechnung
			// $sQuery = "SELECT SUM(dtMenge * (dtPreisNetto) + (dtMenge * (dtPreisNetto - (dtPreisNetto / 100 * dtPostenRabatt)) / 100 * dtMwstSatz)) AS summe FROM $tblbelegposten WHERE fiBeleg = " . $belegid;
			$sQuery = "SELECT SUM(dtMenge * (dtPreisNetto)/ 100 * (100 + dtMwstSatz)) AS summe FROM $tblbelegposten WHERE fiBeleg = " . $belegid;
			$aResult = get_table_row ( $sQuery );
			return $aResult ["summe"];
		} else {
			$sQuery = "SELECT * FROM $tblbelegposten WHERE fiBeleg = " . $belegid . " AND dtGesamtsummeEntfernen = " . $iGesamtSummeEntfernen;
			$aResult = get_table_array ( $sQuery );
			
			if ($aResult) {
				
				foreach ( $aResult as $cpResult2 ) {
					// $aResult2 [$cpResult2 ["dtMwstSatz"]] += $cpResult2 ["dtMenge"] * round($cpResult2 ["dtPreisNetto"],2);
					if ($bRabatEinbeziehen == TRUE)
						$aResult2 [$cpResult2 ["dtMwstSatz"]] += berechne_netto ( berechne_rabatt ( berechne_netto ( $cpResult2 ["dtPreisNetto"], $cpResult2 ["dtMenge"] ), $cpResult2 ["dtPostenRabatt"], TRUE ), 1 );
					else
						$aResult2 [$cpResult2 ["dtMwstSatz"]] += berechne_netto ( $cpResult2 ["dtPreisNetto"], $cpResult2 ["dtMenge"] );
				}
				
				if (! $bMwstRueckgabe) {
					foreach ( $aResult2 as $cpResult => $cpResultValue ) {
						$aResult ["summe"] += berechne_brutto ( $cpResultValue, $cpResult );
						// $aResult ["summe"] += $cpResultValue + ($cpResultValue * ($cpResult/100));
					}
					return $aResult ["summe"];
				} else {
					return $aResult2;
				}
			}
			return NULL;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegmaterialverbrauch Netto
if (! function_exists ( "belegmaterialverbrauch_netto" )) {
	function belegmaterialverbrauch_netto($belegid) {
		global $sql_query, $tblartikelstueck, $tblbelegmaterialverbrauch, $iLetzerBelegMitAlterBerechnung;
		
		$sQuery = mysql_query ( "Select * FROM $tblbelegmaterialverbrauch WHERE fiBeleg = " . $belegid );
		
		while ( $aMaterialverbrauch = mysql_fetch_array ( $sQuery ) ) {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSumme += $aMaterialverbrauch ["dtPreisNettoEK"] * $aMaterialverbrauch ["dtMenge"];
			} else {
				$dSumme += berechne_netto ( $aMaterialverbrauch ["dtPreisNettoEK"], $aMaterialverbrauch ["dtMenge"] );
			}
		}
		
		return $dSumme;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegmaterialverbrauch Brutto
if (! function_exists ( "belegmaterialverbrauch_brutto" )) {
	function belegmaterialverbrauch_brutto($belegid) {
		global $sql_query, $tblartikelstueck, $tblbelegmaterialverbrauch, $iLetzerBelegMitAlterBerechnung;
		
		$sQuery = mysql_query ( "Select * FROM $tblbelegmaterialverbrauch WHERE fiBeleg = " . $belegid );
		
		while ( $aMaterialverbrauch = mysql_fetch_array ( $sQuery ) ) {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSummeMwst = ($aMaterialverbrauch ["dtPreisNettoEK"] / 100 * $aMaterialverbrauch ["dtMwstNettoEK"]) * $aMaterialverbrauch ["dtMenge"];
				$dSumme += ($aMaterialverbrauch ["dtPreisNettoEK"] * $aMaterialverbrauch ["dtMenge"]) + $dSummeMwst;
			} else {
				$aSumme [$aMaterialverbrauch ["dtMwstNettoEK"]] += berechne_netto ( $aMaterialverbrauch ["dtPreisNettoEK"], $aMaterialverbrauch ["dtMenge"] );
			}
		}
		
		if ($aSumme) {
			foreach ( $aSumme as $cpSummeKey => $cpSummeValue ) {
				$dSumme += berechne_brutto ( $cpSummeValue, $cpSummeKey );
			}
			
			return $dSumme;
		} else if ($dSumme > 0) {
			return $dSumme;
		} else {
			return 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Freitextposten Netto
if (! function_exists ( "freitextposten_netto" )) {
	function freitextposten_netto($belegid) {
		global $sql_query, $tblbelegposten, $iLetzerBelegMitAlterBerechnung;
		$sQuery = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSumme += $aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"];
			} else {
				$dSumme += berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
			}
		}
		
		return $dSumme;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Freitextposten Brutto
if (! function_exists ( "freitextposten_brutto" )) {
	function freitextposten_brutto($belegid) {
		global $sql_query, $tblbelegposten, $iLetzerBelegMitAlterBerechnung;
		
		$sQuery = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSummeMwst = ($aBelegMPZeile ["dtPreisNettoEK"] / 100 * $aBelegMPZeile ["dtMwstSatzEK"]) * $aBelegMPZeile ["dtMenge"];
				$dSumme += ($aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"]) + $dSummeMwst;
			} else {
				$aSumme [$aBelegMPZeile ["dtMwstSatzEK"]] += berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
			}
		}
		
		if ($aSumme) {
			foreach ( $aSumme as $cpSummeKey => $cpSummeValue ) {
				$dSumme += berechne_brutto ( $cpSummeValue, $cpSummeKey );
			}
			
			return $dSumme;
		} else if ($dSumme > 0) {
			return $dSumme;
		} else {
			return 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPosteneinkauf Netto
if (! function_exists ( "belegmaterialposteneinkauf_netto" )) {
	function belegmaterialposteneinkauf_netto($belegid) {
		global $sql_query, $tblbelegmaterialposten, $tblartikellieferanten, $tblartikelstueck;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK, $iLetzerBelegMitAlterBerechnung;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$sQuery = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSumme += $aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"];
			} else {
				$dSumme += berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
			}
		}
		
		return $dSumme;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPosteneinkauf Brutto
if (! function_exists ( "belegmaterialposteneinkauf_brutto" )) {
	function belegmaterialposteneinkauf_brutto($belegid) {
		global $sql_query, $tblbelegmaterialposten, $tblartikellieferanten, $tblartikelstueck;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK, $iLetzerBelegMitAlterBerechnung;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$sQuery = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			$sQuery = $sql_query ["artikellieferantenliste"] . " and $tblartikellieferanten.fiArtikel = '" . $aBelegMPZeile ["fiArtikel"] . "' order by $tblartikellieferanten.dtLieferantIstHauptlieferant";
			$aArtikelLieferant = get_table_row ( $sQuery );
			
			$sQuery = $sql_query ["artikelstueckliste"] . " and $tblartikelstueck.fiArtikel = " . $aBelegMPZeile ["fiArtikel"] . " and $tblartikelstueck.fiBeleg = " . $aBelegMPZeile ["fiBeleg"];
			$aArtikelStueck = get_table_array ( $sQuery );
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSummeMwst = ($aBelegMPZeile ["dtPreisNettoEK"] / 100 * $aBelegMPZeile ["dtMwstNettoEK"]) * $aBelegMPZeile ["dtMenge"];
				$dSumme += ($aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"]) + $dSummeMwst;
			} else {
				$aSumme [$aBelegMPZeile ["dtMwstNettoEK"]] += berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
			}
		}
		
		if ($aSumme) {
			foreach ( $aSumme as $cpSummeKey => $cpSummeValue ) {
				$dSumme += berechne_brutto ( $cpSummeValue, $cpSummeKey );
			}
			
			return $dSumme;
		} else if ($dSumme > 0) {
			return $dSumme;
		} else {
			return 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "belegmaterialposteneinkaufAufschlag_netto" )) {
	function belegmaterialposteneinkaufAufschlag_netto($belegid) {
		global $tblartikelstueck, $tblartikel;
		global $sql_query, $tblbelegmaterialposten, $tblartikellieferanten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK, $iLetzerBelegMitAlterBerechnung;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$sQuery = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			$sQuery = $sql_query ["artikellieferantenliste"] . " and $tblartikellieferanten.fiArtikel = '" . $aBelegMPZeile ["fiArtikel"] . "' order by $tblartikellieferanten.dtLieferantIstHauptlieferant";
			$aArtikelLieferant = get_table_row ( $sQuery );
			
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSummeNetto = $aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"];
				
				$dSummeAufschlag = $dSummeNetto / 100 * $aArtikelLieferant ["dtArtikelEKAufschlag"];
				$dSumme = $dSumme + $dSummeAufschlag;
			} else {
				$dSummeNetto = berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
				$dSummeAufschlag = round ( round ( $dSummeNetto / 100, 2 ) * $aArtikelLieferant ["dtArtikelEKAufschlag"], 2 );
				
				$dSumme += berechne_netto ( $dSummeAufschlag, 1 );
			}
		}
		
		return $dSumme;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "holeArtikelaufschlagEK" )) {
	function holeArtikelaufschlagEK($iArtikelID) {
		global $tblartikelstueck, $tblartikel;
		global $sql_query, $tblbelegmaterialposten, $tblartikellieferanten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$sSQLQuery = "SELECT dtArtikelEKAufschlag FROM $tblartikel WHERE id = " . $iArtikelID;
		$sArtikelAufschlagEK = mysql_fetch_array ( mysql_query ( ($sSQLQuery) ) );
		$dAufschlagProzent = $sArtikelAufschlagEK [0];
		
		return $dAufschlagProzent;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "belegmaterialposteneinkaufAufschlag_brutto" )) {
	function belegmaterialposteneinkaufAufschlag_brutto($belegid) {
		global $tblartikelstueck, $tblartikel;
		global $sql_query, $tblbelegmaterialposten, $tblartikellieferanten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK, $iLetzerBelegMitAlterBerechnung;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$sQuery = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$aBelegMP = get_table_array ( $sQuery );
		
		foreach ( ( array ) $aBelegMP as $iCounter => $aBelegMPZeile ) {
			$sQuery = $sql_query ["artikellieferantenliste"] . " and $tblartikellieferanten.fiArtikel = '" . $aBelegMPZeile ["fiArtikel"] . "' order by $tblartikellieferanten.dtLieferantIstHauptlieferant";
			$aArtikelLieferant = get_table_row ( $sQuery );
			
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				$dSummeNetto = $aBelegMPZeile ["dtPreisNettoEK"] * $aBelegMPZeile ["dtMenge"];
				$dSummeAufschlag = $dSummeNetto / 100 * $aArtikelLieferant ["dtArtikelEKAufschlag"];
				$dSummeMwst = ($dSummeAufschlag / 100 * $aBelegMPZeile ["dtMwstNettoEK"]);
				
				$dSumme = $dSumme + $dSummeAufschlag + $dSummeMwst;
			} else {
				$dSummeNetto = berechne_netto ( $aBelegMPZeile ["dtPreisNettoEK"], $aBelegMPZeile ["dtMenge"] );
				$dSummeAufschlag = round ( round ( $dSummeNetto / 100, 2 ) * $aArtikelLieferant ["dtArtikelEKAufschlag"], 2 );
				
				$aSumme [$aBelegMPZeile ["dtMwstNettoEK"]] += berechne_netto ( $dSummeAufschlag, 1 );
			}
		}
		
		if ($aSumme) {
			foreach ( $aSumme as $cpSummeKey => $cpSummeValue ) {
				$dSumme += berechne_brutto ( $cpSummeValue, $cpSummeKey );
			}
			
			return $dSumme;
		} else if ($dSumme > 0) {
			return $dSumme;
		} else {
			return 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPosteneinkauf Netto
if (! function_exists ( "belegmaterialposteneinkauf_netto_negativ" )) {
	function belegmaterialposteneinkauf_netto_negativ($belegid) {
		global $tblartikelstuecknegativ, $tblartikellieferanten;
		
		$sQuery = "SELECT SUM($tblartikellieferanten.dtStueckPreisEK) AS summe FROM $tblartikelstuecknegativ ";
		$sQuery .= "LEFT JOIN $tblartikellieferanten ON $tblartikelstuecknegativ.fiArtikel = $tblartikellieferanten.fiArtikel ";
		$sQuery .= "WHERE $tblartikellieferanten.dtLieferantIstHauptlieferant = 1 AND $tblartikelstuecknegativ.fiBeleg = " . $belegid;
		
		$aResult = get_table_row ( $sQuery );
		
		return $aResult ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegMaterialPosteneinkauf Brutto
if (! function_exists ( "belegmaterialposteneinkauf_brutto_negativ" )) {
	function belegmaterialposteneinkauf_brutto_negativ($belegid) {
		global $tblartikelstuecknegativ, $tblartikellieferanten;
		
		$sQuery = "SELECT SUM($tblartikellieferanten.dtStueckPreisEK + $tblartikellieferanten.dtStueckPreisEK / 100 * $tblartikellieferanten.dtMwstSatzEK) AS summe FROM $tblartikelstuecknegativ ";
		$sQuery .= "LEFT JOIN $tblartikellieferanten ON $tblartikelstuecknegativ.fiArtikel = $tblartikellieferanten.fiArtikel ";
		$sQuery .= "WHERE $tblartikellieferanten.dtLieferantIstHauptlieferant = 1 AND $tblartikelstuecknegativ.fiBeleg = " . $belegid;
		
		$aResult = get_table_row ( $sQuery );
		
		return $aResult ["summe"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegRabatte netto
if (! function_exists ( "belegrabatte_netto" )) {
	function belegrabatte_netto($belegid) {
		global $tblbelegmaterialposten, $tblbelegposten, $iLetzerBelegMitAlterBerechnung, $bNachkommastellenMaxZwei;
		
		$sQuery = "SELECT * FROM $tblbelegmaterialposten WHERE dtRabattfaehig = 1 AND fiBeleg = " . $belegid;
		$aResultMat = get_table_array ( $sQuery );
		
		if ($aResultMat) {
			foreach ( $aResultMat as $cpResultMat ) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei == 1)
						$iMaterialPosten += ($cpResultMat ["dtMenge"] * (round ( $cpResultMat ["dtPreisNetto"], 2 ))) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]);
					else
						$iMaterialPosten += ($cpResultMat ["dtMenge"] * ($cpResultMat ["dtPreisNetto"])) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]);
				} else {
					$dSummeNetto = berechne_netto ( $cpResultMat ["dtPreisNetto"], $cpResultMat ["dtMenge"] );
					$dSummeNettoRabatt = berechne_netto ( berechne_rabatt ( $cpResultMat ["dtPreisNetto"] * $cpResultMat ["dtMenge"], $cpResultMat ["dtMaterialpostenRabatt"], 1 ), 1 );
					
					$iMaterialPosten += $dSummeNetto - $dSummeNettoRabatt;
				}
				// $iMaterialPosten += berechne_rabatt($dSummeNetto,$cpResultMat ["dtMaterialpostenRabatt"]);
				// $iMaterialPosten += ($cpResultMat ["dtMenge"] * (round ( $cpResultMat ["dtPreisNetto"], 2 ))) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]);
			}
		}
		$sQuery = "SELECT * FROM $tblbelegposten WHERE dtPostenRabatt > 0 AND fiBeleg = " . $belegid;
		$aResultPos = get_table_array ( $sQuery );
		
		if ($aResultPos) {
			foreach ( $aResultPos as $cpResultPos ) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei == 1)
						$iPosten += ($cpResultPos ["dtMenge"] * (round ( $cpResultPos ["dtPreisNetto"], 2 ))) / 100 * ($cpResultPos ["dtPostenRabatt"]);
					else
						$iPosten += ($cpResultPos ["dtMenge"] * ($cpResultPos ["dtPreisNetto"])) / 100 * ($cpResultPos ["dtPostenRabatt"]);
				} else {
					$dSummeNetto = berechne_netto ( $cpResultPos ["dtPreisNetto"], $cpResultPos ["dtMenge"] );
					$dSummeNettoRabatt = berechne_netto ( berechne_rabatt ( $cpResultPos ["dtPreisNetto"] * $cpResultPos ["dtMenge"], $cpResultPos ["dtPostenRabatt"], 1 ), 1 );
					
					$iPosten += $dSummeNetto - $dSummeNettoRabatt;
				}
				
				// $iPosten += ($cpResultPos ["dtMenge"] * (round ( $cpResultPos ["dtPreisNetto"], 2 ))) / 100 * ($cpResultPos ["dtPostenRabatt"]);
			}
		}
		
		$dRabatt = $iMaterialPosten + $iPosten;
		return ($dRabatt);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegRabatte brutto
if (! function_exists ( "belegrabatte_brutto" )) {
	function belegrabatte_brutto($belegid) {
		global $tblbelegmaterialposten, $tblbelegposten, $iLetzerBelegMitAlterBerechnung, $bNachkommastellenMaxZwei;
		
		$sQuery = "SELECT * FROM $tblbelegmaterialposten WHERE dtRabattfaehig = 1 AND fiBeleg = " . $belegid;
		$aResultMat = get_table_array ( $sQuery );
		
		if ($aResultMat) {
			foreach ( $aResultMat as $cpResultMat ) {
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei == 1)
						$iMaterialPosten += round ( ($cpResultMat ["dtMenge"] * (round ( $cpResultMat ["dtPreisNetto"], 2 ) / 100 * (100 + $cpResultMat ["dtMwstSatz"]))) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]), 2 );
					else
						$iMaterialPosten += ($cpResultMat ["dtMenge"] * ($cpResultMat ["dtPreisNetto"] / 100) * (100 + $cpResultMat ["dtMwstSatz"])) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]);
				} else {
					$dSummeNetto = berechne_netto ( $cpResultMat ["dtPreisNetto"], $cpResultMat ["dtMenge"] );
					$dSummeNettoRabatt = berechne_netto ( berechne_rabatt ( $cpResultMat ["dtPreisNetto"] * $cpResultMat ["dtMenge"], $cpResultMat ["dtMaterialpostenRabatt"], 1 ), 1 );
					
					$aMaterialPosten [round ( $cpResultMat ["dtMwstSatz"] )] += $dSummeNetto - $dSummeNettoRabatt;
				}
				
				// $iMaterialPosten += berechne_rabatt($dSummeBrutto, $cpResultMat ["dtMaterialpostenRabatt"]);
				// $iMaterialPosten += round ( ($cpResultMat ["dtMenge"] * (round ( $cpResultMat ["dtPreisNetto"], 2 ) / 100 * (100 + $cpResultMat ["dtMwstSatz"]))) / 100 * ($cpResultMat ["dtMaterialpostenRabatt"]), 2 );
			}
			foreach ( $aMaterialPosten as $cpRabattKey => $cpRabattValue ) {
				$aRabatt [$cpRabattKey] += $cpRabattValue;
			}
		}
		
		$sQuery = "SELECT * FROM $tblbelegposten WHERE dtPostenRabatt > 0 AND fiBeleg = " . $belegid;
		$aResultPos = get_table_array ( $sQuery );
		
		if ($aResultPos) {
			foreach ( $aResultPos as $cpResultPos ) {
				// $iPosten += round ( ($cpResultPos ["dtMenge"] * (round ( $cpResultPos ["dtPreisNetto"], 2 ) / 100 * (100 + $cpResultPos ["dtMwstSatz"]))) / 100 * ($cpResultPos ["dtPostenRabatt"]), 2 );
				if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
					if ($bNachkommastellenMaxZwei == 1)
						$iPosten += round ( ($cpResultPos ["dtMenge"] * (round ( $cpResultPos ["dtPreisNetto"], 2 ) / 100 * (100 + $cpResultPos ["dtMwstSatz"]))) / 100 * ($cpResultPos ["dtPostenRabatt"]), 2 );
					else
						$iPosten += ($cpResultPos ["dtMenge"] * ($cpResultPos ["dtPreisNetto"] / 100 * (100 + $cpResultPos ["dtMwstSatz"]))) / 100 * ($cpResultPos ["dtPostenRabatt"]);
				} else {
					$dSummeNetto = berechne_netto ( $cpResultPos ["dtPreisNetto"], $cpResultPos ["dtMenge"] );
					$dSummeNettoRabatt = berechne_netto ( berechne_rabatt ( $cpResultPos ["dtPreisNetto"] * $cpResultPos ["dtMenge"], $cpResultPos ["dtPostenRabatt"], 1 ), 1 );
					
					$aPosten [round ( $cpResultPos ["dtMwstSatz"] )] += $dSummeNetto - $dSummeNettoRabatt;
				}
			}
			foreach ( $aPosten as $cpRabattKey => $cpRabattValue ) {
				$aRabatt [$cpRabattKey] += $cpRabattValue;
			}
		}
		
		if ($aRabatt) {
			foreach ( $aRabatt as $cpRabattKey => $cpRabattValue ) {
				return ($dRabatt += berechne_brutto ( $cpRabattValue, $cpRabattKey ));
			}
		} else {
			if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
				if ($bNachkommastellenMaxZwei == 1)
					return round ( $iPosten + $iMaterialPosten, 2 );
				else
					return $iPosten + $iMaterialPosten;
			}
			
			return (0);
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegSkonto netto
if (! function_exists ( "belegskonto_netto" )) {
	function belegskonto_netto($belegid) {
		global $sql_query, $tblbelege, $tblzahlungsziele;
		
		$sQuery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $belegid;
		$aBeleg = get_table_row ( $sQuery );
		
		$fSkontoGesamt = 0.00;
		
		if ($aBeleg ["fiZahlungsziel"] != 0) {
			$sQuery = $sql_query ["zahlungszielliste"] . " and $tblzahlungsziele.id = " . $aBeleg ["fiZahlungsziel"];
			$aZahlungsziel = get_table_row ( $sQuery );
			
			$fSkontoProzent = $aZahlungsziel ["dtZahlungszielSkonto"];
			
			if ($fSkontoProzent < 0.01) {
				return $fSkontoGesamt;
			}
			
			return belegendbetrag_netto ( $belegid ) / 100 * $fSkontoProzent;
		}
		
		return $fSkontoGesamt;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegSkonto brutto
if (! function_exists ( "belegskonto_brutto" )) {
	function belegskonto_brutto($belegid) {
		global $sql_query, $tblbelege, $tblzahlungsziele;
		
		$sQuery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $belegid;
		$aBeleg = get_table_row ( $sQuery );
		
		$fSkontoGesamt = 0.00;
		
		if ($aBeleg ["fiZahlungsziel"] != 0) {
			$sQuery = $sql_query ["zahlungszielliste"] . " and $tblzahlungsziele.id = " . $aBeleg ["fiZahlungsziel"];
			$aZahlungsziel = get_table_row ( $sQuery );
			
			$fSkontoProzent = $aZahlungsziel ["dtZahlungszielSkonto"];
			
			if ($fSkontoProzent < 0.01) {
				return $fSkontoGesamt;
			}
			$fBrutto = belegendbetrag_brutto ( $belegid );
			$fSkontoGesamt = berechne_skonto ( $fBrutto, $fSkontoProzent );
			// $fSkontoGesamt = ((belegendbetrag_brutto ( $belegid ) / 100) * $fSkontoProzent);
			return $fSkontoGesamt;
		}
		
		return $fSkontoGesamt;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// rechnungSkonto brutto
if (! function_exists ( "rechnungskonto_brutto" )) {
	function rechnungskonto_brutto($rechnungid) {
		global $sql_query, $tblrechnungen, $tblzahlungsziele;
		
		$sQuery = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = " . $rechnungid;
		$aRechnung = get_table_row ( $sQuery );
		
		$fSkontoGesamt = 0.00;
		
		if ($aRechnung ["dtSkonto"] != 0) {
			$fSkontoProzent = $aRechnung ["dtSkonto"];
			
			if ($fSkontoProzent < 0.01) {
				return $fSkontoGesamt;
			}
			
			return rechnungsendbetrag_brutto ( $rechnungid ) / 100 * $fSkontoProzent;
		}
		
		return $fSkontoGesamt;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegSkonto Informationen
if (! function_exists ( "belegskonto_informationen" )) {
	function belegskonto_informationen($belegid) {
		global $sql_query, $tblbelege, $tblzahlungsziele;
		
		$sQuery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $belegid;
		$aBeleg = get_table_row ( $sQuery );
		
		$aSkontoInfos = NULL;
		
		if ($aBeleg ["fiZahlungsziel"] != 0) {
			$sQuery = $sql_query ["zahlungszielliste"] . " and $tblzahlungsziele.id = " . $aBeleg ["fiZahlungsziel"];
			$aZahlungsziel = get_table_row ( $sQuery );
			
			$aSkontoInfos ["SkontoProzentsatz"] = $aZahlungsziel ["dtZahlungszielSkonto"];
			$aSkontoInfos ["SkontoZahlungszielTage"] = $aZahlungsziel ["dtZahlungszielTageSkonto"];
			$aSkontoInfos ["SkontoZahlungszielNettoTage"] = $aZahlungsziel ["dtZahlungszielTageOhneSkonto"];
			$aSkontoInfos ["SkontoDatum"] = $aZahlungsziel ["SkontoDatum"];
			$aSkontoInfos ["SkontoNettoDatum"] = $aZahlungsziel ["SkontoNettoDatum"];
		}
		
		return $aSkontoInfos;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Beleg-Mahnkosten Netto
if (! function_exists ( "belegmahnkosten_netto" )) {
	function belegmahnkosten_netto($belegid) {
		global $sql_query, $tblbelegmahnschritte;
		
		$query = $sql_query ["belegmahnschritteliste"] . " and $tblbelegmahnschritte.fiBeleg = " . $belegid;
		$query .= " order by $tblbelegmahnschritte.dtMahnschrittDatum, $tblbelegmahnschritte.dtMahnschritt";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field ) {
				$mahnkosten = $mahnkosten + $field ["dtMahnschrittKosten"];
			}
		}
		
		return $mahnkosten;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Beleg-Mahnkosten Brutto
if (! function_exists ( "belegmahnkosten_brutto" )) {
	function belegmahnkosten_brutto($belegid) {
		global $sql_query, $tblbelegmahnschritte;
		
		$query = $sql_query ["belegmahnschritteliste"] . " and $tblbelegmahnschritte.fiBeleg = " . $belegid;
		$query .= " order by $tblbelegmahnschritte.dtMahnschrittDatum, $tblbelegmahnschritte.dtMahnschritt";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field ) {
				$mahnkosten = $mahnkosten + ($field ["dtMahnschrittKosten"] + ($field ["dtMahnschrittKosten"] / 100 * $field ["dtMahnschrittMwSt"]));
			}
		}
		
		return $mahnkosten;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegendbetrag Netto
if (! function_exists ( "belegendbetrag_netto" )) {
	function belegendbetrag_netto($belegid) {
		return belegmaterialpostenendbetrag_netto ( $belegid ) + belegzeitpostenendbetrag_netto ( $belegid ) + belegpostenendbetrag_netto ( $belegid ) - belegrabatte_netto ( $belegid );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegendbetrag Brutto
if (! function_exists ( "belegendbetrag_brutto" )) {
	function belegendbetrag_brutto($belegid) {
		Global $iLetzerBelegMitAlterBerechnung, $me;
		
		if ($iLetzerBelegMitAlterBerechnung >= $belegid) {
			return belegpostenendbetrag_brutto ( $belegid ) + belegzeitpostenendbetrag_brutto ( $belegid ) + belegmaterialpostenendbetrag_brutto ( $belegid ) - belegrabatte_brutto ( $belegid );
		} else {
			
			$aEndbetragPosten = belegpostenendbetrag_brutto ( $belegid, TRUE );
			$aEndbetragMaterialPosten = belegmaterialpostenendbetrag_brutto ( $belegid, TRUE );
			$aEndbetragZeiten = belegzeitpostenendbetrag_brutto ( $belegid, 0, TRUE );
			
			$aPosten = array ();
			
			foreach ( array (
					$aEndbetragPosten,
					$aEndbetragMaterialPosten,
					$aEndbetragZeiten 
			) as $cpPostenKey => $cpPostenValue ) {
				foreach ( $cpPostenValue as $ccpPostenKey => $ccpPostenValue ) {
					$aPosten [$ccpPostenKey] += $ccpPostenValue;
				}
			}
			
			foreach ( $aPosten as $cpPostenKey2 => $cpPostenValue2 ) {
				$fGesamtsumme += berechne_brutto ( $cpPostenValue2, $cpPostenKey2 );
			}
			
			if ($belegid == "3000" && $me == "mbak")
				$fGesamtsumme -= "0.001";
			
			return $fGesamtsumme;
		}
		// return $fGesamtsumme - belegrabatte_brutto ( $belegid );
		
		// return belegpostenendbetrag_brutto ( $belegid ) + belegzeitpostenendbetrag_brutto ( $belegid ) + belegmaterialpostenendbetrag_brutto ( $belegid ) - belegrabatte_brutto ( $belegid );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// BelegBuchungen Brutto
if (! function_exists ( "belegbuchungen_brutto" )) {
	function belegbuchungen_brutto($belegid) {
		global $sql_query, $tblbankumsatz;
		
		$query = $sql_query ["umsatzliste"] . " and $tblbankumsatz.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			$gesamtbetrag = $gesamtbetrag + $liste [$n] ["dtValutaBetrag"];
		}
		
		return ($gesamtbetrag);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der BelegMaterialPosten Netto nach Buchungskonten
if (! function_exists ( "belegmaterialpostenbuchungskonten_array_netto" )) {
	function belegmaterialpostenbuchungskonten_array_netto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegmaterialposten;
		
		$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegMaterialPosten_Rabattfaehig"] == 1) {
				$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
			}
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der BelegMaterialPosten Brutto nach Buchungskonten
if (! function_exists ( "belegmaterialpostenbuchungskonten_array_brutto" )) {
	function belegmaterialpostenbuchungskonten_array_brutto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegmaterialposten;
		
		$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegMaterialPosten_Rabattfaehig"] == 1) {
				$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
			}
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der BelegZeitPostenbetrag Netto nach Buchungskonten
if (! function_exists ( "belegzeitpostenbuchungskonten_array_netto" )) {
	function belegzeitpostenbuchungskonten_array_netto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten;
		
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegZeitPosten_Rabattfaehig"] == 1) {
				$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
				
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$n] ["BelegZeitPosten_id"];
				$subliste = get_table_array ( $query );
				
				for($m = 0; $m < count ( $subliste ); $m ++) {
					if ($subliste [$m] ["dtZusatzzeitTyp"] == 0) {
						$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"]);
					} else {
						$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"]);
					}
				}
			}
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der BelegZeitPostenbetrag Brutto nach Buchungskonten
if (! function_exists ( "belegzeitpostenbuchungskonten_array_brutto" )) {
	function belegzeitpostenbuchungskonten_array_brutto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten;
		
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegZeitPosten_Rabattfaehig"] == 1) {
				$gesamtbetrag = $gesamtbetrag + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
				
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$n] ["BelegZeitPosten_id"];
				$subliste = get_table_array ( $query );
				
				for($m = 0; $m < count ( $subliste ); $m ++) {
					if ($subliste [$m] ["dtZusatzzeitTyp"] == 0) {
						$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + (($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"])) + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $liste [$n] ["dtPreisNetto"] / 100 * $subliste [$m] ["dtZusatzzeitSatz"] / 100 * $liste [$n] ["dtMwstSatz"]);
					} else {
						$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"] + ($subliste [$m] ["dtZusatzzeitAnzahl"] * $subliste [$m] ["dtZusatzzeitPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
					}
				}
			}
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der Belegpostenbetrag Netto nach Buchungskonten
if (! function_exists ( "belegpostenbuchungskonten_array_netto" )) {
	function belegpostenbuchungskonten_array_netto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegposten;
		
		$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegPosten_Rabattfaehig"] == 1) {
				$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"]);
			}
		}
		
		return ($summen_array);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Array der Belegpostenbetrag Brutto nach Buchungskonten
if (! function_exists ( "belegpostenbuchungskonten_array_brutto" )) {
	function belegpostenbuchungskonten_array_brutto($belegid, $rabattfaehig = 0) {
		global $sql_query, $tblbelegposten;
		
		$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = " . $belegid;
		$liste = get_table_array ( $query );
		
		for($n = 0; $n < count ( $liste ); $n ++) {
			if ($rabattfaehig == 0 or $liste [$n] ["BelegPosten_Rabattfaehig"] == 1) {
				$summen_array [$liste [$n] ["fiBuchungsKonto"]] = $summen_array [$liste [$n] ["fiBuchungsKonto"]] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] + ($liste [$n] ["dtMenge"] * $liste [$n] ["dtPreisNetto"] / 100 * $liste [$n] ["dtMwstSatz"]));
			}
		}
		
		return $summen_array;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegendbetrag Netto
if (! function_exists ( "belegendbetragbuchungskonten_array_netto" )) {
	function belegendbetragbuchungskonten_array_netto($belegid) {
		foreach ( ( array ) belegmaterialpostenbuchungskonten_array_netto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		foreach ( ( array ) belegzeitpostenbuchungskonten_array_netto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		foreach ( ( array ) belegpostenbuchungskonten_array_netto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		
		return $summen_array;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegendbetrag Brutto
if (! function_exists ( "belegendbetragbuchungskonten_array_brutto" )) {
	function belegendbetragbuchungskonten_array_brutto($belegid) {
		foreach ( ( array ) belegmaterialpostenbuchungskonten_array_brutto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		foreach ( ( array ) belegzeitpostenbuchungskonten_array_brutto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		foreach ( ( array ) belegpostenbuchungskonten_array_brutto ( $belegid ) as $key => $value ) {
			$summen_array [$key] = $summen_array [$key] + $value;
		}
		
		return $summen_array;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Belegsummen nach MwSt-Satz und Buchungskonto
if (! function_exists ( "belegendbetragbuchungskontenmwst_array_brutto" )) {
	function belegendbetragbuchungskontenmwst_array_brutto($belegid, $einzelposten = false) {
		global $sql_query, $tblbelegmaterialposten, $tblbelegposten, $tblbelegzeitposten, $tblbelegzeitpostenzusatzzeiten, $tblbuchungskonten, $field_beleg;
		
		$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = '" . $belegid . "'";
		$query .= " order by $tblbelegmaterialposten.dtPosNr";
		
		$belegmaterialposten_liste = get_table_array ( $query );
		
		if (count ( $belegmaterialposten_liste ) != 0) {
			foreach ( $belegmaterialposten_liste as $listenzeile_id => $field_belegmaterialposten ) {
				
				/*
				 * Berechnet die Netto Summe nach neuer Berechnung (September 2014)
				 * Else Zweig gibt die alte Rechenart an
				 */
				if ($iLetzerBelegMitAlterBerechnung < $belegid) {
					$posten_netto = berechne_netto ( berechne_rabatt ( $field_belegmaterialposten ["dtPreisNetto"], $field_belegmaterialposten ["dtMaterialpostenRabatt"] ), $field_belegmaterialposten ["dtMenge"] );
				} else {
					if ($field_belegmaterialposten ["BelegMaterialPosten_Rabattfaehig"] == "1") {
						$posten_netto = $field_belegmaterialposten ["dtPreisNetto"] - $field_belegmaterialposten ["dtPreisNetto"] / 100 * $field_belegmaterialposten ["dtMaterialpostenRabatt"];
					} else {
						$posten_netto = $field_belegmaterialposten ["dtPreisNetto"];
					}
				}
				
				/*
				 * Berechnet die Brutto Summe nach neuer Berechnung (September 2014)
				 * Else Zweig gibt die alte Rechenart an
				 */
				if ($iLetzerBelegMitAlterBerechnung < $belegid) {
					$posten_brutto = berechne_brutto ( berechne_netto ( berechne_rabatt ( berechne_netto ( $field_belegmaterialposten ["dtPreisNetto"], $field_belegmaterialposten ["dtMenge"] ), $field_belegmaterialposten ["dtMaterialpostenRabatt"], TRUE ), 1 ), $field_belegmaterialposten ["dtMwstSatz"] );
				} else {
					// Errechne Brutto Postensumme
					$posten_brutto = $posten_netto + ($posten_netto / 100 * $field_belegmaterialposten ["dtMwstSatz"]);
					$posten_brutto *= $field_belegmaterialposten ["dtMenge"];
				}
				
				// suche Buchungskonto-Details
				$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $field_belegmaterialposten ["fiBuchungsKonto"] . "'";
				$buchungskonto_field = get_table_row ( $query );
				
				if ($einzelposten and $buchungskonto_field ["dtEinzelExport"] == 1) {
					$buchungstext = "";
					if ($field_belegmaterialposten ["dtEigeneArtikelNr"] != "")
						$buchungstext = $field_belegmaterialposten ["dtEigeneArtikelNr"] . " - ";
					if ($field_belegmaterialposten ["dtArtikelTextIndividuell"] != "")
						$buchungstext .= $field_belegmaterialposten ["dtArtikelTextIndividuell"];
					else
						$buchungstext .= $field_belegmaterialposten ["dtArtikel"];
						
						// gebe Posten einzeln aus
					$export_posten_einzeln [] = array (
							"Artikel_id" => $field_belegmaterialposten ["Artikel_id"],
							"ArtikelVariante" => $field_belegmaterialposten ["dtVariante"],
							"Buchungstext" => substr ( $buchungstext, 0, 50 ),
							"Buchungstext_DatevPro" => substr ( $buchungstext, 0, 50 ),
							"Belegnummer" => substr ( $field_beleg ["dtBelegNr"], 0, 12 ),
							"BelegnummerExt" => substr ( $field_beleg ["dtBelegNr"], 0, 12 ),
							"Buchungsbetrag" => $posten_brutto,
							"MWST" => $field_belegmaterialposten ["dtMwstSatz"],
							"Buchungskonto" => $field_belegmaterialposten ["fiBuchungsKonto"] 
					);
				} else {
					// Summiere nach Buchungskonto und Mwst-Satz auf
					$export [$field_belegmaterialposten ["fiBuchungsKonto"]] [$field_belegmaterialposten ["dtMwstSatz"]] = $export [$field_belegmaterialposten ["fiBuchungsKonto"]] [$field_belegmaterialposten ["dtMwstSatz"]] + $posten_brutto;
				}
			}
		}
		
		// ++++ Belegposten
		$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = '" . $belegid . "' and $tblbelegposten.dtIstZwischensumme = 0";
		$query .= " order by $tblbelegposten.dtPosNr";
		
		$belegposten_liste = get_table_array ( $query );
		
		if (count ( $belegposten_liste ) != 0) {
			foreach ( $belegposten_liste as $listenzeile_id => $field_belegposten ) {
				
				// Errechne Brutto Postensumme
				$posten_brutto = ($field_belegposten ["dtMenge"] * $field_belegposten ["dtPreisNetto"]) + (($field_belegposten ["dtMenge"] * $field_belegposten ["dtPreisNetto"]) / 100 * $field_belegposten ["dtMwstSatz"]);
				
				// ggf. Rabatt abziehen
				if ($field_belegposten ["dtPostenRabatt"] != 0) {
					$posten_brutto = $posten_brutto - ($posten_brutto / 100 * $field_belegposten ["dtPostenRabatt"]);
				}
				
				if ($iLetzerBelegMitAlterBerechnung < $belegid) {
					$posten_brutto = berechne_brutto ( berechne_netto ( berechne_rabatt ( berechne_netto ( $field_belegposten ["dtPreisNetto"], $field_belegposten ["dtMenge"] ), $field_belegposten ["dtPostenRabatt"], TRUE ), 1 ), $field_belegposten ["dtMwstSatz"] );
				}
				
				// suche Buchungskonto-Details
				$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $field_belegposten ["fiBuchungsKonto"] . "'";
				$buchungskonto_field = get_table_row ( $query );
				
				if ($einzelposten and $buchungskonto_field ["dtEinzelExport"] == 1) {
					
					$buchungstext = "";
					if ($field_belegposten ["dtArtikelNr"] != "")
						$buchungstext = $field_belegposten ["dtArtikelNr"] . " - ";
					$buchungstext .= $field_belegposten ["dtArtikelBezeichnung"];
					
					// gebe Posten einzeln aus
					$export_posten_einzeln [] = array (
							"Buchungstext" => substr ( $buchungstext, 0, 100 ),
							"Buchungstext_DatevPro" => substr ( $buchungstext, 0, 100 ),
							"Belegnummer" => substr ( $field_beleg ["dtBelegNr"], 0, 12 ),
							"BelegnummerExt" => substr ( $field_beleg ["dtBelegNr"], 0, 12 ),
							"Buchungsbetrag" => $posten_brutto,
							"MWST" => $field_belegposten ["dtMwstSatz"],
							"Buchungskonto" => $field_belegposten ["fiBuchungsKonto"] 
					);
				} else {
					// Summiere nach Buchungskonto und Mwst-Satz auf
					$export [$field_belegposten ["fiBuchungsKonto"]] [$field_belegposten ["dtMwstSatz"]] = $export [$field_belegposten ["fiBuchungsKonto"]] [$field_belegposten ["dtMwstSatz"]] + $posten_brutto;
				}
			}
		}
		
		// ++++ Belegzeitposten
		$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = '" . $belegid . "'";
		$query .= " order by $tblbelegzeitposten.dtDatum";
		
		$belegzeitposten_liste = get_table_array ( $query );
		
		if (count ( $belegzeitposten_liste ) != 0) {
			foreach ( $belegzeitposten_liste as $listenzeile_id => $field_belegzeitposten ) {
				
				// Errechne Brutto Postensumme
				$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $field_belegzeitposten ["BelegZeitPosten_id"];
				$zusatzzeiten_count = get_table_count ( $query );
				$zusatzzeiten_liste = get_table_array ( $query );
				$zusatzzeiten_gesamtpreis = 0;
				if (is_array ( $zusatzzeiten_liste )) {
					foreach ( $zusatzzeiten_liste as $key => $zusatzzeiten_field ) {
						if ($zusatzzeiten_field ["dtZusatzzeitTyp"] == 0) {
							$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $field_belegzeitposten ["dtPreisNetto"] / 100 * $zusatzzeiten_field ["dtZusatzzeitSatz"]);
						} else {
							$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $zusatzzeiten_field ["dtZusatzzeitPreisNetto"]);
						}
					}
				}
				$posten_brutto = $field_belegzeitposten ["dtMenge"] * $field_belegzeitposten ["dtPreisNetto"] + $zusatzzeiten_gesamtpreis + ($field_belegzeitposten ["dtMwstSatz"] / 100 * (($field_belegzeitposten ["dtMenge"] * $field_belegzeitposten ["dtPreisNetto"]) + $zusatzzeiten_gesamtpreis));
				
				if ($iLetzerBelegMitAlterBerechnung < $belegid) {
					$posten_brutto = berechne_brutto ( berechne_netto ( $field_belegzeitposten ["dtPreisNetto"], $field_belegzeitposten ["dtMenge"], TRUE ), $field_belegzeitposten ["dtMwstSatz"] );
				}
				
				// Summiere nach Buchungskonto und Mwst-Satz auf
				$export [$field_belegzeitposten ["fiBuchungsKonto"]] [$field_belegzeitposten ["dtMwstSatz"]] = $export [$field_belegzeitposten ["fiBuchungsKonto"]] [$field_belegzeitposten ["dtMwstSatz"]] + $posten_brutto;
			}
		}
		
		if ($einzelposten)
			return array (
					$export,
					$export_posten_einzeln 
			);
		else
			return $export;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Rechnungssummen nach MwSt-Satz und Buchungskonto
if (! function_exists ( "rechnungendbetragbuchungskontenmwst_array_brutto" )) {
	function rechnungendbetragbuchungskontenmwst_array_brutto($rechnungid) {
		global $sql_query, $tblrechnungposten;
		
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = '" . $rechnungid . "'";
		$rechnungposten_liste = get_table_array ( $query );
		
		if (count ( $rechnungposten_liste ) != 0) {
			foreach ( $rechnungposten_liste as $listenzeile_id => $field_rechnungposten ) {
				
				// Errechne Brutto Postensumme
				$posten_brutto = ($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) + (($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) / 100 * $field_rechnungposten ["dtMwstSatz"]);
				
				// Summiere nach Buchungskonto und Mwst-Satz auf
				$export [$field_rechnungposten ["fiBuchungsKonto"]] [$field_rechnungposten ["dtMwstSatz"]] = $export [$field_rechnungposten ["fiBuchungsKonto"]] [$field_rechnungposten ["dtMwstSatz"]] + $posten_brutto;
			}
		}
		
		return $export;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// VK-Preisberechnung aus Formeln
if (! function_exists ( "vk_preisberechnung" )) {
	function vk_preisberechnung($artikelid, $akt_ek = "") {
		global $sql_query, $tblartikelstueck;
		
		// wenn ein aktueller EK bergeben wurde, nehme diesen anstelle der errechneten Werte
		if ($akt_ek != "") {
			
			$ek = $akt_ek;
			$ek_min = $akt_ek;
			$ek_max = $akt_ek;
			
			// sonst bestimme $ek $ek_min und $ek_max (und $mwst)
		} else {
			
			$query = $sql_query ["artikelstueckliste"];
			$query .= " and $tblartikelstueck.fiArtikel = '" . $artikelid . "' and $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.fiBelegVerbrauch = 0 and $tblartikelstueck.fiArtikelStueckVerbrauch = 0";
			
			$liste = get_table_array ( $query );
			
			if (count ( $liste ) != 0) {
				foreach ( $liste as $listenzeile_id => $listenzeile ) {
					$ek_array [] = $listenzeile ["dtPreisEK"];
					$ek_summe = $ek_summe + $listenzeile ["dtPreisEK"];
				}
				
				$ek = round ( $ek_summe / count ( $liste ), 5 );
				$ek_min = min ( $ek_array );
				$ek_max = max ( $ek_array );
			}
		}
		
		// hole Formeln zur Preisberechnung
		$query = $sql_query ["preisgruppenliste"] . "order by id";
		$liste = get_table_array ( $query );
		
		// berechne 5 VK-Preise
		for($n = 0; $n < 5; $n ++) {
			$eval_code = "\$vk[\$n] = " . $liste [$n] ["dtFormel"] . ";";
			@eval ( $eval_code );
		}
		
		return $vk;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// EK-Preisberechnung: minimaler EK
if (! function_exists ( "getArtikelEKMin" )) {
	function getArtikelEKMin($iArtikelId, $fVariantenZuschlag = 0, $sVariante = "") {
		global $sql_query, $tblartikelstueck;
		
		$query = "select min(dtPreisEK) as 'minek' from  $tblartikelstueck ";
		$query .= " where $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' ";
		$query .= " and $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.fiBelegVerbrauch = 0 and $tblartikelstueck.fiArtikelStueckVerbrauch = 0 ";
		$query .= " and $tblartikelstueck.dtVariante LIKE '" . $sVariante . "'";
		
		$ekmin_row = get_table_row ( $query );
		
		$dEKMin = $ekmin_row ["maxek"] + $fVariantenZuschlag;
		
		return $dEKMin;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// EK-Preisberechnung: maximaler EK
if (! function_exists ( "getArtikelEKMax" )) {
	function getArtikelEKMax($iArtikelId, $fVariantenZuschlag = 0, $sVariante = "") {
		global $sql_query, $tblartikelstueck;
		
		$query = "select max(dtPreisEK) as 'maxek' from  $tblartikelstueck ";
		$query .= " where $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' ";
		$query .= " and $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.fiBelegVerbrauch = 0 and $tblartikelstueck.fiArtikelStueckVerbrauch = 0 ";
		$query .= " and $tblartikelstueck.dtVariante LIKE '" . $sVariante . "'";
		
		$ekmax_row = get_table_row ( $query );
		
		$dEKMax = $ekmax_row ["maxek"] + $fVariantenZuschlag;
		
		return $dEKMax;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Aktualisierung aller BelegInformationen in tblBilanzBelege
if (! function_exists ( "bilanzbelege_aktualisieren" )) {
	function bilanzbelege_aktualisieren() {
		global $tblbelege;
		
		$query = "select id from $tblbelege";
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) > 0) {
			foreach ( $liste as $listenzeile ) {
				bilanzbeleg_aktualisieren ( $listenzeile ["id"] );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Aktualisierung der BelegInformationen eines Beleges in tblBilanzBelege
if (! function_exists ( "bilanzbeleg_aktualisieren" )) {
	function bilanzbeleg_aktualisieren($id, $bForce = false) {
		global $tblbilanzbelege, $tblbelege, $sql_query;
		
		$aBilanz = get_table_row ( "SELECT dtAktuell FROM $tblbilanzbelege WHERE fiBeleg = '" . $id . "'" );
		
		if ($aBilanz ["dtAktuell"] == 1 && ! $bForce) {
			return false;
		}
		
		$sQuery = $sql_query ["belegliste"] . " and $tblbelege.id = '" . $id . "'";
		$aBeleg = get_table_row ( $sQuery );
		
		$aBilanz = array (
				"dtAktuell" => 1,
				"fiKunde" => $aBeleg ["fiKunde"],
				"fiStatus" => $aBeleg ["fiStatus"],
				"fiBeleg" => $id,
				
				"dtSummeMaterialPostenNetto" => belegmaterialpostenendbetrag_netto ( $id ),
				"dtSummeMaterialPostenBrutto" => belegmaterialpostenendbetrag_brutto ( $id, FALSE, 0, FALSE ),
				
				"dtSummeZeitPostenNetto" => belegzeitpostenendbetrag_netto ( $id ),
				"dtSummeZeitPostenBrutto" => belegzeitpostenendbetrag_brutto ( $id ),
				
				"dtSummePostenNetto" => belegpostenendbetrag_netto ( $id ),
				"dtSummePostenBrutto" => belegpostenendbetrag_brutto ( $id ),
				
				"dtSummeVerkaufNetto" => belegendbetrag_netto ( $id ),
				"dtSummeVerkaufBrutto" => belegendbetrag_brutto ( $id ),
				
				"dtSummeEinkaufNetto" => belegmaterialverbrauch_netto ( $id ) + belegmaterialposteneinkauf_netto ( $id ),
				"dtSummeEinkaufBrutto" => belegmaterialverbrauch_brutto ( $id ) + belegmaterialposteneinkauf_brutto ( $id ),
				
				"dtSummeBezahltBrutto" => belegbuchungen_brutto ( $id ),
				
				"dtBuchungskontoSummenVerkaufNetto" => serialize ( belegendbetragbuchungskonten_array_netto ( $id ) ),
				"dtBuchungskontoSummenVerkaufBrutto" => serialize ( belegendbetragbuchungskonten_array_brutto ( $id ) ) 
		);
		
		if ($aBeleg ["dtAuftragRelevant"] == 0) {
			$aBilanz ["dtDatum"] = $aBeleg ["dtAngebotDatum"];
		} else if ($aBeleg ["dtAuftragRelevant"] == 1 and $aBeleg ["dtBuchungsRelevant"] == 0) {
			$aBilanz ["dtDatum"] = $aBeleg ["dtAuftragDatum"];
		} else if ($aBeleg ["dtBuchungsRelevant"] == 1 and $aBeleg ["dtStornoRelevant"] == 0) {
			$aBilanz ["dtDatum"] = $aBeleg ["dtRechnungDatum"];
		} else if ($aBeleg ["dtStornoRelevant"] == 1) {
			$field_new ["dtAnzeigeDatum"] = $field_new ["dtStornierungDatum"];
		}
		
		$aBilanz ["dtSummeUeberschussNetto"] = $aBilanz ["dtSummeVerkaufNetto"] - $aBilanz ["dtSummeEinkaufNetto"];
		$aBilanz ["dtSummeUeberschussBrutto"] = $aBilanz ["dtSummeVerkaufBrutto"] - $aBilanz ["dtSummeEinkaufBrutto"];
		
		if (function_exists ( lwsAusgabeSpanneEK )) {
			$aSummen = lwsGesamtSummeEntfernen ( $id );
			
			$aBilanz ["dtSummeVerkaufNetto"] = $aSummen ["GesamtSumme"];
			$aBilanz ["dtSummeVerkaufBrutto"] = $aSummen ["GesamtSummeBrutto"];
		}
		
		replace_into_table ( $tblbilanzbelege, $aBilanz );
		
		// lsche Cachedaten zu diesem Beleg
		$cachequerybedingungen = "dtTarget = 'umsaetze' AND dtTyp = 'belege' AND dtZeileID = '" . $aBilanz ["fiBeleg"] . "'";
		mysql_query ( "DELETE FROM tblCache WHERE $cachequerybedingungen " );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Aktualisierung aller Rechnungs-Informationen in tblBilanzRechnungen
if (! function_exists ( "bilanzrechnungen_aktualisieren" )) {
	function bilanzrechnungen_aktualisieren() {
		global $tblrechnungen;
		
		$query = "select id from $tblrechnungen";
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) > 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				bilanzrechnung_aktualisieren ( $listenzeile ["id"] );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Aktualisierung der Rechnungs-Informationen einer Rechnung in tblBilanzRechnungen
if (! function_exists ( "bilanzrechnung_aktualisieren" )) {
	function bilanzrechnung_aktualisieren($id, $bForce = false) {
		global $tblbilanzrechnungen, $sql_query, $tblrechnungen;
		
		$aBilanz = get_table_row ( "SELECT dtAktuell FROM $tblbilanzrechnungen WHERE fiRechnung = '" . $id . "'" );
		
		if ($aBilanz ["dtAktuell"] == 1 && ! $bForce) {
			return false;
		}
		
		$sQuery = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = '" . $id . "'";
		$aRechnung = get_table_row ( $sQuery );
		
		$aBilanz = array (
				"dtAktuell" => 1,
				"fiLieferant" => $aRechnung ["fiLieferant"],
				"fiStatus" => $aRechnung ["fiStatus"],
				"fiRechnung" => $id,
				
				"dtDatum" => $aRechnung ["dtRechnungDatum"],
				
				"dtSummeNetto" => rechnungsendbetrag_netto ( $id ),
				"dtSummeBrutto" => rechnungsendbetrag_brutto ( $id ),
				
				"dtSummeBezahltBrutto" => rechnungbuchungen_brutto ( $id ),
				
				"dtBuchungskontoSummenNetto" => serialize ( rechnungsbuchungskonten_array_netto ( $id ) ),
				"dtBuchungskontoSummenBrutto" => serialize ( rechnungsbuchungskonten_array_brutto ( $id ) ) 
		);
		
		replace_into_table ( $tblbilanzrechnungen, $aBilanz );
		
		// lsche Cachedaten zu diesem Beleg
		$cachequerybedingungen = "dtTarget = 'umsaetze' AND dtTyp = 'rechnungen' AND dtZeileID = '" . $id . "'";
		mysql_query ( "DELETE FROM tblCache WHERE $cachequerybedingungen " );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// CSV-Datei zum Buchungsexport erzeugen
if (! function_exists ( "csv_erzeugen" )) {
	function csv_erzeugen($array, $reihenfolge_array = "", $kopfzeile_array = "", $feldabschluss = "\"", $feldtrenner = ";", $zeilentrenner = "\n", $kopfzeile = 1, $vollstaendigezeilen = 1) {
		if ($reihenfolge_array == "") {
			$subarray = array_slice ( ( array ) $array, 0, 1 );
			foreach ( ( array ) $subarray as $key => $zeile ) {
				foreach ( ( array ) $zeile as $key2 => $zeile2 ) {
					$reihenfolge_array [] = $key2;
				}
			}
		}
		
		if ($kopfzeile_array == "") {
			$kopfzeile_array = $reihenfolge_array;
		}
		
		if ($kopfzeile == 1) {
			
			foreach ( ( array ) $kopfzeile_array as $kopfzeile_key => $kopfzeile ) {
				
				if ($feldabschluss != "") {
					$kopfzeile = str_replace ( $feldabschluss, "", $kopfzeile );
				} else {
					$kopfzeile = str_replace ( $feldtrenner, "", $kopfzeile );
					$kopfzeile = str_replace ( $zeilentrenner, " ", $kopfzeile );
					$kopfzeile = str_replace ( array (
							chr ( 13 ),
							"\n",
							"\r",
							"\t" 
					), "", $kopfzeile );
				}
				
				$string .= $feldabschluss . $kopfzeile . $feldabschluss . $feldtrenner;
			}
			
			$string .= $zeilentrenner;
		}
		
		foreach ( ( array ) $array as $key => $zeile ) {
			
			foreach ( ( array ) $reihenfolge_array as $reihenfolge_key => $reihenfolge ) {
				
				if ($vollstaendigezeilen != 1) {
					if (! isset ( $zeile [$reihenfolge] ))
						continue;
				}
				
				if ($feldabschluss != "") {
					$zeile [$reihenfolge] = str_replace ( $feldabschluss, "", $zeile [$reihenfolge] );
				} else {
					$zeile [$reihenfolge] = str_replace ( $feldtrenner, "", $zeile [$reihenfolge] );
					$zeile [$reihenfolge] = str_replace ( $zeilentrenner, " ", $zeile [$reihenfolge] );
					$zeile [$reihenfolge] = str_replace ( array (
							chr ( 13 ),
							"\n",
							"\r",
							"\t" 
					), " ", $zeile [$reihenfolge] );
				}
				
				$string .= $feldabschluss . $zeile [$reihenfolge] . $feldabschluss . $feldtrenner;
			}
			
			$string = substr ( $string, 0, (0 - (strlen ( $feldtrenner ))) );
			$string .= $zeilentrenner;
		}
		
		return ($string);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// alle Strings in einem Array auf x Zeichen krzen
if (! function_exists ( "array_strings_kuerzen" )) {
	function array_strings_kuerzen($array, $anzahl_zeichen) {
		if (is_array ( $array )) {
			foreach ( $array as $key => $value ) {
				
				if (is_array ( $value )) {
					$array [$key] = array_strings_kuerzen ( $value, $anzahl_zeichen );
				} else {
					$array [$key] = substr ( $value, 0, $anzahl_zeichen );
				}
			}
		}
		
		return $array;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "ArtikelStueckNegativZuArtikelStueck" )) {
	function ArtikelStueckNegativZuArtikelStueck($belegId, $projektId = 0, $bAlleArtikelInProjektBelegenVerfuegbar2 = false) {
		global $sql_query, $tblbelege, $tblartikelstuecknegativ;
		global $target, $typ, $id, $subtarget, $subtyp, $subid;
		global $bAlleArtikelInProjektBelegenVerfuegbar;
		/*
		 * Liste alle zugeordneten Artikel mit ihrer Anzahl
		 */
		
		$sQueryMaterialposten = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $belegId;
		$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );
		
		if (count ( $aMaterialpostenListe ) > 0) {
			foreach ( $aMaterialpostenListe as $aPosten ) {
				
				/*
				 * Prfen ob Artikel in entsprechender Menge vorhanden ist
				 */
				$iArtikelTyp = getArtikelTyp ( $aPosten ["fiArtikel"] );
				
				if ($iArtikelTyp != 2) // Wenn virtueller Artikel dann nicht auf Stckzahl prfen
{
					/*
					 * Verfgbare Mengen bestimmen
					 */
					$aVarianteAktuell = "";
					$akt_varianten = "";
					if ($aPosten ["dtVariante"] != "") {
						$aVarianteAktuell = unserialize ( $aPosten ["dtVariante"] );
						
						foreach ( $aVarianteAktuell as $cpVarianteName => $cpVarianteKey ) {
							if ($cpVarianteKey != "-1")
								$akt_varianten [$cpVarianteName] = $cpVarianteKey;
						}
					} else {
						$akt_varianten = "";
					}
					
					if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE) {
						$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $aPosten ["fiArtikel"], 0, $akt_varianten );
					} else if ($projektId != 0) {
						$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $aPosten ["fiArtikel"], $projektId, $akt_varianten );
					} else {
						$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $aPosten ["fiArtikel"], $projektId, $akt_varianten );
					}
					
					/*
					 * Sind mehrere, gleiche Artikel auf mehrere Posten verteilt, muss die Berechnung der Stckzahlen gendert
					 * werden. Ist ein Artikel doppelt enthalten, geschieht folgendes
					 * verfgbare Menge = verfgbare Menge - verbrauchte Menge
					 */
					
					if (! $aArtikelMenge [$aPosten ["fiArtikel"]] [$aPosten ["dtVariante"]])
						$aArtikelMenge [$aPosten ["fiArtikel"]] [$aPosten ["dtVariante"]] += $aPosten ["dtMenge"];
					else {
						$anzahlArtikelStueckVerfuegbar -= $aArtikelMenge [$aPosten ["fiArtikel"]] [$aPosten ["dtVariante"]];
						$aArtikelMenge [$aPosten ["fiArtikel"]] [$aPosten ["dtVariante"]] += $aPosten ["dtMenge"];
					}
					
					if ($anzahlArtikelStueckVerfuegbar < $aPosten ["dtMenge"]) {
						$fehler = new Fehler ();
						$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
						$fehler->setNext ( $target, "show", $id, $subtarget, $subtyp );
						throw $fehler;
					}
				}
			}
			
			// Wird ausgelagert aus dem Grunde, erst werden alle Posten auf ANzahl berprft
			// Sind alle Artikel ausreichend vorhanden, werden die Artikel bertragen
			foreach ( $aMaterialpostenListe as $aPosten ) {
				$aVarianteAktuell = "";
				$akt_varianten = "";
				if ($aPosten ["dtVariante"] != "") {
					$aVarianteAktuell = unserialize ( $aPosten ["dtVariante"] );
					
					foreach ( $aVarianteAktuell as $cpVarianteName => $cpVarianteKey ) {
						if ($cpVarianteKey != "-1")
							$akt_varianten [$cpVarianteName] = $cpVarianteKey;
					}
				} else {
					$akt_varianten = "";
				}
				
				addArtikelStueckToBeleg ( $aPosten ["fiArtikel"], $belegId, $aPosten ["dtMenge"], $projektId, $akt_varianten, false, $bAlleArtikelInProjektBelegenVerfuegbar );
			}
			/*
			 * Lsche Zeilen in tblArtikelStueckNegativ
			 */
			// $sQueryDelete = "DELETE FROM $tblartikelstuecknegativ WHERE $tblartikelstuecknegativ.fiBeleg = '" . $belegId . "' AND $tblartikelstuecknegativ.fiArtikel = '" . $aPosten ["fiArtikel"] . "' AND $tblartikelstuecknegativ.dtVariante = '%" . $aPosten ["dtVariante"] . "%'";
			$sQueryDelete = "DELETE FROM $tblartikelstuecknegativ WHERE $tblartikelstuecknegativ.fiBeleg = '" . $belegId . "'";
			mysql_query ( $sQueryDelete );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "StornierungStueckNegativ" )) {
	function StornierungStueckNegativ($belegId, $projektId = 0) {
		Global $sql_query, $tblartikelstueck, $tblbelege, $tblartikelstuecknegativ;
		
		$sQueryMaterialposten = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $belegId;
		$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );
		
		if (count ( $aMaterialpostenListe ) > 0) {
			
			// In der Tabelle Artikelstck wird der Eintrag mit der Belegid auf fiBeleg 0 gesetzt
			$sSqlUpdate = "UPDATE $tblartikelstueck SET fiBeleg = 0 ";
			$sSqlUpdate .= "WHERE fiBeleg = " . $belegId . "";
			
			mysql_query ( $sSqlUpdate );
			
			foreach ( $aMaterialpostenListe as $aPosten ) {
				/*
				 * Prfen ob Artikel in entsprechender Menge vorhanden ist
				 */
				$iArtikelTyp = getArtikelTyp ( $aPosten ["fiArtikel"] );
				
				if ($iArtikelTyp != 2) // Wenn virtueller Artikel dann nicht auf Stckzahl prfen
{
					$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $aPosten ["fiArtikel"], $projektId, unserialize ( $aPosten ["dtVariante"] ) );
					
					if ($anzahlArtikelStueckVerfuegbar < $aPosten ["dtMenge"]) {
						$fehler = new Fehler ();
						$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
						$fehler->setNext ( $target, "show", $id, $subtarget, $subtyp );
						throw $fehler;
					}
				}
			}
			
			foreach ( $aMaterialpostenListe as $aPosten ) {
				$aVariante = unserialize ( $aPosten ["dtVariante"] );
				
				/*
				 * Lsche Zeilen in tblArtikelStueckNegativ
				 */
				$sQueryDelete = "DELETE FROM $tblartikelstuecknegativ WHERE $tblartikelstuecknegativ.fiBeleg = '" . $belegId . "' AND $tblartikelstuecknegativ.fiArtikel = '" . $aPosten ["fiArtikel"] . "' AND $tblartikelstuecknegativ.dtVariante = '" . $aPosten ["dtVariante"] . "'";
				
				mysql_query ( $sQueryDelete );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "ArtikelStueckZuArtikelStueckNegativ" )) {
	function ArtikelStueckZuArtikelStueckNegativ($belegId, $projektId = 0) {
		global $tblartikelstuecknegativ, $tblartikel, $tblbelege, $sql_query;
		global $bAlleArtikelInProjektBelegenVerfuegbar;
		/*
		 * Liste alle zugeordneten Artikel mit ihrer Anzahl
		 */
		
		$sQueryMaterialposten = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $belegId;
		$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );
		$iProjekt = $projektId;
		
		if (count ( $aMaterialpostenListe ) > 0) {
			foreach ( $aMaterialpostenListe as $aPosten ) {
				
				$aVarianteAktuell = "";
				
				unset ( $aVariante );
				if ($aPosten ["dtVariante"] != "") {
					$aVarianteAktuell = unserialize ( $aPosten ["dtVariante"] );
					
					foreach ( $aVarianteAktuell as $cpVarianteName => $cpVarianteKey ) {
						
						if ($cpVarianteKey != "-1")
							$aVariante [$cpVarianteName] = $cpVarianteKey;
					}
				} else {
					$aVariante = "";
				}
				
				addArtikelStueckToBeleg ( $aPosten ["fiArtikel"], $belegId, $aPosten ["dtMenge"] * - 1, $projektId, $aVariante ); // Stck lschen
				/*
				 * Zeilen in tblArtikelStueckNegativ hinzufgen
				 */
				
				$iArtikelTyp = getArtikelTyp ( $aPosten ["fiArtikel"] );
				if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut, Virtuelles Gut
{
					for($i = 0; $i < $aPosten ["dtMenge"]; $i ++) {
						$artikelstueckNegativNew = array ();
						$artikelstueckNegativNew ['fiArtikel'] = $aPosten ["fiArtikel"];
						$artikelstueckNegativNew ['dtStatus'] = 0;
						
						if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE)
							$projektId = 0;
						
						$artikelstueckNegativNew ['fiProjekt'] = $projektId;
						$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
						$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
						$artikelstueckNegativNew ['fiBeleg'] = $belegId;
						
						$artikelstueckNegativNew ["dtVariante"] = $aPosten ["dtVariante"];
						$artikelstueckNegativNew ["dtVarianteArtNr"] = $aPosten ["dtVarianteArtNr"];
						$artikelstueckNegativNew ["dtVarianteArtName"] = $aPosten ["dtVarianteArtName"];
						$artikelstueckNegativNew ["fiBelegPosten"] = $aPosten ["BelegMaterialPosten_id"];
						
						insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
					}
				} elseif ($iArtikelTyp == 1) // Massengut
{
					
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $aPosten ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					
					if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE)
						$projektId = 0;
					
					$artikelstueckNegativNew ['fiProjekt'] = $projektId;
					
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					$artikelstueckNegativNew ['fiBeleg'] = $belegId;
					
					$artikelstueckNegativNew ["dtVariante"] = $aPosten ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $aPosten ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $aPosten ["dtVarianteArtName"];
					$artikelstueckNegativNew ["dtStueckMenge"] = $aPosten ["dtMenge"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $aPosten ["BelegMaterialPosten_id"];
					
					if ($projektId < 1)
						insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
				$projektId = $iProjekt;
			}
		}
	}
}

if (! function_exists ( "ArtikelStueckNegativAngeboten" )) {
	function ArtikelStueckNegativAngeboten($belegId) {
		global $tblartikelstuecknegativ;
		mysql_query ( "UPDATE $tblartikelstuecknegativ SET dtStatus = 0 WHERE fiBeleg = " . $belegId );
	}
}

if (! function_exists ( "ArtikelStueckNegativBeauftragt" )) {
	function ArtikelStueckNegativBeauftragt($belegId) {
		global $tblartikelstuecknegativ;
		mysql_query ( "UPDATE $tblartikelstuecknegativ SET dtStatus = 1 WHERE fiBeleg = " . $belegId );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "ProjektArtikelStueckNegativZuArtikelStueck" )) {
	function ProjektArtikelStueckNegativZuArtikelStueck($projektId) {
		global $sql_query, $tblartikelstuecknegativ;
		global $target, $typ, $id, $subtarget, $subtyp, $subid;
		
		/*
		 * Liste alle zugeordneten Artikel mit ihrer Anzahl
		 */
		
		$sQueryStueck = $sql_query ["artikelstuecklistegrouped-negativ"];
		$sQueryStueck .= " and $tblartikelstuecknegativ.fiProjekt =  " . $id;
		$sQueryStueck .= " GROUP BY $tblartikelstuecknegativ.fiArtikel, $tblartikelstuecknegativ.dtVariante";
		
		$aStueckListe = get_table_array ( $sQueryStueck );
		
		if (count ( $aStueckListe ) > 0) {
			foreach ( $aStueckListe as $aStueck ) {
				/*
				 * Prfen ob Artikel in entsprechender Menge vorhanden ist
				 */
				$iArtikelTyp = getArtikelTyp ( $aStueck ["fiArtikel"] );
				if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut
{
					$fZuweisen [$aStueck ["ArtikelStueck_id"]] = $aStueck ["dtMenge"];
				} elseif ($iArtikelTyp == 1) // Massengut
{
					$fZuweisen [$aStueck ["ArtikelStueck_id"]] = $aStueck ["dtMassenMenge"];
				}
				
				if ($iArtikelTyp != 2) // Keine virtuellen Gter
{
					$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $aStueck ["fiArtikel"], 0, unserialize ( $aStueck ["dtVariante"] ) );
					
					if ($anzahlArtikelStueckVerfuegbar < $fZuweisen [$aStueck ["ArtikelStueck_id"]]) {
						$fehler = new Fehler ();
						$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
						$fehler->setNext ( $target, "show", $id, $subtarget, $subtyp );
						throw $fehler;
					}
				}
			}
			
			foreach ( $aStueckListe as $aStueck ) {
				addArtikelStueckToBeleg ( $aStueck ["fiArtikel"], 0, $fZuweisen [$aStueck ["ArtikelStueck_id"]], $projektId, unserialize ( $aStueck ["dtVariante"] ) );
				
				/*
				 * Lsche Zeilen in tblArtikelStueckNegativ
				 */
				$sQueryDelete = "DELETE FROM $tblartikelstuecknegativ WHERE $tblartikelstuecknegativ.id = '" . $aStueck ["ArtikelStueck_id"] . "'";
				
				mysql_query ( $sQueryDelete );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "ProjektArtikelStueckZuArtikelStueckNegativ" )) {
	function ProjektArtikelStueckZuArtikelStueckNegativ($projektId) {
		global $tblartikelstuecknegativ, $tblartikelstueck;
		
		/*
		 * Zuordnungen zum Projekt lschen Negative ArtikelStueck erstellen
		 */
		$sQueryArtikelStueck = "SELECT * FROM $tblartikelstueck WHERE $tblartikelstueck.fiProjekt = " . $projektId;
		$aListe = get_table_array ( $sQueryArtikelStueck );
		
		if (count ( $aListe ) > 0) {
			$counter = 0;
			foreach ( $aListe as $aArtikelStueck ) {
				$aArtikelStueckNegativ = $aArtikelStueck;
				unset ( $aArtikelStueckNegativ ["id"] );
				
				insert_into_table ( $tblartikelstuecknegativ, $aArtikelStueckNegativ );
				addArtikelStueckToBeleg ( $aArtikelStueck ["fiArtikel"], 0, 0, $projektId, unserialize ( $aArtikelStueck ["dtVariante"] ) );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "ProjektArtikelStueckNegativBeauftragt" )) {
	function ProjektArtikelStueckNegativBeauftragt($projektId) {
		global $tblartikelstuecknegativ;
		mysql_query ( "UPDATE $tblartikelstuecknegativ SET dtStatus = 1 WHERE fiProjekt = $projektId" );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "ProjektArtikelStueckNegativAngeboten" )) {
	function ProjektArtikelStueckNegativAngeboten($projektId) {
		global $tblartikelstuecknegativ;
		mysql_query ( "UPDATE $tblartikelstuecknegativ SET dtStatus = 0 WHERE fiProjekt = $projektId" );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "returnVariantenGruppenArray" )) {
	function returnVariantenGruppenArray() {
		global $sql_query;
		
		$aListeVariantengruppen = get_table_array ( $sql_query ["artikelvariantengruppenliste"] );
		$aListeVariantengruppenNeu = array ();
		for($i = 0; $i < count ( $aListeVariantengruppen ); $i ++) {
			$aDDText = array ();
			
			if ($aListeVariantengruppen [$i] ["dtGruppenMehrfachauswahl"] == 1) {
				$aDDText [] = "M";
			}
			
			if ($aListeVariantengruppen [$i] ["dtGruppenZwangsauswahl"] == 1) {
				$aDDText [] = "Z";
			}
			
			if (count ( $aDDText ) > 0) {
				$sAnzeige = $aListeVariantengruppen [$i] ["dtGruppenName"] . " (" . join ( " | ", $aDDText ) . ")";
			} else {
				$sAnzeige = $aListeVariantengruppen [$i] ["dtGruppenName"];
			}
			
			$aListeVariantengruppenNeu [$aListeVariantengruppen [$i] ["Gruppen_id"]] = $sAnzeige;
		}
		
		return $aListeVariantengruppenNeu;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "cleanVariantenArray" )) {
	function cleanVariantenArray($aArrayIn) {
		if (! is_array ( $aArrayIn ))
			return null;
		
		foreach ( $aArrayIn as $sKey => $sValue ) {
			if (strpos ( $sKey, "variante_" ) === false) {
				unset ( $aArrayIn [$sKey] );
				continue;
			}
			
			if (! is_array ( $sValue ))
				$sValue = trim ( $sValue, ";" );
			if (! is_array ( $sValue ) && strpos ( $sValue, ";" ) === false) {
				$aArrayIn [$sKey] = ( int ) $sValue;
			} elseif (is_array ( $sValue )) {
				foreach ( $aArrayIn [$sKey] as $sSubKey => $sSubValue ) {
					$aArrayIn [$sKey] [$sSubKey] = ( int ) $sSubValue;
				}
			}
		}
		
		return $aArrayIn;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "cleanDatabaseSerializeArray" )) {
	function cleanDatabaseSerializeArray() {
		Global $tblartikelstueck;
		$aPattern = array (
				0 => 's:0:"";',
				1 => "b:0;" 
		);
		
		foreach ( $aPattern as $cpPattern ) {
			$sUpdateArtikelstueck = "UPDATE $tblartikelstueck SET dtVariante = '' WHERE dtVariante LIKE '" . $cpPattern . "'";
			mysql_query ( $sUpdateArtikelstueck );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelAttribute" )) {
	/**
	 *
	 *
	 * Ruft ALLE Attribute eines Artikels ab
	 *
	 * @param int $iArtikelId        	
	 */
	function getArtikelAttribute($iArtikelId, $aVariante = array()) {
		global $sql_query, $tblartikelattribute;
		
		$sQuery = $sql_query ["artikelattributliste"] . " AND $tblartikelattribute.fiArtikel = '" . $iArtikelId . "'";
		
		if (count ( $aVariante ) > 0) {
			$sQuery .= " AND $tblartikelattribute.dtVariante LIKE '" . serialize ( cleanVariantenArray ( $aVariante ) ) . "'";
		}
		
		$aAttribute = get_table_array ( $sQuery );
		return $aAttribute;
	}
	
	/**
	 *
	 *
	 * Ruft ein benanntes Attribut von einem Artikel ab.
	 * Es muss die Ausgabe von getArtikelAttribute bergeben werden.
	 *
	 * @param string $sAttribut        	
	 * @param array $aAttribute        	
	 * @return string
	 */
	function getArtikelAttribut($sAttribut, $aAttribute) {
		foreach ( ( array ) $aAttribute as $aAttribut ) {
			if ($aAttribut ["dtAttributGruppeName"] == $sAttribut) {
				return $aAttribut ["dtAttributWert"];
			}
		}
		
		return false;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "zufallspasswort" )) {
	function zufallspasswort($laenge = 6) {
		$password = '';
		$pool = "abcdefghijkmnpqrstuvwxyz";
		$pool .= "23456789";
		$pool .= "ABCDEFGHIJKMNPQRSTUVWXYZ";
		srand ( ( double ) microtime () * 1000000 );
		for($index = 0; $index < $laenge; $index ++) {
			$password .= substr ( $pool, (rand () % (strlen ( $pool ))), 1 );
		}
		return $password;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "berechneProvisionshoeheInProzent" )) {
	function berechneProvisionshoeheInProzent($iMitarbeiter, $iKunde, $iArtikel) {
		global $sql_query, $tblkontakte, $sProvisionsPrioritaet, $tblartikel;
		
		$sMitarbeiterQuery = $sql_query ["mitarbeiterliste"] . " and $tblkontakte.id = " . $iMitarbeiter;
		$aMitarbeiter = get_table_row ( $sMitarbeiterQuery );
		
		$sKundeQuery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $iKunde;
		$aKunde = get_table_row ( $sKundeQuery );
		
		$sArtikelQuery = $sql_query ["artikelliste"] . " and $tblartikel.id = " . $iArtikel;
		$aArtikel = get_table_row ( $sArtikelQuery );
		
		// Provision berechnen
		$bIsMaximalProvision = false;
		$fProvisionAktuell = 0.00;
		
		for($i = 0; $i < strlen ( $sProvisionsPrioritaet ); $i ++) {
			// M itarbeiter, K unde, A rtikel
			
			/*
			 * Bedingungen fr jeden Schritt: - Provision > 0 - noch keine Maximalprovision gesetzt ODER - Provision < aktuelle Maximalprovision UND auch als Maximalprovision gekennzeichnet
			 */
			
			switch (strtolower ( $sProvisionsPrioritaet [$i] )) {
				case "m" :
					if ($aMitarbeiter ["dtProvisionProzent"] == 0)
						break;
					
					if (! $bIsMaximalProvision || ($aMitarbeiter ["dtProvisionProzent"] < $fProvisionAktuell && $aMitarbeiter ["dtIstMaximalprovision"])) {
						$fProvisionAktuell = $aMitarbeiter ["dtProvisionProzent"];
						$bIsMaximalProvision = $aMitarbeiter ["dtIstMaximalprovision"];
					}
					break;
				
				case "k" :
					if ($aKunde ["dtKundeProvisionProzent"] == 0)
						break;
					
					if (! $bIsMaximalProvision || ($aKunde ["dtKundeProvisionProzent"] < $fProvisionAktuell && $aKunde ["dtKundeIstMaximalprovision"])) {
						$fProvisionAktuell = $aKunde ["dtKundeProvisionProzent"];
						$bIsMaximalProvision = $aKunde ["dtKundeIstMaximalprovision"];
					}
					break;
				
				case "a" :
					if ($aArtikel ["dtArtikelProvisionProzent"] == 0)
						break;
					
					if (! $bIsMaximalProvision || ($aArtikel ["dtArtikelProvisionProzent"] < $fProvisionAktuell && $aArtikel ["dtArtikelIstMaximalprovision"])) {
						$fProvisionAktuell = $aArtikel ["dtArtikelProvisionProzent"];
						$bIsMaximalProvision = $aArtikel ["dtArtikelIstMaximalprovision"];
					}
					break;
			}
		}
		
		return $fProvisionAktuell;
	}
}
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "berechneZwischensummeUmgekehrt" )) {
	function berechneZwischensummeUmgekehrt($aZwischensumme, $aListe) {
		global $tblartikeleinheiten, $tblartikel, $fZwischensummeNetto, $fZwischensummeBrutto;
		
		$iStartCounter = $aZwischensumme ["dtPosNr"];
		
		if (count ( $aListe ) > 0) {
			foreach ( $aListe as $listenzeile_id => $field ) {
				if ($field ["dtPosNr"] < $aZwischensumme ["dtPosNr"]) {
					if ($field ["dtIstZwischensumme"] == 0) {
						$fRabattNetto = $field ["dtPreisNetto"] - $field ["dtPreisNetto"] / 100 * $field ["dtMaterialpostenRabatt"];
						$fRabattBrutto = $fRabattNetto + $fRabattNetto / 100 * $field ["dtMwstSatz"];
						
						$fZwischensummeNetto += $field ["dtMenge"] * $fRabattNetto;
						$fZwischensummeBrutto += $field ["dtMenge"] * $fRabattBrutto;
					} else {
						return "";
					}
				}
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelEinheit" )) {
	function getArtikelEinheit($iArtikelId) {
		global $tblartikeleinheiten, $tblartikel;
		
		$sEinheit = "";
		$sQuery = mysql_query ( "SELECT * FROM $tblartikeleinheiten, $tblartikel WHERE $tblartikel.fiEinheit = $tblartikeleinheiten.id AND $tblartikel.id = $iArtikelId" );
		$aEinheit = mysql_fetch_array ( $sQuery );
		$sEinheit = " " . $aEinheit [1];
		
		return $sEinheit;
	}
}
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelAnzahlVerfuegbar" )) {
	function getArtikelAnzahlVerfuegbar($iArtikelId, $iProjektId = 0, $aVariante = array(), $iRechnungId = 0, $bModus = 0) {
		global $sql_query, $tblartikelstueck, $tblartikelstuecknegativ, $tblbestellungmaterialposten, $tblbestellungen, $tblbelegstatus;
		global $bAlleArtikelInProjektAnzeigen;
		
		$iArtikelTyp = getArtikelTyp ( $iArtikelId );
		
		// prfe ob auf das Projekt gefiltert werden muss
		if ($iProjektId != 0 and $bAlleArtikelInProjektAnzeigen)
			$iProjektId = 0;
			
			// virtuelle Artikel sind immer verfgbar
		if ($iArtikelTyp == 2)
			return 10000000000;
		
		if ($bModus == 0) // Normal
{
			$sSqlQueryVerfuegbar = $sql_query ["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = '" . $iArtikelId . "'";
			
			if ($iProjektId > 0) {
				$sSqlQueryVerfuegbar .= " and $tblartikelstueck.fiProjekt = " . $iProjektId;
			} else {
				$sSqlQueryVerfuegbar .= " and $tblartikelstueck.fiProjekt = 0";
			}
			
			if ($iRechnungId > 0 && $iArtikelTyp != 1) // Rechnungszuweisung existiert nicht bei Massengtern
{
				$sSqlQueryVerfuegbar .= " and $tblartikelstueck.fiRechnung = " . $iRechnungId;
			}
			
// 			if($iRechnungId == 0)
// 			{
// 				$sSqlQueryVerfuegbar .= " and $tblartikelstueck.fiRechnung = 0";
// 			}
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				$aVariante = cleanVariantenArray ( $aVariante );
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlQueryVerfuegbar .= " and $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			} else if ($aVariante != "" && $aVariante) {
				$aVariante = unserialize ( $aVariante );
				
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlQueryVerfuegbar .= " and $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			}
			
			// ++++ Werden nur die Stammdaten verlangt, werden auch nur diese ausgelesen ohne Varianteninhalt
			if ($aVariante == "stammdaten") {
				$sSqlQueryVerfuegbar .= " and (length($tblartikelstueck.dtVariante ) < 8)";
			}
			
		} elseif ($bModus == 1) // Reserviert
{
			$sSqlQueryVerfuegbar = $sql_query ["artikelstueckmitbeleg-negativ"] . " and $tblartikelstuecknegativ.fiArtikel = '" . $iArtikelId . "'";
			
			if ($iProjektId > 0) {
				$sSqlQueryVerfuegbar .= " and $tblartikelstuecknegativ.fiProjekt = " . $iProjektId;
			} else {
				$sSqlQueryVerfuegbar .= " and $tblartikelstuecknegativ.fiProjekt = 0";
			}
			
			$sSqlQueryVerfuegbar .= " and $tblbelegstatus.dtBelegGeschlossen = 0";
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				$aVariante = cleanVariantenArray ( $aVariante );
				
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlQueryVerfuegbar .= " and $tblartikelstuecknegativ.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			}
			
			// ++++ Werden nur die Stammdaten verlangt, werden auch nur diese ausgelesen ohne Varianteninhalt
			if ($aVariante == "stammdaten")
				$sSqlQueryVerfuegbar .= " and $tblartikelstuecknegativ.dtVariante LIKE '';";
		} elseif ($bModus == 2) // Bestellt
{
			$sSqlQueryVerfuegbar = "SELECT SUM(dtMenge) AS Menge FROM $tblbestellungmaterialposten LEFT JOIN $tblbestellungen ON $tblbestellungmaterialposten.fiBestellung = $tblbestellungen.id WHERE $tblbestellungen.fiStatus < 4 AND $tblbestellungmaterialposten.fiArtikel = " . $iArtikelId;
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				$aVariante = cleanVariantenArray ( $aVariante );
				
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlQueryVerfuegbar .= " AND $tblbestellungmaterialposten.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
				
				$rResult = mysql_query ( $sSqlQueryVerfuegbar );
				$aRow = mysql_fetch_array ( $rResult );
			}
			// ++++ Werden nur die Stammdaten verlangt, werden auch nur diese ausgelesen ohne Varianteninhalt
			if ($aVariante == "stammdaten")
				$sSqlQueryVerfuegbar .= " and $tblbestellungmaterialposten.dtVariante LIKE '';";
			
			$rResult = mysql_query ( $sSqlQueryVerfuegbar );
			$aRow = mysql_fetch_row ( $rResult );
			
			$return = $aRow ["Menge"];
			return $return;
		}
		
		if ($iArtikelTyp != 1) // Virtuelles Gut, Stckgut
{
			$return = ( int ) get_table_count ( $sSqlQueryVerfuegbar );
			return $return;
		} else // Massengut
{
			$rResult = mysql_query ( $sSqlQueryVerfuegbar );
			
			if (mysql_num_rows ( $rResult ) < 1) {
				$return = "0.00" . $sEinheit;
				
				return $return;
			} elseif (mysql_num_rows ( $rResult ) == 1) {
				$aRow = mysql_fetch_array ( $rResult );
				$return = $aRow ["dtStueckMenge"];
				return $return;
			} elseif (mysql_num_rows ( $rResult ) > 1) {
				$fAnzahl = 0.00;
				
				while ( $aRow = mysql_fetch_array ( $rResult ) ) {
					$fAnzahl += $aRow ["dtStueckMenge"];
				}
				$return = $fAnzahl;
				
				return $return;
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "setMassengutVerfuegbareProjektMenge" )) {
	function setMassengutVerfuegbareProjektMenge($iArtikelstueckID, $iArtikelId, $fMenge, $aVariante = array(), $fMassengutEK = 0) {
		global $tblartikelstueck;
		
		if (getArtikelTyp ( $iArtikelId ) != 1) {
			return false;
		}
		
		if ($fMenge < 0) // Verfgbarkeitsprfung
{
			if ((getArtikelAnzahlVerfuegbar ( $iArtikelId, 0, $aVariante ) - $fMenge) < 0) {
				return false;
			}
		}
		
		// Prfen ob Zeile existiert
		$sSqlCheckExists = "SELECT id FROM $tblartikelstueck WHERE $tblartikelstueck.id = '" . $iArtikelstueckID . "'";
		
		if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
			$aVariante = cleanVariantenArray ( $aVariante );
			
			$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
		} elseif (count ( $aVariante ) > 0) {
			$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
		}
		
		$iStueckCount = get_table_count ( $sSqlCheckExists );
		
		if ($iStueckCount > 1) // zu viele Zeilen
{
			$sSqlDelete = "delete from $tblartikelstueck ";
			$sSqlDelete .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = 0";
			$sSqlDelete .= " limit " . ($iStueckCount - 1);
			
			mysql_query ( $sSqlDelete );
		}
		
		if ($iStueckCount > 0) // Zeile existiert
{
			
			$sSqlUpdate = "UPDATE $tblartikelstueck SET dtPreisEK = " . $fMassengutEK . ", dtStueckMenge = dtStueckMenge + " . ( float ) $fMenge;
			$sSqlUpdate .= " WHERE $tblartikelstueck.id = " . $iArtikelstueckID;
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				$sSqlUpdate .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
			} elseif (count ( $aVariante ) > 0) {
				$sSqlUpdate .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
			}
			
			mysql_query ( $sSqlUpdate );
		} else {
			$aArtikelNeu = array (
					"fiArtikel" => $iArtikelId,
					"dtVariante" => serialize ( $aVariante ),
					"dtPreisEK" => $fMassengutEK 
			);
			
			if ($fMenge > 0) {
				$aArtikelNeu ["dtStueckMenge"] = $fMenge;
			} else {
				return true;
			}
			
			insert_into_table ( $tblartikelstueck, $aArtikelNeu );
		}
		
		return true;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "setMassengutVerfuegbareMenge" )) {
	function setMassengutVerfuegbareMenge($iArtikelId, $fMenge, $aVariante = array(), $fMassengutEK = NULL, $iProjekt = 0, $iBeleg = 0, $iRechnung = 0, $bProjektBeleg = FALSE, $bInventur = FALSE) {
		global $tblartikelstueck, $sql_query;
		
		$bProjektBeleg = FALSE;
		
		if (! $iProjekt || $iProjekt == "") {
			$iProjekt = 0;
		}
		if (! $iBeleg || $iBeleg == "") {
			$iBeleg = 0;
		}
		if (! $iRechnung || $iRechnung == "") {
			$iRechnung = 0;
		}
		
		if (getArtikelTyp ( $iArtikelId ) != 1) {
			return false;
		}
		
		if ($fMenge < 0) // Verfgbarkeitsprfung
{
			if ((getArtikelAnzahlVerfuegbar ( $iArtikelId, 0, $aVariante ) - $fMenge) < 0) {
				return false;
			}
		}
		
		$sSqlCheckExists = "SELECT id FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = 0 AND $tblartikelstueck.fiRechnung != 0";
		
		if (! is_array ( $aVariante )) {
			$aVariante = unserialize ( $aVariante );
		}
		
		if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
			$aVariante = cleanVariantenArray ( $aVariante );
			
			foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
				$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
			}
		} elseif (count ( $aVariante ) > 0) {
			$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
		}
		
		$fAktuellerArtikelstand = getArtikelAnzahlVerfuegbar ( $iArtikelId, 0, $aVariante );
		
		$iStueckCount = get_table_count ( $sSqlCheckExists );
		
		if ($iStueckCount >= 1) // zu viele Zeilen
{
			
			$sSqlDelete = "delete from $tblartikelstueck ";
			$sSqlDelete .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = " . $iProjekt . " AND $tblartikelstueck.fiRechnung != 0";
			
			mysql_query ( $sSqlDelete );
			
			if ($iRechnung != 0 || $iRechnung != FALSE) {
				$fMenge = 0;
			}
		}
		
		$sSqlCheckExists = "SELECT id FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = 0 AND $tblartikelstueck.fiRechnung = 0";
		
		if (! is_array ( $aVariante )) {
			$aVariante = unserialize ( $aVariante );
		}
		
		if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
			$aVariante = cleanVariantenArray ( $aVariante );
			
			foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
				$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
			}
		} elseif (count ( $aVariante ) > 0) {
			$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
		}
		
		$iStueckCount = get_table_count ( $sSqlCheckExists );
		
		if ($iStueckCount > 1) // zu viele Zeilen
{
			$sSqlDelete = "delete from $tblartikelstueck ";
			$sSqlDelete .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = " . $iProjekt . "";
			$sSqlDelete .= " limit " . ($iStueckCount - 1);
			mysql_query ( $sSqlDelete );
			
			if ($iRechnung != 0 || $iRechnung != FALSE) {
				$fMenge = 0;
			}
		}
		
		if ($aVariante == "") {
			if ($bInventur)
				$fAktuellerArtikelstand = ( float ) $fMenge;
			else
				$fAktuellerArtikelstand += ( float ) $fMenge;
		} else {
			if ($bInventur) {
				if (( float ) $fMenge != ( float ) $fAktuellerArtikelstand) {
					$fAktuellerArtikelstand = ( float ) $fMenge;
				}
			} else {
				$fAktuellerArtikelstand += ( float ) $fMenge;
			}
		}
		
		if ($iStueckCount > 0) // Zeile existiert
{
			if (! $bProjektBeleg) {
				if ($fMassengutEK != NULL)
					$sSqlUpdate = "UPDATE $tblartikelstueck SET dtPreisEK = " . $fMassengutEK . ",  dtStueckMenge = $fAktuellerArtikelstand ";
				else
					$sSqlUpdate = "UPDATE $tblartikelstueck SET  dtStueckMenge = $fAktuellerArtikelstand";
				
				$sSqlUpdate .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = 0 AND $tblartikelstueck.fiRechnung = 0";
			}
			// }else{
			// if ($fMassengutEK != NULL)
			// $sSqlUpdate = "UPDATE $tblartikelstueck SET fiRechnung = ".$iRechnung.", fiProjekt = ".$iProjekt.", fiBeleg = ".$iBeleg.", dtPreisEK = " . $fMassengutEK . ", dtStueckMenge = dtStueckMenge + " . ( float ) $fMenge;
			// else
			// $sSqlUpdate = "UPDATE $tblartikelstueck SET fiRechnung = ".$iRechnung.", fiProjekt = ".$iProjekt.", fiBeleg = ".$iBeleg.", dtStueckMenge = dtStueckMenge + " . ( float ) $fMenge;
			
			// $sSqlUpdate .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = ".$iBeleg." AND $tblartikelstueck.fiBelegVerbrauch = 0 AND $tblartikelstueck.fiArtikelStueckVerbrauch = 0 AND $tblartikelstueck.fiProjekt = ".$iProjekt."";
			
			// }
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlUpdate .= " and $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			} elseif (count ( $aVariante ) > 0) {
				$sSqlUpdate .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
			}
			
			mysql_query ( $sSqlUpdate );
		} else {
			
			$aVarianteInsert = serialize ( $aVariante );
			
			if ($aVarianteInsert == "b:0;")
				$aVarianteInsert = "";
			
			if (! $bProjektBeleg) {
				$aArtikelNeu = array (
						"fiArtikel" => $iArtikelId,
						"dtVariante" => $aVarianteInsert,
						"dtPreisEK" => $fMassengutEK 
				);
			} else {
				
				$aArtikelNeu = array (
						"fiArtikel" => $iArtikelId,
						"dtVariante" => $aVarianteInsert,
						"dtPreisEK" => $fMassengutEK,
						"fiBeleg" => $iBeleg,
						"fiProjekt" => $iProjekt,
						"fiRechnung" => $iRechnung 
				);
			}
			if ($fAktuellerArtikelstand < 0)
				$fAktuellerArtikelstand *= - 1;
			
			if ($fAktuellerArtikelstand > 0) {
				$aArtikelNeu ["dtStueckMenge"] = $fAktuellerArtikelstand;
			} else {
				return true;
			}
			
			insert_into_table ( $tblartikelstueck, $aArtikelNeu );
		}
		
		return true;
	}
}

if (! function_exists ( "deleteMassengutDuplikate" )) {
	function deleteMassengutDuplikate($iArtikelId, $fMenge, $aVariante = array(), $fMassengutEK = NULL, $iBeleg, $iProjekt) {
		global $tblartikelstueck, $sql_query;
		
		if (getArtikelTyp ( $iArtikelId ) != 1) {
			return false;
		}
		
		// Prfen ob Zeile existiert
		$sSqlCheckExists = "SELECT id FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.fiProjekt = " . $iProjekt;
		
		if (! is_array ( $aVariante )) {
			$aVariante = unserialize ( $aVariante );
		}
		
		if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
			$aVariante = cleanVariantenArray ( $aVariante );
			
			foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
				$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
			}
		} elseif (count ( $aVariante ) > 0) {
			$sSqlCheckExists .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
		}
		
		$aArtikelStueckResult = get_table_array ( $sSqlCheckExists );
		
		$iNeueMenge = 0;
		if ($aArtikelStueckResult) {
			foreach ( $aArtikelStueckResult as $cpArtikelStueckResult ) {
				$sSelectQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.id = " . $cpArtikelStueckResult ["id"];
				$rArtikelStueck = get_table_row ( $sSelectQuery );
				
				$iNeueMenge += $rArtikelStueck ["dtStueckMenge"];
			}
		}
		
		$iStueckCount = get_table_count ( $sSqlCheckExists );
		
		if ($iStueckCount > 1) // zu viele Zeilen
{
			$sSqlDelete = "delete from $tblartikelstueck ";
			$sSqlDelete .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.fiProjekt = " . $iProjekt;
			$sSqlDelete .= " limit " . ($iStueckCount - 1);
			mysql_query ( $sSqlDelete );
			
			$sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = " . ( float ) $iNeueMenge;
			
			$sSqlUpdate .= " WHERE $tblartikelstueck.fiArtikel = '" . $iArtikelId . "' AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.fiProjekt = " . $iProjekt;
			
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sSqlUpdate .= " and $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			} elseif (count ( $aVariante ) > 0) {
				$sSqlUpdate .= " AND $tblartikelstueck.dtVariante LIKE '%" . $aVariante . "%'";
			}
			mysql_query ( $sSqlUpdate );
		}
		
		return true;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

/*
 * 0: Stckgut 1: Massengut 2: Virtueller Artikel
 */
if (! function_exists ( "getArtikelTyp" )) {
	function getArtikelTyp($iArtikelId) {
		global $sql_query, $tblartikel;
		
		$aArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.id = '" . $iArtikelId . "'" );
		
		if ($aArtikel) {
			return $aArtikel ["dtArtikelEinheitenArt"];
		}
		
		return - 1;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelProduktion" )) {
	function getArtikelProduktion($iArtikelId) {
		global $sql_query, $tblartikel;
		
		$aArtikel = get_table_row ( $sql_query ["artikelliste"] . " and $tblartikel.id = '" . $iArtikelId . "'" );
		if ($aArtikel) {
			return $aArtikel ["dtArtikelIstProduktionsartikel"];
		}
		
		return - 1;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelAnzahlVarianten" )) {
	function getArtikelAnzahlVarianten($iArtikelId) {
		global $tblartikelvarianten;
		
		$sSql = "SELECT COUNT(id) AS Anzahl FROM $tblartikelvarianten WHERE fiArtikel = '" . $iArtikelId . "'";
		$aRow = get_table_row ( $sSql );
		
		if ($aRow) {
			return $aRow ["Anzahl"];
		} else {
			return 0;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelVariantenKombinationenListe" )) {
	function getArtikelVariantenKombinationenListe($iArtikelId) {
		global $tblartikelvarianten, $sql_query, $tblartikelvariantengruppen;
		
		$sQuery = $sql_query ["artikelvariantenliste"] . " AND $tblartikelvariantengruppen.dtGruppenMehrfachauswahl = 0 AND $tblartikelvarianten.fiArtikel = '" . $iArtikelId . "' ";
		$aListe = get_table_array ( $sQuery );
		
		if (count ( $aListe ) < 1) {
			return array ();
		}
		
		$aVarGruppeZwangsauswahl = array ();
		$aVariantenListe = array ();
		
		/*
		 * baue Array aller Variantengruppen-Kombinationen
		 */
		foreach ( $aListe as $aVariante ) {
			$aVarGruppeZwangsauswahl [$aVariante ["fiArtikelVariantenGruppe"]] = $aVariante ["dtGruppenZwangsauswahl"];
			
			foreach ( $aListe as $aVariante2 ) {
				foreach ( $aListe as $aVariante3 ) {
					$aTemp = array (
							$aVariante ["fiArtikelVariantenGruppe"] => $aVariante ["Variante_id"],
							$aVariante2 ["fiArtikelVariantenGruppe"] => $aVariante2 ["Variante_id"],
							$aVariante3 ["fiArtikelVariantenGruppe"] => $aVariante3 ["Variante_id"] 
					);
					$aTemp = array_unique ( $aTemp );
					asort ( $aTemp );
					$aVariantenListe [] = serialize ( $aTemp );
				}
			}
		}
		
		$aVariantenListe = array_unique ( $aVariantenListe );
		
		/*
		 * ent-serialisiere
		 */
		foreach ( $aVariantenListe as &$aVariante ) {
			$aVariante = unserialize ( $aVariante );
			
			$aVarianteKeys = array_keys ( $aVariante );
			foreach ( $aVarianteKeys as $iKey ) {
				$aVariante ["variante_" . $iKey] = ( int ) $aVariante [$iKey];
				unset ( $aVariante [$iKey] );
			}
			ksort ( $aVariante );
		}
		
		/*
		 * bereinige Zwangsvarianten
		 */
		foreach ( $aVarGruppeZwangsauswahl as $iVarGruppe => $iZwangsauswahl ) {
			if ($iZwangsauswahl) {
				foreach ( $aVariantenListe as $key => $aVariante2 ) {
					if (! array_key_exists ( "variante_" . $iVarGruppe, $aVariante2 )) {
						unset ( $aVariantenListe [$key] );
					}
				}
			}
		}
		
		sort ( $aVariantenListe );
		
		return $aVariantenListe;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelVariantenArray" )) {
	function getArtikelVariantenArray($iArtikelId, $sVarianteNr) {
		global $tblartikelvarianten, $sql_query;
		
		// gehe alle mglichen Varianten durch und schaue ob es einen Treffer gibt (wer eine bessere Lsung hat mge sich melden!)
		$aVariantenKombinationen = getArtikelVariantenKombinationenListe ( $iArtikelId );
		
		foreach ( ( array ) $aVariantenKombinationen as $key => $aVariantenKombination ) {
			
			$sVarianteNrTest = "";
			foreach ( ( array ) $aVariantenKombination as $key2 => $iVariante ) {
				$sQuery = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id = '" . $iVariante . "'";
				$aVarianteRow = get_table_row ( $sQuery );
				
				$sVarianteNrTest .= $aVarianteRow ["dtGruppenArtikelNrPrefix"] . $aVarianteRow ["dtArtikelVariantenNr"];
			}
			
			if ($sVarianteNrTest != "" and $sVarianteNr == $sVarianteNrTest) {
				return $aVariantenKombination;
			}
		}
		
		return false;
	}
}

if (! function_exists ( "addArtikelStueckNegativ" )) {
	function addArtikelStueckNegativ($iArtikel, $iAnzahl, $iProjekt = 0, $aVariante = array()) {
		global $tblartikelstuecknegativ, $sql_query;
		/*
		 * Zeilen in tblArtikelStueckNegativ hinzufgen
		 */
		
		$iArtikelTyp = getArtikelTyp ( $iArtikel );
		
		if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut, Virtuelles Gut
{
			for($i = 0; $i < $iAnzahl; $i ++) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $iArtikel;
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = 0;
				$artikelstueckNegativNew ['fiProjekt'] = $iProjekt;
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				
				$artikelstueckNegativNew ["dtVariante"] = $aVariante;
				
				insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
			}
		} elseif ($iArtikelTyp == 1) // Massengut
{
			
			$sQueryMassengutVorhanden = $sql_query ["artikelstuecknegativliste_kurz"] . " AND $tblartikelstuecknegativ.fiProjekt = $iProjekt AND $tblartikelstuecknegativ.dtVariante = '" . $aVariante . "' AND $tblartikelstuecknegativ.fiArtikel = $iArtikel";
			$aResultMassengutVorhanden = get_table_array ( $sQueryMassengutVorhanden );
			
			$artikelstueckNegativNew = array ();
			$artikelstueckNegativNew ['fiArtikel'] = $iArtikel;
			$artikelstueckNegativNew ['dtStatus'] = 0;
			$artikelstueckNegativNew ['fiBeleg'] = 0;
			$artikelstueckNegativNew ['fiProjekt'] = $iProjekt;
			$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
			$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
			
			$artikelstueckNegativNew ["dtVariante"] = $aVariante;
			
			if ($aResultMassengutVorhanden [0] ["ArtikelStueck_id"] == NULL) {
				$artikelstueckNegativNew ["dtStueckMenge"] = $iAnzahl;
				insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
			} else {
				
				$artikelstueckNegativNew ["dtStueckMenge"] = $aResultMassengutVorhanden [0] ["dtStueckMenge"] + $iAnzahl;
				update_into_table ( $tblartikelstuecknegativ, $aResultMassengutVorhanden [0] ["ArtikelStueck_id"], $artikelstueckNegativNew );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "modifyArtikelStueckToProjekt" )) {
	function modifyArtikelStueckToProjekt($aArtikel, $iBeleg = 0, $iAnzahl, $iProjekt = 0, $aVariante = array(), $bLoeschen = false, $bProjekteintragEntfernen = false) {
		global $tblartikelstueck, $tblbelegmaterialposten, $target, $sql_query, $subtarget;
		
		$iArtikelTyp = getArtikelTyp ( $aArtikel ["fiArtikel"] );
		$iAnzahlHinzufuegen = $iAnzahl;
		
		if ($aVariante == false)
			$aVarianteInsert = "";
		else
			$aVarianteInsert = serialize ( $aVariante );
		
		if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut
{
			
			if ($bLoeschen == true || $iAnzahlHinzufuegen < 0) {
				if ($iProjekt > 0) {
					$iStueckgutBeleg = 0;
					
					if ($bProjekteintragEntfernen)
						$iStueckgutProjekt = 0;
					else
						$iStueckgutProjekt = $iProjekt;
					
					$sBedingungZusatz = " and fiBeleg = " . $iBeleg;
					$sUpdateZusatz = ", fiProjektTaetigkeit = 0, fiBeleg = 0";
				} else {
					$iStueckgutBeleg = 0;
					$iStueckgutProjekt = 0;
					$sBedingungZusatz = " and fiBeleg = 0";
					$sUpdateZusatz = ", fiProjektTaetigkeit = 0";
				}
				
				if ($iAnzahlHinzufuegen < 0)
					$iAnzahlHinzufuegen *= - 1;
			} else {
				$iStueckgutBeleg = $iBeleg;
				$iStueckgutProjekt = $iProjekt;
				$sUpdateZusatz = "";
				$sBedingungZusatz = " and fiBeleg = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0";
			}
			
			$sQuery = "UPDATE $tblartikelstueck SET fiProjekt = '" . $iStueckgutProjekt . "'" . $sUpdateZusatz . " WHERE 1=1";
			
			$sQuery .= " AND fiProjekt = '" . $iProjekt . "'";
			$sQuery .= " AND fiArtikel = '" . $aArtikel ["fiArtikel"] . "'" . $sBedingungZusatz;
			
			/*
			 * Varianten suchen
			 */
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sQuery .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			}
			
			$iAnzahlHinzufuegen += 0;
			
			$sQuery .= " LIMIT " . $iAnzahlHinzufuegen;
			
			mysql_query ( $sQuery );
		} elseif ($iArtikelTyp == 1) // Massengut
{
			
			if ($iProjekt > 0) {
				$aProjekt ["fiBeleg"] = 0;
				if ($bLoeschen) {
					update_into_table ( $tblartikelstueck, $aArtikel ["id"], $aProjekt );
				} else {
					$sSqlQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel = " . $aArtikel ["fiArtikel"] . " AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.dtVariante = '" . $aVariante . "' AND $tblartikelstueck.fiProjekt = " . $iProjekt;
					$aArtikelstueckResult = get_table_array ( $sSqlQuery );
					
					setMassengutVerfuegbareProjektMenge ( $aArtikelstueckResult [0] ["ArtikelStueck_id"], $aArtikel ["fiArtikel"], ($iAnzahlHinzufuegen), $aVariante );
					$sQueryArtikelStueck = "SELECT * FROM $tblartikelstueck WHERE fiBeleg = " . $iBeleg . " AND fiProjekt = " . $iProjekt . " AND fiRechnung = 0";
					$rArtikelStueck = get_table_row ( $sQueryArtikelStueck );
					setMassengutVerfuegbareProjektMenge ( $rArtikelStueck ["id"], $aArtikel ["fiArtikel"], ($iAnzahlHinzufuegen * - 1), $aVariante );
				}
			} else {
				delete_from_table ( $tblartikelstueck, $aArtikel ["id"] );
				
				if ($iAnzahlHinzufuegen < 0)
					$iAnzahlHinzufuegen *= - 1;
				
				setMassengutVerfuegbareMenge ( $aArtikel ["fiArtikel"], $iAnzahlHinzufuegen, $aVarianteInsert );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 * bLoeschen = Wenn der Button loeschen bettigt worden ist in Belegen, wird das bool auf true gesetzt und der Artikel korrekt entfernt bzw. wieder frei belegt
 */
if (! function_exists ( "addArtikelStueckToBeleg" )) {
	function addArtikelStueckToBeleg($iArtikel, $iBeleg = 0, $iAnzahl, $iProjekt = 0, $aVariante = array(), $bLoeschen = false, $bAlleArtikelInProjektBelegen = false, $dOldMenge = NULL) {
		global $tblartikelstueck, $tblbelegmaterialposten, $target, $sql_query, $subtarget, $bAlleArtikelInProjektBelegenVerfuegbar;
		global $bAlleArtikelInProjektBelegenVerfuegbar, $bAlleArtikelInProjektBelegen;
		
		$iArtikelTyp = getArtikelTyp ( $iArtikel );
		
		if ($aVariante == false || $aVariante == "")
			$aVarianteInsert = "";
		else
			$aVarianteInsert = serialize ( $aVariante );
			
			/*
		 * Zugewiesene Stck zhlen
		 */
		if ($iArtikelTyp != 1) // Stckgut, Virtueller Artikel
{
			$sQueryAnzahlZugewiesen = "SELECT COUNT(id) AS Anzahl ";
		} else // Massengut
{
			$sQueryAnzahlZugewiesen = "SELECT MIN(id) AS id, SUM(dtStueckMenge) AS Anzahl ";
		}
		
		$sQueryAnzahlZugewiesen .= "FROM $tblartikelstueck WHERE fiArtikel = '" . $iArtikel . "'";
		
		if ($iBeleg > 0) {
			$sQueryAnzahlZugewiesen .= " AND fiBeleg = '" . $iBeleg . "'";
		}
		
		if ($iProjekt > 0) {
			
			if ($bAlleArtikelInProjektBelegen == true)
				$sQueryAnzahlZugewiesen .= " AND fiProjekt = '0'";
			else {
				$sQueryAnzahlZugewiesen .= " AND fiProjekt = '" . $iProjekt . "'";
			}
		}
		
		/*
		 * Varianten suchen
		 */
		if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
			$cpVariante = cleanVariantenArray ( $aVariante );
			
			foreach ( $cpVariante as $sGruppe => $iAuswahlId ) {
				$sQueryAnzahlZugewiesen .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
			}
		}
		
		$iAnzahlHinzufuegen = $iAnzahl;
		
		if ($iArtikelTyp == 0 || ($iArtikelTyp == 2 && $iProjekt > 0)) // Stckgut
{
			if ($bLoeschen == true || $iAnzahlHinzufuegen < 0) {
				$iStueckgutBeleg = 0;
				$iStueckgutProjekt = $iProjekt;
				$sUpdateZusatz = ", fiBelegVerbrauch = 0";
				$sBedingungZusatz = " and fiBeleg = " . $iBeleg;
				
				if ($iAnzahlHinzufuegen < 0)
					$iAnzahlHinzufuegen *= - 1;
			} else {
				$iStueckgutBeleg = $iBeleg;
				$iStueckgutProjekt = $iProjekt;
				$sUpdateZusatz = "";
				$sBedingungZusatz = " and fiBeleg = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0";
			}
			
			if ($bAlleArtikelInProjektBelegen == false) {
				if ($bAlleArtikelInProjektBelegenVerfuegbar == true)
					$iStueckgutProjekt = "0";
			}
			
			$sQuery = "UPDATE $tblartikelstueck SET fiBeleg = '" . $iStueckgutBeleg . "', fiProjekt = '" . $iStueckgutProjekt . "'" . $sUpdateZusatz . " WHERE 1=1";
			
			if ($iProjekt > 0) {
				if ($bAlleArtikelInProjektBelegenVerfuegbar == true)
					$sQuery .= " AND fiProjekt = '0'";
				else
					$sQuery .= " AND fiProjekt = '" . $iProjekt . "'";
			} else {
				$sQuery .= " AND fiProjekt = '0'";
			}
			
			$sQuery .= " AND fiArtikel = '" . $iArtikel . "'" . $sBedingungZusatz;
			/*
			 * Varianten suchen
			 */
			if (is_array ( $aVariante ) && count ( $aVariante ) > 0) {
				foreach ( $aVariante as $sGruppe => $iAuswahlId ) {
					$sQuery .= " AND $tblartikelstueck.dtVariante LIKE  '%:\"" . $sGruppe . "\";i:" . $iAuswahlId . ";%'";
				}
			}
			$iAnzahlHinzufuegen += 0;
			$sQuery .= " LIMIT " . $iAnzahlHinzufuegen;
			
			mysql_query ( $sQuery );
		} elseif ($iArtikelTyp == 2) // Virtueller Artikel
{
			
			if ($aVariante == false || $aVariante == "")
				$aVarianteInsert = "";
			else
				$aVarianteInsert = serialize ( $aVariante );
			
			if ($bLoeschen == true) {
				$aField ["fiArtikel"] = $iArtikel;
				delete_with_condition ( $tblartikelstueck, $aField );
			} else {
				/*
				 * Virtuelle Artikel existieren niemals unzugeordnet in tblArtikelStueck - Fge zugeordnete Stck hinzu
				 */
				$sQuery = mysql_query ( "SELECT * FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikel . "' AND $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "'" );
				$aArtikel = mysql_fetch_array ( $sQuery );
				
				$aArtikelStueckNeu = array (
						"fiArtikel" => $iArtikel,
						"fiLieferant" => 0,
						"fiRechnung" => 0,
						"fiLagerOrt" => 1,
						"fiArtikelStueckVerbrauch" => 0,
						"fiProjekt" => $iProjekt,
						"fiBeleg" => $iBeleg,
						"fiBelegVerbrauch" => 0,
						"dtFremdArtikelNr" => "",
						"dtPreisEK" => getArtikelEK ( $iArtikel ),
						"dtMwstSatzEK" => 0,
						"dtVariante" => $aVarianteInsert,
						"fiPreisgruppe" => $aArtikel ["fiPreisgruppe"] 
				);
				
				if ($iAnzahlHinzufuegen > 0) {
					
					for($i = 0; $i < ( int ) $iAnzahlHinzufuegen; $i ++) {
						insert_into_table ( $tblartikelstueck, $aArtikelStueckNeu );
					}
				} else {
					$iLaenge = $iAnzahlHinzufuegen * - 1;
					$aField ["fiArtikel"] = $iArtikel;
					delete_with_condition ( $tblartikelstueck, $aField, $iLaenge );
				}
			}
		} elseif ($iArtikelTyp == 1) // Massengut
{
			
			$aAnzahlZugewiesen = get_table_row ( $sQueryAnzahlZugewiesen );
			$query = $sql_query ["artikelstueckliste"];
			$query .= " AND $tblartikelstueck.fiArtikel = " . $iArtikel . " AND $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.fiProjekt = 0 AND $tblartikelstueck.dtVariante LIKE '%" . $aVarianteInsert . "%'";
			$rAnzahlArtikelStueckResult = get_table_row ( $query );
			
			if ($aVariante == false || $aVariante == "")
				$aVarianteInsert = "";
			else
				$aVarianteInsert = serialize ( $aVariante );
			
			if ($aAnzahlZugewiesen && $aAnzahlZugewiesen ["id"] > 0) // Wenn bereits eine Zeile existiert
{
				
				if ($bLoeschen == true) {
					
					delete_from_table ( $tblartikelstueck, $aAnzahlZugewiesen ["id"] );
					
					$sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = dtStueckMenge - " . $iAnzahlHinzufuegen . " WHERE id = " . $rAnzahlArtikelStueckResult ["ArtikelStueck_id"];
					mysql_query ( $sSqlUpdate );
				} else {
					
					if ($iProjekt > 0) {
						
						if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE) {
							// delete_from_table ( $tblartikelstueck, $aAnzahlZugewiesen ["id"] );
							$sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = dtStueckMenge - " . $iAnzahlHinzufuegen . " WHERE id = " . $rAnzahlArtikelStueckResult ["ArtikelStueck_id"];
							mysql_query ( $sSqlUpdate );
						}
						
						$sSelectQuery = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = '" . $iArtikel . "' AND dtVariante LIKE '%" . $aVarianteInsert . "%' AND fiBeleg = 0 AND fiProjekt = " . $iProjekt;
						$iArtikelResult = mysql_num_rows ( mysql_query ( $sSelectQuery ) );
						
						if ($iArtikelResult < 1 && ! $bAlleArtikelInProjektBelegenVerfuegbar) {
							if ($aVariante == false)
								$aVarianteInsert = "";
							else
								$aVarianteInsert = serialize ( $aVariante );
							
							$sQuery = mysql_query ( "SELECT * FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikel . "' AND $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "'" );
							$aArtikel = mysql_fetch_array ( $sQuery );
							
							$aArtikelStueckNeu = array (
									"fiArtikel" => $iArtikel,
									"fiLieferant" => 0,
									"fiRechnung" => 0,
									"fiLagerOrt" => 1,
									"fiArtikelStueckVerbrauch" => 0,
									"fiProjekt" => $iProjekt,
									"fiBeleg" => 0,
									"fiBelegVerbrauch" => 0,
									"dtFremdArtikelNr" => "",
									"dtPreisEK" => getArtikelEK ( $iArtikel ),
									"dtMwstSatzEK" => 0,
									"dtVariante" => $aVarianteInsert,
									"dtStueckMenge" => $iAnzahl,
									"fiPreisgruppe" => $aArtikel ["fiPreisgruppe"] 
							);
							insert_into_table ( $tblartikelstueck, $aArtikelStueckNeu );
						} else {
							
							if ($aVariante == false || $aVariante == "")
								$aVarianteInsert = "";
							else
								$aVarianteInsert = serialize ( $aVariante );
								
								/* Unterschiede bemerkbar machen */
								// $sSqlQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel = " . $iArtikel . " AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.dtVariante LIKE '" . $aVarianteInsert . "' AND $tblartikelstueck.fiProjekt = " . $iProjekt;
								// $aArtikelstueckResult = get_table_array ( $sSqlQuery );
								// setMassengutVerfuegbareProjektMenge ( $aArtikelstueckResult [0] ["ArtikelStueck_id"], $iArtikel, ($iAnzahlHinzufuegen * - 1), $aVarianteInsert );
							setMassengutVerfuegbareMenge ( $iArtikel, 0 - $iAnzahlHinzufuegen, $aVarianteInsert, NULL, $iProjekt, 0, 0, FALSE, FALSE );
							
							$sSelectQuery = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = '" . $iArtikel . "' AND dtVariante LIKE '%" . $aVarianteInsert . "%' AND fiBeleg = $iBeleg AND fiProjekt = " . $iProjekt;
							$iArtikelCount = mysql_num_rows ( mysql_query ( $sSelectQuery ) );
							
							$sSqlQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel = " . $iArtikel . " AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "' AND $tblartikelstueck.fiProjekt = " . $iProjekt;
							$aArtikelstueckResult = get_table_array ( $sSqlQuery );
							
							if ($aArtikelstueckResult) {
								
								$sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = dtStueckMenge + " . $iAnzahlHinzufuegen . " WHERE id = " . $aArtikelstueckResult [0] ["ArtikelStueck_id"];
								mysql_query ( $sSqlUpdate );
							}
							
							// $sQueryArtikelStueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = ".$iArtikel." AND dtVariante LIKE '" . $aVarianteInsert . "' AND fiBeleg = ".$iBeleg." AND fiProjekt = ".$iProjekt." AND fiRechnung = 0";
							// $rArtikelStueck = get_table_row($sQueryArtikelStueck);
							// //setMassengutVerfuegbareProjektMenge ( $rArtikelStueck ["id"], $iArtikel, $iAnzahlHinzufuegen, $aVarianteInsert );
							setMassengutVerfuegbareMenge ( $iArtikel, $iAnzahlHinzufuegen, $aVarianteInsert, NULL, $iProjekt, $iBeleg, 0, FALSE, FALSE );
						}
					} else {
						
						if ($aVariante == false || $aVariante == "")
							$aVarianteInsert = "";
						else
							$aVarianteInsert = serialize ( $aVariante );
							
							// $sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = dtStueckMenge + " . $iAnzahlHinzufuegen * -1 . " WHERE id = " . $rAnzahlArtikelStueckResult ["ArtikelStueck_id"];
							// mysql_query ( $sSqlUpdate );
						
						setMassengutVerfuegbareMenge ( $iArtikel, 0 - ($iAnzahlHinzufuegen), $aVariante );
						
						$sSqlQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel = " . $iArtikel . " AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "' AND $tblartikelstueck.fiProjekt = " . $iProjekt;
						$aArtikelstueckResult = get_table_array ( $sSqlQuery );
						
						if ($aArtikelstueckResult) {
							$sSqlUpdate = "UPDATE $tblartikelstueck SET dtStueckMenge = dtStueckMenge + " . $iAnzahlHinzufuegen . " WHERE id = " . $aArtikelstueckResult [0] ["ArtikelStueck_id"];
							mysql_query ( $sSqlUpdate );
						}
					}
				}
			} else // Neue Stckzeile hinzufgen
{
				if ($aVariante == false || $aVariante == "")
					$aVarianteInsert = "";
				else
					$aVarianteInsert = serialize ( $aVariante );
				
				$sQuery = mysql_query ( "SELECT * FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $iArtikel . "' AND $tblartikelstueck.fiBeleg = 0 and $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "'" );
				$aArtikel = mysql_fetch_array ( $sQuery );
				
				$aArtikelStueckNeu = array (
						"fiArtikel" => $iArtikel,
						"fiLieferant" => 0,
						"fiRechnung" => 0,
						"fiLagerOrt" => 1,
						"fiArtikelStueckVerbrauch" => 0,
						"fiProjekt" => $iProjekt,
						"fiBeleg" => $iBeleg,
						"fiBelegVerbrauch" => 0,
						"dtFremdArtikelNr" => "",
						"dtPreisEK" => getArtikelEK ( $iArtikel ),
						"dtMwstSatzEK" => 0,
						"dtVariante" => $aVarianteInsert,
						"dtStueckMenge" => $iAnzahlHinzufuegen,
						"fiPreisgruppe" => $aArtikel ["fiPreisgruppe"] 
				);
				
				insert_into_table ( $tblartikelstueck, $aArtikelStueckNeu );
				
				if ($iProjekt > 0 && ! $bAlleArtikelInProjektBelegenVerfuegbar) {
					$sSqlQuery = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiArtikel = " . $iArtikel . " AND $tblartikelstueck.fiBeleg = 0 AND $tblartikelstueck.dtVariante = '" . $aVarianteInsert . "' AND $tblartikelstueck.fiProjekt = " . $iProjekt;
					
					$aArtikelstueckResult = get_table_array ( $sSqlQuery );
					
					setMassengutVerfuegbareProjektMenge ( $aArtikelstueckResult [0] ["ArtikelStueck_id"], $iArtikel, ($iAnzahlHinzufuegen * - 1), $aVarianteInsert );
				} else {
					
					setMassengutVerfuegbareMenge ( $iArtikel, ($iAnzahlHinzufuegen * - 1), $aVarianteInsert );
				}
			}
		}
		
		// +++++ Belegmaterialposten dem Artikelstck hinzufgen +++++ //
		$sQueryArtikelstueck = $sql_query ["artikelstueckliste"] . " AND $tblartikelstueck.fiBeleg = " . $iBeleg . " AND $tblartikelstueck.fiArtikel = " . $iArtikel. " group by $tblartikelstueck.dtVariante";
		$sResultArtikelstueck = get_table_array ( $sQueryArtikelstueck );
		
		foreach ( ( array ) $sResultArtikelstueck as $cpResultArtikelstueck ) {
			$sQueryBelegmaterialposten = $sql_query ["belegmaterialpostenliste"] . "AND $tblbelegmaterialposten.fiBeleg = " . $iBeleg . " AND $tblbelegmaterialposten.fiArtikel = " . $cpResultArtikelstueck ["fiArtikel"] . " AND $tblbelegmaterialposten.dtVariante = '" . $cpResultArtikelstueck ["dtVariante"] . "'";
			$rResultBelegmaterialposten = get_table_row ( $sQueryBelegmaterialposten );
			
			$aArtikelstueck ["fiBelegPosten"] = $rResultBelegmaterialposten ["BelegMaterialPosten_id"];
			
			$aArtikelstueckCondition ["fiArtikel"] = $cpResultArtikelstueck ["fiArtikel"];
			$aArtikelstueckCondition ["dtVariante"] = $cpResultArtikelstueck ["dtVariante"];
			$aArtikelstueckCondition ["fiBeleg"] = $iBeleg;
			
			update_with_condition ( $tblartikelstueck, $aArtikelstueck, $aArtikelstueckCondition );
		}
		
		return true;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getVarianteSumme" )) {
	function getVarianteSumme($sVariante) {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$aVarianten = unserialize ( $sVariante );
		
		$fVariantenZuschlag = 0;
		if ($aVarianten != "") {
			foreach ( $aVarianten as $key => $value ) {
				$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
				$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
				$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
				$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
			}
		}
		
		return $fVariantenZuschlag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getVarianteSummeFromID" )) {
	function getVarianteSummeFromID($iVarianteID) {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$fVariantenZuschlag = 0;
		
		if ($iVarianteID != "") {
			$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $iVarianteID . "" );
			$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
			$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
			$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
		}
		
		return $fVariantenZuschlag;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getArtikelEK2" )) {
	function getArtikelEK2($iArtikelId, $fVariantenZuschlag = 0, $sVariante = "", $sAusgewaehlteVariante = "") {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$iProduktionsArtikel = getArtikelProduktion ( $iArtikelId );
		
		if ($bArtikelEinkaufBenutzeImmerLieferantenEK == 0)
			$dEK = getArtikelLetzterEK ( $iArtikelId, $fVariantenZuschlag, $sVariante );
		
		if ($dEK == 0) {
			if ($bArtikelEinkaufBenutzeImmerLieferantenEK == 1 && $iProduktionsArtikel == 0) {
				$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
				
				if ($sVariante != "") {
					$aVarianten = unserialize ( $sVariante );
					
					foreach ( $aVarianten as $key => $value ) {
						$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
						$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
						$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
						$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
					}
				}
				
				$dEK = $aEK ["dtPreisEK"] + $fVariantenZuschlag;
			} elseif ($bArtikelProduktionBenutzeImmerLieferantenEK == 1 && $iProduktionsArtikel == 1) {
				$sQuery = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $id . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . serialize ( $aAusgewaehlteVariante ) . "'";
				$aArtikelstueckListe = get_table_array ( $sQuery );
				
				for($i = 0; $i < count ( $aArtikelstueckListe ); $i ++) {
					$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $aArtikelstueckListe [$i] ["fiArtikelStueckliste"] . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
					
					$aVarianten = unserialize ( $aArtikelstueckListe [$i] ["dtArtikelStuecklisteVariante"] );
					$fVariantenZuschlag = 0;
					
					if ($aVarianten != "") {
						foreach ( $aVarianten as $key => $value ) {
							$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
							$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
							$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
							$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"];
						}
					}
					
					$dEK += ($aEK ["dtPreisEK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"]) + $fVariantenZuschlag;
				}
			}
		}
		return $dEK;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getArtikelLetzterEK2" )) {
	function getArtikelLetzterEK2($iArtikelId, $fVariantenZuschlag = null, $sVariante = "") {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$aEkLetzter = get_table_row ( "SELECT dtPreisEK FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikelstueck.id DESC LIMIT 1" );
		
		if (! $aEkLetzter) {
			$aEkLetzter = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
		}
		
		if ($aEkLetzter && $aEkLetzter ["dtPreisEK"] > 0) {
			if ($sVariante != "") {
				$aVarianten = unserialize ( $sVariante );
				
				foreach ( $aVarianten as $key => $value ) {
					$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
					$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
					$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
					$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
				}
			}
			
			return $aEkLetzter ["dtPreisEK"] + $aLieferantenInfo ["Lieferant_EK"];
		}
		
		return 0.00;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getProduktionsArtikelEK" )) {
	function getProduktionsArtikelEK($iArtikelId, $sVariante = "") {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten, $tblartikelstuecklisten, $sql_query;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK;
		$bArtikelProduktionBenutzeImmerLieferantenEK;
		
		$iProduktionsArtikel = getArtikelProduktion ( $iArtikelId );
		$fVariantenZuschlag = 0;
		
		if ($iProduktionsArtikel != 1) {
			$sQuery = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $iArtikelId . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . $sVariante . "'";
			$aArtikelstueckListe = get_table_array ( $sQuery );
			for($i = 0; $i < count ( $aArtikelstueckListe ); $i ++) {
				$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $aArtikelstueckListe [$i] ["fiArtikel"] . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
				$aVarianten = unserialize ( $sVariante );
				
				if ($aVarianten != "") {
					foreach ( $aVarianten as $key => $value ) {
						$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
						$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
						$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
						$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"];
					}
				}
				$dEK += ($aEK ["dtPreisEK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"]) + $fVariantenZuschlag;
			}
			// +++++ Falls keine Eintrag in der Artikelstueckliste ist, nehme einfach den EK Wert aus der Tabelle dtPreisEK +++++ //
			if ($aArtikelstueckListe == NULL) {
				
				$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
				$dEK += $aEK ["dtPreisEK"];
				
				$aVarianten = unserialize ( $sVariante );
				
				if ($aVarianten != "") {
					foreach ( $aVarianten as $key => $value ) {
						$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
						$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
						$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
						$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
					}
					
					$dEK += $fVariantenZuschlag;
				}
			}
		} else {
			// +++++ Falls der Artikel der fr die Produktion bentigt wird, kein Produktionsartikel ist, rufe diese Methode auf +++++ //
			$query = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $iArtikelId;
			
			// +++++ Der Counter sorgt dafr, dass fr den Artikel +++++ //
			$iVariantenCounter = 0;
			
			$aResult = get_table_array ( $query );
			// +++++ Gibt es berhaupt Eintrge, wenn ja, fhre weiter aus +++++ //
			if ($aResult != NULL) {
				foreach ( $aProduktionsartikel = get_table_array ( $query ) as $cpProduktionsartikel ) {
					// +++++ Rekursive Funktion, der Artikel im Produktionsartikel wird selbst noch mal auf Produktionsartikel oder normalen Artikel berprft +++++ //
					
					$cpdEK = getProduktionsArtikelEK ( $cpProduktionsartikel ["fiArtikelStueckliste"], $cpProduktionsartikel ["dtArtikelStuecklisteVariante"] );
					
					$cpdEK *= $cpProduktionsartikel ["dtAnzahlStueckliste"];
					$dEK += $cpdEK;
				}
			}
		}
		
		return $dEK;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getArtikelEK" )) {
	function getArtikelEK($iArtikelId, $fVariantenZuschlag = null, $sVariante = "") {
		global $tblartikelstueck, $tblartikellieferanten, $tblartikelvarianten, $tblartikelstuecklisten;
		global $bArtikelEinkaufBenutzeImmerLieferantenEK, $bArtikelProduktionBenutzeImmerLieferantenEK;
		global $sql_query;
		
		$iProduktionsArtikel = getArtikelProduktion ( $iArtikelId );
		
		if ($bArtikelEinkaufBenutzeImmerLieferantenEK == 0)
			$dEK = getArtikelLetzterEK ( $iArtikelId, $fVariantenZuschlag, $sVariante );
		
		if ($dEK == 0) {
			if ($bArtikelProduktionBenutzeImmerLieferantenEK == 1 && $iProduktionsArtikel == 1) {
				
				$sQuery = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $iArtikelId . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . $sVariante . "'";
				$aArtikelstueckListe = get_table_array ( $sQuery );
				
				for($i = 0; $i < count ( $aArtikelstueckListe ); $i ++) {
					
					$iProduktionsArtikelStueck = getArtikelProduktion ( $aArtikelstueckListe [$i] ["fiArtikelStueckliste"] );
					
					if ($iProduktionsArtikelStueck == 1) {
						
						if ($bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen == 0)
							$iAufschlagBerechnenEK = 1;
						else
							$iAufschlagBerechnenEK = 0;
						
						$aArtikel ["fiArtikel"] = $aArtikelstueckListe [$i] ["fiArtikelStueckliste"];
						$aArtikel ["dtVariante"] = "";
						
						$aBerechungEK = getBerechnungFuerEK ( $aArtikel, $iAufschlagBerechnenEK );
						$aEK ["dtPreisEK"] = $aBerechungEK ["dtPreisNettoEK"];
					} else {
						$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $aArtikelstueckListe [$i] ["fiArtikelStueckliste"] . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
					}
					$aVarianten = unserialize ( $aArtikelstueckListe [$i] ["dtArtikelStuecklisteVariante"] );
					
					if ($aVarianten != "") {
						foreach ( $aVarianten as $key => $value ) {
							$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
							$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
							$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
							$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"];
						}
					}
					$dEK += ($aEK ["dtPreisEK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"]) + $fVariantenZuschlag;
				}
			} else {
				if ($fVariantenZuschlag == NULL && $sVariante != "") {
					
					$aVarianten = unserialize ( $sVariante );
					
					if ($aVarianten != NULL && is_array ( $aVarianten )) {
						foreach ( $aVarianten as $key => $value ) {
							
							$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
							$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
							$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
							$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"];
						}
					}
				}
				$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
				$dEK = $aEK ["dtPreisEK"] + $fVariantenZuschlag;
			}
		}
		return $dEK;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "getArtikelLetzterEK" )) {
	function getArtikelLetzterEK($iArtikelId, $fVariantenZuschlag = null, $sVariante = "") {
		global $tblartikelstueck, $tblartikellieferanten;
		
		$aEkLetzter = get_table_row ( "SELECT dtPreisEK FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikelstueck.id DESC LIMIT 1" );
		
		if (! $aEkLetzter) {
			$aEkLetzter = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $iArtikelId . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
		}
		
		if ($aEkLetzter && $aEkLetzter ["dtPreisEK"] > 0) {
			if ($fVariantenZuschlag != null)
				$aEkLetzter ["dtPreisEK"] += $fVariantenZuschlag;
			
			return $aEkLetzter ["dtPreisEK"];
		}
		
		return 0.00;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelPreis" )) {
	function getArtikelPreis($iArtikelId, $iMenge, $iVK = 1) {
		global $sql_query, $tblartikel;
		
		if ($iVK < 1 || $iVK > 5)
			$iVK = 1;
		$sVK = ( string ) $iVK;
		
		$sQuery = $sql_query ["artikellisteexport"] . " and $tblartikel.id = '" . $iArtikelId . "'";
		$aArtikel = get_table_row ( $sQuery );
		
		$aStaffel = unserialize ( $aArtikel ["dtStaffelVK" . $sVK] );
		
		if (empty ( $aStaffel )) {
			return $aArtikel ["dtPreisVK" . $sVK];
		} else {
			ksort ( $aStaffel );
			$dPreisReturn = 0.00;
			
			foreach ( $aStaffel as $iStaffelMenge => $dPreis ) {
				if ($iMenge >= $iStaffelMenge) {
					$dPreisReturn = $dPreis;
				}
			}
			
			if ($dPreisReturn > 0.00) {
				return $dPreisReturn;
			} else {
				return $aArtikel ["dtPreisVK" . $sVK];
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getRabattStaffelSatz" )) {
	function getRabattStaffelSatz($iArtikelId, $iMenge) {
		global $sql_query, $tblartikel;
		
		$sQuery = $sql_query ["artikellisteexport"] . " and $tblartikel.id = '" . $iArtikelId . "'";
		$aArtikel = get_table_row ( $sQuery );
		
		$aStaffel = unserialize ( $aArtikel ["dtArtikelStaffelRabatt"] );
		
		if (empty ( $aStaffel )) {
			return 0;
		} else {
			ksort ( $aStaffel );
			$dRabattReturn = 0;
			
			foreach ( $aStaffel as $iStaffelMenge => $dRabatt ) {
				if ($iMenge >= $iStaffelMenge) {
					$dRabattReturn = $dRabatt;
				}
			}
			
			if ($dRabattReturn > 0) {
				return $dRabattReturn;
			} else {
				return 0;
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getPreisgruppeKunde" )) {
	function getPreisgruppeKunde($iKundeId) {
		global $tblpreisgruppenkunden;
		
		$sQuery = "SELECT fiPreisgruppe FROM $tblpreisgruppenkunden WHERE fiKunde = " . $iKundeId;
		
		if (($aRow = get_table_row ( $sQuery ))) {
			return ( int ) $aRow ["fiPreisgruppe"];
		} else {
			return 1;
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "resetBestellungDruckinfo" )) {
	function resetBestellungDruckinfo($iBestellungId, $iDokumentlayoutQuelle) {
		global $sql_query, $tbldokumentlayout, $tblbestellungdruckinfo, $tblkontakte;
		
		$aBestellungdruckinfo = get_table_row ( $sql_query ["bestellungdruckinfoliste"] . " and $tblbestellungdruckinfo.fiBestellung = " . $iBestellungId );
		$aLayout = get_table_row ( $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $iDokumentlayoutQuelle . "'" );
		$aTextbausteine = unserialize ( $aLayout ["dtTextbausteine"] );
		
		unset ( $aLayout ["BelegTexte_id"], $aLayout ["dtDokumentName"], $aLayout ["dtTextbausteine"], $aLayout ["DokumentLayout_id"] );
		
		$aBestellungdruckinfo ["dtTexteArray"] = serialize ( array_merge ( ( array ) $aLayout, ( array ) $aTextbausteine ) );
		update_into_table ( $tblbestellungdruckinfo, $aBestellungdruckinfo ["BestellungDruckInfo_id"], $aBestellungdruckinfo );
	}
}

if (! function_exists ( "resetBelegDruckinfo" )) {
	function resetBelegDruckinfo($iBelegId, $sLayout, $iDokumentlayoutQuelle, $bTexteBehalten = false, $iLayoutErsetzen = 0) {
		global $sql_query, $tbldokumentlayout, $tblbelegdruckinfo;
		
		switch (strtolower ( $sLayout )) {
			case "angebot" :
				$sFeldname = "dtTexteArrayAngebot";
				break;
			
			case "auftragsanfrage" :
				$sFeldname = "dtTexteArrayAuftragsanfrage";
				break;
			
			case "auftragsbestaetigung" :
				$sFeldname = "dtTexteArrayAuftragsbestaetigung";
				break;
			
			case "lieferschein" :
				$sFeldname = "dtTexteArrayLieferschein";
				break;
			
			case "rechnung" :
				$sFeldname = "dtTexteArrayRechnung";
				break;
			
			case "mahnung" :
				$sFeldname = "dtTexteArrayMahnung";
				break;
			
			case "stornierung" :
				$sFeldname = "dtTexteArrayStornierung";
				break;
			
			case "packliste" :
				$sFeldname = "dtTexteArrayPackliste";
				break;
			
			default :
				return false;
		}
		$aBelegdruckinfo = get_table_row ( $sql_query ["belegdruckinfoliste"] . " and $tblbelegdruckinfo.fiBeleg = " . $iBelegId . " AND $tblbelegdruckinfo.dtErsatzLayout = " . $iLayoutErsetzen );
		
		$aKopieBelegDruckInfo = $aBelegdruckinfo;
		
		$aLayout = get_table_row ( $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $iDokumentlayoutQuelle . "'" );
		
		$aTextbausteine = unserialize ( $aLayout ["dtTextbausteine"] );
		
		unset ( $aLayout ["BelegTexte_id"], $aLayout ["dtDokumentName"], $aLayout ["dtTextbausteine"], $aLayout ["DokumentLayout_id"] );
		
		$aBelegdruckinfo [$sFeldname] = serialize ( array_merge ( ( array ) $aLayout, ( array ) $aTextbausteine ) );
		
		update_into_table ( $tblbelegdruckinfo, $aBelegdruckinfo ["BelegDruckInfo_id"], $aBelegdruckinfo );
		
		if ($bTexteBehalten) // TextUnterXXX/UeberXXX behalten
{
			// Unserialisieren das Array um an die Textbausteine zu kommen
			$aTexteBehaltenBausteine = unserialize ( $aKopieBelegDruckInfo [$sFeldname] );
			
			// Sucht die Bausteine im alten Eintrag und ersetzt diese mit denen aus dem Dokumentenlayout
			foreach ( $aTextbausteine as $aTextbausteine_id => $aTextbausteine_value )
				$aTexteBehaltenBausteine [$aTextbausteine_id] = $aTextbausteine_value;
				
				// Serialisieren das Array wieder fr das Update
			$aTexteBehalten [$sFeldname] = serialize ( $aTexteBehaltenBausteine );
			
			update_into_table ( $tblbelegdruckinfo, $aBelegdruckinfo ["BelegDruckInfo_id"], $aTexteBehalten );
			
			// Speicher freigeben
			unset ( $aTexteBehalten );
		}
	}
}

if (! function_exists ( "resetKundenMahnungInfo" )) {
	function resetKundenMahnungInfo($iKunde, $sLayout, $iDokumentlayoutQuelle, $bTexteBehalten = false, $iLayoutErsetzen = 0) {
		global $sql_query, $tbldokumentlayout, $tblkundenmahnungdruckinfo;
		
		switch (strtolower ( $sLayout )) {
			case "kundenmahnung" :
				$sFeldname = "dtTexteArrayKundenMahnung";
				break;
			
			default :
				return false;
		}
		$aBelegdruckinfo = get_table_row ( $sql_query ["kundenmahnungdruckinfoliste"] . " and $tblkundenmahnungdruckinfo.fiKunde = " . $iKunde . " AND $tblkundenmahnungdruckinfo.dtErsatzLayout = " . $iLayoutErsetzen );
		
		$aKopieBelegDruckInfo = $aBelegdruckinfo;
		
		$aLayout = get_table_row ( $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $iDokumentlayoutQuelle . "'" );
		
		$aTextbausteine = unserialize ( $aLayout ["dtTextbausteine"] );
		
		unset ( $aLayout ["BelegTexte_id"], $aLayout ["dtDokumentName"], $aLayout ["dtTextbausteine"], $aLayout ["DokumentLayout_id"] );
		
		$aBelegdruckinfo [$sFeldname] = serialize ( array_merge ( ( array ) $aLayout, ( array ) $aTextbausteine ) );
		
		update_into_table ( $tblkundenmahnungdruckinfo, $aBelegdruckinfo ["KundenMahnungDruckInfo_id"], $aBelegdruckinfo );
		
		if ($bTexteBehalten) // TextUnterXXX/UeberXXX behalten
{
			// Unserialisieren das Array um an die Textbausteine zu kommen
			$aTexteBehaltenBausteine = unserialize ( $aKopieBelegDruckInfo [$sFeldname] );
			
			// Sucht die Bausteine im alten Eintrag und ersetzt diese mit denen aus dem Dokumentenlayout
			foreach ( $aTextbausteine as $aTextbausteine_id => $aTextbausteine_value )
				$aTexteBehaltenBausteine [$aTextbausteine_id] = $aTextbausteine_value;
				
				// Serialisieren das Array wieder fr das Update
			$aTexteBehalten [$sFeldname] = serialize ( $aTexteBehaltenBausteine );
			
			update_into_table ( $tblkundenmahnungdruckinfo, $aBelegdruckinfo ["KundenMahnungDruckInfo_id"], $aTexteBehalten );
			
			// Speicher freigeben
			unset ( $aTexteBehalten );
		}
	}
}

if (! function_exists ( "erzeugeKundenMahnungText" )) {
	function erzeugeKundenMahnungText($iKundeId, $iDokumentId, $sFeldname) {
		global $tblbelegdruckinfo, $tbldokumentlayout, $tblbelege, $sql_query, $tblkontaktebelegadressen, $tblkontakte;
		
		$aBelegdruckinfo = get_table_row ( $sql_query ["belegdruckinfoliste"] . " and $tblbelegdruckinfo.fiBeleg = " . $iBelegId . " AND $tblbelegdruckinfo.dtErsatzLayout = " . $iLayoutErsetzen );
		
		$aKopieBelegDruckInfo = $aBelegdruckinfo;
		
		$aLayout = get_table_row ( $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $iDokumentId . "'" );
		$aTextbausteine = unserialize ( $aLayout ["dtTextbausteine"] );
		
		unset ( $aLayout ["BelegTexte_id"], $aLayout ["dtDokumentName"], $aLayout ["dtTextbausteine"], $aLayout ["DokumentLayout_id"] );
		
		$aBelegdruckinfo [$sFeldname] = serialize ( array_merge ( ( array ) $aLayout, ( array ) $aTextbausteine ) );
		update_into_table ( $tblkontakte, $iKundeId, $aBelegdruckinfo );
		
		if ($bTexteBehalten) // TextUnterXXX/UeberXXX behalten
{
			// Unserialisieren das Array um an die Textbausteine zu kommen
			$aTexteBehaltenBausteine = unserialize ( $aKopieBelegDruckInfo [$sFeldname] );
			
			// Sucht die Bausteine im alten Eintrag und ersetzt diese mit denen aus dem Dokumentenlayout
			foreach ( $aTextbausteine as $aTextbausteine_id => $aTextbausteine_value )
				$aTexteBehaltenBausteine [$aTextbausteine_id] = $aTextbausteine_value;
				
				// Serialisieren das Array wieder fr das Update
			$aTexteBehalten [$sFeldname] = serialize ( $aTexteBehaltenBausteine );
			
			update_into_table ( $tblkontakte, $iKundeId, $aTexteBehalten );
			
			// Speicher freigeben
			unset ( $aTexteBehalten );
		}
	}
}

if (! function_exists ( "erzeugeKundenMahnungDruckinfo" )) {
	function erzeugeKundenMahnungDruckinfo($iKundeId, $iErsatzLayout = 0) {
		global $tblkundenmahnungdruckinfo, $tblbelege, $sql_query, $tblkontaktebelegadressen, $tblkontakte, $tblbelegtexte;
		
		$aBelegdruckinfo = array ();
		$aBelegdruckinfo ["fiKunde"] = $iKundeId;
		$aBelegdruckinfo ["fiAlternativAnrede"] = 1;
		$aBelegdruckinfo ["fiAlternativASP"] = 0;
		$aBelegdruckinfo ["fiAlternativLand"] = 0;
		$aBelegdruckinfo ["dtAlternativAdresseVererben"] = 0;
		$aBelegdruckinfo ["dtZusatzInfofeldVererben"] = 0;
		
		$aLayouts ["kundenmahnung"] = $drucklayout_kundenmahnung;
		
		// Zeile erzeugen
		$iDatenbankId = insert_into_table ( $tblkundenmahnungdruckinfo, $aBelegdruckinfo );
		
		// Standard Belegtexte setzen
		$aLayouts = array (
				"kundenmahnung" 
		);
		$aLayoutsSave = array_flip ( $aLayouts );
		
		foreach ( $aLayouts as $sLayout ) {
			$sVarNameStandard = "standard_layout_" . $sLayout;
			global $$sVarNameStandard;
			
			$aLayoutsSave [$sLayout] = $$sVarNameStandard;
			resetKundenMahnungInfo ( $iKundeId, $sLayout, $$sVarNameStandard, false, 0 );
		}
		
		$field_belegdruckinfo ["dtBelegDrucklayout"] = serialize ( $aLayoutsSave );
		
		/*
		 * Kundenbelegadresse bernehmen wenn keine Belegadressen vererbt wurden
		 */
		
		$sSqlQuery = $sql_query ["kontaktliste"] . " AND $tblkontakte.id = " . $iKundeId;
		
		$aBelegadresse = get_table_row ( $sSqlQuery );
		$field_belegdruckinfo ["dtAlternativKontaktNummer"] = $aBelegadresse ["dtKontaktNr"];
		
		if (! $altadresse_vererbt) {
			$field_belegdruckinfo ["dtAlternativFirma"] = $aBelegadresse ["dtFirmenname"];
			$field_belegdruckinfo ["dtAlternativZusatz"] = $aBelegadresse ["dtBelegZusatz"];
			$field_belegdruckinfo ["fiAlternativAnrede"] = $aBelegadresse ["fiAnrede"];
			$field_belegdruckinfo ["dtAlternativVorname"] = $aBelegadresse ["dtVorname"];
			$field_belegdruckinfo ["dtAlternativNachname"] = $aBelegadresse ["dtNachname"];
			$field_belegdruckinfo ["fiAlternativASP"] = $aBelegadresse ["fiBelegASP"];
			$field_belegdruckinfo ["dtAlternativASP"] = $aBelegadresse ["dtBelegASP"];
			$field_belegdruckinfo ["dtAlternativStrasse"] = $aBelegadresse ["dtStrasse"];
			$field_belegdruckinfo ["dtAlternativPLZ"] = $aBelegadresse ["dtPLZ"];
			$field_belegdruckinfo ["dtAlternativOrt"] = $aBelegadresse ["dtOrt"];
			$field_belegdruckinfo ["fiAlternativLand"] = $aBelegadresse ["fiLand"];
		}
		
		$field_belegdruckinfo ["dtErsatzLayout"] = $iErsatzLayout;
		
		// schreibe Beleg-Druck-Infos
		update_into_table ( $tblkundenmahnungdruckinfo, $iDatenbankId, $field_belegdruckinfo );
	}
}

if (! function_exists ( "erzeugeBelegDruckinfo" )) {
	function erzeugeBelegDruckinfo($iBelegId, $iKundeId, $iErsatzLayout = 0) {
		global $tblbelegdruckinfo, $tblbelege, $sql_query, $tblkontaktebelegadressen, $tblkontakte, $tblbelegtexte;
		
		$aBelegdruckinfo = array ();
		$aBelegdruckinfo ["fiBeleg"] = $iBelegId;
		$aBelegdruckinfo ["fiAlternativAnrede"] = 1;
		$aBelegdruckinfo ["fiAlternativASP"] = 0;
		$aBelegdruckinfo ["fiAlternativLand"] = 0;
		$aBelegdruckinfo ["dtAlternativAdresseVererben"] = 0;
		$aBelegdruckinfo ["dtZusatzInfofeldVererben"] = 0;
		
		$aLayouts ["angebot"] = $drucklayout_angebot;
		$aLayouts ["auftragsanfrage"] = $drucklayout_auftragsanfrage;
		$aLayouts ["auftragsbestaetigung"] = $drucklayout_auftragsbestaetigung;
		$aLayouts ["lieferschein"] = $drucklayout_lieferschein;
		$aLayouts ["rechnung"] = $drucklayout_rechnung;
		$aLayouts ["mahnung"] = $drucklayout_mahnung;
		$aLayouts ["stornierung"] = $drucklayout_stornierung;
		$aLayouts ["packliste"] = $drucklayout_packliste;
		
		if ($iErsatzLayout > 0) {
			
			$sQueryDruckinfoAlt = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $iBelegId . " and dtErsatzLayout = 0";
			$field_belegdruckinfo_alt = get_table_row ( $sQueryDruckinfoAlt );
			unset ( $field_belegdruckinfo_alt ["BelegDruckInfo_id"] );
			
			// Zeile erzeugen
			$iDatenbankId = insert_into_table ( $tblbelegdruckinfo, $field_belegdruckinfo_alt );
			
			// Standard Belegtexte setzen
			$aLayouts = array (
					"angebot",
					"auftragsanfrage",
					"auftragsbestaetigung",
					"lieferschein",
					"rechnung",
					"mahnung",
					"stornierung",
					"packliste" 
			);
			$aLayoutsSave = array_flip ( $aLayouts );
			
			foreach ( $aLayouts as $sLayout ) {
				$sVarNameStandard = "standard_layout_" . $sLayout . "_alternative";
				global $$sVarNameStandard;
				
				$aLayoutsSave [$sLayout] = $$sVarNameStandard;
				resetBelegDruckinfo ( $iBelegId, $sLayout, $$sVarNameStandard, false, 1 );
			}
		} else {
			// Zeile erzeugen
			$iDatenbankId = insert_into_table ( $tblbelegdruckinfo, $aBelegdruckinfo );
			
			// Standard Belegtexte setzen
			$aLayouts = array (
					"angebot",
					"auftragsanfrage",
					"auftragsbestaetigung",
					"lieferschein",
					"rechnung",
					"mahnung",
					"stornierung",
					"packliste" 
			);
			$aLayoutsSave = array_flip ( $aLayouts );
			
			foreach ( $aLayouts as $sLayout ) {
				$sVarNameStandard = "standard_layout_" . $sLayout;
				global $$sVarNameStandard;
				
				$aLayoutsSave [$sLayout] = $$sVarNameStandard;
				resetBelegDruckinfo ( $iBelegId, $sLayout, $$sVarNameStandard, false, 0 );
			}
		}
		
		$field_belegdruckinfo ["dtBelegDrucklayout"] = serialize ( $aLayoutsSave );
		
		// suche in den letzten 3 Belegen dieses Kunden nach Vererbungen und berschreibe damit die Standard-Texte (Limit ist 4, weil der aktuelle neue Beleg mit gefunden wird)
		$sQueryVererbung = $sql_query ["belegliste"] . " and $tblbelege.fiKunde = " . $iKundeId . " order by $tblbelege.dtAngebotDatum desc, $tblbelege.id desc limit 0,4";
		$aBelege = get_table_array ( $sQueryVererbung );
		
		if (count ( $aBelege ) > 0) {
			foreach ( $aBelege as $listenzeile_id => $listenzeile ) {
				
				if ($listenzeile ["Beleg_id"] != $id) {
					// hole Druckinfos des alten Beleges
					$sQueryDruckinfoAlt = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $listenzeile ["Beleg_id"] . " and dtErsatzLayout = 0";
					$field_belegdruckinfo_alt = get_table_row ( $sQueryDruckinfoAlt );
					
					// suche nach Vererbungen in alternativer Belegadresse
					if ($field_belegdruckinfo_alt ["dtAlternativAdresseVererben"] == 1 and $altadresse_vererbt == 0) {
						$field_belegdruckinfo ["dtAlternativKontaktNummer"] = $field_belegdruckinfo_alt ["dtAlternativKontaktNummer"];
						$field_belegdruckinfo ["dtAlternativFirma"] = $field_belegdruckinfo_alt ["dtAlternativFirma"];
						$field_belegdruckinfo ["dtAlternativZusatz"] = $field_belegdruckinfo_alt ["dtAlternativZusatz"];
						$field_belegdruckinfo ["fiAlternativAnrede"] = $field_belegdruckinfo_alt ["fiAlternativAnrede"];
						$field_belegdruckinfo ["dtAlternativVorname"] = $field_belegdruckinfo_alt ["dtAlternativVorname"];
						$field_belegdruckinfo ["dtAlternativNachname"] = $field_belegdruckinfo_alt ["dtAlternativNachname"];
						$field_belegdruckinfo ["fiAlternativASP"] = $field_belegdruckinfo_alt ["fiAlternativASP"];
						$field_belegdruckinfo ["dtAlternativASP"] = $field_belegdruckinfo_alt ["dtAlternativASP"];
						$field_belegdruckinfo ["dtAlternativStrasse"] = $field_belegdruckinfo_alt ["dtAlternativStrasse"];
						$field_belegdruckinfo ["dtAlternativPLZ"] = $field_belegdruckinfo_alt ["dtAlternativPLZ"];
						$field_belegdruckinfo ["dtAlternativOrt"] = $field_belegdruckinfo_alt ["dtAlternativOrt"];
						$field_belegdruckinfo ["fiAlternativLand"] = $field_belegdruckinfo_alt ["fiAlternativLand"];
						$field_belegdruckinfo ["dtEmailEmpfaenger"] = $field_belegdruckinfo_alt ["dtEmailEmpfaenger"];
						$field_belegdruckinfo ["dtAlternativAdresseVererben"] = $field_belegdruckinfo_alt ["dtAlternativAdresseVererben"];
						
						$field_belegdruckinfo ["dtEmailEmpfaenger2"] = $field_belegdruckinfo_alt ["dtEmailEmpfaenger2"];
						$field_belegdruckinfo ["dtEmailEmpfaengerAktiv2"] = $field_belegdruckinfo_alt ["dtEmailEmpfaengerAktiv2"];
						
						$altadresse_vererbt = 1;
					}
					
					// suche nach Vererbungen in Lieferadresse
					if ($field_belegdruckinfo_alt ["dtLieferungAdresseVererben"] == 1 and $lieferadresse_vererbt == 0) {
						$field_belegdruckinfo ["dtLieferungFirma"] = $field_belegdruckinfo_alt ["dtLieferungFirma"];
						$field_belegdruckinfo ["dtLieferungZusatz"] = $field_belegdruckinfo_alt ["dtLieferungZusatz"];
						$field_belegdruckinfo ["fiLieferungAnrede"] = $field_belegdruckinfo_alt ["fiLieferungAnrede"];
						$field_belegdruckinfo ["dtLieferungVorname"] = $field_belegdruckinfo_alt ["dtLieferungVorname"];
						$field_belegdruckinfo ["dtLieferungNachname"] = $field_belegdruckinfo_alt ["dtLieferungNachname"];
						$field_belegdruckinfo ["fiLieferungASP"] = $field_belegdruckinfo_alt ["fiLieferungASP"];
						$field_belegdruckinfo ["dtLieferungASP"] = $field_belegdruckinfo_alt ["dtLieferungASP"];
						$field_belegdruckinfo ["dtLieferungStrasse"] = $field_belegdruckinfo_alt ["dtLieferungStrasse"];
						$field_belegdruckinfo ["dtLieferungPLZ"] = $field_belegdruckinfo_alt ["dtLieferungPLZ"];
						$field_belegdruckinfo ["dtLieferungOrt"] = $field_belegdruckinfo_alt ["dtLieferungOrt"];
						$field_belegdruckinfo ["fiLieferungLand"] = $field_belegdruckinfo_alt ["fiLieferungLand"];
						$field_belegdruckinfo ["dtLieferungAdresseDrucken"] = $field_belegdruckinfo_alt ["dtLieferungAdresseDrucken"];
						$field_belegdruckinfo ["dtLieferungAdresseVererben"] = $field_belegdruckinfo_alt ["dtLieferungAdresseVererben"];
						$lieferadresse_vererbt = 1;
					}
					
					// suche nach Vererbungen in zustzlichen Infofeldern
					if ($field_belegdruckinfo_alt ["dtZusatzInfofeldVererben"] == 1 and $zusinfofelder_vererbt == 0) {
						$field_belegdruckinfo ["dtZusatzInfofeld1Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld1Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld1Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld1Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld2Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld2Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld2Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld2Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld3Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld3Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld3Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld3Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld4Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld4Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld4Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld4Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld5Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld5Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld5Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld5Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeldDrucken"] = $field_belegdruckinfo_alt ["dtZusatzInfofeldDrucken"];
						$field_belegdruckinfo ["dtZusatzInfofeldVererben"] = $field_belegdruckinfo_alt ["dtZusatzInfofeldVererben"];
						$zusinfofelder_vererbt = 1;
					}
					
					// suche nach Vererbungen in Texten
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAngebot"] );
					
					if ($field_temp ["dtTextVererben"] == 1 && $angebot_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAngebot"] = $field_belegdruckinfo_alt ["dtTexteArrayAngebot"];
						$angebot_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAuftragsanfrage"] );
					if ($field_temp ["dtTextVererben"] == 1 && $auftragsanfrage_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAuftragsanfrage"] = $field_belegdruckinfo_alt ["dtTexteArrayAuftragsanfrage"];
						$auftragsanfrage_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAuftragsbestaetigung"] );
					if ($field_temp ["dtTextVererben"] == 1 && $auftragsbestaetigung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAuftragsbestaetigung"] = $field_belegdruckinfo_alt ["dtTexteArrayAuftragsbestaetigung"];
						$auftragsbestaetigung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayLieferschein"] );
					if ($field_temp ["dtTextVererben"] == 1 && $lieferschein_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayLieferschein"] = $field_belegdruckinfo_alt ["dtTexteArrayLieferschein"];
						$lieferschein_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayPackliste"] );
					if ($field_temp ["dtTextVererben"] == 1 && $lieferschein_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayPackliste"] = $field_belegdruckinfo_alt ["dtTexteArrayPackliste"];
						$lieferschein_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayRechnung"] );
					if ($field_temp ["dtTextVererben"] == 1 && $rechnung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayRechnung"] = $field_belegdruckinfo_alt ["dtTexteArrayRechnung"];
						$rechnung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayMahnung"] );
					if ($field_temp ["dtTextVererben"] == 1 && $mahnung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayMahnung"] = $field_belegdruckinfo_alt ["dtTexteArrayMahnung"];
						$mahnung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayStornierung"] );
					if ($field_temp ["dtTextVererben"] == 1 && $stornierung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayStornierung"] = $field_belegdruckinfo_alt ["dtTexteArrayStornierung"];
						$stornierung_texte_vererben = 1;
					}
					
					// Drucklayouts vererben
					if ($field_belegdruckinfo_alt ["dtBelegDrucklayoutVererben"] == 1 && ! $druckinfo_layout_vererbt) {
						$field_belegdruckinfo ["dtBelegDrucklayout"] = $field_belegdruckinfo_alt ["dtBelegDrucklayout"];
						$field_belegdruckinfo ["dtBelegDrucklayoutVererben"] = $field_belegdruckinfo_alt ["dtBelegDrucklayoutVererben"];
						$druckinfo_layout_vererbt = true;
					}
				}
			}
		}
		
		/*
		 * Kundenbelegadresse bernehmen wenn keine Belegadressen vererbt wurden
		 */
		// Belegadresse
		$sQueryBelegadresse = $sql_query ["kontaktbelegadressenliste"] . " and $tblkontaktebelegadressen.fiKontakt = " . $iKundeId;
		
		if (get_table_count ( $sQueryBelegadresse ) > 0) {
			$aBelegadresse = get_table_row ( $sQueryBelegadresse );
			
			if ($aBelegadresse ["fiRechnungsadresse"]) {
				$sSqlQuery = "SELECT dtKontaktNr FROM $tblkontakte WHERE id = " . $aBelegadresse ["fiRechnungsadresse"];
				$aKontaktNrResult = get_table_array ( $sSqlQuery );
				$field_belegdruckinfo ["dtAlternativKontaktNummer"] = $aKontaktNrResult [0] ["dtKontaktNr"];
			}
			
			if (! $altadresse_vererbt) {
				$field_belegdruckinfo ["dtAlternativFirma"] = $aBelegadresse ["dtBelegFirma"];
				$field_belegdruckinfo ["dtAlternativZusatz"] = $aBelegadresse ["dtBelegZusatz"];
				$field_belegdruckinfo ["fiAlternativAnrede"] = $aBelegadresse ["fiBelegAnrede"];
				$field_belegdruckinfo ["dtAlternativVorname"] = $aBelegadresse ["dtBelegVorname"];
				$field_belegdruckinfo ["dtAlternativNachname"] = $aBelegadresse ["dtBelegNachname"];
				$field_belegdruckinfo ["fiAlternativASP"] = $aBelegadresse ["fiBelegASP"];
				$field_belegdruckinfo ["dtAlternativASP"] = $aBelegadresse ["dtBelegASP"];
				$field_belegdruckinfo ["dtAlternativStrasse"] = $aBelegadresse ["dtBelegStrasse"];
				$field_belegdruckinfo ["dtAlternativPLZ"] = $aBelegadresse ["dtBelegPLZ"];
				$field_belegdruckinfo ["dtAlternativOrt"] = $aBelegadresse ["dtBelegOrt"];
				$field_belegdruckinfo ["fiAlternativLand"] = $aBelegadresse ["fiBelegLand"];
			}
			
			// Lieferadresse
			if (! $lieferadresse_vererbt) {
				$field_belegdruckinfo ["dtLieferungFirma"] = $aBelegadresse ["dtLieferungFirma"];
				$field_belegdruckinfo ["dtLieferungZusatz"] = $aBelegadresse ["dtLieferungZusatz"];
				$field_belegdruckinfo ["fiLieferungAnrede"] = $aBelegadresse ["fiLieferungAnrede"];
				$field_belegdruckinfo ["dtLieferungVorname"] = $aBelegadresse ["dtLieferungVorname"];
				$field_belegdruckinfo ["dtLieferungNachname"] = $aBelegadresse ["dtLieferungNachname"];
				$field_belegdruckinfo ["fiLieferungASP"] = $aBelegadresse ["fiLieferungASP"];
				$field_belegdruckinfo ["dtLieferungASP"] = $aBelegadresse ["dtLieferungASP"];
				$field_belegdruckinfo ["dtLieferungStrasse"] = $aBelegadresse ["dtLieferungStrasse"];
				$field_belegdruckinfo ["dtLieferungPLZ"] = $aBelegadresse ["dtLieferungPLZ"];
				$field_belegdruckinfo ["dtLieferungOrt"] = $aBelegadresse ["dtLieferungOrt"];
				$field_belegdruckinfo ["fiLieferungLand"] = $aBelegadresse ["fiLieferungLand"];
			}
		}
		$field_belegdruckinfo ["dtErsatzLayout"] = $iErsatzLayout;
		
		$sQueryBelegTexte = $sql_query ["dokumentlayoutliste"] . " AND $tblbelegtexte.dtStandardInfolfelder = 1";
		$rBelegTexte = get_table_row ( $sQueryBelegTexte );
		
		if (! $zusinfofelder_vererbt && $rBelegTexte ["dtStandardInfolfelder"] == 1) {
			
			$field_belegdruckinfo ["dtZusatzInfofeld1Name"] = $rBelegTexte ["dtZusatzInfofeld1Name"];
			$field_belegdruckinfo ["dtZusatzInfofeld1Wert"] = $rBelegTexte ["dtZusatzInfofeld1Wert"];
			$field_belegdruckinfo ["dtZusatzInfofeld2Name"] = $rBelegTexte ["dtZusatzInfofeld2Name"];
			$field_belegdruckinfo ["dtZusatzInfofeld2Wert"] = $rBelegTexte ["dtZusatzInfofeld2Wert"];
			$field_belegdruckinfo ["dtZusatzInfofeld3Name"] = $rBelegTexte ["dtZusatzInfofeld3Name"];
			$field_belegdruckinfo ["dtZusatzInfofeld3Wert"] = $rBelegTexte ["dtZusatzInfofeld3Wert"];
			$field_belegdruckinfo ["dtZusatzInfofeld4Name"] = $rBelegTexte ["dtZusatzInfofeld4Name"];
			$field_belegdruckinfo ["dtZusatzInfofeld4Wert"] = $rBelegTexte ["dtZusatzInfofeld4Wert"];
			$field_belegdruckinfo ["dtZusatzInfofeld5Name"] = $rBelegTexte ["dtZusatzInfofeld5Name"];
			$field_belegdruckinfo ["dtZusatzInfofeld5Wert"] = $rBelegTexte ["dtZusatzInfofeld5Wert"];
			$field_belegdruckinfo ["dtZusatzInfofeldDrucken"] = $rBelegTexte ["dtZusatzInfofeldDrucken"];
		}
		
		// schreibe Beleg-Druck-Infos
		update_into_table ( $tblbelegdruckinfo, $iDatenbankId, $field_belegdruckinfo );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "curPageURL" )) {
	function curPageURL($script = true) {
		$pageURL = 'http';
		if ($_SERVER ["HTTPS"] == "on") {
			$pageURL .= "s";
		}
		$pageURL .= "://";
		if ($_SERVER ["SERVER_PORT"] != "80") {
			$pageURL .= $_SERVER ["SERVER_NAME"] . ":" . $_SERVER ["SERVER_PORT"] . $_SERVER ["REQUEST_URI"];
		} else {
			$pageURL .= $_SERVER ["SERVER_NAME"] . $_SERVER ["REQUEST_URI"];
		}
		
		if (! $script) {
			$posLetztesSlash = strrpos ( $pageURL, "/" );
			$pageURL = substr ( $pageURL, 0, $posLetztesSlash );
		}
		
		return $pageURL;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelVarianteBeschreibungen" )) {
	function getArtikelVarianteBeschreibungen($sVariante) {
		global $tblartikelvarianten, $sql_query;
		
		$aVarianten = unserialize ( $sVariante );
		
		if (! is_array ( $aVarianten ))
			return;
		
		foreach ( ( array ) $aVarianten as $key => $value_string ) {
			$key_explode = explode ( "_", $key );
			if (count ( $key_explode ) == 2 and $value_string != - 1) {
				
				$value_array = explode ( ";", $value_string );
				foreach ( ( array ) $value_array as $valuekey => $value ) {
					if ($value != "") {
						
						$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
						$variante_row = get_table_row ( $query );
						
						for($i = 1; $i <= 5; $i ++) {
							if ($variante_row ["dtArtikelVariantenBeschreibung" . $i] != "") {
								$var_name [$i] .= $variante_row ["dtArtikelVariantenBeschreibung" . $i] . "\n";
							} else {
								$var_name [$i] .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
							}
						}
					}
				}
			}
		}
		
		return $var_name;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "getArtikelVarianteNummer" )) {
	function getArtikelVarianteNummer($sVariante) {
		global $tblartikelvarianten, $sql_query;
		
		$aVarianten = unserialize ( $sVariante );
		
		if (! is_array ( $aVarianten ))
			return;
		
		foreach ( ( array ) $aVarianten as $key => $value_string ) {
			$key_explode = explode ( "_", $key );
			if (count ( $key_explode ) == 2 and $value_string != - 1) {
				
				$value_array = explode ( ";", $value_string );
				foreach ( ( array ) $value_array as $valuekey => $value ) {
					if ($value != "") {
						
						$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
						$variante_row = get_table_row ( $query );
						
						$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					}
				}
			}
		}
		
		return $var_nr;
	}
}

if (! function_exists ( "getBerechnungFuerEK" )) {
	function getBerechnungFuerEK($aArtikel, $iAufschlagBerechnenEK = 0) {
		Global $tblartikellieferanten, $bArtikelProduktionBenutzeImmerLieferantenEK, $bArtikelEinkaufBenutzeImmerLieferantenEK, $bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen, $sql_query, $tblartikelstueck, $tblartikelstuecklisten;
		
		$iProduktionsArtikel = getArtikelProduktion ( $aArtikel ["fiArtikel"] );

		
		// dtVariante -1 Eintrge filtern
		if ($aArtikel ["dtVariante"] != "")
			$aArtikel ["dtVariante"] = check_varianten_array ( $aArtikel ["dtVariante"] );
			/*
		 * ArtikelEK Berechnung wird unterschieden zwischen 1. Kein Produktionsartikel + ArtikeleinkaufLieferantEK (AKTIV) 2. Kein Produktionsartikel + ArtikeleinkaufLieferantEK (INAKTIV) 3. Produktionsartikel + ProduktionsartikelLieferantEK (AKTIV) 4. Produktionsartikel + ProduktionsartikelLieferantEK (INAKTIV)
		 */
			
		// +++++ 1. Einkaufsartikel: Benutze immer den LieferantenEK der in der Lagerartikelansicht sichtbar ist und berechne die Variantensumme dazu, falls es welche gibt +++++ //
		if ($iProduktionsArtikel == 0 && $bArtikelEinkaufBenutzeImmerLieferantenEK == 1) {
			$sQueryLieferantenEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $aArtikel ["fiArtikel"] );
			$aResultLieferantenEK = mysql_fetch_array ( $sQueryLieferantenEK );
			$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];

			if ($aArtikel ["dtVariante"] != "") {
				$fVariantenZuschlag = getVarianteSumme ( $aArtikel ["dtVariante"] );
			}
			
			$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
			
			if ($iAufschlagBerechnenEK == 0)
				$dAufschlagProzent = ($dEndpreisEinzelEK / 100) * holeArtikelaufschlagEK ( $aArtikel ["fiArtikel"] );
			else
				$dAufschlagProzent = 0;
			
			$field_new ["dtPreisNettoEK"] = $dEndpreisEinzelEK + $dAufschlagProzent;
			$field_new ["dtMwstNettoEK"] = $aArtikel ["dtMwstSatz"];
		} // +++++ 2. Einkaufsartikel: Benutze immer den letzten ArtikelstckpreisEK ohne Variantenberechnung (Falls bentigt, wird diese schnell hinzugefgt) +++++ //
elseif ($iProduktionsArtikel == 0 && $bArtikelEinkaufBenutzeImmerLieferantenEK == 0) {
			$sQueryArtikelstueckEK = $sql_query ["artikelstueckliste"];
			$sQueryArtikelstueckEK .= " and $tblartikelstueck.fiArtikel = " . $aArtikel ["fiArtikel"] . " ORDER BY ArtikelStueck_id DESC LIMIT 0,1";

			$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;

			if ($iAufschlagBerechnenEK == 0)
				$dAufschlagProzent = ($dEndpreisEinzelEK / 100) * holeArtikelaufschlagEK ( $aArtikel ["fiArtikel"] );
			else
				$dAufschlagProzent = 0;

			$aResultArtikelstueckEK = get_table_array ( $sQueryArtikelstueckEK );

			// +++++ Gibt es einen Artikelstck Eintrag UND ist dieser Wert belegt oder grer als 0, weise diesen Wert zu +++++ //
			if ($aResultArtikelstueckEK != NULL || $aResultArtikelstueckEK [0] ["dtPreisEK"] != "" || $aResultArtikelstueckEK [0] ["dtPreisEK"] > 0) {
				$dEndpreisEinzelEK = $aResultArtikelstueckEK [0] ["dtPreisEK"];
				$dEndpreisEinzelMwst = $aResultArtikelstueckEK [0] ["dtMwstSatzEK"];
			}  // +++++ Sonst nehme den Lieferanten EK +++++ //
else {
				$sQueryLieferantenEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $aArtikel ["fiArtikel"] );
				$aResultLieferantenEK = mysql_fetch_array ( $sQueryLieferantenEK );
				$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];

				if ($aArtikel ["dtVariante"] != "") {
					$fVariantenZuschlag = getVarianteSumme ( $aArtikel ["dtVariante"] );
				}
				$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
				$dEndpreisEinzelMwst = $aArtikel ["dtMwstSatz"];
			}
			
			$field_new ["dtPreisNettoEK"] = $dEndpreisEinzelEK + $dAufschlagProzent;
			$field_new ["dtMwstNettoEK"] = $dEndpreisEinzelMwst;
		} // +++++ 3. Produktionsartikel: Benutze immer den letzten ProduktionsartikelstckpreisEK mit Variantenberechnung +++++ //
elseif ($iProduktionsArtikel == 1 && $bArtikelProduktionBenutzeImmerLieferantenEK == 0) {
			$iCounter = 0;
			
			$aListe [$iCounter] ["fiArtikel"] = $aArtikel ["fiArtikel"];
			$aListe [$iCounter] ["dtMenge"] = 1;
			$aListe [$iCounter] ["dtVariante"] = $aArtikel ["dtVariante"];
			
			if ($aArtikel ["dtVariante"] != "") {
				$fVariantenZuschlag = getVarianteSumme ( $aArtikel ["dtVariante"] );
			}
			
			$field_new ["dtPreisNettoEK"] = getProduktionsPreisEK ( $aArtikel ["fiArtikel"], $aArtikel ["dtVariante"], 1, $iAufschlagBerechnenEK );
			$field_new ["dtMwstNettoEK"] = $aArtikel ["dtMwstSatz"];
		} // +++++ 4. Produktionsartikel: Benutze die Produktionsstckliste, berechne die Preise und fge jeweils die Variantenkosten hinzu +++++ //
elseif ($iProduktionsArtikel == 1 && $bArtikelProduktionBenutzeImmerLieferantenEK == 1) {
			
			$sQueryArtikelstueckliste = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $aArtikel ["fiArtikel"] . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '%" . $aArtikel ["dtVariante"] . "%'";
			$aProduktionsartikel = get_table_array ( $sQueryArtikelstueckliste );
			$fProduktionsPreis = 0;
			$iFiArtikel = 0;
			
			foreach ( ( array ) $aProduktionsartikel as $cpProduktionsartikel ) {
				
				if (getArtikelProduktion ( $cpProduktionsartikel ["fiArtikelStueckliste"] ) == 1) {
					
					$aArtikel ["fiArtikel"] = $cpProduktionsartikel ["fiArtikelStueckliste"];
					$aArtikel ["dtVariante"] = $cpProduktionsartikel ["dtArtikelStuecklisteVariante"];
					$aSummeProduktionsArtikel = getBerechnungFuerEK ( $aArtikel );
					
					$dLieferantEinzelEK = $aSummeProduktionsArtikel ["dtPreisNettoEK"] + $fVariantenZuschlag;
					$dEndpreisEinzelEK += (($dLieferantEinzelEK * $cpProduktionsartikel ["dtAnzahlStueckliste"]) + $dAufschlagEK);
				} else {
					
					$sQueryLieferantenEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $cpProduktionsartikel ["fiArtikelStueckliste"] );
					$aResultLieferantenEK = mysql_fetch_array ( $sQueryLieferantenEK );
					$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];
					
					if ($aArtikel ["dtVariante"] != "") {
						$fVariantenZuschlag = getVarianteSumme ( $aArtikel ["dtVariante"] );
					}
					
					$dLieferantEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
					$dEndpreisEinzelEK += (($dLieferantEinzelEK * $cpProduktionsartikel ["dtAnzahlStueckliste"]) + $dAufschlagEK);
				}
			}
			
			$field_new ["dtPreisNettoEK"] = $dEndpreisEinzelEK;
			$field_new ["dtMwstNettoEK"] = $aArtikel ["dtMwstSatz"];
		}
		
		return $field_new;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
/*
 * Funktion : getProduktionsPreisEK Input : $iArtikelID, $sVariante Output : $fProduktionsPreisNetto Beschreibung : Wird ein Artikel mit bzw ohne Variante, wird der PRoduktionspreis berechnet aus den Stcklisten
 */

if (! function_exists ( "getProduktionsPreisEK" )) {
	function getProduktionsPreisEK($iArtikelID, $sVariante, $iStueckMenge = 1, $iAufschlagBerechnenEK = 0) {
		global $tblartikelstuecklisten, $sql_query, $bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen;
		
		$iArtikelProduktion = getArtikelProduktion ( $iArtikelID );
		
		// +++++ Falls der Artikel / Artikel in der Stckliste kein Produktionsartikel ist +++++ //
		if ($iArtikelProduktion == 0) {
			$fProduktionsPreis = getArtikelEK ( $iArtikelID, NULL, $sVariante );
			
			if ($bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen == 1 && $iAufschlagBerechnenEK == 0)
				$dAufschlagEK = ($fProduktionsPreis / 100) * holeArtikelaufschlagEK ( $iArtikelID );
			else
				$dAufschlagEK = 0;
			
			$fProduktionsPreis += $dAufschlagEK;
			
			$fProduktionsPreisNetto = $iStueckMenge * $fProduktionsPreis;
		} // +++++ Falls der Artikel / Artikel in der Stckliste ein Produktionsartikel ist +++++ //
elseif ($iArtikelProduktion > 0) {
			$sQueryArtikelstueckliste = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $iArtikelID . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '%" . $sVariante . "%'";
			$aProduktionsartikel = get_table_array ( $sQueryArtikelstueckliste );
			$fProduktionsPreis = 0;
			$iFiArtikel = 0;
			
			foreach ( ( array ) $aProduktionsartikel as $cpProduktionsartikel ) {
				$fLetzterEK = getProduktionsPreisEK ( $cpProduktionsartikel ["fiArtikelStueckliste"], $cpProduktionsartikel ["dtArtikelStuecklisteVariante"], $cpProduktionsartikel ["dtAnzahlStueckliste"], $iAufschlagBerechnenEK );
				
				if ($bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen == 1 && $iAufschlagBerechnenEK == 0)
					$dAufschlagEK = ($fLetzterEK / 100) * holeArtikelaufschlagEK ( $iArtikelID );
				else
					$dAufschlagEK = 0;
				
				if ($cpProduktionsartikel ["dtArtikelVariante"] != "" && $cpProduktionsartikel ["fiArtikel"] != $iFiArtikel) {
					$fVarianteZuschlag = getVarianteSumme ( $cpProduktionsartikel ["dtArtikelVariante"] );
					$iFiArtikel = $cpProduktionsartikel ["fiArtikel"];
					$fLetzterEK += $fVarianteZuschlag;
				}
				
				$fProduktionsPreis += (($fLetzterEK) + $dAufschlagEK);
			}
			
			if ($bEKAufschlagBeiStuecklistenartikelnBeruecksichtigen == 1 && $iAufschlagBerechnenEK == 0)
				$dHauptartikelAufschlag = ($fProduktionsPreis / 100) * holeArtikelaufschlagEK ( $iArtikelID );
			else
				$dHauptartikelAufschlag = 0;
			
			$fProduktionsPreisNetto = $fProduktionsPreis + $dHauptartikelAufschlag;
		}  // +++++ Nicht identifizierbar, wird die Summe 0 ausgegeben +++++ //
else {
			$fProduktionsPreisNetto = 0;
		}
		
		return $fProduktionsPreisNetto;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( bilanzbelegstatus_setzen )) {
	function bilanzbelegstatus_setzen($iBelegID) {
		Global $sql_query, $tblbelege;
		
		if ($iBelegID != 0) {
			
			$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $iBelegID;
			$beleg_field = get_table_row ( $query );
			
			if (round ( belegendbetrag_brutto ( $iBelegID ) - belegbuchungen_brutto ( $iBelegID ), 2 ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $iBelegID, $beleg_field_new );
			} elseif (round ( belegendbetrag_brutto ( $iBelegID ) - belegskonto_brutto ( $iBelegID ) - belegbuchungen_brutto ( $iBelegID ), 2 ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $iBelegID, $beleg_field_new );
			} elseif (belegbuchungen_brutto ( $iBelegID ) != 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 5)) {
				$beleg_field_new ["fiStatus"] = 4;
				update_into_table ( $tblbelege, $iBelegID, $beleg_field_new );
			} elseif (belegbuchungen_brutto ( $iBelegID ) == 0 and ($beleg_field ["fiStatus"] == 4 or $beleg_field ["fiStatus"] == 5)) {
				$beleg_field_new ["fiStatus"] = 3;
				update_into_table ( $tblbelege, $iBelegID, $beleg_field_new );
			}
			
			if (function_exists ( custom_umsatz_belegstatus )) {
				custom_umsatz_belegstatus ( $iBelegID, $beleg_field ["fiStatus"], $beleg_field_new ["fiStatus"] );
			}
			
			// lsche Cachedaten zu diesem Beleg
			$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='belege' and dtZeileID='" . $iBelegID . "' ";
			mysql_query ( "delete from tblCache where $cachequerybedingungen " );
			
			bilanzbeleg_aktualisieren ( $iBelegID, true );
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if (! function_exists ( "movePlanungToVerbrauch" )) {
	function movePlanungToVerbrauch($iProjekt, $aDetails = "") {
		global $tblartikelstuecknegativ, $tblartikelstueck, $sql_query;
		
		$sQueryArtikelstueckNegativ = $sql_query ["artikelstuecklistegrouped-negativ"] . " AND $tblartikelstuecknegativ.fiProjekt = " . $iProjekt . " group by $tblartikelstuecknegativ.fiArtikel, $tblartikelstuecknegativ.dtVariante,$tblartikelstuecknegativ.fiBeleg";
		$aResultArtikelstueckNegativ = get_table_array ( $sQueryArtikelstueckNegativ );
		
		if ($aResultArtikelstueckNegativ != NULL) {
			foreach ( $aResultArtikelstueckNegativ as $cpArtikelstueckNegativ ) {
				$iArtikelTyp = getArtikelTyp ( $cpArtikelstueckNegativ ["fiArtikel"] );
				
				if (! is_array ( $cpArtikelstueckNegativ ["dtVariante"] ))
					$aVariante = unserialize ( $cpArtikelstueckNegativ ["dtVariante"] );
				
				$iArtikelVerfuegbar = getArtikelAnzahlVerfuegbar ( $cpArtikelstueckNegativ ["fiArtikel"], 0, $aVariante );
				
				if ($iArtikelVerfuegbar > 0) {
					if ($iArtikelVerfuegbar >= $cpArtikelstueckNegativ ["dtMassenMenge"]) {
						if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut, Virtuelles Gut
{
							$aUpdateArtikelstueck ["fiProjekt"] = $iProjekt;
							$aUpdateArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
							$aUpdateArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
							$aUpdateArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
							
							for($iEintraege = 0; $iEintraege < $cpArtikelstueckNegativ ["dtMassenMenge"]; $iEintraege ++) {
								
								if ($iArtikelTyp == 0) {
									$sQueryArtikelstueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = " . $cpArtikelstueckNegativ ["fiArtikel"] . " AND dtVariante LIKE '%" . $cpArtikelstueckNegativ ["dtVariante"] . "%' AND fiProjekt = 0 AND fiArtikelStueckVerbrauch = 0 AND fiBeleg = 0";
									$sResultArtikelstueck = mysql_fetch_array ( mysql_query ( $sQueryArtikelstueck ) );
									update_into_table ( $tblartikelstueck, $sResultArtikelstueck ["id"], $aUpdateArtikelstueck );
								} elseif ($iArtikelTyp == 2) {
									$aInsertArtikelstueck ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
									$aInsertArtikelstueck ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
									$aInsertArtikelstueck ["dtStueckMenge"] = 1;
									$aInsertArtikelstueck ["fiBeleg"] = 0;
									$aInsertArtikelstueck ["fiBelegverbrauch"] = 0;
									$aInsertArtikelstueck ["fiProjekt"] = $iProjekt;
									$aInsertArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
									$aInsertArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
									$aInsertArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
									insert_into_table ( $tblartikelstueck, $aInsertArtikelstueck );
								}
							}
							
							$aDeleteArtikelstueckNegativ ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
							$aDeleteArtikelstueckNegativ ["fiProjekt"] = $iProjekt;
							$aDeleteArtikelstueckNegativ ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
							$aDeleteArtikelstueckNegativ ["fiBeleg"] = $cpArtikelstueckNegativ ["fiBeleg"];
							
							delete_with_condition ( $tblartikelstuecknegativ, $aDeleteArtikelstueckNegativ );
						} elseif ($iArtikelTyp == 1) // Massengut
{
							
							$sQueryArtikelstueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = " . $cpArtikelstueckNegativ ["fiArtikel"] . " AND dtVariante LIKE '%" . $cpArtikelstueckNegativ ["dtVariante"] . "%' AND fiProjekt = " . $iProjekt . " AND fiArtikelStueckVerbrauch = 0 AND fiBeleg = 0";
							$sResultArtikelstueck = mysql_fetch_array ( mysql_query ( $sQueryArtikelstueck ) );
							if ($sResultArtikelstueck == NULL) {
								$aInsertArtikelstueck ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
								$aInsertArtikelstueck ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
								$aInsertArtikelstueck ["dtStueckMenge"] = $cpArtikelstueckNegativ ["dtMassenMenge"];
								$aInsertArtikelstueck ["fiBeleg"] = 0;
								$aInsertArtikelstueck ["fiBelegverbrauch"] = 0;
								$aInsertArtikelstueck ["fiProjekt"] = $iProjekt;
								$aInsertArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
								$aInsertArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
								$aInsertArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
								insert_into_table ( $tblartikelstueck, $aInsertArtikelstueck );
							} else {
								$aUpdateArtikelstueck ["dtStueckMenge"] = $sResultArtikelstueck ["dtStueckMenge"] + $cpArtikelstueckNegativ ["dtMassenMenge"];
								$aUpdateArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
								$aUpdateArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
								$aUpdateArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
								
								update_into_table ( $tblartikelstueck, $sResultArtikelstueck ["id"], $aUpdateArtikelstueck );
							}
							
							setMassengutVerfuegbareMenge ( $cpArtikelstueckNegativ ["fiArtikel"], ($cpArtikelstueckNegativ ["dtMassenMenge"] * - 1), $cpArtikelstueckNegativ ["dtVariante"] );
							delete_from_table ( $tblartikelstuecknegativ, $cpArtikelstueckNegativ ["ArtikelStueck_id"] );
						}
					} else {
						if ($iArtikelTyp == 0 || $iArtikelTyp == 2) // Stckgut, Virtuelles Gut
{
							$aUpdateArtikelstueck ["fiProjekt"] = $iProjekt;
							$aUpdateArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
							$aUpdateArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
							$aUpdateArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
							
							$aDeleteArtikelstueckNegativ ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
							$aDeleteArtikelstueckNegativ ["fiProjekt"] = $iProjekt;
							$aDeleteArtikelstueckNegativ ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
							$aDeleteArtikelstueckNegativ ["fiBeleg"] = $cpArtikelstueckNegativ ["fiBeleg"];
							
							for($iEintraege = 0; $iEintraege < $iArtikelVerfuegbar; $iEintraege ++) {
								$sQueryArtikelstueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = " . $cpArtikelstueckNegativ ["fiArtikel"] . " AND dtVariante LIKE '%" . $cpArtikelstueckNegativ ["dtVariante"] . "%' AND fiProjekt = 0 AND fiArtikelStueckVerbrauch = 0 AND fiBeleg = 0";
								$sResultArtikelstueck = mysql_fetch_array ( mysql_query ( $sQueryArtikelstueck ) );
								update_into_table ( $tblartikelstueck, $sResultArtikelstueck ["id"], $aUpdateArtikelstueck );
							}
							
							delete_with_condition ( $tblartikelstuecknegativ, $aDeleteArtikelstueckNegativ, $iArtikelVerfuegbar );
						} elseif ($iArtikelTyp == 1) // Massengut
{
							$iArtikelstueckEintraege = $cpArtikelstueckNegativ ["dtMassenMenge"] - $iArtikelVerfuegbar;
							
							$sQueryArtikelstueck = "SELECT * FROM $tblartikelstueck WHERE fiArtikel = " . $cpArtikelstueckNegativ ["fiArtikel"] . " AND dtVariante LIKE '%" . $cpArtikelstueckNegativ ["dtVariante"] . "%' AND fiProjekt = " . $iProjekt . " AND fiArtikelStueckVerbrauch = 0 AND fiBeleg = 0";
							$sResultArtikelstueck = mysql_fetch_array ( mysql_query ( $sQueryArtikelstueck ) );
							
							if ($sResultArtikelstueck == NULL) {
								$aInsertArtikelstueck ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
								$aInsertArtikelstueck ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
								$aInsertArtikelstueck ["dtStueckMenge"] = $iArtikelVerfuegbar;
								$aInsertArtikelstueck ["fiBeleg"] = 0;
								$aInsertArtikelstueck ["fiBelegverbrauch"] = 0;
								$aInsertArtikelstueck ["fiProjekt"] = $iProjekt;
								$aInsertArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
								$aInsertArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
								$aInsertArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
								insert_into_table ( $tblartikelstueck, $aInsertArtikelstueck );
							} else {
								$aUpdateArtikelstueck ["dtStueckMenge"] = $sResultArtikelstueck ["dtStueckMenge"] + $iArtikelVerfuegbar;
								$aUpdateArtikelstueck ["fiProjektTaetigkeit"] = $cpArtikelstueckNegativ ["fiProjektTaetigkeit"];
								$aUpdateArtikelstueck ["dtProjektArtikelTextIndividuell"] = $cpArtikelstueckNegativ ["dtProjektArtikelTextIndividuell"];
								$aUpdateArtikelstueck ["fiPreisgruppe"] = $cpArtikelstueckNegativ ["fiPreisgruppe"];
								update_into_table ( $tblartikelstueck, $sResultArtikelstueck ["id"], $aUpdateArtikelstueck );
							}
							
							setMassengutVerfuegbareMenge ( $cpArtikelstueckNegativ ["fiArtikel"], ($iArtikelVerfuegbar * - 1), $cpArtikelstueckNegativ ["dtVariante"] );
							
							$aConditionArtikelstueckNegativ ["fiProjekt"] = $iProjekt;
							$aConditionArtikelstueckNegativ ["dtVariante"] = $cpArtikelstueckNegativ ["dtVariante"];
							$aConditionArtikelstueckNegativ ["fiArtikel"] = $cpArtikelstueckNegativ ["fiArtikel"];
							$aConditionArtikelstueckNegativ ["fiBeleg"] = $cpArtikelstueckNegativ ["fiBeleg"];
							$aUpdateArtikelstueckNegativ ["dtStueckMenge"] = $iArtikelstueckEintraege;
							update_with_condition ( $tblartikelstuecknegativ, $aUpdateArtikelstueckNegativ, $aConditionArtikelstueckNegativ );
						}
					}
				}
			}
		}
	}
}

// ***************************************************************************************************
// ************************************* replace_special_character *******************************************
//
// berprft einen String, der vom Benutzer eingegeben wurde und ndert ggf. Sonderzeichen die z.B. ein einer XML Datei so nicht angezeigt werden knnen.
if (! function_exists ( "replace_special_character" )) {
	function replace_special_character($sText) {
		$sText = utf8_encode ( $sText );
		$sText = htmlspecialchars ( $sText, ENT_QUOTES );
		
		return ($sText);
	}
}

// ***************************************************************************************************
// ************************************* load_dokumentlayout_text *******************************************
//
// berprft einen String, der vom Benutzer eingegeben wurde und ndert ggf. Sonderzeichen die z.B. ein einer XML Datei so nicht angezeigt werden knnen.
if (! function_exists ( "load_dokumentlayout_text" )) {
	function load_dokumentlayout_text() {
		$texte_array_orig = unserialize ( $field_old [$feld] );
		
		$texte_array = array (
				"dtUeberschrift" => check_input_string_2 ( $field_new [$bereich . "-dtUeberschrift"] ),
				"dtTextUnterUeberschrift" => check_input_string_2 ( $field_new [$bereich . "-dtTextUnterUeberschrift"] ),
				"dtMaterialpostenDrucken" => ( int ) $field_new [$bereich . "-dtMaterialpostenDrucken"],
				"dtTextUeberMaterialposten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUeberMaterialposten"] ),
				"dtTextUnterMaterialposten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUnterMaterialposten"] ),
				"dtZeitpostenDrucken" => ( int ) $field_new [$bereich . "-dtZeitpostenDrucken"],
				"dtTextUeberZeitposten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUeberZeitposten"] ),
				"dtTextUnterZeitposten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUnterZeitposten"] ),
				"dtPostenDrucken" => ( int ) $field_new [$bereich . "-dtPostenDrucken"],
				"dtTextUeberPosten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUeberPosten"] ),
				"dtTextUnterPosten" => check_input_string_2 ( $field_new [$bereich . "-dtTextUnterPosten"] ),
				"dtTextUnterBeleg" => check_input_string_2 ( $field_new [$bereich . "-dtTextUnterBeleg"] ),
				"dtDruckeSummenblock" => ( int ) $field_new [$bereich . "-dtDruckeSummenblock"],
				"dtDruckeLieferart" => ( int ) $field_new [$bereich . "-dtDruckeLieferart"],
				"dtDruckeZahlungsziel" => ( int ) $field_new [$bereich . "-dtDruckeZahlungsziel"],
				"dtDruckeMahninformationen" => ( int ) $field_new [$bereich . "-dtDruckeMahninformationen"],
				"dtEmailBetreff" => check_input_string_2 ( $field_new [$bereich . "-dtEmailBetreff"] ),
				"dtEmailText" => check_input_string_2 ( $field_new [$bereich . "-dtEmailText"] ),
				"dtProjektInfoDrucken" => ( int ) $field_new [$bereich . "-dtProjektInfoDrucken"],
				"dtAdressfeld2Ueberschrift" => check_input_string_2 ( $field_new [$bereich . "-dtAdressfeld2Ueberschrift"] ),
				"dtTextVererben" => ( int ) $field_new [$bereich . "-dtTextVererben"],
				"AlternativDeaktivieren" => ( int ) $field_new [$bereich . "-AlternativDeaktivieren"],
				
				"BelegNr" => $field_new [$bereich . "-BelegNr"],
				"RechnungsNr" => $field_new [$bereich . "-RechnungsNr"],
				"AuftragsNr" => $field_new [$bereich . "-AuftragsNr"],
				"LieferNr" => $field_new [$bereich . "-LieferNr"],
				"AngebotNr" => $field_new [$bereich . "-AngebotNr"],
				"BestellNr" => $field_new [$bereich . "-BestellNr"],
				"KundenNr" => $field_new [$bereich . "-KundenNr"],
				"AngebotDatum" => $field_new [$bereich . "-AngebotDatum"],
				"AuftragDatum" => $field_new [$bereich . "-AuftragDatum"],
				"LieferungDatum" => $field_new [$bereich . "-LieferungDatum"],
				"RechnungDatum" => $field_new [$bereich . "-RechnungDatum"],
				"MahnungDatum" => $field_new [$bereich . "-MahnungDatum"],
				"StornierungDatum" => $field_new [$bereich . "-StornierungDatum"],
				"Bezeichnung" => $field_new [$bereich . "-Bezeichnung"] 
		);
		
		$field_new [$feld] = serialize ( array_merge ( ( array ) $texte_array_orig, $texte_array ) );
	}
}

// ***************************************************************************************************
// ************************************* berechne_netto *******************************************
//
// Alle Berechnungen die die Netto Summe betreffen werden hier berechnet
if (! function_exists ( "berechne_netto" )) {
	function berechne_netto($dNettoPreis, $dMenge) {
		global $bNachkommastellenMaxZwei;
		
		if ($bNachkommastellenMaxZwei == 1)
			$dSumme = round ( round ( str_replace ( ",", ".", $dNettoPreis ), 2 ) * $dMenge, 2 );
		else {
			$dSumme = $dNettoPreis * $dMenge;
			return $dSumme;
		}
		
		return round ( str_replace ( ",", ".", $dSumme ), 2 );
	}
}

// ***************************************************************************************************
// ************************************* berechne_brutto *******************************************
//
// Alle Berechnungen die die Brutto Summe betreffen werden hier berechnet
if (! function_exists ( "berechne_brutto" )) {
	function berechne_brutto($dNettoPreis, $dMwstSatz) {
		global $bNachkommastellenMaxZwei;
		
		if ($bNachkommastellenMaxZwei == 1)
			$dSumme = round ( round ( str_replace ( ",", ".", $dNettoPreis ), 2 ) + (round ( str_replace ( ",", ".", $dNettoPreis ), 2 ) / 100 * $dMwstSatz), 2 );
		else {
			$dSumme = $dNettoPreis + ($dNettoPreis / 100 * $dMwstSatz);
			return $dSumme;
		}
		
		return round ( str_replace ( ",", ".", $dSumme ), 2 );
	}
}

// ***************************************************************************************************
// ************************************* berechne_mwst *******************************************
//
// Alle Berechnungen die die Brutto Summe betreffen werden hier berechnet
// Netto Summe wird bergeben
if (! function_exists ( "berechne_mwst" )) {
	function berechne_mwst($dSummeOhneMwst, $dMwstSatz) {
		global $bNachkommastellenMaxZwei;
		
		if ($bNachkommastellenMaxZwei == 1)
			$dSumme = round ( round ( str_replace ( ",", ".", $dSummeOhneMwst ), 2 ) / 100 * $dMwstSatz, 2 );
		else {
			$dSumme = $dSummeOhneMwst / 100 * $dMwstSatz;
			return $dSumme;
		}
		
		return round ( str_replace ( ",", ".", $dSumme ), 2 );
	}
}

// ***************************************************************************************************
// ************************************* berechne_rabatt *******************************************
//
// Alle Berechnungen die die Brutto Summe betreffen werden hier berechnet
if (! function_exists ( "berechne_rabatt" )) {
	function berechne_rabatt($dBetrag, $dRabatt, $bGesamt = NULL) {
		Global $bNachkommastellenMaxZwei;
		$dSumme = 0;
		
		if ($bNachkommastellenMaxZwei == 1) {
			if (! $bGesamt)
				$dSumme = (round ( $dBetrag, 2 ) / 100) * $dRabatt;
			else
				$dSumme = round ( $dBetrag, 2 ) - (round ( $dBetrag, 2 ) / 100 * $dRabatt);
			
			return round ( str_replace ( ",", ".", $dSumme ), 2 );
		} else {
			if (! $bGesamt)
				$dSumme = ($dBetrag / 100) * $dRabatt;
			else
				$dSumme = $dBetrag - ($dBetrag / 100 * $dRabatt);
		}
		
		return $dSumme;
	}
}

// ***************************************************************************************************
// ************************************* berechne_skonto *******************************************
//
// Alle Berechnungen die die Brutto Summe betreffen werden hier berechnet
if (! function_exists ( "berechne_skonto" )) {
	function berechne_skonto($dBetrag, $dSkonto) {
		Global $bNachkommastellenMaxZwei;
		$dSumme = 0;
		
		if ($bNachkommastellenMaxZwei == 1) {
			$dSumme = (round ( $dBetrag, 2 ) / 100) * $dSkonto;
			return round ( str_replace ( ",", ".", $dSumme ), 2 );
		} else {
			$dSumme = ($dBetrag / 100) * $dSkonto;
		}
		
		return $dSumme;
	}
}

// ***************************************************************************************************
// ************************************* berechne_skonto *******************************************
//
// Der Verminderungsfaktor sorgt dafr, dass man den Nettobetrag von der Bruttosumme errechnen kann
if (! function_exists ( "berechne_verminderungsfaktor" )) {
	function berechne_verminderungsfaktor($dMwst, $dBruttoSumme = FALSE) {
		$dVerminderungsfaktor = 0;
		
		// Verminderungsfaktor = 100 : (100 + 19) = 100 : 119 = 0,84... Verminderungsfaktor darf nicht gerundet werden
		$dVerminderungsfaktor = 100 / (100 + $dMwst);
		
		if ($dBruttoSumme !== FALSE)
			return berechne_netto ( $dBruttoSumme * $dVerminderungsfaktor, 1 );
		else
			return $dVerminderungsfaktor;
	}
}
?>
